<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Cadastro de Cilindro</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Theme style -->
    <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.251.27.1">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
    <!-- Google Font: Source Sans Pro -->
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>

    <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.251.27.1" />

    <link href='../dist/css/bootstrap.min.css?versao=3.251.27.1'>
    <link rel="stylesheet" href="../dist/css/custom.css?versao=3.251.27.1">
    <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.251.27.1">
    <link rel="shortcut icon" href="../favicon.ico">
    <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.251.27.1">

    <!-- Toastr -->
    <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.251.27.1" />
    <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.251.27.1">
    <!-- Google Font: Source Sans Pro -->
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <style>
        #progressbar li {
            list-style-type: none;
            font-size: 12px;
            width: 100%;
            float: left;
            position: relative
        }

        .labelGeral {
            margin-top: 7px;
            margin-bottom: 3px;
        }

        .border-Field .textoBorda {
            font-size: 1.0em !important;
            text-align: left !important;
            width: auto;
            padding: 0 10px;
            border-bottom: none;
        }

        .border-Field {
            border: 1.0px solid var(--font-color) !important;
            padding: 0 1.0em 0.3em 1.0em !important;
            margin: 0 0 0.3em 0 !important;
            -webkit-box-shadow: 0px 0px 0px 0px #000;
            box-shadow: 0px 0px 0px 0px #000;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">

    <div class="wrapper">
        <div id="myModal" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 id="myModalLabel" class="modal-title"></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p id="myModalText"></p>
                    </div>
                    <div class="modal-footer">
                        <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
                        <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
                    </div>
                </div>
            </div>
        </div>

        <div class="wrapper">
            <div id="myModal" class="modal" tabindex="-1" role="dialog">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 id="myModalLabel" class="modal-title"></h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <p id="myModalText"></p>
                        </div>
                        <div class="modal-footer">
                            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
                            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="content-wrapper">
                <section class="content">
                    <div class="content-header">
                        <div class="container-fluid">
                            <div class="row mb-2">
                                <div class="col-sm-6 flex">
                                </div>
                                <div class="col-sm-6">
                                </div><!-- /.col -->
                            </div><!-- /.row -->
                        </div>
                        <div class="row justify-content-center mt-0">
                            <div class="col-10 text-center p-0 mt-3 mb-2">
                                <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                                    <div class="card-header text-center flex pb-0" style="border: none!important;box-shadow:none!important;">
                                        <h2> Cadastro de Cilindro
                                            <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                                <i class="fas fa-question-circle"></i>
                                            </button>
                                        </h2>
                                    </div>

                                    <div class="row">
                                        <div class="col-md-12 mx-0 mb-3">
                                            <form id="msform">
                                                <ul id="progressbar" style="margin-bottom: 10px !important">
                                                    <li class="active" id="account"><strong>Geral</strong></li>
                                                </ul>
                                                <p>Preencha os dados e clique em gravar para realizar o cadastro ou alteração do cadastro do Cilindro.</p>
                                                <fieldset class="row justify-content-center">

                                                    <div class="row col-10 text-left" id="campostour">

                                                        <div class="col-12 col-md-2">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodigo">Código: *</label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control validate" aria-describedby="cepError" id="txtCodigo" name="txtCodigo" class="form-control" placeholder="Código">
                                                            </div>
                                                        </div>

                                                        <div class="col-12 col-md-2 pl-0">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodigo2">Código 2: </label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control validate" aria-describedby="cepError" id="txtCodigo2" name="txtCodigo2" class="form-control" placeholder="Código 2">
                                                            </div>
                                                        </div>

                                                        <div class="col-12 col-md-5 text-left pl-0">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtDescricao">Descrição: *</label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control validate" required aria-describedby="descricaoError" id="txtDescricao" name="txtDescricao" class="form-control" placeholder="Descrição">
                                                            </div>
                                                        </div>

                                                        <div class="col-12 col-md-3 pl-0 mt-3">
                                                            <div class="form" id="opcoes">
                                                                <fieldset class="form border-Field">
                                                                    <legend class="textoBorda mb-0 pb-0">Opções</legend>
                                                                    <div class="row col-12">
                                                                        <div class="icheck-primary col-4">
                                                                            <input type="checkbox" id="cbAtivo" name="cbOpcoes" checked value="S">
                                                                            <label for="cbAtivo">Ativo</label>
                                                                        </div>
                                                                        <div class="icheck-primary col-8">
                                                                            <input type="checkbox" id="cbUtilizaFioTinto" name="cbOpcoes" value="S">
                                                                            <label for="cbUtilizaFioTinto">Utiliza Fio Tinto</label>
                                                                        </div>
                                                                    </div>
                                                                </fieldset>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row col-10 text-left">

                                                        <div class="col-12 col-md-2">
                                                            <label for="txtCadastro">Cadastro:</label>
                                                            <div class="relative">
                                                                <input type="date" max="2500-12-31" class="input-default focus form-control validate" id="txtCadastro" name="txtCadastro">
                                                            </div>
                                                        </div>

                                                        <div class="col-12 col-md-2 pl-0">
                                                            <label for="txtUltTrocaAgulha">Ult. Troca Agulha:</label>
                                                            <div class="relative">
                                                                <input type="date" max="2500-12-31" class="input-default focus form-control validate" id="txtUltTrocaAgulha" name="txtUltTrocaAgulha">
                                                            </div>
                                                        </div>

                                                        <div class="col-12 col-md-2 pl-0">
                                                            <label for="txtData">Data:</label>
                                                            <div class="relative">
                                                                <input type="date" max="2500-12-31" class="input-default focus form-control validate" id="txtData" name="txtData">
                                                            </div>
                                                        </div>

                                                        <div class="col-12 col-md-2 pl-0">
                                                            <label for="txtGravado">Gravado:</label>
                                                            <div class="relative">
                                                                <input type="date" max="2500-12-31" class="input-default focus form-control validate" id="txtGravado" name="txtGravado">
                                                            </div>
                                                        </div>

                                                        <div class="col-12 col-md-4 pl-0">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtCliente">Cliente: </label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control" id="txtCliente" name="txtCliente" placeholder="Cliente">
                                                                <div class="input-group-append">
                                                                    <button class="btn bg-danger" id="btnCliente" name="btnCliente" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                    <button class="btn bg-danger" id="btnLimpaCliente" name="btnLimpaCliente" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                </div>
                                                            </div>
                                                        </div>

                                                    </div>
                                                    <div class="row col-10 text-left">

                                                        <div class="col-12 col-md-4">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtGravadora">Gravadora: </label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control" id="txtGravadora" name="txtGravadora" placeholder="Gravadora">
                                                                <div class="input-group-append">
                                                                    <button class="btn bg-danger" id="btnGravadora" name="btnGravadora" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                    <button class="btn bg-danger" id="btnLimpaGravadora" name="btnLimpaGravadora" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <div class="col-12 col-md-4 pl-0">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtEstampa">Estampa: </label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control" id="txtEstampa" name="txtEstampa" placeholder="Estampa">
                                                                <div class="input-group-append">
                                                                    <button class="btn bg-danger" id="btnEstampa" name="btnEstampa" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                    <button class="btn bg-danger" id="btnLimpaEstampa" name="btnLimpaEstampa" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <div class="col-12 col-md-4 pl-0">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtDeposito">Deposito: </label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control" id="txtDeposito" name="txtDeposito" placeholder="Deposito">
                                                                <div class="input-group-append">
                                                                    <button class="btn bg-danger" id="btnDeposito" name="btnDeposito" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                    <button class="btn bg-danger" id="btnLimpaDeposito" name="btnLimpaDeposito" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                </div>
                                                            </div>
                                                        </div>

                                                    </div>
                                                    <div class="row col-10 text-left">

                                                        <div class="col-12 col-md-4">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtLocal">Local: </label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control" id="txtLocal" name="txtLocal" placeholder="Local">
                                                                <div class="input-group-append">
                                                                    <button class="btn bg-danger" id="btnLocal" name="btnLocal" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                    <button class="btn bg-danger" id="btnLimpaLocal" name="btnLimpaLocal" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <div class="col-12 col-md-2 pl-0">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtMedidaRaport">Medida Raport:</label>
                                                            <div class="relative">
                                                                <input type="text" class="input-default focus form-control campoValor" maxlength="8" id="txtMedidaRaport" name="txtMedidaRaport" placeholder="Medida Raport">
                                                            </div>
                                                        </div>

                                                        <div class="col-12 col-md-2 pl-0">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtAreaCobertura">Área Cobertura:</label>
                                                            <div class="relative">
                                                                <input type="text" class="input-default focus form-control campoValor" maxlength="8" id="txtAreaCobertura" name="txtAreaCobertura" placeholder="Área Cobertura">
                                                            </div>
                                                        </div>

                                                        <div class="col-12 col-md-2 pl-0">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtCusto">Custo:</label>
                                                            <div class="relative">
                                                                <input type="text" class="input-default focus form-control campoValor" maxlength="8" id="txtCusto" name="txtCusto" placeholder="Custo">
                                                            </div>
                                                        </div>

                                                        <div class="col-12 col-md-2 pl-0">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtCustoGravacao">Custo Gravação:</label>
                                                            <div class="relative">
                                                                <input type="text" class="input-default focus form-control campoValor" maxlength="8" id="txtCustoGravacao" name="txtCustoGravacao" placeholder="Custo Gravação">
                                                            </div>
                                                        </div>

                                                    </div>
                                                    <div class="row col-10 text-left">

                                                        <div class="col-12 col-md-2">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtQtdeCilindros">Qtde Cilindros:</label>
                                                            <div class="relative">
                                                                <input type="text" class="input-default focus form-control campoInteger" id="txtQtdeCilindros" name="txtQtdeCilindros" placeholder="Qtde Cilindros">
                                                            </div>
                                                        </div>

                                                        <div class="col-12 col-md-2 pl-0">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtDesgravado">Desgravado:</label>
                                                            <div class="relative">
                                                                <input type="date" max="2500-12-31" class="input-default focus form-control validate" id="txtDesgravado" name="txtDesgravado">
                                                            </div>
                                                        </div>

                                                        <div class="col-12 col-md-8 text-left pl-0">
                                                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtObs">Observação: </label>
                                                            <div class="input-group">
                                                                <input type="text" class="input-default focus form-control validate" aria-describedby="ObsError" id="txtObs" name="txtObs" class="form-control" placeholder="Observação">
                                                            </div>
                                                        </div>

                                                    </div>
                                                    <div class="row col-10 text-left">
                                                        <div class="col-sm-12 table-responsive mt-2">
                                                            <table id="tabelaCilindros" class="table table-sm table-select table-hover" style="white-space: nowrap;" width="100%">
                                                                <thead>
                                                                    <tr>
                                                                        <th class="th-sm">Seq
                                                                        </th>
                                                                        <th class="th-sm">Área cobertura
                                                                        </th>
                                                                        <th class="th-sm">Largura Externa
                                                                        </th>
                                                                        <th class="th-sm">Largura Útil
                                                                        </th>
                                                                        <th class="th-sm">Mesh
                                                                        </th>
                                                                    </tr>
                                                                </thead>
                                                                <tbody>
                                                                </tbody>
                                                            </table>
                                                        </div>


                                                </fieldset>
                                                <input type="button" name="gravar" id="gravar" class="btn-sisp action-button" value="Gravar" />
                                                <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
            </div>
        </div>
    </div>

    <?php
    include_once('../../../modais.php');
    ?>

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
        <!-- Control sidebar content goes here -->
    </aside>
    <!-- /.control-sidebar -->
    </div>

    <!-- jQuery -->
    <script src="../plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
    <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
    <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.251.27.1"></script>
    <script src="../plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/adminlte.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/requisicoes.js?versao=3.251.27.1"></script>
    <script src="../dist/js/cliente/entidade.js?versao=3.251.27.1"></script>
    <script src="../dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/valida_cpf_cnpj.js?versao=3.251.27.1"></script>
    <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/sisplan.js?versao=3.251.27.1"></script>
    <script src="../utils/funcoes.js?versao=3.251.27.1"></script>
    <script src="../utils/cookies.js?versao=3.251.27.1"></script>
    <script src="../dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/driver.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/dataTables.keyTable2.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="../config.js?versao=3.251.27.1"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('CILINDRO');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            const permissaoUsuarioLogado = await permissaoAcessos("CILINDRO");

            if (permissaoUsuarioLogado.INCLUI == 'N') {
                await criaMensagemErro("Sem permissão para incluir!", () => {
                    window.location.href = `${BASE_URI}/cilindro`
                });
                return;
            }

            const queryString = window.location.href;
            const parametros = queryString.split("/");
            const cilindro = parametros[parametros.length - 1];

            $(window).on("beforeunload", function(e) {
                // e.preventDefault();
                e.stopPropagation();
                deletaRegistro("CILINDRO", getCookie("usuario"), cilindro);
                return undefined;
            });

            sArquivo = `${BASE_URI}/pages/cilindro/cadastro_cilindro/cilindro.js?versao=3.251.27.1`;
            insereJavaScriptPagina(sArquivo);

            const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
            habilitaCamposObrigatoriosTela(nomeTela);
        });
    </script>
</body>

</html>