<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Cliente</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">

  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../dist/css/PesquisaVariosSelect2.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1">
  <!-- Toastr -->
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.251.27.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../plugins/select2/css/select2.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.251.27.1">


  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">

  <style>
    .form-control:disabled,
    .form-control[readonly] {
      background-color: #f7f7f7;
      opacity: 1;
    }

    #msform {
      text-align: start;
      position: relative;
    }

    .card {
      box-shadow: none !important;
      border-radius: 0 !important;
      margin-bottom: 0 !important;
    }

    .card-header {
      box-shadow: 0px 1px rgb(0 0 0 / 20%) !important;
    }

    .card.card-header {
      border-bottom: 1px dashed #ddd;
      box-shadow: none !important;
    }

    .card-body {
      padding-left: 1.25rem !important;
      padding-top: 0px;
      padding-bottom: 0px;
      padding-right: 1.25rem !important;
    }

    .fa-angle-right,
    .fa-angle-down {
      color: #343a40;
    }

    .header-content-page .title-page,
    .title-content-page .title,
    .title-page {
      font-size: 20px;
      line-height: normal;
      font-weight: 500;
      color: var(--font-color);
      margin: 0;
      font-family: Roboto, Arial, sans-serif;
    }

    #btnRepresentante {
      background-color: #3ca2d3 !important;
    }

    #btnTransportadora {
      background-color: #5F9EA0 !important;
    }

    .border-Field .textoBorda {
      font-size: 1.1em !important;
      text-align: left !important;
      width: auto;
      padding: 0 10px;
      border-bottom: none;
    }

    .border-Field {
      border: 1px solid var(--font-color) !important;
      padding: 0 1.0em 1.0em 1.0em !important;
      margin: 0 0 1.0em 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
      border-radius: 3px !important;
    }

    #multiCollapseContábil {
      position: relative;
      z-index: 99999999;
    }

    td {
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
    }

    @media (max-width: 1194.8px) {
      .centralizaBotao {
        text-align: center;
      }
    }

    /* Estilo para telas maiores ou iguais a 992px (telas lg e maiores) */
    @media (min-width: 1195px) {
      .centralizaBotao {
        text-align: start;
      }
    }

    td.ColunaVermelha {
      color: red;
      font-weight: 600;
    }

    #lblRepresentantes:hover {
      cursor: pointer;
    }
  </style>


</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">


    <div id="myModal" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 id="myModalLabel" class="modal-title">Modal title</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p id="myModalText">Modal body text goes here</p>
          </div>
          <div class="modal-footer">
            <button id="btnYes" type="button" class="btn btn-primary btn-sisp">Sim</button>
            <button id="btnNo" type="button" class="btn btn-secondary btn-sisp" data-dismiss="modal">Não</button>
          </div>
        </div>
      </div>
    </div>

    <div class="modal fade" id="modalCondicao" tabindex="-1" role="dialog" aria-labelledby="modalCondicao" aria-hidden="true">
      <div class="modal-dialog modal-xl">
        <div class="modal-content">
          <div class="modal-header">
            <h4 id="modalCondicao-titulo" class="modal-title">Adicionar condição de pagamentos</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="row">
              <div class="col-sm-12">
                <div class="row">
                  <div class="col-sm-8">
                    <label style="margin-bottom: .1rem!important;" data-error="wrong" data-success="right" for="CondPagto">Condição de pagamento</label>
                    <div class="input-group">

                      <input type="text" class="input-default focus form-control" id="txtCondPagto" name="txtCondPagto" class="form-control" placeholder="Condição de Pagamento">

                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btn-CondPagto" name="btn-moeda" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btn-limpa-CondPagto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>

                  <div class="col-sm-4">
                    <label style="margin-bottom: .1rem!important;" data-error="wrong" data-success="right" for="txtTaxaAdm">Taxa Adm.</label>
                    <div class="input-group">
                      <input type="text" class="input-default focus form-control" id="txtTaxaAdm" name="txtTaxaAdm" class="form-control" value="0.00" placeholder="% Taxa">
                    </div>
                  </div>

                  <div class="col-sm-12" style="margin-top:5px">
                    <button id="btnAdicionar" type="button" class="btn btn-primary btn-block">
                      Adicionar
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="modal fade" id="modal-tabelas" tabindex="-1" role="dialog" aria-labelledby="modal-tabelas" aria-hidden="true">
      <div class="modal-dialog modal-xl">
        <div class="modal-content">
          <div class="modal-header">
            <h4 id="modal-tabelas-titulo" class="modal-title">Vincular mais tabelas para o cliente</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="row">
              <div class="col-sm-12">
                <div class="row">

                  <div class="col-sm-12">
                    <label style="margin-bottom: .1rem!important;" data-error="wrong" data-success="right" for="txtTabelaModal">Tabela: </label>
                    <div class="input-group">
                      <input type="text" class="input-default focus form-control" id="txtTabelaModal" name="txtTabelaModal" class="form-control" placeholder="Tabela">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnTabelaModal" name="btnTabelaModal" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaTabelaModal" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>

                  <div class="col-sm-12" style="margin-top:5px">
                    <button id="btnAdicionarTabela" type="button" class="btn btn-primary btn-block">
                      Adicionar
                    </button>
                  </div>

                  <div class="col-md-12 col-12" style="margin-top: 15px;">
                    <div class="table-responsive">
                      <table id="gridTabelasModal" class="table table-sm table-select table-hover">
                        <thead>
                          <tr>
                            <th>Codigo</th>
                            <th>Descricao</th>
                            <th>Excluir</th>
                          </tr>
                        </thead>
                        <tbody>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>

              </div>
            </div>
          </div>

          <div class="modal-footer">
            <div class="row">
              <button class="btn btn-danger btn-sisp" id="btnFecharModalTabela">Fechar</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6 col-12">
          </div><!-- /.col -->
          <div class="col-sm-6 col-12">
            <!-- <ol class="breadcrumb float-sm-right">

              <li class="breadcrumb-item"><a href="../cliente">Clientes</a></li>
              <li class="breadcrumb-item active">Cadastro</li>
            </ol> -->
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>

    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card" style="height:auto;min-height:715px">
              <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                <h2 class="m-0">Cadastro de Clientes</h2>
                <button title="Tutorial" class="mt-2 btn btn-info btn-sm ml-2" id="tutorial">
                  <i class="fas fa-question-circle"></i>
                </button>
              </div>
              <fieldset>
                <div class="card-body">
                  <form style="text-align:left!important;" id="msform" name="msform">
                    <div class="card card-header" role="tab" id="geral">
                      <a style="width:100%;" data-toggle="collapse" data-parent="#multiCollapseExample1" href="#multiCollapseExample1" aria-expanded="true" aria-controls="collapseOne1">
                        <div class="row">
                          <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                            <i class="fas fa-angle-down"></i>
                          </div>
                          <div class="col-11">
                            <h4 class="title-page">
                              Geral
                            </h4>
                          </div>
                        </div>
                      </a>
                    </div>
                    <div class="collapse  show" id="multiCollapseExample1">
                      <div class="card card-body">
                        <div class=" tab-pane fade show active" role="tabpanel" aria-labelledby="geral-tab">
                          <div class="form-row pt-2 justify-content-between mb-2">

                            <div class="col-md-4 col-12 form" id="tipos">
                              <fieldset class="form border-Field mb-0 pb-0">
                                <legend class="textoBorda mb-0 pb-0">Opções</legend>
                                <div class="form-row mb-2">
                                  <div class="icheck-primary form-group form-check ml-1" style="border-right: 1px solid var(--font-color)">
                                    <input type="checkbox" class="form-check-input" id="cbConsumidorFinal">
                                    <label class="form-check-label pr-2" for="cbConsumidorFinal">Consumidor Final</label>
                                  </div>
                                  <div class="icheck-primary form-check ml-3">
                                    <input type="checkbox" class="form-check-input" id="cbAtivo">
                                    <label class="form-check-label pr-2" for="cbAtivo">Ativo</label>
                                  </div>
                                  <div class="icheck-primary form-check">
                                    <input type="checkbox" class="form-check-input" id="cbBloqueado">
                                    <label class="form-check-label pr-2" for="cbBloqueado">Bloqueado</label>
                                  </div>
                                </div>
                              </fieldset>
                            </div>

                            <div class="col-md-8 col-12 form" id="tipos">
                              <fieldset class="form border-Field mb-0 pb-0">
                                <legend class="textoBorda mb-0 pb-0">Tipo de Entidade</legend>
                                <div class="form-row ml-2 mb-2">
                                  <div class="icheck-primary form-group form-check">
                                    <input type="checkbox" class="form-check-input" id="cbTipoCliente">
                                    <label class="form-check-label pr-2" for="cbTipoCliente">Cliente</label>
                                  </div>
                                  <div class="icheck-primary form-group form-check">
                                    <input type="checkbox" class="form-check-input" id="cbTipoFornecedor">
                                    <label class="form-check-label pr-2" for="cbTipoFornecedor">Fornecedor</label>
                                  </div>
                                  <div class="icheck-primary form-group form-check">
                                    <input type="checkbox" class="form-check-input" id="cbTipoTerceiros">
                                    <label class="form-check-label pr-2" for="cbTipoTerceiros">Terceiros</label>
                                  </div>
                                  <div class="icheck-primary form-group form-check">
                                    <input type="checkbox" class="form-check-input" id="cbTipoRepresentante">
                                    <label class="form-check-label pr-2" for="cbTipoRepresentante">Representante</label>
                                  </div>
                                  <div class="icheck-primary form-group form-check">
                                    <input type="checkbox" class="form-check-input" id="cbTipoProspecto">
                                    <label class="form-check-label pr-2" for="cbTipoProspecto">Prospecto</label>
                                  </div>
                                  <div class="icheck-primary form-group form-check">
                                    <input type="checkbox" class="form-check-input" id="cbTipoFuncionario">
                                    <label class="form-check-label pr-2" for="cbTipoFuncionario">Funcionário</label>
                                  </div>
                                </div>
                              </fieldset>
                            </div>
                          </div>

                          <div class="form-row" style="margin-top: 12px;">
                            <div class="form-group col-md-3 col-12 d-none">
                              <label>Atual</label>
                              <input type="date" max="2500-12-31" class="input-default focus form-control" id="txtDataAlteracao">
                            </div>
                            <div class="col-md-2  col-12 form-group" id="tourcodigo">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodCli">Código</label>
                              <input type="text" class="input-default focus form-control" id="txtCodCli" aria-describedby="codError" name="txtCodCli" class="form-control" placeholder="Gerado automaticamente" readonly disabled>
                            </div>
                            <div class="form-group col-md-2 col-1">
                              <label>Tipo:</label>
                              <select id="rgTipoEnt" class="input-default focus custom-select select-ent">
                                <option value="" selected disabled>Selecione uma opção</option>
                              </select>
                            </div>
                            <div class="col-lg-2 col-12" id="cnpjTour">
                              <label data-error="wrong" data-success="right" for="txtCNPJ">CNPJ/CPF *</label>
                              <div class="input-group">
                                <input type="text" data-selecionado="false" class="input-default focus form-control validate" id="txtCNPJ" name="txtCNPJ" class="form-control" required placeholder="CNPJ ou CPF">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnconsultaCadastral" type="button" style="padding-right: 5px;padding-left: 2px;"><i class="m-0 p-0 fas fa-solid fa-globe"></i>
                                  </button>
                                </div>
                              </div>
                            </div>
                            <div class="form-group col-md-2 col-12">
                              <label>Data de cadastro:</label>
                              <input type="date" max="2500-12-31" class="input-default focus form-control" id="txtDataCadastro" disabled>
                            </div>
                            <div class="form-group col-md-2 col-12">
                              <label>Data de nascimento:</label>
                              <input type="date" max="2500-12-31" class="input-default focus form-control" id="txtDataNascimento">
                            </div>
                            <div class="form-group col-md-1 col-1 d-none" style="margin-top:8px;">
                              <label></label>
                              <input type="text" max="2500-12-31" class="input-default focus form-control" id="txtClassificacao">
                            </div>
                            <div class="form-group col-md-2 col-1">
                              <label>Classificação:</label>
                              <select id="rgClassificacao" class="input-default focus custom-select select-ent">
                                <option value="" selected disabled>Selecione uma opção</option>
                                <option value="A">A</option>
                                <option value="B">B</option>
                                <option value="C">C</option>
                                <option value="D">D</option>
                                <option value="E">E</option>
                                <option value="F">F</option>
                                <option value="G">G</option>
                                <option value="H">H</option>
                                <option value="I">I</option>
                              </select>
                            </div>
                          </div>

                          <div class="form-row" style="margin-top: 12px;">
                            <div class="form-group col-md-4" id="nomeTour">
                              <label>Nome: *</label>
                              <input type="text" class="input-default focus form-control validate" id="txtNome" name="txtNome" required placeholder="Nome">
                            </div>
                            <div class="form-group col-md-4">
                              <label>Fantasia:</label>
                              <input type="text" class="input-default focus form-control" name="txtFantasia" id="txtFantasia" placeholder="Fantasia">
                            </div>
                            <div class="form-group col-md-4">
                              <label>Indicador da IE do destinatário:</label>
                              <select id="rgIE" class="input-default focus custom-select select-ent">
                                <option value="" selected disabled>Selecione uma opção</option>
                                <option value="1">Contribuinte ICMS (informar a IE do destinatário)
                                </option>
                                <option value="2">Contribuinte isento de Inscrição no cadastro de
                                  Contribuintes do ICMS</option>
                                <option value="9">Não Contribuinte, que pode ou não possuir
                                  Inscrição Estadual no Cadastro de Contribuintes do ICMS</option>
                              </select>
                            </div>
                          </div>

                          <div class="form-row" style="margin-top: 12px;">
                            <div class="form-group col-md-4 col-12">
                              <label>Email:</label>
                              <input type="email" class="input-default focus form-control" name="txtEmail" id="txtEmail" placeholder="exemplo@exemplo.com" maxlength="50">
                            </div>
                            <div class="form-group col-md-1 col-12" id="dddTelefoneTour">
                              <label>DDD: *</label>
                              <input type="text" maxlength="3" class="input-default focus form-control validate" id="txtDDD" name="txtDDD" required>
                            </div>
                            <div class="form-group col-md-3 col-12" id="telefoneTour">
                              <label>Telefone: *</label>
                              <input type="text" class="input-default focus form-control validate" id="txtTelefone" name="txtTelefone" maxlength="20" required>
                            </div>
                            <div class="form-group col-md-4 col-12" id="telefoneTour">
                              <label>Sintegra: </label>
                              <input type="text" class="input-default focus form-control validate" id="txtSintegra" readonly name="txtSintegra" placeholder="Sintegra">
                            </div>
                          </div>
                          <div class="form-group" style="margin-top: 12px;">
                            <label>Observação:</label>
                            <textarea style="resize: none" id="txtObs" placeholder="Observação" class="input-default focus form-control" rows="3"></textarea>
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="card card-header" role="tab">
                      <a style="width:100%;" id="documentoaba" data-toggle="collapse" data-parent="#multiCollapseExample2" href="#multiCollapseExample2" aria-expanded="true" aria-controls="collapseOne1">
                        <div class="row">
                          <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                            <i class="fas fa-angle-right"></i>
                          </div>
                          <div class="col-11">
                            <h4 class="title-page">
                              Documento:
                            </h4>
                          </div>
                        </div>
                      </a>
                    </div>

                    <div class="collapse" id="multiCollapseExample2">
                      <div class="card card-body">
                        <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="documento-tab">
                          <div class="form-row pt-2">
                            <div class="form-group col-md-4 col-12">
                              <label>IE:</label>
                              <input type="text" class="input-default focus form-control" id="txtIE" name="txtIE" placeholder="IE">
                            </div>
                            <div class="form-group col-md-4 col-12">
                              <label>RG:</label>
                              <input type="text" class="input-default focus form-control" id="txtRG" name="txtRG" placeholder="RG">
                            </div>

                            <div class="form-group col-md-4 col-12">
                              <label>Emissor:</label>
                              <input type="text" class="input-default focus form-control" id="txtEmissor" name="txtEmissor" placeholder="Emissor">
                            </div>
                          </div>


                          <div class="form-row">
                            <div class="form-group col-md-4 col-12" id="telefoneTour">
                              <label>Inscrição Municipal: </label>
                              <input type="text" class="input-default focus form-control validate" id="txtInscricaoMunicipal" maxlength="12" name="txtInscricaoMunicipal" placeholder="Inscrição Municipal">
                            </div>
                            <div class="form-group col-md-4 col-12">
                              <label>Sexo:</label>
                              <select id="rgSexo" class="input-default focus custom-select select-ent">
                                <option value="" selected disabled>Selecione uma opção</option>
                                <option value="M">Masculino</option>
                                <option value="F">Feminino</option>
                              </select>
                            </div>
                            <div class="form-group col-md-4 col-12">
                              <label>Porte Empresa:</label>
                              <select id="rgPorteEmpresa" class="input-default focus custom-select select-ent">
                                <option value="" selected disabled>Selecione uma opção</option>
                                <option value="SA">SA</option>
                                <option value="LTDA">LTDA</option>
                                <option value="SIMPLES">SIMPLES</option>
                                <option value="ME">ME</option>
                                <option value="EPP">EPP</option>
                                <option value="NORMAL">NORMAL</option>
                                <option value="MEI">MEI</option>
                                <option value="EIRELLI">EIRELLI</option>
                              </select>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="card card-header" role="tab">
                      <a style="width:100%;" id="endereco" data-toggle="collapse" data-parent="#multiCollapseExample3" href="#multiCollapseExample3" aria-expanded="true" aria-controls="collapseOne1">
                        <div class="row">
                          <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                            <i class="fas fa-angle-right"></i>
                          </div>
                          <div class="col-11">
                            <h4 class="title-page">
                              Endereço:
                            </h4>
                          </div>
                        </div>
                      </a>
                    </div>
                    <div class="collapse" id="multiCollapseExample3">
                      <div class="card card-body">
                        <div class="card card-header" role="tab">
                          <a style="width:100%;" id="EnderecoGeral" data-toggle="collapse" data-parent="#enderecoGeral" href="#enderecoGeral" aria-expanded="true" aria-controls="collapseOne1">
                            <div class="row">
                              <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                <i class="fas fa-angle-down"></i>
                              </div>
                              <div class="col-11">
                                <h4 class="title-page">
                                  Geral:
                                </h4>
                              </div>
                            </div>
                          </a>
                        </div>
                        <div class="collapse" id="enderecoGeral">
                          <div class="card-body">
                            <div class="pt-2 form-row">
                              <div class="form-group col-12">
                                <label data-error="wrong" data-success="right" for="txtPais">País: *
                                </label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control validate" id="txtPais" name="txtPais" required placeholder="País *">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btn-pais-entidade" name="btn-pais-entidade" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btn-limpar-pais-entidade" name="btn-limpar-pais-entidade" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>
                              <div class="form-group col-md-4 col-12" id="cepTour">
                                <label>Cep *</label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control validate" id="txtCep" name="txtCep" required>
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnCep" name="btnCep" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btnLimpaCep" name="btnLimpaCep" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>
                              <div class="form-group col-md-4 col-12">
                                <label>Cidade</label>
                                <input type="text" class="input-default form-control" name="txtCidade" id="txtCidade" placeholder="Cidade" readonly>
                              </div>
                              <div class="form-group col-md-4 col-12">
                                <label>UF</label>
                                <input type="text" class="input-default form-control" name="txtUF" id="txtUF" placeholder="UF" readonly>
                              </div>
                            </div>
                            <div class="form-group">
                              <label>Rua *</label>
                              <input type="text" class="input-default focus form-control validate" name="txtRua" id="txtRua" placeholder="Rua" required>
                            </div>
                            <div class="form-row">
                              <div class="form-group col-md-6 col-12">
                                <label>Número *</label>
                                <input type="text" class="input-default focus form-control validate" name="txtNumero" id="txtNumero" placeholder="Número" required>
                              </div>
                              <div class="form-group col-md-6 col-12">
                                <label>Bairro *</label>
                                <input type="text" class="input-default focus form-control validate" name="txtBairro" id="txtBairro" placeholder="Bairro" required>
                              </div>
                              <div class="form-group col-md-12 col-12">
                                <label>Complemento</label>
                                <input type="text" class="input-default focus form-control" name="txtComplemento" id="txtComplemento" placeholder="Complemento">
                              </div>
                            </div>
                          </div>
                        </div>

                        <div class="card card-header" role="tab">
                          <a style="width:100%;" id="entrega" data-toggle="collapse" data-parent="#enderecoEntrega" href="#enderecoEntrega" aria-expanded="true" aria-controls="collapseOne1">
                            <div class="row">
                              <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                <i class="fas fa-angle-right"></i>
                              </div>
                              <div class="col-11">
                                <h4 class="title-page">
                                  Entrega
                                </h4>
                              </div>
                            </div>
                          </a>
                        </div>
                        <div class="collapse" id="enderecoEntrega">
                          <div class="card-body">
                            <div class="pt-2 form-row" id="endereco_entrega_geral">
                              <div class="form-group col-12" id="cepTour">
                                <div class="form-row pt-2">
                                  <div class="form-group col-md-4 col-12">
                                    <label>Cep</label>
                                    <div class="input-group">
                                      <input type="text" class="input-default focus form-control" id="txtCepEntrega" name="txtCepEntrega">
                                      <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnCepEntrega" name="btnCepEntrega" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaCepEntrega" name="btnLimpaCepEntrega" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                      </div>
                                    </div>
                                  </div>
                                  <div class="form-group col-md-4 col-12">
                                    <label>Cidade</label>
                                    <input type="text" class="input-default form-control" id="txtCidadeEntrega" name="txtCidadeEntrega" placeholder="Cidade" readonly>
                                  </div>
                                  <div class="form-group col-md-4 col-12">
                                    <label>UF</label>
                                    <input type="text" class="input-default form-control" id="txtUFEntrega" name="txtUFEntrega" placeholder="UF" readonly>
                                  </div>
                                </div>
                                <div class="form-group">
                                  <label>Rua</label>
                                  <input type="text" class="input-default focus form-control" id="txtRuaEntrega" name="txtRuaEntrega" placeholder="Rua">
                                </div>
                                <div class="form-row">
                                  <div class="form-group col-md-4 col-12">
                                    <label>Número</label>
                                    <input type="text" class="input-default focus form-control" id="txtNumeroEntrega" name="txtNumeroEntrega" placeholder="Número">
                                  </div>
                                  <div class="form-group col-md-4 col-12">
                                    <label>Bairro</label>
                                    <input type="text" class="input-default focus form-control" id="txtBairroEntrega" name="txtBairroEntrega" placeholder="Bairro">
                                  </div>
                                  <div class="form-group col-md-4 col-12">
                                    <label>Inscrição</label>
                                    <input type="text" class="input-default focus form-control" id="txtInscEnt" name="txtInscEnt" placeholder="Inscrição">
                                  </div>
                                  <div class="form-group col-md-12 col-12">
                                    <label>Complemento</label>
                                    <input type="text" class="input-default focus form-control" id="txtComplementoEntrega" name="txtComplementoEntrega" placeholder="Complemento">
                                  </div>
                                </div>

                              </div>
                            </div>
                          </div>
                        </div>
                        <div class="card card-header" role="tab">
                          <a style="width:100%;" id="cobranca" data-toggle="collapse" data-parent="#enderecoCobranca" href="#enderecoCobranca" aria-expanded="true" aria-controls="collapseOne1">
                            <div class="row">
                              <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                <i class="fas fa-angle-right"></i>
                              </div>
                              <div class="col-11">
                                <h4 class="title-page">
                                  Cobrança
                                </h4>
                              </div>
                            </div>
                          </a>
                        </div>
                        <div class="collapse" id="enderecoCobranca">
                          <div class="card-body">
                            <div class="pt-2 form-row" id="endereco_cobranca_geral">
                              <div class="form-group col-12" id="cepTour">
                                <div class="pt-2 form-row">
                                  <div class="form-group col-md-4 col-12">
                                    <label>Cep</label>
                                    <div class="input-group">
                                      <input type="text" class="input-default focus form-control" id="txtCepCobranca" name="txtCepCobranca">
                                      <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnCepCobranca" name="btnCepCobranca" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaCepCobranca" name="btnLimpaCepCobranca" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                      </div>
                                    </div>
                                  </div>
                                  <div class="form-group col-md-4 col-12">
                                    <label>Cidade</label>
                                    <input type="text" class="input-default form-control" id="txtCidadeCobranca" name="txtCidadeCobranca" placeholder="Cidade" readonly>
                                  </div>
                                  <div class="form-group col-md-4 col-12">
                                    <label>UF</label>
                                    <input type="text" class="input-default form-control" id="txtUFCobranca" name="txtUFCobranca" placeholder="UF" readonly>
                                  </div>
                                </div>
                                <div class="form-group">
                                  <label>Rua</label>
                                  <input type="text" class="input-default focus form-control" id="txtRuaCobranca" name="txtRuaCobranca" placeholder="Rua">
                                </div>
                                <div class="form-row">
                                  <div class="form-group col-md-4 col-12">
                                    <label>Número</label>
                                    <input type="text" class="input-default focus form-control" id="txtNumeroCobranca" name="txtNumeroCobranca" placeholder="Número">
                                  </div>
                                  <div class="form-group col-md-4 col-12">
                                    <label>Bairro</label>
                                    <input type="text" class="input-default focus form-control" id="txtBairroCobranca" name="txtBairroCobranca" placeholder="Bairro">
                                  </div>
                                  <div class="form-group col-md-4 col-12">
                                    <label>Inscrição</label>
                                    <input type="text" class="input-default focus form-control" id="txtInscCob" name="txtInscCob" placeholder="Inscrição">
                                  </div>
                                  <div class="form-group col-md-12 col-12">
                                    <label>Complemento</label>
                                    <input type="text" class="input-default focus form-control" id="txtComplementoCobranca" name="txtComplementoCobranca" placeholder="Complemento">
                                  </div>
                                </div>

                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="card card-header" role="tab">
                      <a style="width:100%;" id="venda" data-toggle="collapse" data-parent="#multiCollapseExample4" href="#multiCollapseExample4" aria-expanded="true" aria-controls="collapseOne1">
                        <div class="row">
                          <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                            <i class="fas fa-angle-right"></i>
                          </div>
                          <div class="col-11">
                            <h4 class="title-page">
                              Venda
                            </h4>
                          </div>
                        </div>
                      </a>
                    </div>
                    <div class="collapse" id="multiCollapseExample4">
                      <div class="card card-body">
                        <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="venda-tab">
                          <div class="pt-2 form-row">

                            <div class="col-5" id="GrupoInfoTour">
                              <label data-error="wrong" data-success="right" for="txtRepresentante"><a id="lblRepresentantes" style="text-decoration: underline" class="hover-overlay" target="_blank">Representantes:</a>
                              </label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtRepresentante" name="txtRepresentante" class="form-control" placeholder="Representante">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-representante" name="btn-representante" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-Arepresentante" name="btn-Arepresentante" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-5" id="GrupoInfoTour">
                              <label data-error="wrong" data-success="right" for="txtTabela">Tabela </label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtTabela" name="txtTabela" class="form-control" placeholder="Tabela">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnAbreModalTabelas" name="btnAbreModalTabelas" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-plus"></i></button>
                                  <button class="btn bg-danger" id="btn-tabela" name="btn-tabela" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-Atabela" name="btn-Atabela" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>
                            <div class="form-group col-md-2 col-12">
                              <label>% Desconto</label>
                              <input type="text" class="input-default focus form-control" id="txtPercDesconto" maxlength="2">
                            </div>

                          </div>
                          <div class="form-row">
                            <div class="form-group col-md-3 col-12">
                              <label>Crédito Grupo</label>
                              <input type="number" class="input-default focus form-control" id="txtCreditoGrupo" min="0" disabled>
                            </div>
                            <div class="form-group col-md-3 col-12">
                              <label>Limite Crédito</label>
                              <input type="number" class="input-default focus form-control" id="txtLimiteCredito" min="0">
                            </div>
                            <div class="form-group col-md-3 col-12">
                              <label>Limite Usado</label>
                              <input type="number" class="input-default form-control" id="txtLimiteUsado" min="0" disabled>
                            </div>
                            <div class="form-group col-md-3 col-12">
                              <label>Limite Disponível</label>
                              <input type="number" class="input-default form-control" id="txtLimiteDisponivel" min="0" disabled>
                            </div>
                          </div>
                          <div class="form-row">
                            <div class="form-group col-md col-12">
                              <label>Limite Fidelidade</label>
                              <input type="number" class="input-default focus form-control" id="txtLimiteFidelidade" min="0">
                            </div>
                            <div class="form-group col-md col-12">
                              <label>Limite Usado</label>
                              <input type="number" class="input-default form-control" id="txtLimiteFidelidadeUsado" min="0" disabled>
                            </div>
                            <div class="form-group col-md col-12">
                              <label>Limite Disponível</label>
                              <input type="number" class="input-default form-control" id="txtLimiteFidelidadeDisponivel" min="0" disabled>
                            </div>
                            <div class="icheck-primary form-group col-md col-12">
                              <input type="checkbox" class="form-check-input" id="cbIntegraShop" style="margin-top: 31px; margin-left: 1px;">
                              <label class="form-check-label" for="cbIntegraShop" style="margin-top: 30px;">Não integrar com Sistema do Shopping</label>
                            </div>
                            <div class="icheck-primary form-group col-md col-12">
                              <input type="checkbox" class="form-check-input" id="cbGeraCashback" style="margin-top: 31px; margin-left: 1px;">
                              <label class="form-check-label" for="cbGeraCashback" style="margin-top: 30px;">Não gerar Cashback</label>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="card card-header" role="tab">
                      <a style="width:100%;" id="venda" data-toggle="collapse" data-parent="#multiCollapseContábil" href="#multiCollapseContábil" aria-expanded="true" aria-controls="collapseOne1">
                        <div class="row">
                          <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                            <i class="fas fa-angle-right"></i>
                          </div>
                          <div class="col-11">
                            <h4 class="title-page">
                              Contábil
                            </h4>
                          </div>
                        </div>
                      </a>
                    </div>
                    <div class="collapse" id="multiCollapseContábil">
                      <div class="card card-body">
                        <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="venda-tab">
                          <div class="pt-2 form-row" style="margin-bottom: 1.5%">

                            <div class="col-6" id="GrupoInfoTour">
                              <label data-error="wrong" data-success="right" for="txtContaCliente">Conta Cliente
                              </label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtContaCliente" name="txtContaCliente" class="form-control" placeholder="Conta Cliente">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-contacliente" name="btn-contacliente" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-limpa-contacliente" name="btn-limpa-contacliente" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-6" id="GrupoInfoTour">
                              <label data-error="wrong" data-success="right" for="txtContaFornecedor">Conta Fornecedor
                              </label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtContaFornecedor" name="txtContaFornecedor" class="form-control" placeholder="Conta Fornecedor">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-contafornecedor" name="btn-contafornecedor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-limpa-contafornecedor" name="btn-limpa-contafornecedor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-6" id="GrupoInfoTour">
                              <label data-error="wrong" data-success="right" for="ContaCAdiantamento">Conta C. Adiantamento:
                              </label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtContaCAdiantamento" name="txtContaCAdiantamento" class="form-control" placeholder="Conta Cliente Adiantamento">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-Cadiantamento" name="btn-Cadiantamento" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-limpa-Cadiantamento" name="btn-limpa-Cadiantamento" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-6" id="GrupoInfoTour">
                              <label data-error="wrong" data-success="right" for="ContaFAdiantamento">Conta F. Adiantamento
                              </label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtContaFAdiantamento" name="txtContaFAdiantamento" class="form-control" placeholder="Conta Fornecedor Adiantamento">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-Fadiantamento" name="btn-Fadiantamento" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-limpa-Fadiantamento" name="btn-limpa-Fadiantamento" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-6" id="GrupoInfoTour">
                              <label data-error="wrong" data-success="right" for="txtContaCDevolucao">Conta C.Devolução:
                              </label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtContaCDevolucao" name="txtContaCDevolucao" class="form-control" placeholder="Conta Cliente Devolução">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-Cdevolucao" name="btn-Cdevolucao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-limpa-Cdevolucao" name="btn-limpa-Cdevolucao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-6" id="GrupoInfoTour">
                              <label data-error="wrong" data-success="right" for="txtContaFDevolucao">Conta F. Devolução
                              </label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtContaFDevolucao" name="txtContaFDevolucao" class="form-control" placeholder="Conta Fornecedor Devolução">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-Fdevolucao" name="btn-Fdevolucao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-limpa-Fdevolucao" name="btn-limpa-Fdevolucao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>


                            <div class="col-6" id="GrupoInfoTour">
                              <!-- <label data-error="wrong" data-success="right" for="txtMoeda">Moedas
                              </label> -->
                              <label data-error="wrong underline" data-success="right" href="" for="txtMoeda"><a id="lblMoeda" style="text-decoration: underline" class="hover-overlay" target="_blank">Moedas:</a>
                              </label>
                              <div class="input-group">
                                <select class="js-example-programmatic js-states form-control" id="txtMoeda" name="txtMoeda" multiple="multiple"> </select>
                                <!-- <input type="text" autocomplete="off" class="input-default focus form-control" id="txtContaFDevolucao" name="txtContaFDevolucao" class="form-control" placeholder="Conta Fornecedor Devolução"> -->
                                <!-- <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnMoeda" name="btnMoeda" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-limpa-moeda" name="btn-limpa-moeda" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div> -->
                              </div>
                            </div>


                            <div class="col-6" id="CondicaoInfoTour">
                              <label data-error="wrong" data-success="right" for="txtCondicaoPagto">Condição
                              </label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtCondicaoPagto" name="txtCondicaoPagto" class="form-control" placeholder="Condição de Pagamento">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-CondicaoPagto" name="btn-CondicaoPagto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-limpa-ACondicaoPagto" name="btn-limpa-ACondicaoPagto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                          </div>

                        </div>
                      </div>
                    </div>

                    <div class="card card-header" role="tab">
                      <a style="width:100%;" id="adicional" data-toggle="collapse" data-parent="#multiCollapseExample5" href="#multiCollapseExample5" aria-expanded="true" aria-controls="collapseOne1">
                        <div class="row">
                          <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                            <i class="fas fa-angle-right"></i>
                          </div>
                          <div class="col-11">
                            <h4 class="title-page">
                              Adicional
                            </h4>
                          </div>
                        </div>
                      </a>
                    </div>
                    <div class="collapse" id="multiCollapseExample5">
                      <div class="card card-body">
                        <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="venda-tab">
                          <div class="pt-2 form-row" style="margin-bottom: 1.5%">

                            <div class="col-4" id="GrupoInfoTour">
                              <label data-error="wrong" data-success="right" for="txtRamoAtividade">Ramo de
                                Atividade:</label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtRamoAtividade" name="txtRamoAtividade" class="form-control" placeholder="Ramo de Atividade">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-RamoAtividade" name="btn-RamoAtividade" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-ARamoAtividade" name="btn-ARamoAtividade" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-4" id="GrupoInfoTour">
                              <label data-error="wrong" data-success="right" for="txtRegiao">Região:</label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtRegiao" name="txtRegiao" class="form-control" placeholder="Região">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-Regiao" name="btn-Regiao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-ARegiao" name="btn-ARegiao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-4" id="GrupoInfoTour">
                              <label data-error="wrong underline" data-success="right" href="" for="txtSetor"><a id="lblSetor" style="text-decoration: underline" class="hover-overlay" target="_blank">Setor:</a>
                              </label>
                              <div class="input-group">
                                <select class="js-example-programmatic js-states form-control" id="txtSetor" name="txtSetor" multiple="multiple"> </select>
                                <div class="input-group-append">
                                  <button class="btn bg-danger d-none" id="btnSetor" name="btnSetor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger d-none" id="btnLimpaSetor" name="btnLimpaSetor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="form-group col-4">
                              <label data-error="wrong" data-success="right" for="txtCanalContato">Canal de Contato: </label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtCanalContato" name="txtCanalContato" placeholder="Canal de Contato">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-CanalContato" name="btn-CanalContato" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-limpa-CanalContato" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="form-group col-4" id="ClasseInfoTour">
                              <label data-error="wrong" data-success="right" for="txtClasse">Classe: *</label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasse" name="txtClasse" class="form-control" placeholder="Classe">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-Classe" name="btn-Classe" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-limpa-Classe" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="form-group col-4">
                              <label data-error="wrong" data-success="right" for="txtConfXML">Conf. XML:</label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtConfXML" name="txtConfXML" class="form-control" placeholder="Conf. XML">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnConfXML" name="btnConfXML" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btnLimpaConfXML" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="form-group col-4" id="localTrabTour">
                              <label> Local de Trabalho:</label>
                              <input type="text" class="input-default focus form-control validate" id="txtLocalTrab" name="txtLocalTrab" placeholder="Local de Trabalho" maxlength="50">
                            </div>
                            <div class="form-group col-4" id="nomepaitour">
                              <label> Nome Pai:</label>
                              <input type="text" class="input-default focus form-control validate" id="txtNomePai" name="txtNomePai" placeholder="Nome Pai" maxlength="50">
                            </div>
                            <div class="form-group col-4" id="nomemaetour">
                              <label> Nome Mãe:</label>
                              <input type="text" class="input-default focus form-control validate" id="txtNomeMae" name="txtNomeMae" placeholder="Nome Mãe" maxlength="50">
                            </div>
                            <div class="form-group col-4" id="estadociviltour">
                              <label> Estado Civil:</label>
                              <input type="text" class="input-default focus form-control validate" id="txtEstadoCivil" name="txtEstadoCivil" placeholder="Estado Civil" maxlength="50">
                            </div>
                            <div class="form-group col-4" id="rendatour">
                              <label> Renda:</label>
                              <input type="text" class="input-default focus form-control validate" id="txtRenda" name="txtRenda" placeholder="Renda" value="0.00" maxlength="50">
                            </div>
                            <div class="form-group col-4" id="dtadmissaotour">
                              <label> Data Admissão:</label>
                              <input type="date" max="2500-12-31" class="input-default focus form-control validate" id="txtDtAdmissao" name="txtDtAdmissao" value="1899-12-30" maxlength="50">
                            </div>
                            <div class="form-group col-md-3">
                              <label>Tributação:</label>
                              <select id="rgTributacao" class="input-default focus custom-select select-ent">
                                <option value="" selected>Selecione uma opção</option>
                                <option value="A">A - Normal s/ Substituição</option>
                                <option value="N">N - Normal c/ Substituição - Regime Normal</option>
                                <option value="L">L - Normal c/ Substituição - Simples Nacional</option>
                                <option value="D">D - Diferenciada c/ Substituição</option>
                                <option value="S">S - Simples</option>
                                <option value="R">R - Simples s/ Inscrição Estatual</option>
                                <option value="C">C - Carga Média</option>
                                <option value="P">P - Substituição com Alíq.Simples</option>
                              </select>
                            </div>
                            <div class="form-group col-3" id="GrupoInfoTour">
                              <label data-error="wrong" data-success="right" for="txtGrupo">Grupo:</label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtGrupo" name="txtGrupo" placeholder="Grupo">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-Grupo" name="btn-Grupo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-AGrupo" name="btn-AGrupo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>
                            <div class="form-group col-3" id="HistóricoInfoTour">
                              <label data-error="wrong" data-success="right" for="txtHistorico">Histórico:</label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtHistorico" name="txtHistorico" placeholder="Histórico">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-Historico" name="btn-Historico" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-AHistorico" name="btn-AHistorico" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>
                            <div class="form-group col-3" id="HistóricoInfoTour">
                              <label data-error="wrong" data-success="right" for="txtPerfil">Perfil:</label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtPerfil" name="txtPerfil" placeholder="Perfil">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnPerfil" name="btnPerfil" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btnLimpaPerfil" name="btnLimpaPerfil" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>
                            <div class="form-group col-4" id="BancoInfoTour">
                              <label data-error="wrong" data-success="right" for="txtBanco"><a id="lblBanco" style="text-decoration: underline" class="hover-overlay" target="_blank">Banco:</a></label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtBanco" name="txtBanco" placeholder="Banco">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-Banco" name="btn-Banco" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-ABanco" name="btn-ABanco" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>
                            <div class="form-group col-4" id="ContaInfoTour">
                              <label data-error="wrong" data-success="right" for="txtConta">Conta:</label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtConta" name="txtConta" placeholder="Conta">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-Conta" name="btn-Conta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-AConta" name="btn-AConta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>
                            <div class="form-group col-4">
                              <label> Agência:</label>
                              <input type="text" class="input-default focus form-control validate" id="txtAgencia" name="txtAgencia" placeholder="Agência">
                            </div>
                            <div class="form-group col-4" id="SitDupInfoTour">
                              <label data-error="wrong" data-success="right" for="txtSitDup">Situação da duplicata:</label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtSitDup" name="txtSitDup" placeholder="Situação da duplicata">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-SitDup" name="btn-SitDup" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-ASitDup" name="btn-ASitDup" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>
                            <div class="form-group col-4">
                              <label>Tipo Frete:</label>
                              <select id="rgTipoFrete" class="input-default focus custom-select select-ent">
                                <option value="" selected>Selecione uma opção</option>
                                <option value="0">0 - Contratação do Frete por conta do Remetente (CIF)</option>
                                <option value="1">1 - Contratação do Frete por conta do Destinatário (FOB)</option>
                                <option value="2">2 - Contratação do Frete por conta de Terceiros</option>
                                <option value="3">3 - Transporte Próprio por conta do Remetente</option>
                                <option value="4">4 - Transporte Próprio por conta do Destinatário</option>
                                <option value="9">9 - Sem Ocorrência de Transporte</option>
                              </select>
                            </div>
                            <div class="form-group col-4">
                              <label data-error="wrong" data-success="right" for="txtTransportadora">Transportadora</label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtTransportadora" name="txtTransportadora" placeholder="Transportadora">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnPesquisaTransportadora" name="btnPesquisaTransportadora" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btnLimpaTransportadora" name="btnLimpaTransportadora" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>
                            <div class="form-group col-4">
                              <label> Código Importado:</label>
                              <input type="text" class="input-default focus form-control validate" disabled id="txtCodImportado" name="txtCodImportado" placeholder="Código Importado">
                            </div>
                            <div class="form-group col-4">
                              <label data-error="wrong" data-success="right" for="txtCnae">CNAE:</label>
                              <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtCnae" name="txtCnae" placeholder="CNAE">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnCnae" name="btnCnae" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btnLimpaCnae" name="btnLimpaCnae" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>
                            <div class="form-group col-12" id="MidiasSociaisInfoTour">
                              <label data-error="wrong" data-success="right" for="txtMidiaSocial">Midias Sociais</label>
                              <div class="input-group">
                                <textarea style="resize: none" id="txtMidiaSocial" maxlength="1000" placeholder="Midias Sociais" class="input-default focus form-control" rows="3"></textarea>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="card card-header" role="tab">
                      <a style="width:100%;" id="abaContatos" data-toggle="collapse" data-parent="#multiCollapseExample5" href="#multiCollapseExample26" aria-expanded="true" aria-controls="collapseOne1">
                        <div class="row">
                          <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                            <i class="fas fa-angle-right"></i>
                          </div>
                          <div class="col-11">
                            <h4 class="title-page">
                              Contatos
                            </h4>
                          </div>
                        </div>
                      </a>
                    </div>
                    <div class="collapse" id="multiCollapseExample26">
                      <div class="card card-body">
                        <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="venda-tab">
                          <div class="pt-2 form-row">
                            <div class="col-lg-12 table-responsive table-selecttable-lg">
                              <table id="tabelaContatosEntidade" class="table table-sm table-select table-hover" style="width: 100%; white-space: nowrap">
                                <thead>
                                </thead>
                                <tbody>
                                </tbody>
                              </table>
                            </div>
                            <button type="button" class="btn btn-primary btn-sisp mt-2" id="btnAlteraContato">Incluir/Alterar Contatos</button>
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="card card-header" role="tab">
                      <a style="width:100%;" id="abaHistoricoOcorrencias" data-toggle="collapse" data-parent="#multiCollapseExample10" href="#multiCollapseExample10" aria-expanded="true" aria-controls="collapseOne1">
                        <div class="row">
                          <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                            <i class="fas fa-angle-right"></i>
                          </div>
                          <div class="col-11">
                            <h4 class="title-page">
                              Histórico / Ocorrências
                            </h4>
                          </div>
                        </div>
                      </a>
                    </div>
                    <div class="collapse" id="multiCollapseExample10">
                      <div class="card card-body">
                        <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="venda-tab">
                          <div class="pt-2 form-row">
                            <div class="col-lg-12 table-responsive table-selecttable-lg">
                              <table id="tabelaHistoricoOcorrencias" class="table table-sm table-select table-hover" style="width: 100%; white-space: nowrap">
                                <thead>
                                </thead>
                                <tbody>
                                </tbody>
                              </table>
                            </div>
                            <button type="button" class="btn btn-primary btn-sisp mt-2" id="btnAlteraOcorrencias">Incluir/Excluir Ocorrências</button>
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="card card-header" role="tab">
                      <a style="width:100%;" id="venctoDup" data-toggle="collapse" data-parent="#multiCollapseExample6" href="#multiCollapseExample6" aria-expanded="true" aria-controls="collapseOne1">
                        <div class="row">
                          <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                            <i class="fas fa-angle-right"></i>
                          </div>
                          <div class="col-11">
                            <h4 class="title-page">
                              Dados Faturamento / Certificações
                            </h4>
                          </div>
                        </div>
                      </a>
                    </div>
                    <div class="collapse" id="multiCollapseExample6">
                      <div class="card card-body">
                        <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="venda-tab">
                          <div class="pt-2 form-row" style="margin-bottom: 1.5%">

                            <div class="col-7 form">
                              <fieldset class="form border-Field mb-0 pb-0">
                                <legend class="textoBorda mb-0 pb-0">Vencimento de Duplicatas</legend>

                                <div class="form-row mb-3 mt-2">
                                  <div class="form-group col-md-3">
                                    <select id="rgSemanaMes" class="input-default focus custom-select select-ent">
                                      <option value="SEMANA" selected>Semana</option>
                                      <option value="MES">Mês</option>
                                    </select>
                                  </div>

                                  <div class="form-row col-md-12" style="margin-top: 15px;">

                                    <div class="form-group form-check ml-1 ml-3 pr-3 cbsSemana" style="border-right: 1px solid var(--font-color);padding-left: 0;">
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsSemana" id="cbSemana0">
                                        <label class="form-check-label pr-2" for="cbSemana0">1 - Domingo</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsSemana" id="cbSemana1">
                                        <label class="form-check-label pr-2" for="cbSemana1">2 - Segunda</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsSemana" id="cbSemana2">
                                        <label class="form-check-label pr-2" for="cbSemana2">3 - Terça</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsSemana" id="cbSemana3">
                                        <label class="form-check-label pr-2" for="cbSemana3">4 - Quarta</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsSemana" id="cbSemana4">
                                        <label class="form-check-label pr-2" for="cbSemana4">5 - Quinta</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsSemana" id="cbSemana5">
                                        <label class="form-check-label pr-2" for="cbSemana5">6 - Sexta</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsSemana" id="cbSemana6">
                                        <label class="form-check-label pr-2" for="cbSemana6">7 - Sábado</label>
                                      </div>
                                    </div>

                                    <div class="form-group form-check ml-1" style="border-right: 1px solid var(--font-color)"> </div>

                                    <div class="form-group form-check pr-4 cbsMes" style="border-right: 1px solid var(--font-color)">
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia1">
                                        <label class="form-check-label" for="cbDia1">1</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia2">
                                        <label class="form-check-label" for="cbDia2">2</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia3">
                                        <label class="form-check-label" for="cbDia3">3</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia4">
                                        <label class="form-check-label" for="cbDia4">4</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia5">
                                        <label class="form-check-label" for="cbDia5">5</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia6">
                                        <label class="form-check-label" for="cbDia6">6</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia7">
                                        <label class="form-check-label" for="cbDia7">7</label>
                                      </div>
                                    </div>

                                    <div class="form-group form-check ml-1" style="border-right: 1px solid var(--font-color)"> </div>

                                    <div class="form-group form-check pr-4 cbsMes" style="border-right: 1px solid var(--font-color)">
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia8">
                                        <label class="form-check-label" for="cbDia8">8</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia9">
                                        <label class="form-check-label" for="cbDia9">9</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia10">
                                        <label class="form-check-label" for="cbDia10">10</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia11">
                                        <label class="form-check-label" for="cbDia11">11</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia12">
                                        <label class="form-check-label" for="cbDia12">12</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia13">
                                        <label class="form-check-label" for="cbDia13">13</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia14">
                                        <label class="form-check-label" for="cbDia14">14</label>
                                      </div>
                                    </div>

                                    <div class="form-group form-check ml-1" style="border-right: 1px solid var(--font-color)"> </div>

                                    <div class="form-group form-check pr-4 cbsMes" style="border-right: 1px solid var(--font-color)">
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia15">
                                        <label class="form-check-label" for="cbDia15">15</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia16">
                                        <label class="form-check-label" for="cbDia16">16</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia17">
                                        <label class="form-check-label" for="cbDia17">17</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia18">
                                        <label class="form-check-label" for="cbDia18">18</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia19">
                                        <label class="form-check-label" for="cbDia19">19</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia20">
                                        <label class="form-check-label" for="cbDia20">20</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia21">
                                        <label class="form-check-label" for="cbDia21">21</label>
                                      </div>
                                    </div>

                                    <div class="form-group form-check ml-1" style="border-right: 1px solid var(--font-color)"> </div>

                                    <div class="form-group form-check pr-4 cbsMes" style="border-right: 1px solid var(--font-color)">
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia22">
                                        <label class="form-check-label" for="cbDia22">22</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia23">
                                        <label class="form-check-label" for="cbDia23">23</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia24">
                                        <label class="form-check-label" for="cbDia24">24</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia25">
                                        <label class="form-check-label" for="cbDia25">25</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia26">
                                        <label class="form-check-label" for="cbDia26">26</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia27">
                                        <label class="form-check-label" for="cbDia27">27</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia28">
                                        <label class="form-check-label" for="cbDia28">28</label>
                                      </div>
                                    </div>

                                    <div class="form-group form-check ml-1" style="border-right: 1px solid var(--font-color)"> </div>

                                    <div class="form-group form-check pr-4 cbsMes">
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia29">
                                        <label class="form-check-label" for="cbDia29">29</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia30">
                                        <label class="form-check-label" for="cbDia30">30</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input cbsMes" id="cbDia31">
                                        <label class="form-check-label" for="cbDia31">31</label>
                                      </div>
                                    </div>
                                  </div>

                                </div>
                              </fieldset>
                            </div>

                            <div class="col-2 form">
                              <fieldset class="form border-Field mb-0 pb-0 h-100">
                                <legend class="textoBorda mb-0 pb-0">Suframa</legend>

                                <div class="form-row col-md-12" style="margin-top: 1px;">
                                  <div class="form-group px-0 mb-2 col-12">
                                    <div class="form-group col-12" id="Suframatour">
                                      <label><a style="text-decoration: underline" href="https://servicos.suframa.gov.br/servicos/" target="_blank">Suframa</a></label>
                                      <input type="text" class="input-default focus form-control validate" id="txtSuframa" name="txtSuframa" placeholder="Suframa">
                                    </div>
                                    <div class="form-group col-12" id="ValidadeSuframatour">
                                      <label>Validade</label>
                                      <input type="date" class="input-default focus form-control validate" id="txtValidadeSuframa" name="txtValidadeSuframa">
                                    </div>
                                    <div class="form-group col-10  mt-3">
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input" id="cbBenefIcms">
                                        <label class="form-check-label" for="cbBenefIcms">Benefício ICMS</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input" id="cbBenefPis">
                                        <label class="form-check-label" for="cbBenefPis">Benefício PIS</label>
                                      </div>
                                      <div class="icheck-primary block">
                                        <input type="checkbox" class="form-check-input" id="cbBenefCofins">
                                        <label class="form-check-label" for="cbBenefCofins">Benefício COFINS</label>
                                      </div>
                                    </div>
                                  </div>
                                </div>

                              </fieldset>
                            </div>

                            <div class="col-3 form">
                              <fieldset class="form border-Field mb-0 pb-0 h-100">
                                <legend class="textoBorda mb-0 pb-0">Certificações</legend>
                                <div class="form-row col-md-12" style="margin-top: 1px;">
                                  <div class="form-group px-0 mb-2 col-12">
                                    <div class="form-group col-12" id="ABVTEXTour">
                                      <label>ABVTEX:</label>
                                      <input type="text" class="input-default focus form-control validate" id="txtABVTEX" name="txtABVTEX" placeholder="ABVTEX">
                                    </div>
                                    <div class="form-group col-12" id="DisneyTour">
                                      <label>Disney:</label>
                                      <input type="text" class="input-default focus form-control validate" id="txtDisney" name="txtDisney" placeholder="Disney">
                                    </div>
                                    <div class="form-group col-12" id="dtABVTEXtour">
                                      <label>Validade ABVTEX</label>
                                      <input type="date" class="input-default focus form-control validate" id="dtABVTEX" value='1899-01-01' name="dtABVTEX">
                                    </div>
                                    <div class="form-group col-12" id="dtLicenciadoTour">
                                      <label>Licenciado</label>
                                      <input type="date" class="input-default focus form-control validate" id="dtLicenciado" value='1899-01-01' name="dtLicenciado">
                                    </div>
                                  </div>
                                </div>
                              </fieldset>
                            </div>

                          </div>
                        </div>
                      </div>
                    </div>








                    <div class="card card-header" role="tab" id="abaInfosEstatisticas">
                      <a style="width:100%;" id="" data-toggle="collapse" data-parent="#inf-estatistica" href="#inf-estatistica" aria-expanded="true" aria-controls="collapseOne1">
                        <div class="row">
                          <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                            <i class="fas fa-angle-right"></i>
                          </div>
                          <div class="col-11">
                            <h4 class="title-page">
                              Informações e Estatísticas
                            </h4>
                          </div>
                        </div>
                      </a>
                    </div>

                    <div class="collapse" id="inf-estatistica">
                      <div class="card card-body">
                        <div class="col-12">

                          <!-- inicio -->
                          <div class="card card-dark card-tabs">
                            <div class="card-header p-0 pt-1">
                              <ul class="nav nav-tabs" id="custom-tabs-one-tab" role="tablist" style="margin-left:5px;">
                                <li class="nav-item">
                                  <a class="nav-link active" id="titulos" data-toggle="pill" href="#abaTitulos" role="tab" aria-controls="abaTitulos" aria-selected="false">Títulos</a>
                                </li>
                                <li class="nav-item">
                                  <a class="nav-link" id="estatisticas" data-toggle="pill" href="#abaEstatisticas" role="tab" aria-controls="abaEstatisticas" aria-selected="false">Estatísticas</a>
                                </li>
                              </ul>
                            </div>
                            <div class="card-body" style="margin-top:10px;">
                              <div class="tab-content" id="custom-tabs-one-tabContent">
                                <div class="tab-pane fade active show" id="abaTitulos" role="tabpanel" aria-labelledby="titulos">
                                  <div class="row mt-2 mb-3">

                                    <div class="col-xl-auto col-lg-6 col-12">
                                      <fieldset class="form border-Field p-0" style="margin-top: 16px !important;">
                                        <legend class="textoBorda pb-0 mb-0">Listar</legend>
                                        <div class="form-row justify-content-center">
                                          <div class="icheck-primary mr-2" style="margin-bottom: 5px !important;"><input type="radio" checked id="rdListarPendente" name="rdListar" value="0"><label for="rdListarPendente">Pendentes</label></div>
                                          <div class="icheck-primary" style="margin-bottom: 5px !important;"><input type="radio" id="rdListarTodos" name="rdListar" value="1"><label for="rdListarTodos">Todos</label></div>
                                        </div>
                                      </fieldset>
                                    </div>

                                    <div class="col-xl-auto col-lg-6 col-12">
                                      <fieldset class="form border-Field p-0" style="margin-top: 16px !important;">
                                        <legend class="textoBorda pb-0 mb-0">Titulos</legend>
                                        <div class="form-row justify-content-center">
                                          <div class="icheck-primary mr-2" style="margin-bottom: 5px !important;"><input type="radio" checked id="rdTituloTodos" name="rdTitulo" value="0"><label for="rdTituloTodos">Todos</label></div>
                                          <div class="icheck-primary mr-2" style="margin-bottom: 5px !important;"><input type="radio" id="rdTituloDuplicata" name="rdTitulo" value="1"><label for="rdTituloDuplicata">Duplicata</label></div>
                                          <div class="icheck-primary mr-2" style="margin-bottom: 5px !important;"><input type="radio" id="rdTituloCheques" name="rdTitulo" value="2"><label for="rdTituloCheques">Cheques</label></div>
                                          <div class="icheck-primary mr-2" style="margin-bottom: 5px !important;"><input type="radio" id="rdTituloAntecipacao" name="rdTitulo" value="3"><label for="rdTituloAntecipacao">Antecipação</label></div>
                                          <div class="icheck-primary mr-2" style="margin-bottom: 5px !important;"><input type="radio" id="rdTituloDevolucao" name="rdTitulo" value="4"><label for="rdTituloDevolucao">Devolução</label></div>
                                          <div class="icheck-primary" style="margin-bottom: 5px !important;"><input type="radio" id="rdTituloChequeDevol" name="rdTitulo" value="5"><label for="rdTituloChequeDevol">Cheque Devolvido</label></div>
                                        </div>
                                      </fieldset>
                                    </div>

                                    <div class="col-xl-auto col-lg-6 col-12">
                                      <fieldset class="form border-Field p-0" style="margin-top: 16px !important;">
                                        <legend class="textoBorda pb-0 mb-0">Ordem</legend>
                                        <div class="form-row justify-content-center">
                                          <div class="icheck-primary mr-2" style="margin-bottom: 5px !important;"><input type="radio" id="rdOrdemTitulo" name="rdOrdem" value="0"><label for="rdOrdemTitulo">Título</label></div>
                                          <div class="icheck-primary mr-2" style="margin-bottom: 5px !important;"><input type="radio" checked id="rdOrdemVencimento" name="rdOrdem" value="1"><label for="rdOrdemVencimento">Vencimento</label></div>
                                          <div class="icheck-primary mr-2" style="margin-bottom: 5px !important;"><input type="radio" id="rdOrdemEmissao" name="rdOrdem" value="2"><label for="rdOrdemEmissao">Emissão</label></div>
                                          <div class="icheck-primary" style="margin-bottom: 5px !important;"><input type="radio" id="rdOrdemStatus" name="rdOrdem" value="3"><label for="rdOrdemStatus">Status/Emissão</label></div>
                                        </div>
                                      </fieldset>
                                    </div>

                                    <div class="col-xl col-lg-6 col-12 mt-4 p-1 centralizaBotao">
                                      <button class="btn btn-danger btn-sisp" type='button' id="btnSelecionarEmpresas" style="margin-right: 12px;">Selecionar Empresas</button>
                                    </div>
                                  </div>

                                  <div class="row mt-3">
                                    <div class="form-group group-default col-xl-4 col-lg col-12">
                                      <label for="txtDataPesquisa">Data de Pesquisa De/Até:</label>
                                      <div class="d-flex">
                                        <input type="date" max="2500-12-31" value="1200-01-01" autocomplete="off" class="input-default focus form-control validatel" id="txtDataPesquisaDe" name="txtDataPesquisa">  
                                        <input type="date" max="2500-12-31" value="2500-12-31" autocomplete="off" class="input-default focus form-control validatel" id="txtDataPesquisaAte" name="txtDataVencimentoDup">
                                      </div>
                                    </div>
                                    <div class="col-lg-8">
                                      <button type="button" class="btn btn-danger btn-sisp mt-2 mb-2 float-right" id="btnImprimirRelInfEst">Imprimir</button>
                                      <button class="btn btn-primary btn-sisp mr-2 mt-2 mb-2 float-right" type='button' id="btnTitulo">Consultar</button>
                                    </div>
                                  </div>


                                  <div class="col-lg-12 table-selecttable-lg mt-1">
                                    <table id="tabelaInfonrmacaoEstatistica" class="table table-sm table-hover table-select table-condensed" style="width:100%;">
                                      <thead>
                                      </thead>
                                      <tbody>
                                      </tbody>
                                    </table>
                                  </div>

                                </div>
                                <div class="tab-pane fade" id="abaEstatisticas" role="tabpanel" aria-labelledby="vendas">
                                  <div class="row">
                                    <div class="col-sm-3 col-lg-3">
                                      <div class="group-default form-group">
                                        <label for="txtEstatisticasVendaDe">Vendas De/ Até: </label>
                                        <div class="input-group">
                                          <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="txtEstatisticasVendaDe" name="txtEstatisticasVendaDe">
                                          <input type="date" max="2500-12-31" value="2500-12-01" class="input-default focus form-control validate" id="txtEstatisticasVendaAte" name="txtEstatisticasVendaAte">
                                        </div>
                                      </div>
                                    </div>
                                    <div class="col-sm-3 col-lg-3">
                                      <label data-error="wrong" data-success="right" for="txtEstatisticasTipoVenda">Tipo de Venda:</label>
                                      <div class="input-group">
                                        <input type="text" data-selecionado="false" class="input-default focus form-control" id="txtEstatisticasTipoVenda" name="txtEstatisticasTipoVenda" class="form-control" placeholder="Tipo de Venda">
                                        <div class="input-group-append">
                                          <button class="btn bg-danger" id="btnEstatisticasTipoVenda" name="btnEstatisticasTipoVenda" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                          <button class="btn bg-danger" id="btnEstatisticasLimpaTipoVenda" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="col-xl-auto col-lg-4 col-12" id="tipos" style="padding-top: 18px;">
                                      <fieldset class="form border-Field mb-0 pb-0">
                                        <legend class="textoBorda mb-0 pb-0">Status</legend>
                                        <div class="form-row">
                                          <div class="icheck-primary">
                                            <input type="checkbox" class="form-check-input" checked id="cbEmitido">
                                            <label class="form-check-label pr-2" for="cbEmitido">Emitido</label>
                                          </div>
                                          <div class="icheck-primary'">
                                            <input type="checkbox" class="form-check-input" id="cbPendente">
                                            <label class="form-check-label pr-2" for="cbPendente">Pendente</label>
                                          </div>
                                          <div class="icheck-primary'">
                                            <input type="checkbox" class="form-check-input" id="cbAgrupada">
                                            <label class="form-check-label pr-2" for="cbAgrupada">Agrupada</label>
                                          </div>
                                          <div class="icheck-primary'">
                                            <input type="checkbox" class="form-check-input" id="cbDevolvido">
                                            <label class="form-check-label pr-2" for="cbDevolvido">Devolvido</label>
                                          </div>
                                          <div class="icheck-primary' ml-3">
                                            <input type="checkbox" class="form-check-input" id="cbCancelada">
                                            <label class="form-check-label pr-2" for="cbCancelada">Cancelada</label>
                                          </div>
                                        </div>
                                      </fieldset>
                                    </div>
                                    <div class="col-sm-12 col-lg-2 pt-4">
                                      <button type="button" id="btnEstatisticasSelecionarEmpresasVendas" class="btn btn-danger">Selecionar Empresas</button>
                                    </div>
                                    <div class="col-sm-12">
                                      <button id="btnEstatisticasImprimir" type="button" class="btn btn-danger btn-sisp mt-2 mb-2 float-right">Imprimir</button>
                                      <button id="btnEstatisticaConsultarEntidade" type="button" class="btn btn-primary btn-sisp mr-2 mt-2 mb-2 float-right"> Consultar</button>
                                      <!-- <button id="btnEstatisticaFiltros" type="button" class="btn btn-secondary btn-sisp mr-2 mt-2 mb-2 float-right"><i class="fas fa-filter"></i>
                                        Filtros</button> -->
                                    </div>
                                    <div class="col-sm-12 pt-2 table-responsive">
                                      <table id="tabelaEstatisticaVendasEntidade" class="table table-sm table-hover table-select table-condensed" style="width: 100%" ;>
                                        <thead>
                                        </thead>
                                        <tbody>
                                        </tbody>
                                      </table>
                                    </div>
                                    <div class="col-sm-2 col-12 mt-3">
                                      <label data-error="wrong" class="labelGeral" data-success="right" for="txtTotalEstatisticaQuantidade">
                                        Total Quantidade</label>
                                      <input style="max-width: 130px;" readonly type="text" class="input-default focus form-control validate" value='0' id="txtTotalEstatisticaQuantidade" name="txtTotalEstatisticaQuantidade">
                                    </div>
                                    <div class="col-sm-2 col-12 mt-3">
                                      <label data-error="wrong" class="labelGeral" data-success="right" for="txtTotalEstatisticaValor">
                                        Total Valor</label>
                                      <input style="max-width: 130px;" readonly type="text" class="input-default focus form-control validate" value='0' id="txtTotalEstatisticaValor" name="txtTotalEstatisticaValor">
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>

                          <!-- fim -->
                        </div>
                      </div>
                    </div>

                    <div class="card card-header" role="tab">
                      <a style="width:100%;" id="abaObsSerasa" data-toggle="collapse" data-parent="#multiCollapseExample9" href="#multiCollapseExample9" aria-expanded="true" aria-controls="collapseOne1">
                        <div class="row">
                          <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                            <i class="fas fa-angle-right"></i>
                          </div>
                          <div class="col-11">
                            <h4 class="title-page">
                              Observações Serasa / Observações SPC
                            </h4>
                          </div>
                        </div>
                      </a>
                    </div>
                    <div class="collapse" id="multiCollapseExample9">
                      <div class="card card-body">
                        <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="venda-tab">
                          <div class="pt-4 form-row">
                            <div class="tab-pane fade show active d-flex" role="tabpanel" aria-labelledby="venda-tab">
                              <div class="col-8">
                                <div class="form-group col-md-4 col-6">
                                  <label>Última Consulta:</label>
                                  <input type="date" max="2500-12-31" class="input-default focus form-control" value='1899-01-01' id="dtUltimaConsultaSPC">
                                </div>
                                <div class="form-group col-md-4 col-6">
                                  <label>Entrada:</label>
                                  <input type="date" max="2500-12-31" class="input-default focus form-control" value='1899-01-01' id="dtEntradaSPC">
                                </div>
                                <div class="form-group col-md-4 col-6">
                                  <label>Saída:</label>
                                  <input type="date" max="2500-12-31" class="input-default focus form-control" value='1899-01-01' id="dtSaidaSPC">
                                </div>
                                <label id="lblConsultaVencida" class="ml-3 mt-2 d-none" style="color: red">Consulta Vencida (Última Consulta + Validade ultrapassam a Data atual)</label>
                              </div>
                              <div class="col-3">
                                <div class="form-group col-md-12 col-12">
                                  <label>Validade Ult. Cons:</label>
                                  <input type="number" class="input-default focus form-control" id="txtValidadeUltimaConsulta">
                                </div>
                                <div class="form-group col-md-12 col-12">
                                  <label>Score Serasa:</label>
                                  <input type="number" class="input-default focus form-control" id="txtScoreSerasa">
                                </div>
                              </div>
                              <div class="form-group form-check col-4 mt-4">
                                <div class="icheck-primary">
                                  <input type="checkbox" class="form-check-input" id="cbClienteSPC">
                                  <label class="form-check-label pr-2" for="cbClienteSPC">Cliente</label>
                                </div>
                                <div class="icheck-primary">
                                  <input type="checkbox" class="form-check-input" id="cbCientePassouSPC">
                                  <label class="form-check-label pr-2" for="cbCientePassouSPC">Cliente já passou</label>
                                </div>
                                <div class="icheck-primary">
                                  <input type="checkbox" class="form-check-input" id="cbPossuiRenegociacaoAtrasadaSPC">
                                  <label class="form-check-label pr-2" for="cbPossuiRenegociacaoAtrasadaSPC">Possui Renegociação Atrasada</label>
                                </div>
                                <div class="icheck-primary">
                                  <input type="checkbox" class="form-check-input" id="cbColocadoSPC">
                                  <label class="form-check-label pr-2" for="cbColocadoSPC">Colocado pela Empresa</label>
                                </div>
                              </div>
                            </div>
                            <div class="col-lg-12 table-selecttable-lg mt-4">
                              <table id="tabelaObsSerasa" class="table table-sm table-hover table-select table-condensed" style="width:100%;">
                                <thead>
                                  <tr>
                                    <th>NUMERO</th>
                                    <th>OBSERVACAO</th>
                                  </tr>
                                </thead>
                                <tbody>
                                </tbody>
                              </table>
                            </div>
                            <button type="button" class="btn btn-primary btn-sisp mt-2 mb-2" id="btnIncluiObsSerasaCert">Incluir Serasa</button>
                          </div>
                        </div>
                      </div>
                    </div>

                    <!-- <div class="card card-header" role="tab">
                                                <a style="width:100%;" id="venda" data-toggle="collapse" data-parent="#multiCollapseExample6" href="#multiCollapseExample6" aria-expanded="true" aria-controls="collapseOne1">
                                                    <div class="row">
                                                        <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                                            <i class="fas fa-angle-right"></i>
                                                        </div>
                                                        <div class="col-11">
                                                            <h4 class="title-page">
                                                                Contábil
                                                            </h4>
                                                        </div>
                                                    </div>
                                                </a>
                                            </div>
                                            <div class="collapse" id="multiCollapseExample6">
                                                <div class="card card-body">
                                                    <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="venda-tab">
                                                        <div class="pt-2 form-row" style="margin-bottom: 1%">
                                                            <div class="col-6" id="GrupoInfoTour">
                                                                <label data-error="wrong" data-success="right" for="txtContaCliente">Conta Cliente</label>
                                                                <div class="input-group">
                                                                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtContaCliente" name="txtContaCliente" class="form-control" placeholder="Conta Cliente">
                                                                    <div class="input-group-append">
                                                                        <button class="btn bg-danger" id="btn-ContaCliente" name="btn-ContaCliente" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                        <button class="btn bg-danger" id="btn-AContaCliente" name="btn-AContaCliente" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-6" id="GrupoInfoTour">
                                                                <label data-error="wrong" data-success="right" for="txtContaCAdiant">Conta C. Adiant.</label>
                                                                <div class="input-group">
                                                                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtContaCAdiant" name="txtContaCAdiant" class="form-control" placeholder="Conta Cliente Adiantamento">
                                                                    <div class="input-group-append">
                                                                        <button class="btn bg-danger" id="btn-ContaCAdiant" name="btn-ContaCAdiant" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                        <button class="btn bg-danger" id="btn-AContaCAdiant" name="btn-AContaCAdiant" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="pt-2 form-row" style="margin-bottom: 1%">
                                                            <div class="col-6" id="GrupoInfoTour">
                                                                <label data-error="wrong" data-success="right" for="txtContaCDevol">Conta C. Devol.</label>
                                                                <div class="input-group">
                                                                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtContaCDevol" name="txtContaCDevol" class="form-control" placeholder="Conta Cliente Devolução">
                                                                    <div class="input-group-append">
                                                                        <button class="btn bg-danger" id="btn-ContaCDevol" name="btn-ContaCDevol" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                        <button class="btn bg-danger" id="btn-AContaCDevol" name="btn-AContaCDevol" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-6" id="GrupoInfoTour">
                                                                <label data-error="wrong" data-success="right" for="txtContaFornecedor">Conta Fornecedor</label>
                                                                <div class="input-group">
                                                                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtContaFornecedor" name="txtContaFornecedor" class="form-control" placeholder="Conta Fornecedor">
                                                                    <div class="input-group-append">
                                                                        <button class="btn bg-danger" id="btn-ContaFornecedor" name="btn-ContaFornecedor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                        <button class="btn bg-danger" id="btn-AContaFornecedor" name="btn-AContaFornecedor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="pt-2 form-row" style="margin-bottom: 1.5%">
                                                            <div class="col-6" id="GrupoInfoTour">
                                                                <label data-error="wrong" data-success="right" for="txtContaFAdiant">Conta F. Adiant.</label>
                                                                <div class="input-group">
                                                                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtContaFAdiant" name="txtContaFAdiant" class="form-control" placeholder="Conta Fornecedor Adiantamento">
                                                                    <div class="input-group-append">
                                                                        <button class="btn bg-danger" id="btn-ContaFAdiant" name="btn-ContaFAdiant" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                        <button class="btn bg-danger" id="btn-AContaFAdiant" name="btn-AContaFAdiant" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-6" id="GrupoInfoTour">
                                                                <label data-error="wrong" data-success="right" for="txtContaFDevol">Conta F. Devol.</label>
                                                                <div class="input-group">
                                                                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtContaFDevol" name="txtContaFDevol" class="form-control" placeholder="Conta Fornecedor Devolução">
                                                                    <div class="input-group-append">
                                                                        <button class="btn bg-danger" id="btn-ContaFDevol" name="btn-ContaFDevol" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                        <button class="btn bg-danger" id="btn-AContaFDevol" name="btn-AContaFDevol" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div> -->

                    <!-- </div> -->
                    <!-- cabo os panel -->
                    <input id="btnGravar" type="submit" style="font-size:15px;" class="btn btn-danger btn-sisp btn-lg action-button float-right" value="Gravar">
                    <button type="button" id="btnVoltar" style="font-size:15px; margin-right:0%" class="btn btn-success btn-sisp btn-lg action-button-previous" data-dismiss="modal">Voltar</button>
                    <button type="button" id="btnRepresentante" style="font-size:15px; margin-right:0%" class="btn btn-success btn-sisp btn-lg action-button-previous" data-dismiss="modal">Representante</button>
                    <button type="button" id="btnTransportadora" style="font-size:15px; margin-right:0%" class="btn btn-success btn-sisp btn-lg action-button-previous" data-dismiss="modal">Transportadora</button>
                    <!-- <button type="button" id="btnEstatisticas" style="font-size:15px; margin-right:0%" class="btn btn-success btn-sisp btn-lg action-button-previous" data-dismiss="modal">Estatísticas</button> -->
                    <button type="button" id="btnFuncionario" style="font-size:15px; margin-right:0%" class="btn btn-success btn-sisp btn-lg action-button-previous" data-dismiss="modal">Funcionário</button>
                  </form>
                </div>
              </fieldset>
            </div>
          </div>
        </div>
      </div>
      <div class="modal fade" id="modalVinculaMoeda" tabindex="-1" role="dialog" aria-labelledby="modalVinculaMoeda" aria-hidden="true">
        <div class="modal-dialog modal-lg">
          <div class="modal-content">
            <div class="modal-header">
              <h4 id="modalCondicao-titulo" class="modal-title">Adicionar Moeda</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body p-4">
              <div class="row">
                <div class="col-sm-12">
                  <div class="row">
                    <div class="col-sm-12">
                      <label style="margin-bottom: .1rem!important;" data-error="wrong" data-success="right" for="txtAddMoeda">Moeda:</label>
                      <div class="input-group">
                        <input type="text" class="input-default focus form-control" id="txtAddMoeda" name="txtAddMoeda" class="form-control" placeholder="Moeda">
                        <div class="input-group-append">
                          <button class="btn bg-danger" id="btnAddMoeda" name="btnAddMoeda" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                          <button class="btn bg-danger" id="btnLimpaAddMoeda" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                        </div>
                      </div>
                    </div>
                    <div class="col-sm-3" style="margin-top:5px">
                      <button id="txtAdicionarMoeda" type="button" class="btn btn-primary btn-block mt-2">
                        Adicionar Moeda
                      </button>
                    </div>
                    <div class="col-sm-12 mt-3 pb-4 table-responsive card-body">
                      <table id="tabelaMoedas" class="table table-sm table-select table-hover" width="100%">
                        <thead>
                          <th>Código</th>
                          <th>Descrição</th>
                        </thead>
                        <tbody>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="modal fade" id="modalVinculaRepresentante" tabindex="-1" role="dialog" aria-labelledby="modalVinculaRepresentante" aria-hidden="true">
        <div class="modal-dialog modal-lg">
          <div class="modal-content">
            <div class="modal-header">
              <h4 id="modalCondicao-titulo" class="modal-title">Adicionar Representante</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body p-4">
              <div class="row">
                <div class="col-sm-12">
                  <div class="row">
                    <div class="col-sm-6">
                      <label style="margin-bottom: .1rem!important;" data-error="wrong" data-success="right" for="txtAddRepresentante">Representante:</label>
                      <div class="input-group">
                        <input type="text" class="input-default focus form-control" id="txtAddRepresentante" name="txtAddRepresentante" class="form-control" placeholder="Representante">
                        <div class="input-group-append">
                          <button class="btn bg-danger" id="btnAddRepresentante" name="btnAddRepresentante" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                          <button class="btn bg-danger" id="btnLimpaAddRepresentante" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                        </div>
                      </div>
                    </div>
                    <div class="col-sm-3">
                      <label style="margin-bottom: .1rem!important;" data-error="wrong" data-success="right" for="txtAddComFat">Com. Fat.:</label>
                      <div class="input-group">
                        <input type="text" class="input-default focus form-control  maskDecimais" id="txtAddComFat" name="txtAddComFat" value="0,00" placeholder="ComFat">
                      </div>
                    </div>
                    <div class="col-sm-3">
                      <label style="margin-bottom: .1rem!important;" data-error="wrong" data-success="right" for="txtAddComRec">Com. Rec.:</label>
                      <div class="input-group">
                        <input type="text" class="input-default focus form-control  maskDecimais" id="txtAddComRec" name="txtAddComRec" value="0,00" placeholder="ComRec">
                      </div>
                    </div>
                    <div class="col-sm-4" style="margin-top:5px">
                      <button id="btnAdicionarRepresentante" type="button" class="btn btn-primary btn-block mt-2">
                        Adicionar Representante
                      </button>
                    </div>
                    <div class="col-sm-12 mt-3 pb-4 table-responsive card-body">
                      <table id="tabelaRepresentantes" class="table table-sm table-select table-hover" width="100%">
                        <thead>
                        </thead>
                        <tbody>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="modal fade" id="modalVinculaSetor" tabindex="-1" role="dialog" aria-labelledby="modalCondicao" aria-hidden="true">
        <div class="modal-dialog modal-lg">
          <div class="modal-content">
            <div class="modal-header">
              <h4 id="modalCondicao-titulo" class="modal-title">Adicionar Setor</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body p-4">
              <div class="row">
                <div class="col-sm-12">
                  <div class="row">
                    <div class="col-sm-12">
                      <label style="margin-bottom: .1rem!important;" data-error="wrong" data-success="right" for="txtAddSetor">Setor:</label>
                      <div class="input-group">
                        <input type="text" class="input-default focus form-control" id="txtAddSetor" name="txtAddSetor" class="form-control" placeholder="Setor">
                        <div class="input-group-append">
                          <button class="btn bg-danger" id="btnAddSetor" name="btnAddSetor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                          <button class="btn bg-danger" id="btnLimpaAddSetor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                        </div>
                      </div>
                    </div>
                    <div class="col-sm-4">
                      <label style="margin-bottom: .1rem!important;" data-error="wrong" data-success="right" for="txtPerc100">Perc_100:</label>
                      <div class="input-group">
                        <input type="text" class="input-default focus form-control" id="txtPerc100" name="txtPerc100" class="form-control" placeholder="Perc_100">
                      </div>
                    </div>
                    <div class="col-sm-4">
                      <label style="margin-bottom: .1rem!important;" data-error="wrong" data-success="right" for="txtPercPontualidade">Perc_Pontualidade:</label>
                      <div class="input-group">
                        <input type="text" class="input-default focus form-control" id="txtPercPontualidade" name="txtPercPontualidade" class="form-control" placeholder="Perc_Pontualidade">
                      </div>
                    </div>
                    <div class="col-sm-4">
                      <label style="margin-bottom: .1rem!important;" data-error="wrong" data-success="right" for="txtPercQual">Perc_Qual:</label>
                      <div class="input-group">
                        <input type="text" class="input-default focus form-control" id="txtPercQual" name="txtPercQual" class="form-control" placeholder="Perc_Qual">
                      </div>
                    </div>
                    <div class="col-sm-3" style="margin-top:5px">
                      <button id="txtAdicionarSetor" type="button" class="btn btn-primary btn-block mt-2">
                        Adicionar Setor
                      </button>
                    </div>

                    <div class="col-sm-12 mt-3 pb-4 table-responsive card-body">
                      <table id="tabelaSetor" class="table table-sm table-select table-hover" width="100%">
                        <thead>
                          <th>Código</th>
                          <th>Descrição</th>
                          <th>Perc_100</th>
                          <th>Perc_Pontualidade</th>
                          <th>Perc_Qual</th>
                        </thead>
                        <tbody>
                        </tbody>
                      </table>
                    </div>

                    <!-- <div class="col-sm-12" style="margin-top:5px">
                      <button id="txtGravarAddSetor" type="button" class="btn btn-danger btn-block mt-2">
                        Gravar
                      </button>
                    </div> -->

                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="modal fade" id="modalChavePix" tabindex="-1" role="dialog" aria-labelledby="modalChavePix" aria-hidden="true">
        <div class="modal-dialog modal-lg">
          <div class="modal-content">
            <div class="modal-header">
              <h4 id="modalCondicao-titulo" class="modal-title">Adicionar Chave Pix</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body p-4">
              <div class="form-row col-12">
                <div class="form-group col-lg-4 col-12">
                  <label for="txtTipoPixChave">Tipo Pix:</label>
                  <select name="txtTipoPixChave" class="input-default focus form-control modalChavePix" id="txtTipoPixChave">
                    <option value="" selected disabled>Selecione uma opção</option>
                    <option value="01">01 - Telefone</option>
                    <option value="02">02 - E-mail</option>
                    <option value="03">03 - CPF/CNPJ</option>
                    <option value="04">04 - Chave aleatória</option>
                    <option value="05">05 - Dados bancários</option>
                  </select>
                </div>
                <div class="form-group col-lg-8 col-12">
                  <label data-error="wrong" data-success="right" for="txtBancoChave">Banco:</label>
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control modalChavePix" id="txtBancoChave" name="txtBancoChave" class="form-control" placeholder="Banco">
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnBancoChave" name="btnBancoChave" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaBancoChave" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="form-group col-lg-6 col-12">
                  <label data-error="wrong" data-success="right" for="txtContaChave">Conta:</label>
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control modalChavePix" id="txtContaChave" name="txtContaChave" class="form-control" placeholder="Conta">
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnContaChave" name="btnContaChave" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaContaChave" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="form-group col-lg-1 col-12">
                  <label data-error="wrong" data-success="right" for="txtDacChave">Dac:</label>
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control modalChavePix" id="txtDacChave" name="txtDacChave" class="form-control" placeholder="Dac">
                  </div>
                </div>
                <div class="form-group col-lg-3 col-12">
                  <label data-error="wrong" data-success="right" for="txtAgenciaChave">Agência:</label>
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control modalChavePix" id="txtAgenciaChave" name="txtAgenciaChave" class="form-control" placeholder="Agência">
                  </div>
                </div>
                <div class="form-group col-lg-2 col-12">
                  <label for="txtPadraoChave">Padrão:</label>
                  <select name="txtPadraoChave" class="input-default focus form-control" id="txtPadraoChave">
                    <option value="S">Sim</option>
                    <option value="N" selected>Não</option>
                  </select>
                </div>
                <div class="form-group col-lg-6 col-12">
                  <label data-error="wrong" data-success="right" for="txtChavePixChave">Chave Pix:</label>
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control modalChavePix" id="txtChavePixChave" name="txtChavePixChave" class="form-control" placeholder="Chave Pix">
                  </div>
                </div>
                <div class="form-group col-lg-6 col-12">
                  <label data-error="wrong" data-success="right" for="txtTipoTransChave">Tipo Transferência:</label>
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control modalChavePix" id="txtTipoTransChave" name="txtTipoTransChave" class="form-control" placeholder="Tipo Transferência">
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnTipoTransChave" name="btnTipoTransChave" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaTipoTransChave" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-lg-3 col-6" style="margin-top:5px">
                  <button id="btnAdicionarChavePix" type="button" class="btn btn-primary btn-block mt-2">
                    Adicionar Chave Pix
                  </button>
                </div>

                <div class="col-12 mt-3 pb-4 table-responsive card-body">
                  <table id="tabelaChavePix" class="table table-sm table-select table-hover" width="100%">
                    <thead>
                    </thead>
                    <tbody>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div id="modal-consultaCadastral" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-lg" role="document">
          <div class="modal-content" id="modalBody">
            <div class="modal-header">
              <h4 class="modal-title">Consulta Cadastral</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <div class="row">


                <div class="col-lg-4" style="margin-top: 1%; border-bottom: 1px solid #e9ecef; padding-bottom: 10px">
                  <label data-error="wrong" data-success="right" for="txtCNPJConsulta">CNPJ: </label>
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control" id="txtCNPJConsulta" name="txtCNPJConsulta" disabled>
                  </div>
                </div>

                <div class="col-lg-1" style="margin-top: 5%; border-bottom: 1px solid #e9ecef; padding-bottom: 10px">
                  <button class="btn btn-primary" id="btnReconsultar"><i class="m-0 p-0 fas fa-undo"></i></button>
                </div>

                <div class="col-lg-3" style="margin-top: 1%; border-bottom: 1px solid #e9ecef; padding-bottom: 10px">
                  <label data-error="wrong" data-success="right" class="d-none" for="txtCaptcha">Captcha: </label>
                  <div class="input-group d-none">
                    <input type="text" class="input-default focus form-control" id="txtCaptcha" name="txtCaptcha">
                  </div>
                </div>

                <div class="col-lg-4" id="divImagemCaptcha" style="margin-top: 1%; border-bottom: 1px solid #e9ecef; padding-bottom: 10px; align-items: center; justify-content: center; display: flex;">
                  <label for="imgCaptcha" class="d-none">
                    <img src="" id="imagemCaptcha" id=c alt="captcha" class="imgagem" width=300px height=50px>
                  </label>
                </div>

                <div class="col-lg-1 d-none" style="margin-top: 18px; border-bottom: 1px solid #e9ecef; padding-bottom: 10px">
                  <button class="btn btn-primary" id="btnConsultar"><i class="m-0 p-0 fas fa-search"></i></button>
                </div>

                <div class="col-lg-12" style="margin-top: 1%;">
                  <label data-error="wrong" data-success="right" for="txtRazaoSocialConsulta">Razão Social: </label>
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control" id="txtRazaoSocialConsulta" name="txtRazaoSocialConsulta" placeholder="Razão Social">
                  </div>
                </div>

                <div class="col-lg-8" style="margin-top: 1%;">
                  <label data-error="wrong" data-success="right" for="txtFantasiaConsulta">Fantasia: </label>
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control" id="txtFantasiaConsulta" name="txtFantasiaConsulta" placeholder="Fantasia">
                  </div>
                </div>

                <div class="col-lg-4" style="margin-top: 1%;">
                  <label data-error="wrong" data-success="right" for="txtDataAbertuta">Data Abertura: </label>
                  <div class="input-group">
                    <input type="date" max="2500-12-31" class="input-default focus form-control" id="txtDataAbertuta" name="txtDataAbertuta">
                  </div>
                </div>

                <div class="col-lg-5" style="margin-top: 1%;">
                  <label data-error="wrong" data-success="right" for="txtRuaConsulta">Rua: </label>
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control" id="txtRuaConsulta" name="txtRuaConsulta" placeholder="Rua">
                  </div>
                </div>

                <div class="col-lg-5" style="margin-top: 1%;">
                  <label data-error="wrong" data-success="right" for="txtBairroConsulta">Bairro: </label>
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control" id="txtBairroConsulta" name="txtBairroConsulta" placeholder="Bairro">
                  </div>
                </div>

                <div class="col-lg-2" style="margin-top: 1%;">
                  <label data-error="wrong" data-success="right" for="txtNumeroConsulta">Número: </label>
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control" id="txtNumeroConsulta" name="txtNumeroConsulta" placeholder="Número">
                  </div>
                </div>

                <div class="col-lg-4" style="margin-top: 1%;">
                  <label data-error="wrong" data-success="right" for="txtMunicipioConsulta">Município: </label>
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control" id="txtMunicipioConsulta" name="txtMunicipioConsulta" placeholder="Município">
                  </div>
                </div>

                <div class="col-lg-1" style="margin-top: 1%;">
                  <label data-error="wrong" data-success="right" for="txtUFConsulta">UF: </label>
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control" id="txtUFConsulta" name="txtUFConsulta" placeholder="UF">
                  </div>
                </div>

                <div class="col-lg-3" style="margin-top: 1%;">
                  <label data-error="wrong" data-success="right" for="txtCEPConsulta">CEP: </label>
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control" id="txtCEPConsulta" name="txtCEPConsulta" placeholder="CEP">
                  </div>
                </div>

                <div class="col-lg-4" style="margin-top: 1%;">
                  <label data-error="wrong" data-success="right" for="txtComplementoConsulta">Complemento: </label>
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control" id="txtComplementoConsulta" name="txtComplementoConsulta" placeholder="Complemento">
                  </div>
                </div>

                <div class="col-lg-4" style="margin-top: 1%;">
                  <label data-error="wrong" data-success="right" for="txtSituacaoCadastralConsulta">Situação Cadastral: </label>
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control" id="txtSituacaoCadastralConsulta" name="txtSituacaoCadastralConsulta" placeholder="Situação Cadastral">
                  </div>
                </div>

                <div class="col-lg-4" style="margin-top: 1%;">
                  <label data-error="wrong" data-success="right" for="txtDataSituacaoConsulta">Data Situação: </label>
                  <div class="input-group">
                    <input type="date" max="2500-12-31" class="input-default focus form-control" id="txtDataSituacaoConsulta" name="txtDataSituacaoConsulta">
                  </div>
                </div>

                <div class="col-lg-4" style="margin-top: 1%;">
                  <label data-error="wrong" data-success="right" for="txtIEConsulta">IE: </label>
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control" id="txtIEConsulta" name="txtIEConsulta" placeholder="IE">
                  </div>
                </div>
                <div class="col-lg-3" style="margin-top: 1%;">
                  <label data-error="wrong" data-success="right" for="txtCodigoCnaeConsulta">CNAE: </label>
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control" id="txtCodigoCnaeConsulta" name="txtCodigoCnaeConsulta" placeholder="0000000">
                  </div>
                </div>
                <div class="col-lg-9" style="margin-top: 1%;">
                  <label data-error="wrong" data-success="right" for="txtDescricaoCnaeConsulta">Descrição CNAE:</label>
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control" id="txtDescricaoCnaeConsulta" name="txtDescricaoCnaeConsulta" placeholder="Descrição">
                  </div>
                </div>

              </div>
            </div>
            <div class="modal-footer">
              <div class="row">
                <button class="btn btn-danger btn-sisp" id="btnFecharConsulta">Fechar</button>    
                <button class="btn btn-danger btn-sisp" id="btnImportarConsulta">Importar</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>
  </div>

  <?php
  include_once('../../../modais.php');
  include_once('../../../modals/modal_estatisticas_entidade.html');
  include_once('../../loja/modais/modal_cep.php');
  include_once('../../../modals/modal_cadcontato.html');
  include_once('../../../modals/modal_ocorrencias.html');
  include_once('../../../modals/modal_obs_serasa.html');
  include_once('../../../modals/modal_anexos.html');
  ?>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
  </div>
  <!-- ./wrapper -->
  <script>
    function formatar(mascara, documento) {
      var i = documento.value.length;
      var saida = mascara.substring(0, 1);
      var texto = mascara.substring(i);

      if (texto.substring(0, 1) != saida) {
        documento.value += texto.substring(0, 1);
      }

    }
  </script>

  <!-- jQuery -->
  <script src="../plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
  <!-- jQuery UI 1.11.4 -->
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
  <!-- SweetAlert2 -->
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.251.27.1"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>

  <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>

  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/adminlte.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/requisicoes.js?versao=3.251.27.1"></script>
  <script src="../dist/js/cliente/entidade.js?versao=3.251.27.1"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/valida_cpf_cnpj.js?versao=3.251.27.1"></script>
  <script src="../dist/js/dataTables.keyTable.js?versao=3.251.27.1"></script>
  <script src="../dist/js/sisplan.js?versao=3.251.27.1"></script>
  <script src="../utils/funcoes.js?versao=3.251.27.1"></script>
  <script src="../utils/cookies.js?versao=3.251.27.1"></script>
  <script src="../dist/js/driver.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/jquery.mask.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="../config.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="../modals/modal_estatisticas_entidade.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="../modals/modal_cadcontato.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="../modals/modal_ocorrencias.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="../modals/modal_obs_serasa.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="../modals/modal_anexos.js?versao=3.251.27.1"></script>
  <script src="../plugins/select2/js/select2.full.min.js?versao=3.251.27.1"></script>
  <script src="../plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/datetime.js?versao=3.251.27.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('ENTIDADE');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      const permissaoUsuarioLogado = await permissaoAcessos("ENTIDADE");

      if (permissaoUsuarioLogado.INCLUI == 'N') {
        await criaMensagemErro("Sem permissão para incluir!", () => {
          window.location.href = `${BASE_URI}/cliente`
        });
        return;
      }

      const queryString = window.location.href;
      const parametros = queryString.split("/");
      const cliente = parametros[parametros.length - 1];

      $(window).on("beforeunload", function(e) {
        // e.preventDefault();
        e.stopPropagation();
        deletaRegistro("ENTIDADE", getCookie("usuario"), cliente);
        return undefined;
      });

      sArquivo = `${BASE_URI}/pages/cliente/cadastro_cliente/cliente.js?versao=3.251.27.1`;
      insereJavaScriptPagina(sArquivo);

      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      habilitaCamposObrigatoriosTela(nomeTela);

    });
  </script>
</body>

</html>