<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Cadastro de Coleção</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Theme style -->
    <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.251.27.1">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
    <!-- Google Font: Source Sans Pro -->
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>

    <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.251.27.1" />

    <link href='../dist/css/bootstrap.min.css?versao=3.251.27.1'>
    <link rel="stylesheet" href="../dist/css/custom.css?versao=3.251.27.1">
    <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.251.27.1">
    <link rel="shortcut icon" href="../favicon.ico">
    <link rel="stylesheet" href="../plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.251.27.1">

    <!-- Toastr -->
    <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.251.27.1" />
    <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.251.27.1">
    <!-- Google Font: Source Sans Pro -->
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <style>
        #progressbar li {
            list-style-type: none;
            font-size: 12px;
            width: 100%;
            float: left;
            position: relative
        }

        .configTabPreco {
            -ms-transform: scale(1.5);
            -moz-transform: scale(1.5);
            -webkit-transform: scale(1.5);
            -o-transform: scale(1.5);
            transform: scale(1.5);
        }

        .border-Field .textoBorda {
            font-size: 1.1em !important;
            text-align: left !important;
            width: auto;
            padding: 0 10px;
            border-bottom: none;
        }

        .border-Field {
            border: 1px solid var(--font-color) !important;
            padding: 0 1.0em 0 1.0em !important;
            margin: 0 0 0 0 !important;
            -webkit-box-shadow: 0px 0px 0px 0px #000;
            box-shadow: 0px 0px 0px 0px #000;
            border-radius: 3px !important;
        }

        .icheck-primary {
            margin-top: 0px !important;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <?php
        ;
        ?>

        <div id="myModal" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 id="myModalLabel" class="modal-title"></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p id="myModalText"></p>
                    </div>
                    <div class="modal-footer">
                        <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
                        <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
                    </div>
                </div>
            </div>
        </div>

        <div class="wrapper">
            <div id="myModal" class="modal" tabindex="-1" role="dialog">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 id="myModalLabel" class="modal-title"></h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <p id="myModalText"></p>
                        </div>
                        <div class="modal-footer">
                            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
                            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="content-wrapper">
                <div class="content-header">
                    <div class="container-fluid">
                        <div class="row mb-2">
                            <div class="col-sm-6 flex">
                                <h1 class="m-0 text-dark"></h1>
                            </div>
                            <div class="col-sm-6">
                                <!-- <ol class="breadcrumb float-sm-right">
                                    
                                    <li class="breadcrumb-item active"><a href="../colecao">Coleção</a></li>
                                    <li class="breadcrumb-item active">Cadastro Coleção</li>
                                </ol> -->
                            </div><!-- /.col -->
                        </div><!-- /.row -->
                    </div>
                    <div class="row justify-content-center mt-0">
                        <div class="col-10 text-center p-0 mt-3 mb-2">
                            <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                                    <h2> Cadastro Coleção
                                        <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                            <i class="fas fa-question-circle"></i>
                                        </button>
                                    </h2>
                                </div>

                                <div class="row">
                                    <div class="col-md-12 mx-0 mb-3">
                                        <form id="msform">
                                            <ul id="progressbar">
                                                <li class="active" id="account"><strong>Geral</strong></li>
                                            </ul>
                                            <p>Preencha os dados e clique em gravar para realizar o cadastro ou alteração da Coleção.</p>
                                            <fieldset class="row justify-content-center mt-5">

                                                <div class="row col-11" id="campostuor">

                                                    <div class="row col-12 col-md-auto ">
                                                        <div class=" ml-2">

                                                            <fieldset class="form border-Field mb-0 pb-0">
                                                                <legend class="textoBorda mb-0 pb-0">Opções</legend>
                                                                <div class="icheck-primary"><input type="checkbox" id="checkAtivo"><label class="labelTabPreco text-left" for="checkAtivo">Ativo</label></div>
                                                            </fieldset>
                                                        </div>
                                                    </div>

                                                    <div class="col-12 mt-3">

                                                        <div class="row">

                                                            <div class="col-12 col-sm form-group text-left">
                                                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodigo">Código</label>
                                                                <div class="input-group">
                                                                    <input type="text" readonly class="input-default focus form-control validate" aria-describedby="cepError" id="txtCodigo" name="txtCodigo" class="form-control" placeholder="Campo preenchido automaticamente">
                                                                </div>
                                                            </div>

                                                            <div class="col-12 col-sm-5 form-group text-left">
                                                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtDescricao">Descrição *</label>
                                                                <div class="input-group">
                                                                    <input type="text" class="input-default focus form-control validate text-uppercase" required aria-describedby="ordemError" id="txtDescricao" name="txtDescricao" class="form-control" placeholder="Descrição">
                                                                </div>
                                                            </div>

                                                            <div class="col-12 col-sm form-group text-left">
                                                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtMeta">Meta</label>
                                                                <div class="input-group">
                                                                    <input type="text" class="input-default focus form-control validate" id="txtMeta" name="txtMeta" class="form-control" placeholder="Meta">
                                                                </div>
                                                            </div>
                                                            <div class="col-12 col-sm-4 form-group text-left">
                                                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtDataInicio">Vigência De/Até:</label>
                                                                <div class="input-group">
                                                                    <input type="date" class="input-default focus form-control validate" id="txtDataInicio" name="txtDataInicio" class="form-control">   
                                                                    <input type="date" class="input-default focus form-control validate" id="txtDataFim" name="txtDataFim" class="form-control">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>

                                            </fieldset>
                                            <input type="button" name="gravar" id="gravar" class="btn-sisp action-button" value="Gravar" />
                                            <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                </section>
            </div>
        </div>
    </div>

    <?php
    include_once('../../../modais.php');
    ?>

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
        <!-- Control sidebar content goes here -->
    </aside>
    <!-- /.control-sidebar -->
    </div>

    <!-- jQuery -->
    <script src="../plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
    <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
    <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.251.27.1"></script>
    <script src="../plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/adminlte.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/requisicoes.js?versao=3.251.27.1"></script>
    <script src="../dist/js/cliente/entidade.js?versao=3.251.27.1"></script>
    <script src="../dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/valida_cpf_cnpj.js"></script>
    <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/sisplan.js?versao=3.251.27.1"></script>
    <script src="../utils/funcoes.js?versao=3.251.27.1"></script>
    <script src="../utils/cookies.js?versao=3.251.27.1"></script>
    <script src="../dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/driver.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/dataTables.keyTable2.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="../config.js?versao=3.251.27.1"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('COLECAO');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            const permissaoUsuarioLogado = await permissaoAcessos("COLECAO");

            if (permissaoUsuarioLogado.INCLUI == 'N') {
                await criaMensagemErro("Sem permissão para incluir!", () => {
                    window.location.href = `${BASE_URI}/colecao`
                });
                return;
            }

            const queryString = window.location.href;
            const parametros = queryString.split("/");
            const colecao = parametros[parametros.length - 1];

            $(window).on("beforeunload", function(e) {
                // e.preventDefault();
                e.stopPropagation();
                deletaRegistro("COLECAO", getCookie("usuario"), colecao);
                return undefined;
            });

            sArquivo = `${BASE_URI}/pages/colecao/cadastro_colecao/colecao.js?versao=3.251.27.1`;
            insereJavaScriptPagina(sArquivo);

            const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
            habilitaCamposObrigatoriosTela(nomeTela);
        });
    </script>
</body>

</html>