<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Conciliação Bancária</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.251.27.1" />
    <link href='../dist/css/bootstrap.min.css?versao=3.251.27.1'>
    <link rel="stylesheet" href="../dist/css/custom.css?versao=3.251.27.1">
    <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.251.27.1">
    <link rel="stylesheet" href="../plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="../plugins/select2/css/select2.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="../plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="../dist/css/select.bootstrap.min.css?versao=3.251.27.1" />
    <link rel="stylesheet" href="../dist/css/PesquisaVariosSelect2.css?versao=3.251.27.1">
    <link rel="shortcut icon" href="../favicon.ico">
    <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.251.27.1">
    <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.251.27.1" />
    <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.251.27.1">
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <link rel="stylesheet" href="../plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.251.27.1">
    <style>
        .info-box-text {
            font-size: 20px;
            font-weight: bold;
            color: grey;
        }

        .form-group {
            margin-bottom: 0;
        }

        .bordaCampos {
            border: solid #e0e4e6;
            border-radius: 4px;
            border-width: 2px;
            padding-top: 2%;
            padding-bottom: 0%;
        }

        .bordaCampos:first-child {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            justify-content: flex-end;
            align-items: center;
        }

        .border-Field .textoBorda {
            font-size: 1.0em !important;
            text-align: left !important;
            width: auto;
            padding: 0 10px;
            border-bottom: none;
        }

        .border-Field {
            border: 1.0px solid var(--font-color) !important;
            padding: 0 1.0em 1.0em 1.0em !important;
            margin: 0 0 1.0em 0 !important;
            -webkit-box-shadow: 0px 0px 0px 0px #000;
            box-shadow: 0px 0px 0px 0px #000;
            padding-bottom: 0px !important;
        }

        .borderTop {
            border-top: 1.0px solid var(--font-color) !important;
            padding: 0 1.0em 1.0em 1.0em !important;
            margin: 1.0em 0 1.0em 0 !important;
            -webkit-box-shadow: 0px 0px 0px 0px #000;
            box-shadow: 0px 0px 0px 0px #000;
            padding-bottom: 0px !important;
        }

        .btnSuccess {
            font-size: 15px;
            background-color: #25d366 !important;
            border-color: #25d366 !important;
            color: #fff;
        }

        .btnSuccess:hover {
            background-color: #20ae59 !important;
            border-color: #20ae59 !important;
            color: #fff;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <?php
        ;
        ?>
        <div id="myModal" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 id="myModalLabel" class="modal-title"></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p id="myModalText"></p>
                    </div>
                    <div class="modal-footer">
                        <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
                        <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="content-wrapper">
            <section class="content">
                <div class="content-header">
                    <div class="container-fluid">
                        <div class="row mb-2">
                            <div class="col-sm-6 flex">
                            </div>
                            <div class="col-sm-6">
                                <!-- <ol class="breadcrumb float-sm-right">
                                    
                                    <li class="breadcrumb-item"><a href="../enquadra">Acesso Enquadramento IPI</a></li>
                                    <li class="breadcrumb-item active">Conciliação Bancária</li>
                                </ol> -->
                            </div><!-- /.col -->
                        </div><!-- /.row -->
                    </div>

                    <div class="row justify-content-center mt-0">
                        <div class="col-12 text-center p-0 mb-2">
                            <div class="card px-0 pt-4 pb-0 mb-3">
                                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                                    <h2>Conciliação Bancária
                                        <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                            <i class="fas fa-question-circle"></i>
                                        </button>
                                    </h2>
                                </div>

                                <div class="row ml-4">
                                    <button id="btn-filtros" class="btn btn-success btn-sisp mr-2" type="button" data-toggle="modal" data-target="#modal-filtros"><span class="fas fa-filter"></span> Filtros</button>
                                    <button class="btn btn-danger btn-sisp mr-2" id="btnVoltar" data-toggle="modal"><i class="fas fa-arrow-left"></i> Voltar</button>
                                    <!-- <button class="btn btn-secondary btn-sisp mr-2" id="btnImprimir" data-toggle="modal"><i class="fas fa-print"></i> Imprimir</button> -->
                                    <button class="btn btn-primary btn-sisp mr-2" id="btnLancarMovimento" data-toggle="modal"><i class="fas fa-check"></i> Lançar Movimento</button>
                                    <button class="btn btn-primary btn-sisp mr-2" id="btnLancarExtrato" data-toggle="modal"><i class="fas fa-check"></i> Lançar Extrato</button>
                                    <button class="btn btn-success btn-sisp mr-2 btnSuccess" id="btnConciliar" disabled data-toggle="modal"><i class="fas fa-arrow-down"></i> Conciliar</button>
                                    <button class="btn btn-danger btn-sisp mr-2" id="btnVoltarConciliacao" disabled data-toggle="modal"><i class="fas fa-arrow-left"></i> Voltar Conciliação</button>
                                </div>

                                <div class="col-12">
                                    <div class="col-md-12 mx-0 mb-3">
                                        <form id="msform">
                                            <fieldset class="col-12 text-left">
                                                <div class="card-body col-12" id="tutorialConteudo">
                                                    <div class="row">
                                                        <div class="col-sm-12 table-responsive">
                                                            <table id="tabelaMovimento" class="table table-sm table-select table-hover" width="100%" style="white-space: nowrap;">
                                                                <thead>
                                                                    <tr></tr>
                                                                </thead>
                                                                <tbody>
                                                                    <tr></tr>
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                    </div>
                                                    <div class="row d-none mt-2 mb-2" id="divTotais">
                                                        <div class="col-xl-2 col-12 form-group">
                                                            <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtTotal">Total:</label>
                                                            <div class="relative">
                                                                <div class="input-group">
                                                                    <input type="text" class="input-default focus form-control" disabled id="txtTotal" name="txtTotal" class="form-control" placeholder="Total">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-xl-2 col-12 form-group">
                                                            <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtTotalSelecionado">Total Selecionado:</label>
                                                            <div class="relative">
                                                                <div class="input-group">
                                                                    <input type="text" class="input-default focus form-control" disabled id="txtTotalSelecionado" name="txtTotalSelecionado" class="form-control" placeholder="Total Selecionado">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-xl-2 col-12 form-group">
                                                            <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtSaldoIni">Saldo Inicial + Total:</label>
                                                            <div class="relative">
                                                                <div class="input-group">
                                                                    <input type="text" class="input-default focus form-control" disabled id="txtSaldoIni" name="txtSaldoIni" class="form-control" placeholder="Saldo Inicial + Total">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-xl-2 col-12 form-group">
                                                            <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtTotalCred">Total Crédito:</label>
                                                            <div class="relative">
                                                                <div class="input-group">
                                                                    <input type="text" class="input-default focus form-control" disabled id="txtTotalCred" name="txtTotalCred" class="form-control" placeholder="Total Créd.">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-xl-2 col-12 form-group">
                                                            <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtTotalDeb">Total Débito:</label>
                                                            <div class="relative">
                                                                <div class="input-group">
                                                                    <input type="text" class="input-default focus form-control" disabled id="txtTotalDeb" name="txtTotalDeb" class="form-control" placeholder="Total Déb.">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-sm-12 table-responsive">
                                                            <table id="tabelaConcilia" class="table table-sm table-select table-hover" width="100%" style="white-space: nowrap;">
                                                                <thead>
                                                                    <tr></tr>
                                                                </thead>
                                                                <tbody>
                                                                    <tr></tr>
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                    </div>

                                                    <div class="row d-none mt-2" id="divSaldos">
                                                        <div class="col-xl-2 col-12 form-group">
                                                            <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtSaldoMovimento">Saldo Movimento:</label>
                                                            <div class="relative">
                                                                <div class="input-group">
                                                                    <input type="text" class="input-default focus form-control" disabled id="txtSaldoMovimento" name="txtSaldoMovimento" class="form-control" placeholder="Saldo Movimento">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-xl-2 col-12 form-group">
                                                            <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtTotalMovimentos">Total Movimentos:</label>
                                                            <div class="relative">
                                                                <div class="input-group">
                                                                    <input type="text" class="input-default focus form-control" disabled id="txtTotalMovimentos" name="txtTotalMovimentos" class="form-control" placeholder="Total Movimentos">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-xl-2 col-12 form-group">
                                                            <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtSaldoExtrato">Saldo Extrato:</label>
                                                            <div class="relative">
                                                                <div class="input-group">
                                                                    <input type="text" class="input-default focus form-control" disabled id="txtSaldoExtrato" name="txtSaldoExtrato" class="form-control" placeholder="Saldo Extrato">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-xl-2 col-12 form-group">
                                                            <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtTotalExtrato">Total Extrato:</label>
                                                            <div class="relative">
                                                                <div class="input-group">
                                                                    <input type="text" class="input-default focus form-control" disabled id="txtTotalExtrato" name="txtTotalExtrato" class="form-control" placeholder="Total Extrato">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-xl-2 col-12 form-group">
                                                            <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtSaldoSelecionado">Saldo Selecionado:</label>
                                                            <div class="relative">
                                                                <div class="input-group">
                                                                    <input type="text" class="input-default focus form-control" disabled id="txtSaldoSelecionado" name="txtSaldoSelecionado" class="form-control" placeholder="Saldo Selecionado">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-xl-2 col-12 form-group">
                                                            <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtSaldoReal">Saldo Real:</label>
                                                            <div class="relative">
                                                                <div class="input-group">
                                                                    <input type="text" class="input-default focus form-control" disabled id="txtSaldoReal" name="txtSaldoReal" class="form-control" placeholder="Saldo Real">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </fieldset>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>


            </section>
        </div>
    </div>
    <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content" id="modalBody">
                <div class="modal-header">
                    <h4 class="modal-title">Filtros</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-xl-4 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="dtPeriodode">Período de/até: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control" id="dtPeriodoDe" name="dtPeriodode" class="form-control">
                                    <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control" id="dtPeriodoAte" name="dtPeriodoAte" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-4 col-12 form-group mt-3">
                            <fieldset class="form border-Field p-0">
                                <legend class="textoBorda pb-0 mb-0">Conciliado</legend>
                                <div class="d-flex">
                                    <div class="icheck-primary mr-3"><input type="radio" id="rdConciliarConciliado" name="rdConciliar" value="1"><label class="labelCheck" for="rdConciliarConciliado">Conciliado</label></div>
                                    <div class="icheck-primary mr-3"><input type="radio" id="rdConciliarConciliar" checked name="rdConciliar" value="2"><label class="labelCheck" for="rdConciliarConciliar">A Conciliar</label></div>
                                    <div class="icheck-primary mr-3"><input type="radio" id="rdConciliarTodos" name="rdConciliar" value="0"><label class="labelCheck" for="rdConciliarTodos">Todos</label></div>
                                </div>
                            </fieldset>
                        </div>
                        <div class="col-xl-4 col-12 form-group mt-3">
                            <fieldset class="form border-Field p-0">
                                <legend class="textoBorda pb-0 mb-0">Tipo</legend>
                                <div class="d-flex">
                                    <div class="icheck-primary mr-3"><input type="radio" id="rdTipoPagamento" name="rdTipo" value="2"><label class="labelCheck" for="rdTipoPagamento">Pagamento</label></div>
                                    <div class="icheck-primary mr-3"><input type="radio" id="rdTipoRecebimento" name="rdTipo" value="1"><label class="labelCheck" for="rdTipoRecebimento">Recebimento</label></div>
                                    <div class="icheck-primary mr-3"><input type="radio" id="rdTipoTodos" checked name="rdTipo" value="0"><label class="labelCheck" for="rdTipoTodos">Todos</label></div>
                                </div>
                            </fieldset>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xl-4 col-12 form-group">
                            <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtConta">Conta:</label>
                            <div class="relative">
                                <div class="input-group">
                                    <input type="text" class="input-default focus form-control" id="txtConta" name="txtConta" class="form-control" placeholder="Conta">
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btn-ContaConsulta" name="btn-ContaConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btn-limpa-Conta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-4 col-12 form-group">
                            <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtBanco">Banco:</label>
                            <div class="relative">
                                <div class="input-group">
                                    <input type="text" class="input-default focus form-control" disabled id="txtBanco" name="txtBanco" class="form-control" placeholder="Banco">
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-2 col-12 form-group">
                            <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtDocumento">Documento:</label>
                            <div class="relative">
                                <div class="input-group">
                                    <input type="text" class="input-default focus form-control" id="txtDocumento" name="txtDocumento" class="form-control" placeholder="Documento">
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-2 col-12 form-group">
                            <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtConciliacao">Conciliação:</label>
                            <div class="relative">
                                <div class="input-group">
                                    <input type="text" class="input-default focus form-control" id="txtConciliacao" name="txtConciliacao" class="form-control" placeholder="Conciliação">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xl-4 col-12 form-group">
                            <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtClasseGer">Classe Gerencial:</label>
                            <div class="relative">
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtClasseGer" name="txtClasseGer" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btn-ClasseGerConsulta" name="btn-ClasseGerConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btn-limpa-ClasseGer" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <div class="row">
                        <button class="btn btn-primary btn-sisp mr-3" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222"><span class="fas fa-trash"></span> Limpar Filtros</button>
                        <button class="btn btn-primary btn-sisp" id="btnConsultar"><span class="fas fa-search"></span> Consultar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="modal-movimento" class="modal" tabindex="-1" data-backdrop="static" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content" id="modalBody">
                <div class="modal-header">
                    <h4 class="modal-title">Movimentos</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-xl-2 col-12 form-group">
                            <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtDoctoMovimento">Documento:</label>
                            <div class="relative">
                                <div class="input-group">
                                    <input type="text" class="input-default focus form-control" id="txtDoctoMovimento" name="txtDoctoMovimento" class="form-control" placeholder="Documento">
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-3 col-12 form-group">
                            <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtContaMovimento">Conta:</label>
                            <div class="relative">
                                <div class="input-group">
                                    <input type="text" class="input-default focus form-control" id="txtContaMovimento" name="txtContaMovimento" class="form-control" placeholder="Conta">
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btn-ContaMovimentoConsulta" name="btn-ContaMovimentoConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btn-limpa-ContaMovimento" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-3 col-12 form-group">
                            <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtMoedaMovimento">Moeda:</label>
                            <div class="relative">
                                <div class="input-group">
                                    <input type="text" class="input-default focus form-control" id="txtMoedaMovimento" name="txtMoedaMovimento" class="form-control" placeholder="Moeda">
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btn-MoedaMovimentoConsulta" name="btn-MoedaMovimentoConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btn-limpa-MoedaMovimento" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-2 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="dtLancamentoMovimento">Lançamento: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control" id="dtLancamentoMovimento" name="dtLancamentoMovimento" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-2 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="dtContMovimento">Contabilização: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control" id="dtContMovimento" name="dtContMovimento" class="form-control">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group mt-2 borderTop d-none" id="containerCadMovimento">
                        <h4 class="modal-title">Incluir Movimento</h4>
                        <div class="row">
                            <div class="col-xl-2 col-12 form-group">
                                <label data-error="wrong" data-success="right" for="txtOperacaoCadMovimento">Operação:</label>
                                <div class="input-group">
                                    <select class="drilldown-item form-control select2 select2-danger focus" data-dropdown-css-class="select2-danger" id="txtOperacaoCadMovimento" style="border-color: #a9a9a9">
                                        <option class="drilldown-item" disabled selected value=""></option>
                                        <option class="drilldown-item" value="D">Débito</option>
                                        <option class="drilldown-item" value="C">Crédito</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-xl-4 col-12 form-group">
                                <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtClasseCadMovimento">Classe:</label>
                                <div class="relative">
                                    <div class="input-group">
                                        <input type="text" class="input-default focus form-control" id="txtClasseCadMovimento" name="txtClasseCadMovimento" class="form-control" placeholder="Classe">
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btn-ClasseCadMovimento" name="btn-ClasseCadMovimento" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btn-limpa-ClasseCadMovimento" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-4 col-12 form-group">
                                <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtHistoricoCadMovimento">Histórico:</label>
                                <div class="relative">
                                    <div class="input-group">
                                        <input type="text" class="input-default focus form-control" id="txtHistoricoCadMovimento" name="txtHistoricoCadMovimento" class="form-control" placeholder="Histórico">
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btn-HistoricoCadMovimento" name="btn-HistoricoCadMovimento" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btn-limpa-HistoricoCadMovimento" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-2 col-12 form-group">
                                <label style="padding-left: 0 !important;" data-error="wrong" data-success="right" for="txtValorCadMovimento">Valor:</label>
                                <div class="relative">
                                    <div class="input-group">
                                        <input type="text" class="input-default focus form-control" id="txtValorCadMovimento" name="txtValorCadMovimento" class="form-control" placeholder="Valor">
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-12 col-12 mt-2 from-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtObsCadMovimento">Observação:</label>
                                <div class="input-group">
                                    <textarea class="input-default focus form-control create" id="txtObsCadMovimento" name="txtObsCadMovimento" placeholder="Observação" rows="3" cols="50" style="resize: none;"></textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row mt-2 justify-content-end" id="incluirMovto">
                        <button class="btn btn-primary btn-sisp mr-2" id="btnIncluirCadMovimento">Incluir</button>
                        <button class="btn btn-primary btn-sisp mr-2 btnSuccess d-none" id="btnConfirmarCadMovimento">Confirmar</button>
                        <button class="btn btn-danger btn-sisp mr-2 d-none" id="btnDesistirCadMovimento">Desistir</button>
                    </div>
                    <div class="pt-2 form-row">
                        <div class="col-lg-12 table-responsive table-selecttable-lg">
                            <table id="tabelaCadMovimento" class="table table-sm table-select table-hover" style="width: 100%; white-space: nowrap">
                                <thead>
                                    <th>Operação</th>
                                    <th>Classe</th>
                                    <th>Desc. Classe</th>
                                    <th>Valor</th>
                                    <th>Histórico</th>
                                    <th>Desc. Histórico</th>
                                    <th>Observação</th>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="modal-footer justify-content-start">
                    <div class="row col-12 col-md-12 p-0">
                        <div class="col-9 col-md-9 d-flex justify-content-start">
                            <button class="btn btn-primary btn-sisp mr-2 btnSuccess" id="btnConfirmarMovimento">Confirmar</button>
                            <button class="btn btn-danger btn-sisp mr-2" id="btnExcluirMovimento">Excluir</button>
                        </div>
                        <div class="col-3 col-md-3 d-flex justify-content-end">
                            <button type="button" class="btn bg-gradient-danger btn-sisp ml-auto" data-dismiss="modal" id="btnFecharMovimento">Fechar</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php
    include_once('../../../modais.php');
    ?>

    <aside class="control-sidebar control-sidebar-dark">
    </aside>
    </div>

    <script src="../plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
    <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
    <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.251.27.1"></script>
    <script src="../plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/adminlte.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/requisicoes.js?versao=3.251.27.1"></script>
    <script src="../dist/js/cliente/entidade.js?versao=3.251.27.1"></script>
    <script src="../dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/valida_cpf_cnpj.js?versao=3.251.27.1"></script>
    <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.251.27.1"></script>
    <script src="../plugins/select2/js/select2.full.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/sisplan.js?versao=3.251.27.1"></script>
    <script src="../utils/funcoes.js?versao=3.251.27.1"></script>
    <script src="../dist/js/driver.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
    <script src="../utils/cookies.js?versao=3.251.27.1"></script>
    <script src="../dist/js/dataTables.keyTable2.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="../config.js?versao=3.251.27.1"></script>
    <script src="../plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.251.27.1"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('CONCILIA');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            const permissaoUsuarioLogado = await permissaoAcessos("CONCILIA");

            if (permissaoUsuarioLogado.INCLUI == 'N') {
                await criaMensagemErro("Sem permissão para incluir!", () => {
                    window.location.href = `${BASE_URI}/concilia`
                });
                return;
            }

            sArquivo = `${BASE_URI}/pages/concilia/cadastro_concilia/concilia.js?versao=3.251.27.1`;
            insereJavaScriptPagina(sArquivo);

            const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
            habilitaCamposObrigatoriosTela(nomeTela);
        });
    </script>
</body>

</html>