<?php include_once('../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Consulta Barras Log</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.251.27.1">
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" href="dist/css/custom.css?versao=3.251.27.1">
    <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.251.27.1" />
    <!-- <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1"> -->
    <link rel="shortcut icon" href="favicon.ico">
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.251.27.1" />
    <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.251.27.1">
    <style>
        .radioStyle {
            border: solid #e0e4e6;
            border-radius: 4px;
            border-width: 2px;
            padding: 6px;
        }

        .campoCheck {
            display: inline-block;
            position: absolute;
            width: 22px;
            height: 22px;
            border: 1px solid #D3CFC8;
            border-radius: 0;
        }

        .border-Field {
            border: 1px solid var(--font-color) !important;
            padding: 0 0 0 1.0em !important;
            margin: 0 0 1.0em 0 !important;
            -webkit-box-shadow: 0px 0px 0px 0px #000;
            box-shadow: 0px 0px 0px 0px #000;
            border-radius: 3px;
        }

        .border-Field .textoBorda {
            font-size: 1.1em !important;
            text-align: left !important;
            width: auto;
            padding: 0 10px;
            border-bottom: none;
        }

        #btnExcluirReserva {
            height: 40px;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">

        <div class="content-wrapper">
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6 flex">
                            <h1 class="m-0 text-dark">Consulta Barras Log</h1>
                            <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                <i class="fas fa-question-circle"></i></button>
                        </div>
                    </div>
                </div>
                <div class="container-fluid card p-4">
                    <div class="body-fluid" id="abaGeral">
                        <div class="row">

                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtProduto">Produto: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtProduto" name="txtProduto" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnProduto" name="btnProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaProduto" name="btnLimpaProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtCor">Cor: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtCor" name="txtCor" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnCor" name="btnCor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaCor" name="btnLimpaCor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtTamanho">Tamanho: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtTamanho" name="txtTamanho" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnTamanho" name="btnTamanho" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaTamanho" name="btnLimpaTamanho" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtDeposito">Depósito: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtDeposito" name="txtDeposito" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnDeposito" name="btnDeposito" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaDeposito" name="btnLimpaDeposito" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>

                        </div>
                        <div class="row">

                            <div class="col-lg-3 form-group" id="divBarra">
                                <label data-error="wrong" data-success="right" for="txtBarra">Barra: </label>
                                <div class="input-group">
                                    <input type="text" class="input-default focus form-control" id="txtBarra" name="txtBarra" placeholder="Barra" title="Aqui você pode filtrar as barras nos tipos: BARRA28, EAN13 e BARRA_LOG">
                                </div>
                            </div>

                            <div class="col-lg-3 form-group">
                                <label data-error="wrong" data-success="right" for="txtEPC">EPC: </label>
                                <div class="input-group">
                                    <input type="text" class="input-default focus form-control" id="txtEPC" name="txtEPC" placeholder="EPC">
                                </div>
                            </div>

                            <div class="col-lg-3 mt-3 form-group mb-0">
                                <fieldset class="form border-Field mb-0 pb-0">
                                    <legend class="textoBorda mb-0 pb-0">Opções</legend>
                                    <div class="form-row">
                                        <div class="form-group ml-2 icheck-primary">
                                            <input type="radio" class="" checked name="opcoes" id="rdTodas">
                                            <label class="form-check-label pr-1" for="rdTodas">Todas</label>
                                        </div>
                                        <div class="form-group ml-2 icheck-primary">
                                            <input type="radio" class="" name="opcoes" id="rdLidas">
                                            <label class="form-check-label pr-1" for="rdLidas">Lidas</label>
                                        </div>
                                        <div class="form-group ml-2 icheck-primary">
                                            <input type="radio" class="" name="opcoes" id="rdNaoLidas">
                                            <label class="form-check-label pr-1" for="rdNaoLidas">Não Lidas</label>
                                        </div>
                                    </div>
                                </fieldset>
                            </div>

                            <div class="col-lg-3 form-group mt-4 pt-1">
                                <button id="btnConsultar" class="btn btn-primary btn-sisp mr-2" type="button">
                                    <span class="fas fa-search"></span> Consultar
                                </button>
                                <button id="btnImprimir" class="btn-sisp btn btn-secondary"><i class="fas fa-print"></i> Imprimir</button>
                            </div>

                        </div>
                    </div>

                    <div class="footer-fluid" id="footerGeral">
                        <div class="row" id="divTabela">
                            <div class="col-sm-12 table-responsive">
                                <h5>Barras</h5>
                                <table id="tabelaBarras" class="table table-sm table-select table-hover" width="100%" style="white-space: nowrap;">
                                    <thead>
                                        <tr></tr>
                                    </thead>
                                    <tbody>
                                        <tr></tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- modal  -->
        </div>
    </div>
    <?php
    include_once('../../modais.php');
    ?>
    <aside class="control-sidebar control-sidebar-dark">
    </aside>
    </div>
    <script src="plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
    <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/adminlte.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/sisplan.js?versao=3.251.27.1"></script>
    <script src="utils/funcoes.js?versao=3.251.27.1"></script>
    <script src="utils/cookies.js?versao=3.251.27.1"></script>
    <script src="dist/js/requisicoes.js?versao=3.251.27.1"></script>
    <script src="dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/driver.min.js?versao=3.251.27.1"></script>
    <script src="plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
    <script src="plugins/select2/js/select2.full.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="dist/js/sum().js?versao=3.251.27.1"></script>
    <script src="dist/js/dataTables.keyTable2.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="config.js?versao=3.251.27.1"></script>
    <script src="plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.251.27.1"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('CONSULTABARRALOG');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            sArquivo = `${BASE_URI}/pages/consultabarralog/consultabarralog.js?versao=3.251.27.1`;
            insereJavaScriptPagina(sArquivo);

        });
    </script>
</body>

</html>