<?php include_once('../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Devolução de Barralog</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.251.27.1">
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" href="dist/css/custom.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/select.bootstrap.min.css?versao=3.251.27.1" />
  <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.251.27.1" />
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.251.27.1" />
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.251.27.1">
  <style>
    .radioStyle {
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      padding: 7.25px;
      height: 136px;
    }

    .campoSel {
      display: inline-block;
      position: absolute;
      width: 22px;
      height: 22px;
      border: 1px solid #D3CFC8;
      border-radius: 0;
    }

    .border-Field .textoBorda {
      font-size: 1.1em !important;
      text-align: left !important;
      width: auto;
      padding: 0 10px;
      border-bottom: none;
    }

    .border-Field {
      border: 1px solid var(--font-color) !important;
      padding: 0 1.0em 0 1.0em !important;
      margin: 0 0 0 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
      border-radius: 3px !important;
    }

    #tabelaOc tbody td {
      white-space: nowrap;
      text-overflow: ellipsis;
      overflow: hidden;
      padding: 0 !important;
      padding-left: 10px !important;
    }

    .card {
      padding: 1.5rem;
      border-top: 2px outset #ddd;
      box-shadow: none !important;
      margin-top: 20px;
      padding-top: 20px;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">

    <div class="content-wrapper">
      <section class="content">
        <div class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6 flex">
              </div>
              <div class="col-sm-6">
              </div><!-- /.col -->
              <div class="container-fluid" id="grad1">
                <div class="row justify-content-center mt-0">
                  <div class="col-12">
                    <div class="card mb-0">
                      <div class="card-header" style="border: none!important;box-shadow:none!important;">
                        <h2 class="m-0">Devolução de Barralog
                          <button title="Tutorial" type="button" class="btn btn-info btn-sm ml-2" style="color: white;" id="tutorial">
                            <i class="fas fa-question-circle"></i>
                          </button>
                        </h2>
                      </div>
                      <div class="container-fluid">
                        <div class="row card-body" id="abaGeral">
                          <div id="tutorialFiltros" class="row card-body">
                            <div class="col-12">
                              <div id="LancamentoTutorial">
                                <label data-error="wrong" data-success="right" for="txtLancamento">Lançamento </label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" disabled class="input-default focus form-control" id="txtLancamento" name="txtLancamento" class="form-control" placeholder="Lançamento">
                                </div>
                              </div>
                              <!-- <div id="CampoClienteTutorial">
                                <label data-error="wrong" data-success="right" for="txtCliente">Cliente </label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtCliente" name="txtCliente" class="form-control" placeholder="Cliente">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnCliente" name="btnCliente" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btnLimpaCliente" name="btnLimpaCliente" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div> -->
                              <div id="CampoNotaFiscalTutorial">
                                <label data-error="wrong" data-success="right" for="txtNota">Nota Fiscal </label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtNota" name="txtNota" class="form-control" placeholder="Nota Fiscal">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnNota" name="btnNota" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btnLimpaNota" name="btnLimpaNota" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>

                              <div class="pl-0" id="barraBipar">
                                <label for="txtBarra">Barra</label>
                                <div class="input-group">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger classBarra" id="btnMais" type="button">
                                      <i class="m-0 p-0 fas fa-plus"></i>
                                    </button>
                                  </div>
                                  <input type="text" class="input-default focus form-control classBarra" id="txtBarra" name="txtBarra" placeholder="Barra">
                                </div>
                              </div>

                              <div class="d-none pl-0" id="barraEstorno">
                                <label for="txtBarraEstorno">Barra Estorno</label>
                                <div class="input-group">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger classBarra" id="btnMenos" data-button="absolute" type="button">
                                      <i class="m-0 p-0 fas fa-minus"></i>
                                    </button>
                                  </div>
                                  <input type="text" class="input-default focus form-control classBarra" aria-describedby="ufError" id="txtBarraEstorno" name="txtBarraEstorno" class="form-control" placeholder="Barra Estorno">
                                </div>
                              </div>

                            </div>
                          </div>
                          <div id="TabelaConferenciaTutorial" class="col-6">
                            <div class="card table-responsive card-body mb-0">
                              <h5>Quantidade Conferida</h5>
                              <table id="tabelaConferencia" class="table table-sm table-select table-hover" width="100%">
                              </table>
                            </div>
                          </div>
                        </div>
                        <div id="TabelaNotaTutorial" class="card col-sm-12 table-responsive card-body">
                          <h5>Nota Fiscal</h5>
                          <table id="tabelaNota" class="table table-sm table-select table-hover" width="100%">
                          </table>
                        </div>

                        <div class="col-sm-12 d-flex justify-content-end">
                          <button id="btnExcluir" class="btn btn-danger btn-sisp mr-2">Excluir</button>
                          <button id="btnConfirmar" class="btn btn-primary btn-sisp">Confirmar</button>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
    </div>
    </section>
  </div>
  </div>
  <?php
  include_once('../../modais.php');
  ?>
  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  <script src="plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/adminlte.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/jquery.maskMoney.min.js"></script>
  <script src="dist/js/sisplan.js?versao=3.251.27.1"></script>
  <script src="utils/funcoes.js?versao=3.251.27.1"></script>
  <script src="utils/cookies.js?versao=3.251.27.1"></script>
  <script src="dist/js/requisicoes.js?versao=3.251.27.1"></script>
  <script src="dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/driver.min.js?versao=3.251.27.1"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
  <script src="plugins/select2/js/select2.full.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="dist/js/sum().js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="config.js?versao=3.251.27.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('DEVBARRALOG');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/devbarralog/devbarralog.js?versao=3.251.27.1`;
      insereJavaScriptPagina(sArquivo);

    });
  </script>
</body>

</html>