<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Disponibilidade de Tecidos Crús</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.251.27.1">
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" href="dist/css/custom.css?versao=3.251.27.1">
    <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.251.27.1">
    <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.251.27.1" />
    <link rel="shortcut icon" href="favicon.ico">
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.251.27.1" />
    <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.251.27.1">
    <style>
        #msform {
            text-align: start;
            position: relative;
        }

        .card {
            box-shadow: none !important;
            border-radius: 0 !important;
            margin-bottom: 0 !important;
        }

        .card-header {
            box-shadow: 0px 1px rgb(0 0 0 / 20%) !important;
        }


        .fa-angle-right,
        .fa-angle-down {
            color: #343a40;
        }

        .card-body {
            margin-left: 0px !important;
            padding-left: 1.25rem !important;
            padding-top: 0px;
            padding-bottom: 0px;
            padding-right: 1.25rem !important;
        }

        .header-content-page .title-page,
        .title-content-page .title,
        .title-page {
            font-size: 20px;
            line-height: normal;
            font-weight: 500;
            color: #343a40;
            margin: 0;
            font-family: Roboto, Arial, sans-serif;
        }

        #DadosGerais>.card,
        #obs>.card {
            background: #f7f7f7;
        }

        #lotesDesdobrados {
            margin-bottom: 100px;
        }

        .radiosStyle {
            padding-top: 0.5rem;
            border: solid #e0e4e6;
            border-radius: 4px;
            border-width: 2px;
            margin-left: 0%;
        }

        .radiosStyle2 {
            padding-top: 0.5rem;
            border: solid #e0e4e6;
            border-radius: 4px;
            border-width: 2px;
        }

        .borda {
            padding: 10px;
            border: solid #e0e4e6;
            border-radius: 4px;
            border-width: 2px;
        }

        .select2-container--default .select2-selection--multiple .select2-selection__rendered {
            float: left;
        }

        .border-Field .textoBorda {
            font-size: 1.1em !important;
            text-align: left !important;
            width: auto;
            padding: 0 10px;
            border-bottom: none;
        }

        .border-Field {
            border: 1px solid var(--white-dark) !important;
            /* padding: 0 1.0em 1.0em 1.0em !important; */
            margin: 0 0 1.0em 0 !important;
            -webkit-box-shadow: 0px 0px 0px 0px #000;
            box-shadow: 0px 0px 0px 0px #000;
        }

        .modalFooterFixo {
            position: absolute;
            bottom: 0;
            left: 10px;
            right: 10px;
            background-color: #171f21;
            z-index: 1;
            padding: 4px;
        }


        .sidebar-collapse .sidebar-margin {
            margin-left: 5%
        }

        /* .sidebar-margin {
            margin-left: 250px
        } */

        /* #rodape {
            margin-bottom: 80px;
        } */


        body {
            font-size: 12px;
        }

        .input-group button,
        .input-group input {
            /* height: 32px !important; */
        }

        button {
            /* height: 32px !important; */
            /* padding: 0 !important; */
        }

        .table tbody td {
            /* white-space: nowrap;
            text-overflow: ellipsis;
            overflow: hidden; */
        }

        .table td,
        .table th {
            border: 1px solid var(--table-border) !important;
        }

        .btn-success {
            color: #fff;
            background-color: #28a745;
            border-color: #28a745;
            box-shadow: none;
        }

        .clicavel {
            color: #3582d5;
            cursor: pointer;
        }

        .comecaComOnze {
            background-color: #00bfff;
            color: white;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">

        <div class="content-wrapper">
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                            <div class="card" style="height:auto;">
                                <div class="card-header bg-dark">
                                    <div class="row flex">
                                        <h6 class="text-white m-0">Disponibilidade de Tecidos Cru</h6>
                                    </div>
                                </div>
                                <fieldset id="filtros" class="">
                                    <div class="card-body" style="padding-left: 0rem!important; padding-right: 0rem!important;">
                                        <form id="msform" name="msform">
                                            <div class="collapse show" id="DadosGerais">
                                                <div class="card" style="padding-top: 10px;">
                                                    <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="dados-tab">
                                                        <div class="col-lg-12 col-12 animate__animated animate__fadeIn">
                                                            <div class="card"">
                                                                <div class=" card-header bg-info">
                                                                <h3 class="card-title">Filtros</h3>

                                                                <div class="card-tools">
                                                                    <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                                                                    </button>
                                                                </div>
                                                            </div>
                                                            <div class="card-body" style="padding: 0 4px!important;">
                                                                <div class="form-row borda" id="lotes">
                                                                    <div class="col-12">
                                                                        <div class="form-row">
                                                                            <div class="col-xl-3 col-12">
                                                                                <label data-error="wrong" data-success="right" id="labelProduto" for="txtMaterial">Material: </label>
                                                                                <div class="relative">
                                                                                    <div class="input-group">
                                                                                        <!-- <input type="text" class="input-default focus form-control" id="txtMaterial" name="txtMaterial" class="form-control" placeholder="Material"> -->
                                                                                        <select class="js-example-programmatic js-states form-control" id="txtMaterial" name="txtMaterial" multiple="multiple">
                                                                                        </select>
                                                                                        <div class="input-group-append">
                                                                                            <button class="btn bg-danger" id="btnMaterial" name="btnMaterial" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                                            <button class="btn bg-danger" id="btnLimpaMaterial" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <div class="col-xl-3 col-12 mudaTamanho form-group">
                                                                                <label data-error="wrong" data-success="right" for="txtCor">Cor: </label>
                                                                                <div class="relative">
                                                                                    <div class="input-group">
                                                                                        <!-- <input type="text" class="input-default focus form-control" id="txtCor" name="txtCor" class="form-control" placeholder="Cor"> -->
                                                                                        <select class="js-example-programmatic js-states form-control" id="txtCor" name="txtCor" multiple="multiple">
                                                                                        </select>
                                                                                        <div class="input-group-append">
                                                                                            <button class="btn bg-danger" id="btnCor" name="btnCor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                                            <button class="btn bg-danger" id="btnLimpaCor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <div class="col-xl-3 col-12">
                                                                                <label data-error="wrong" data-success="right">Períodos</label>
                                                                                <div class="relative">
                                                                                    <div class="input-group">
                                                                                        <input type="text" class="input-default focus form-control" id="txtPeriodo1" class="form-control" placeholder="Período 1">
                                                                                        <input type="text" class="input-default focus form-control" id="txtPeriodo2" class="form-control" placeholder="Período 2">
                                                                                        <input type="text" class="input-default focus form-control" id="txtPeriodo3" class="form-control" placeholder="Período 3">
                                                                                        <input type="text" class="input-default focus form-control" id="txtPeriodo4" class="form-control" placeholder="Período 4">
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <div class="col-xl-3 col-12 d-flex align-items-center mt-2">
                                                                                <div class="form-check" style="margin-top: -25px;">
                                                                                    <input class="form-check-input" type="checkbox" id="cbResumido" /> <label for="cbResumido">Resumido</label>
                                                                                </div>
                                                                                <div class="form-check ml-2">
                                                                                    <input class="form-check-input" type="checkbox" id="cbSomenteProducaoPendente" /> <label for="cbSomenteProducaoPendente">Somente com Produção Pendente</label>
                                                                                    <br />
                                                                                    <input class="form-check-input" type="checkbox" id="cbSomenteComQuantidade" /> <label for="cbSomenteComQuantidade">Somente com Quantidade</label>
                                                                                </div>
                                                                            </div>
                                                                            <div class="col-xl-3 col-12 form-group">
                                                                                <label data-error="wrong" data-success="right" for="txtDepositoCru">Depósito Cru: </label>
                                                                                <div class="relative">
                                                                                    <div class="input-group">
                                                                                        <!-- <input type="text" class="input-default focus form-control" id="txtDepositoUsuario" name="txtDepositoUsuario" class="form-control" placeholder="DepositoUsuario"> -->
                                                                                        <select class="js-example-programmatic js-states form-control" id="txtDepositoCru" name="txtDepositoCru" multiple="multiple">
                                                                                        </select>
                                                                                        <div class="input-group-append">
                                                                                            <button class="btn bg-danger" id="btnDepositoCru" name="btnDepositoCru" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                                            <button class="btn bg-danger" id="btnLimpaDepositoCru" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                                            <button class="btn bg-danger" title="Definir como padrão, assim nas próximas consultas ele virá preenchido." id="btnDepositoCruFixo" name="btnDepositoCruFixo"><i class="m-0 p-0 fas fa-check"></i></button>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <div class="col-xl-3 col-12 form-group">
                                                                                <label data-error="wrong" data-success="right" for="txtDepositoFio">Depósito Fio: </label>
                                                                                <div class="relative">
                                                                                    <div class="input-group">
                                                                                        <!-- <input type="text" class="input-default focus form-control" id="txtDepositoUsuario" name="txtDepositoUsuario" class="form-control" placeholder="DepositoUsuario"> -->
                                                                                        <select class="js-example-programmatic js-states form-control" id="txtDepositoFio" name="txtDepositoFio" multiple="multiple">
                                                                                        </select>
                                                                                        <div class="input-group-append">
                                                                                            <button class="btn bg-danger" id="btnDepositoFio" name="btnDepositoFio" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                                            <button class="btn bg-danger" id="btnLimpaDepositoFio" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                                            <button class="btn bg-danger" title="Definir como padrão, assim nas próximas consultas ele virá preenchido." id="btnDepositoFioFixo" name="btnDepositoFioFixo"><i class="m-0 p-0 fas fa-check"></i></button>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <div class="col-xl-4 d-flex align-items-center">
                                                                                <div class="text-left" id="botaoConsultaLimpa">
                                                                                    <button type="button" class="btn btn-primary btn-sisp" id="btnConsultar" style="margin-top: 10px;">Consultar</button>
                                                                                    <button type="button" class="btn bg-gradient-danger btn-sisp" id="btnLimparTela" style="margin-top: 10px;">Limpar</button>
                                                                                    <button type="button" class="btn bg-gradient-secondary btn-sisp" id="btnImprimirTela" style="margin-top: 10px;">Imprimir</button>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                    </div>
                                    </form>
                            </div>
                            </fieldset>
                            <div id="dados" class="p-2">

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>

    <div id="modal-quadro-maquinas" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content" id="modalBody">
                <div class="modal-header">
                    <h4 class="modal-title">Quadro de Máquinas por Referência</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">

                    <div class="row">
                        <div class="col-12 mb-2">
                            <div class="d-flex align-items-center justify-center " style="font-size:16px">
                                <span class="primary-color-dark semi-bold">Referência: </span>
                                <span class="primary-color-dark semi-bold pl-2" id="modal-quadro-referencia"></span>
                            </div>
                            <div class="d-flex align-items-center justify-center" style="font-size:16px">
                                <span class="primary-color-dark semi-bold">Cor: </span>
                                <span class="primary-color-dark semi-bold pl-2" id="modal-quadro-cor"></span>
                            </div>
                        </div>
                        <div class="col-12">
                            <div class="conteudo table-responsive">
                                <table id="tabela-maquina-tecido" class="table table-sm table-hover" style="width: 100%" width="100%">
                                    <thead>
                                        <tr>
                                            <th>Máquina</th>
                                            <th>Ref. Atual</th>
                                            <th>Cor</th>
                                            <th>Situação</th>
                                            <th>Observação</th>
                                            <th>Rolos Programados</th>
                                            <th>Rolos Produzidos</th>
                                            <th>Falta Produzir
                                            <th>Grupo</th>
                                            <th>SubGrupo</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="modal-roteiro-operacoes" class="modal" tabindex="-1" role="dialog" style="z-index: 1052;">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content" id="modalBody">
                <div class="modal-header">
                    <h4 class="modal-title">Roteiro de Operações</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">

                    <div class="row">
                        <div class="col-12 mb-2">
                            <div class="d-flex align-items-center justify-center " style="font-size:16px">
                                <span class="primary-color-dark semi-bold">Roteiro: </span>
                                <span class="primary-color-dark semi-bold pl-2" id="modal-roteiro-roteiro"></span>
                            </div>
                        </div>
                        <div class="col-12">
                            <div class="conteudo table-responsive">
                                <table id="tabela-roteiro" class="table table-sm table-hover" style="width: 100%" width="100%">
                                    <thead>
                                        <tr>
                                            <th>Código</th>
                                            <th>Descrição</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="modal-ordens-emitidas" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" style="width: 100vw!important; height: 100%!important;max-width: 200%!important; margin: 0px!important" role="document">
            <div class="modal-content pr-4 pl-4" style="height: 100%!important; max-height: 100vh!important" id="modalBody">
                <div class="modal-header">
                    <h4 class="modal-title">Ordens Emitidas</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-sm-8 col-12">
                            <div class="conteudo table-responsive">
                                <table id="tabela-ordens-emitidas" class="table table-sm table-hover table-select" style="width: 100%" width="100%">
                                    <thead>
                                        <tr>
                                            <th>Ordem</th>
                                            <th>Roteiro</th>
                                            <th>Codigo</th>
                                            <th>Cor</th>
                                            <th>Previsão</th>
                                            <th>Rolos Prog.</th>
                                            <th>Rolos</th>
                                            <th>Agrupamento</th>
                                            <th>Agrupamento Casado</th>
                                            <th>RGB</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="col-sm-4 col-12">
                            <div class="conteudo table-responsive">
                                <table id="tabela-ordens-agrupamento" class="table table-sm table-hover" style="width: 100%" width="100%">
                                    <thead>
                                        <tr>
                                            <th>Código</th>
                                            <th>Roteiro</th>
                                            <th>Origem Casado</th>
                                            <th>Agrupamento</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="col-sm-12 col-12">
                            <div class="conteudo table-responsive">
                                <table id="tabela-ordens-data" class="table table-sm table-hover" style="width: 100%" width="100%">
                                    <thead>
                                        <tr>
                                            <th>Data</th>
                                            <th>Qtde. Rolos</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div id="modal-detalhes-ordem" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" style="width: 100vw!important; height: 100%!important;max-width: 200%!important; margin: 0px!important" role="document">
            <div class="modal-content pr-4 pl-4" style="height: 100%!important; max-height: 100vh!important" id="modalBody">
                <div class="modal-header">
                    <h4 class="primary-color-dark semi-bold">Detalhamento da Ordem de Produção</h4>
                    <h4 class="primary-color-dark semi-bold pl-2" id="modal-detalhes-numero"></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row pl-4 pr-4">
                        <div class="col-sm-4 col-12 form-group text-left">
                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtDetalhePeriodo">Período </label>

                            <div class="input-group">
                                <input type="text" class="input-default focus form-control " readonly aria-describedby="cepError" id="txtDetalhePeriodo" name="txtDetalhePeriodo" class="form-control" placeholder="Período">
                            </div>
                        </div>
                        <div class="col-sm-4 col-12 form-group text-left">
                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtDetalheAgrupamento">Agrupamento </label>

                            <div class="input-group">
                                <input type="text" class="input-default focus form-control " readonly aria-describedby="cepError" id="txtDetalheAgrupamento" name="txtDetalheAgrupamento" class="form-control" placeholder="Agrupamento">
                            </div>
                        </div>
                        <div class="col-sm-4 col-12 form-group text-left">
                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtDetalheMaquina">Máquina </label>

                            <div class="input-group">
                                <input type="text" class="input-default focus form-control " readonly aria-describedby="cepError" id="txtDetalheMaquina" name="txtDetalheMaquina" class="form-control" placeholder="Máquina">
                            </div>
                        </div>
                        <div class="col-sm-12 col-12 form-group text-left">
                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtDetalheObs">Observação </label>

                            <div class="input-group">
                                <input type="text" class="input-default focus form-control " readonly aria-describedby="cepError" id="txtDetalheObs" name="txtDetalheObs" class="form-control" placeholder="Observação">
                            </div>
                        </div>
                        <div class="col-sm-12 col-12 form-group text-left">
                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtDetalheObs2">Observação 2</label>

                            <div class="input-group">
                                <input type="text" class="input-default focus form-control " readonly aria-describedby="cepError" id="txtDetalheObs2" name="txtDetalheObs2" class="form-control" placeholder="Observação 2">
                            </div>
                        </div>
                        <div class="col-sm-12 col-12 form-group text-left">
                            <label data-error="wrong" class="labelGeral" data-success="right" for="txtDetalheEstagioAtual">Estágio Atual</label>

                            <div class="input-group">
                                <input type="text" class="input-default focus form-control " readonly aria-describedby="cepError" id="txtDetalheEstagioAtual" name="txtDetalheEstagioAtual" class="form-control" placeholder="Estágio Atual">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div id="modal-etiquetas-ot" class="modal" tabindex="-1" role="dialog" style="z-index: 1053">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content" id="modalBody">
                <div class="modal-header">
                    <h4 class="modal-title">Etiquetas da Ordem de Tecelagem</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-12 mb-2">
                            <div class="d-flex align-items-center justify-center " style="font-size:16px">
                                <span class="primary-color-dark semi-bold">Referência: </span>
                                <span class="primary-color-dark semi-bold pl-2" id="modal-etiquetas-ot-referencia"></span>
                            </div>
                            <div class="d-flex align-items-center justify-center" style="font-size:16px">
                                <span class="primary-color-dark semi-bold">Cor: </span>
                                <span class="primary-color-dark semi-bold pl-2" id="modal-etiquetas-ot-cor"></span>
                            </div>
                            <div class="d-flex align-items-center justify-center" style="font-size:16px">
                                <span class="primary-color-dark semi-bold">Máquina: </span>
                                <span class="primary-color-dark semi-bold pl-2" id="modal-etiquetas-ot-maquina"></span>
                            </div>
                            <div class="d-flex align-items-center justify-center" style="font-size:16px">
                                <span class="primary-color-dark semi-bold">Depósito: </span>
                                <span class="primary-color-dark semi-bold pl-2" id="modal-etiquetas-ot-deposito"></span>
                            </div>
                        </div>
                        <div class="col-12 mb-2">
                            <button id="btn-etq-gerar" class="btn btn-sisp btn-secondary">Gerar</button>
                        </div>
                        <div class="col-12 mb-2">
                            <div class="conteudo table-responsive">
                                <table id="tabela-etq-lotes" class="table table-sm table-hover" style="width: 100%" width="100%">
                                    <thead>
                                        <tr>
                                            <th>Numero</th>
                                            <th>Etiqueta</th>
                                            <th>Sequencial</th>
                                            <th>Peso</th>
                                            <th>Id</th>
                                            <th>Gerado</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer justify-content-start">

                    <div class="col-12">
                        <button class="btn btn-sisp btn-success" id="btn-etq-gravar">Gravar</button>
                        <button class="btn btn-sisp btn-danger" id="btn-etq-fechar" data-dismiss="modal">Fechar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div id="modal-ots-pendentes" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content" id="modalBody">
                <div class="modal-header">
                    <h4 class="modal-title">OTS Pendentes</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-12 mb-2">
                            <div class="d-flex align-items-center justify-center " style="font-size:16px">
                                <span class="primary-color-dark semi-bold">Referência: </span>
                                <span class="primary-color-dark semi-bold pl-2" id="modal-ots-referencia"></span>
                            </div>
                            <div class="d-flex align-items-center justify-center" style="font-size:16px">
                                <span class="primary-color-dark semi-bold">Cor: </span>
                                <span class="primary-color-dark semi-bold pl-2" id="modal-ots-cor"></span>
                            </div>
                        </div>
                        <div class="col-12">
                            <div class="conteudo table-responsive">
                                <table id="tabela-ots-pendentes" class="table table-sm table-hover" style="width: 100%" width="100%">
                                    <thead>
                                        <tr>
                                            <th>Ordem</th>
                                            <th>Etiqueta</th>
                                            <th>Máquina</th>
                                            <th>Data/Hora Prev.</th>
                                            <th>Prod Diária</th>
                                            <th>Peso Rolo</th>
                                            <th>Rolos Prog.</th>
                                            <th>Saldo Rolos</th>
                                            <th>Observação</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="modal-ot-edicao" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" style="width: 100vw!important; height: 100%!important;max-width: 200%!important; margin: 0px!important" role="document">
            <div class="modal-content" style="height: 100%!important; max-height: 100vh!important" id="modalBody">
                <div class="modal-header">

                    <h4 class="primary-color-dark semi-bold">Detalhamento da Ordem de Tecelagem: </h4>
                    <h4 class="primary-color-dark semi-bold pl-2" id="modal-ot-edicao-numero"></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body mw-90" style="max-width: 960px;align-self: center;">
                    <div class="row">
                        <div class="col-12 row pl-4 pr-4">
                            <div class="col-sm-5 col-12 form-group text-left">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtOTPeriodo">Período </label>

                                <div class="input-group">
                                    <input type="text" class="input-default focus form-control validate" required aria-describedby="cepError" id="txtOTPeriodo" name="txtOTPeriodo" class="form-control" placeholder="Período">
                                </div>
                            </div>
                            <div class="col-sm-7 col-12 form-group text-left">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtOTDataPrevista">Data/Hora Prevista </label>

                                <div class="input-group">
                                    <input type="datetime-local" class="input-default focus form-control validate" required id="txtOTDataPrevista" name="txtOTDataPrevista" placeholder="Data/Hora Prevísta">
                                </div>
                            </div>
                            <div class="col-sm-12 col-12 form-group text-left">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtOTOBS">Observação </label>

                                <div class="input-group">
                                    <input type="text" class="input-default focus form-control validate" required aria-describedby="cepError" id="txtOTOBS" name="txtOTOBS" class="form-control" placeholder="Observação">
                                </div>
                            </div>

                            <div class="col-sm-12 col-12 d-none" id="pnlControleOTRolos">
                                <div class="row">
                                    <div class="col-sm-12 col-12">
                                        <table class="table table-hover table-sm" id="tabela-rolos-pendentes" width="100%" style="width: 100%; text-align: center">
                                            <thead>
                                                <tr>
                                                    <th>N° Rolo</th>
                                                    <th>Remover</th>
                                                </tr>
                                            </thead>
                                        </table>
                                    </div>
                                    <div class="col-sm-6 col-12 mt-2">
                                        <button class="btn btn-block btn-primary todos">Todos</button>
                                    </div>
                                    <div class="col-sm-6 col-12 mt-2">
                                        <button class="btn btn-block btn-success gravar">Gravar</button>
                                    </div>
                                    <div class="col-sm-6 col-12 mt-2">
                                        <button class="btn btn-block btn-secondary reimprimir">Reimprimir Etiquetas</button>
                                    </div>
                                    <div class="col-sm-6 col-12 mt-2">
                                        <button class="btn btn-block btn-danger fechar" data-dismiss="modal">Fechar</button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-12 col-12 d-none" id="pnlControleOTEdicao">
                                <div class="row">
                                    <div class="col-sm-6 col-12 form-group text-left">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtOTQtdeRolosProg">Qtde. Rolos Prog. </label>

                                        <div class="input-group">
                                            <input type="number" class="input-default focus form-control validate disabled" disabled aria-describedby="cepError" id="txtOTQtdeRolosProg" name="txtOTQtdeRolosProg" class="form-control" placeholder="Qtde. Rolos Prog.">
                                        </div>
                                    </div>
                                    <div class="col-sm-6 col-12 form-group text-left">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtOTQtdeRolosProgNovo">Qtde. Rolos Prog. Novo</label>

                                        <div class="input-group">
                                            <input type="number" class="input-default focus form-control validate" required aria-describedby="cepError" id="txtOTQtdeRolosProgNovo" name="txtOTQtdeRolosProgNovo" class="form-control" placeholder="Qtde. Rolos Prog. Novo">
                                        </div>
                                    </div>

                                    <div class="col-12" style="text-align: center">
                                        <p style="font-size: 14px; padding: 1rem;background-color: #ffffc3;color: brown;"><b>Ordem não Emitida!</b> Não foram localizados rolos nessa ordem.</p>
                                    </div>


                                    <div class="col-sm-6 col-12 mt-2">
                                        <button class="btn btn-block btn-primary cancelar">Excluir Ordem</button>
                                    </div>
                                    <div class="col-sm-6 col-12 mt-2">
                                        <button class="btn btn-block btn-success gravar">Gravar</button>
                                    </div>
                                    <div class="col-sm-6 col-12 mt-2">
                                        <button class="btn btn-block btn-secondary etiquetas">Etiquetas</button>
                                    </div>
                                    <div class="col-sm-6 col-12 mt-2">
                                        <button class="btn btn-block btn-danger fechar" data-dismiss="modal">Fechar</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="modal-ref-fios" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" style="width: 100vw!important; height: 100%!important;max-width: 200%!important; margin: 0px!important" role="document">
            <div class="modal-content pr-4 pl-4" style="height: 100%!important; max-height: 100vh!important" id="modalBody">
                <div class="modal-header">
                    <h4 class="primary-color-dark semi-bold">Referências que Utilizam os Fios </h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body pr-4 pl-4">
                    <div class="row">
                        <div class="col-sm-12 col-12" id="div-tabela-ref-fios">

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="modal-pre-baixa" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" style="width: 100vw!important; height: 100%!important;max-width: 200%!important; margin: 0px!important" role="document">
            <div class="modal-content pr-4 pl-4" style="height: 100%!important; max-height: 100vh!important" id="modalBody">
                <div class="modal-header">
                    <h4 class="primary-color-dark semi-bold">Pré Baixa</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body pr-4 pl-4">
                    <div class="row">
                        <div class="col-sm-12 col-12 table-responsive">
                            <table class="table table-sm table-hover" id="tabela-pre-baixa" width="100%" style="width: 100%">
                                <thead>
                                    <tr>
                                        <th>Maquina</th>
                                        <th>Lote</th>
                                        <th>Data Hora</th>
                                        <th>Rolos Pré Baixados</th>
                                        <th>Peso</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="modal-estoque-fix" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content pr-4 pl-4" style="height: 100%!important; max-height: 100vh!important" id="modalBody">
                <div class="modal-header">
                    <h4 class="primary-color-dark semi-bold">Estoque Fix.</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body pr-4 pl-4">
                    <div class="row">
                        <div class="col-sm-12 col-12 table-responsive">
                            <table class="table table-sm table-hover" id="tabela-estoque-fix" width="100%" style="width: 100%">
                                <thead>
                                    <tr>
                                        <th>Ordem</th>
                                        <th>Rolos</th>
                                        <th>Peso</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="modal-fixado-op" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content pr-4 pl-4" style="height: 100%!important; max-height: 100vh!important" id="modalBody">
                <div class="modal-header">
                    <h4 class="primary-color-dark semi-bold">Ordens de Produção do Fixado em processo</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body pr-4 pl-4">
                    <div class="row">
                        <div class="col-sm-12 col-12 table-responsive">
                            <table class="table table-sm table-hover" id="tabela-fixado-op" width="100%" style="width: 100%">
                                <thead>
                                    <tr>
                                        <th>Ordem</th>
                                        <th>Rolos</th>
                                        <th>Codigo</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="modal-fixado-detalhamento" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content pr-4 pl-4" style="height: 100%!important; max-height: 100vh!important" id="modalBody">
                <div class="modal-header">
                    <h4 class="primary-color-dark semi-bold">Detalhamento Ordem: </h4>
                    <h4 class="primary-color-dark semi-bold" id="modal-fixado-detalhamento-numero"></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body pr-4 pl-4">
                    <div class="row">
                        <div class="col-sm-12 col-12 table-responsive">
                            <table class="table table-sm table-hover" id="tabela-fixado-detalhamento" width="100%" style="width: 100%">
                                <thead>
                                    <tr>
                                        <th>Rolo</th>
                                        <th>Lote</th>
                                        <th>Data</th>
                                        <th>Peso</th>
                                        <th>Máquina</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="modal-maq-fios" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content pr-4 pl-4" style="height: 100%!important; max-height: 100vh!important" id="modalBody">
                <div class="modal-header">
                    <h4 class="primary-color-dark semi-bold">Fios atrelados a máquina: </h4>
                    <h4 class="primary-color-dark semi-bold pl-2" id="modal-maq-maquina"></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body pr-4 pl-4">
                    <div class="row">
                        <div class="col-sm-12 col-12 table-responsive" id="div-tabela-maq-fios">
                            <table id="tabela-maq-fios" class="table table-sm table-hover" styl="width: 100%" width="100%">
                                <thead>
                                    <tr>
                                        <th>Código</th>
                                        <th>Descrição</th>
                                        <th>Lote</th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <div id="modal-relacionamento" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" style="width: 100vw!important; height: 100%!important;max-width: 200%!important; margin: 0px!important" role="document">
            <div class="modal-content pr-4 pl-4" style="height: 100%!important; max-height: 100vh!important" id="modalBody">
                <div class="modal-header">
                    <h4 class="primary-color-dark semi-bold">Relacionamento Tecido x Máquina </h4>
                    <h4 class="primary-color-dark semi-bold pl-2" id="modal-relacionamento-referencia"></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body pr-4 pl-4">
                    <div class="row">
                        <div class="col-sm-6 col-12 form-group text-left">
                            <label data-error="wrong" class="labelGeral" data-success="right" for="txt-rel-tecido">Tecido </label>

                            <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" readonly disabled aria-describedby="cepError" id="txt-rel-tecido" name="txt-rel-tecido" class="form-control" placeholder="Tecido">
                            </div>
                        </div>
                        <div class="col-sm-6 col-12 form-group text-left">
                            <label data-error="wrong" class="labelGeral" data-success="right" for="txt-rel-cor">Cor </label>

                            <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" readonly disabled aria-describedby="cepError" id="txt-rel-cor" name="txt-rel-cor" class="form-control" placeholder="Cor">
                            </div>
                        </div>
                        <div class="col-sm-6 col-12" id="divMaquina">
                            <label>Maquina</label>
                            <div class="input-group">
                                <select class="form-control select2 select2-danger focus" id="txt-rel-maquina" name="txt-rel-maquina" data-dropdown-css-class="select2-danger" style="width: 100%;">
                                    <option value="" selected="selected">Selecione uma Maquina</option>
                                </select>
                            </div>
                        </div>
                        <!-- <div class="col-sm-6 col-12 form-group text-left">
                            <label data-error="wrong" class="labelGeral" data-success="right" for="txt-rel-maquina">Máquina </label>

                            <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" required aria-describedby="cepError" id="txt-rel-maquina" name="txt-rel-maquina" class="form-control" placeholder="Máquina">
                            </div>
                        </div> -->
                        <div class="col-sm-6 col-12 form-group text-left">
                            <label data-error="wrong" class="labelGeral" data-success="right" for="txt-rel-obs">Observação </label>

                            <div class="input-group">
                                <input type="text" class="input-default focus form-control validate" required aria-describedby="cepError" id="txt-rel-obs" name="txt-rel-obs" class="form-control" placeholder="Observação">
                            </div>
                        </div>
                        <div class="col-sm-6 col-12">

                            <button class="btn btn-sm btn-secondary btn-sisp" id="btn-relacionar">
                                Relacionar
                            </button>
                        </div>
                        <div class="col-sm-12 col-12 mt-2 table-responsive">
                            <table id="tabela-relacionamento" class="table table-sm table-hover" width="100%" style="width: 100%">
                                <thead>
                                    <tr>
                                        <th>Referência</th>
                                        <th>Cor</th>
                                        <th>Máquina</th>
                                        <th>Sequência</th>
                                        <th>Situação</th>
                                        <th>Observação</th>
                                        <th>Ação</th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                        </div>
                        <div class="col-12 col-sm-12 mt-2">
                            <button class="btn btn-sm btn-primary btn-sisp d-none" id="btn-consultar-relacionamento">
                                Consultar
                            </button>
                            <button class="btn btn-sm btn-danger btn-sisp" data-dismiss="modal" id="btn-fechar-relacionamento">
                                Fechar
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="modal-estoque-rolos" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content" id="modalBody">
                <div class="modal-header">
                    <h4 class="modal-title">Estoque dos Rolos</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">

                    <div class="row">
                        <div class="col-12 mb-2">
                            <div class="d-flex align-items-center justify-center " style="font-size:16px">
                                <span class="primary-color-dark semi-bold">Referência: </span>
                                <span class="primary-color-dark semi-bold pl-2" id="modal-estoque-referencia"></span>
                            </div>
                            <div class="d-flex align-items-center justify-center" style="font-size:16px">
                                <span class="primary-color-dark semi-bold">Cor: </span>
                                <span class="primary-color-dark semi-bold pl-2" id="modal-estoque-cor"></span>
                            </div>
                        </div>
                        <div class="col-12">
                            <div class="conteudo table-responsive">
                                <table id="tabela-estoque-rolos" class="table table-sm table-hover" style="width: 100%" width="100%">
                                    <thead>
                                        <tr>
                                            <th>Máquina</th>
                                            <th>Lote</th>
                                            <th>Estoque</th>
                                            <th>Fornecedor</th>
                                            <th>Fabricante</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer justify-content-start" id="btnDetalhesEstoque">
                    <button class="btn btn-info">Detalhes</button>
                </div>
            </div>
        </div>
    </div>

    <div id="modal-estoque-rolos-detalhado" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content" id="modalBody">
                <div class="modal-header">
                    <h4 class="modal-title">Detalhamento do Estoque dos Rolos</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">

                    <div class="row">
                        <div class="col-12 mb-2">
                            <div class="d-flex align-items-center justify-center " style="font-size:16px">
                                <span class="primary-color-dark semi-bold">Referência: </span>
                                <span class="primary-color-dark semi-bold pl-2" id="modal-estoque-referencia-detalhado"></span>
                            </div>
                            <div class="d-flex align-items-center justify-center" style="font-size:16px">
                                <span class="primary-color-dark semi-bold">Cor: </span>
                                <span class="primary-color-dark semi-bold pl-2" id="modal-estoque-cor-detalhado"></span>
                            </div>
                        </div>
                        <div class="col-12">
                            <div class="conteudo table-responsive">
                                <table id="tabela-estoque-rolos-detalhado" class="table table-sm table-hover" style="width: 100%" width="100%">
                                    <thead>
                                        <tr>
                                            <th>Nº Rolo</th>
                                            <th>Lote</th>
                                            <th>Data/Hora</th>
                                            <th>Peso</th>
                                            <th>Máquina</th>
                                            <th>Fornecedor</th>
                                            <th>Fabricante</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>


    <?php
    include_once('../../modais.php');
    ?>
    <aside class="control-sidebar control-sidebar-dark">
    </aside>
    </div>
    <script src="plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
    <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/adminlte.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/sisplan.js?versao=3.251.27.1"></script>
    <script src="utils/funcoes.js?versao=3.251.27.1"></script>
    <script src="utils/cookies.js?versao=3.251.27.1"></script>
    <script src="dist/js/requisicoes.js?versao=3.251.27.1"></script>
    <script src="dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/driver.min.js?versao=3.251.27.1"></script>
    <script src="plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
    <script src="plugins/select2/js/select2.full.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="dist/js/sum().js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="config.js?versao=3.251.27.1"></script>
    <script src="plugins/moment/moment.min.js?versao=3.251.27.1"></script>
    <script src="plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/jquery.mask.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('DISPONIBILIDADE_TECIDOS');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            sArquivo = `${BASE_URI}/pages/disponibilidade_tecidos/disponibilidade_tecidos.js?versao=3.251.27.1`;
            insereJavaScriptPagina(sArquivo);

        });
    </script>
</body>

</html>