<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Cadastro de Extrato</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.251.27.1" />
  <link href='../dist/css/bootstrap.min.css?versao=3.251.27.1'>
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.251.27.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.251.27.1">

  <!-- Toastr -->
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.251.27.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.251.27.1">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <style>
    #progressbar li {
      list-style-type: none;
      font-size: 12px;
      width: 100%;
      float: left;
      position: relative
    }

    .border-Field .textoBorda {
      font-size: 1.1em !important;
      text-align: left !important;
      width: auto;
      padding: 0 10px;
      border-bottom: none;
    }

    .border-Field {
      border: 1px solid var(--font-color) !important;
      padding: 0 1.0em 0 1.0em !important;
      margin: 0 0 0 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">

    <div id="myModal" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 id="myModalLabel" class="modal-title"></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p id="myModalText"></p>
          </div>
          <div class="modal-footer">
            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
          </div>
        </div>
      </div>
    </div>
    <div class="content-wrapper">
      <section class="content">
        <div class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6 flex">
              </div>
              <div class="col-sm-6">
                <!-- <ol class="breadcrumb float-sm-right">
                  
                  <li class="breadcrumb-item"><a href="../extrato">Acesso Extrato</a></li>
                  <li class="breadcrumb-item active">Cadastro de Extrato</li>
                </ol> -->
              </div><!-- /.col -->
            </div><!-- /.row -->
          </div>
          <div class="row justify-content-center mt-0">
            <div class="col-10 p-0 mt-3 mb-2">
              <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                <div class="card-header" style="border: none!important;box-shadow:none!important;">
                  <h2> Cadastro de Extrato
                    <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                      <i class="fas fa-question-circle"></i>
                    </button>
                  </h2>
                </div>

                <div class="row">
                  <div class="col-md-12 mx-0 mb-3">
                    <form id="msform">
                      <ul id="progressbar">
                        <li class="active" id="account"><strong>Geral</strong></li>
                      </ul>
                      <p>Preencha os dados e clique em gravar para realizar o cadastro ou alteração dos dados.</p>

                      <fieldset class="mt-5 px-3">

                        <div class="col-lg-12 col-md-12 text-left">

                          <div class="form-group col-lg-3 col-md-12">
                            <label for="txtLancamento">Lançamento:</label>
                            <input type="text" class="input-default focus form-control validate" id="txtLancamento" name="txtLancamento" placeholder="Gerado Automaticamente" disabled>
                          </div>
                          <div class="form-group col-lg-2 col-md-12">
                            <label for="txtData">Data:</label>
                            <input type="date" class="input-default focus form-control validate" id="txtData" name="txtData" placeholder="Início">
                          </div>
                          <div class="form-group col-lg-3 col-md-12">
                            <label for="txtDocto">Documento:</label>
                            <input type="text" class="input-default focus form-control validate" id="txtDocto" name="txtDocto" placeholder="Documento">
                          </div>
                          <div class="form-group col-lg-2 col-md-12">
                            <label for="txtValor">Valor:</label>
                            <input type="number" class="input-default focus form-control validate" id="txtValor" name="txtValor" placeholder="0,00">
                          </div>
                          <div class="form-group col-lg-2 col-md-12">
                            <label for="txtSaldoConta">Saldo Conta:</label>
                            <input type="text" class="input-default focus form-control validate" id="txtSaldoConta" name="txtSaldoConta" placeholder="0,00" disabled>
                          </div>
                          <div class="form-group col-lg-4 col-md-12">
                            <label for="txtConta">Conta:</label>
                            <div class="input-group">
                              <input type="text" class="input-default focus form-control validate" id="txtConta" name="txtConta" placeholder="Conta">
                              <div class="input-group-append">
                                <button class="btn bg-danger create" id="btnConta" name="btnConta" data-button="absolute" type="button">
                                  <i class="m-0 p-0 fas fa-search"></i>
                                </button>
                                <button class="btn bg-danger create" id="btnLimpaConta" type="button">
                                  <i class="m-0 p-0 fas fa-trash"></i>
                                </button>
                              </div>
                            </div>
                          </div>
                          <div class="form-group col-lg-2 col-md-12">
                            <label for="txtConciliado">Conciliado:</label>
                            <select class="drilldown-item form-control select2 select2-danger focus" style="border-color: #a9a9a9" data-dropdown-css-class="select2-danger" name="txtConciliado" id="txtConciliado" disabled>
                              <option value="S">Sim</option>
                              <option value="N" selected>Não</option>
                            </select>
                          </div>
                          <div class="form-group col-lg-2 col-md-12">
                            <label for="txtOperacao">Operação:</label>
                            <select class="drilldown-item form-control select2 select2-danger focus" style="border-color: #a9a9a9" data-dropdown-css-class="select2-danger" name="txtOperacao" id="txtOperacao">
                              <option value="" selected></option>
                              <option value="C">Crédito</option>
                              <option value="D">Débito</option>
                            </select>
                          </div>
                          <div class="form-group col-lg-4 col-md-12">
                            <label for="txtObs">Observação:</label>
                            <input type="text" class="input-default focus form-control validate" id="txtObs" name="txtObs" placeholder="Observação">
                          </div>
                        </div>
                      </fieldset>
                      <input type="button" name="btnGravar" id="btnGravar" class="btn-sisp action-button" value="Gravar" />
                      <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
  </div>

  <?php
  include_once('../../../modais.php');
  ?>

  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>

  <script src="../plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.251.27.1"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/adminlte.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/requisicoes.js?versao=3.251.27.1"></script>
  <script src="../dist/js/cliente/entidade.js?versao=3.251.27.1"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/valida_cpf_cnpj.js?versao=3.251.27.1"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/sisplan.js?versao=3.251.27.1"></script>
  <script src="../utils/funcoes.js?versao=3.251.27.1"></script>
  <script src="../dist/js/driver.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
  <script src="../utils/cookies.js?versao=3.251.27.1"></script>
  <script src="../dist/js/dataTables.keyTable2.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="../config.js?versao=3.251.27.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('EXTRATO');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      const permissaoUsuarioLogado = await permissaoAcessos('EXTRATO');

      if (permissaoUsuarioLogado.INCLUI == 'N') {
        toastr
          .error(
            `Sem permissão para incluir!`,
            "Alerta", {
              toastClass: "alert",
              iconClasses: {
                error: "alert-error",
                info: "alert-info",
                success: "alert-success",
                warning: "alert-warning",
              },
              positionClass: "toast-top-center",
              progressBar: true,
              timeOut: 2500,
              fadeOut: 1000,
              onHidden() {
                window.location.href = `${BASE_URI}/extrato`;
              },
            }
          )
          .css({
            "margin-top": "20%",
            width: "500px",
            "max-width": "500px",
          });
        return;
      }

      sArquivo = `${BASE_URI}/pages/extrato/cadastro_extrato/extrato.js?versao=3.251.27.1`;
      insereJavaScriptPagina(sArquivo);

      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>
</body>

</html>