<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Formação de Custo de Produto</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.251.27.1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
  <!--e1Google Font: Source Sans Pro -->
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.251.27.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.251.27.1">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.251.27.1">

  <style>
    .table.dataTable tbody td,
    .table.dataTable thead {
      white-space: nowrap;
      text-overflow: ellipsis;
      overflow: hidden;
    }

    #tabelaEstReserva_filter {
      display: none;
    }

    .content-wrapper {
      margin-left: 0px !important;
    }

    .main-header,
    .main-sidebar {
      display: none;
    }

    .border-Field .textoBorda {
      font-size: 1.1em !important;
      text-align: left !important;
      width: auto;
      padding: 10px;
      border-bottom: none;
    }

    .border-Field {
      border: 1px solid var(--font-color) !important;
      padding: 0 0 1em 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
      border-radius: 3px !important;
    }

    .placeholder-lowercase::placeholder {
      text-transform: none;
    }

    .inputInvisivel {
      max-width: 40px;
      min-width: 0px;
      width: 40px;
      text-align: end;
      width: auto;
    }
  </style>

</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <main class="wrapper">
    <?php
    include_once('../../../menu.php');
    ?>
    <div class="wrapper">


      <div id="myModal" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 id="myModalLabel" class="modal-title"></h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <p id="myModalText"></p>
            </div>
            <div class="modal-footer">
              <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
              <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
            </div>
          </div>
        </div>
      </div>

      <div class="content-wrapper">
        <section class="content">
          <div class="content-header py-0">
            <div class="container-fluid">
              <div class="row mb-2">
                <div class="col-sm-6 flex">
                </div>
                <div class="col-sm-6">
                </div>
              </div>
            </div>
            <div class="row justify-content-center mt-0">
              <div class="col-12 p-0 mt-3 mb-2">
                <div class="card p-0">
                  <div class="card-header d-flex p-0 ml-5 align-items-start" style="border: none!important;box-shadow:none!important; gap: 10px;">
                    <div class="flex flex-column">
                      <div class="flex">
                        <h2 class="mb-0 text-center">Formação de Custos de Produto</h2>
                        <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                          <i class="fas fa-question-circle"></i>
                        </button>
                      </div>
                      <!-- <div class="flex align-items-end mt-4" style="gap: 10px">
                        <div>
                          <label data-error="wrong" class="labelGeral" data-success="right" for="selectMedia">Buscar por:</label>
                          <div class="input-group">
                            <select class="input-default focus form-control" data-dropdown-css-class="select2-danger" id="selectMedia" aria-describedby="tipoError" class="custom-select focus">
                              <option selected value="tamanho">T</option>
                              <option value="cor">C</option>
                              <option value="mediaTamanhoCor">M</option>
                              <option value="mediaTamanhoCorSemCorSortida">S</option>
                            </select>
                          </div>
                        </div>
                        <div>
                          <fieldset class="form border-Field my-0 py-0">
                            <legend class="textoBorda mb-0 pb-0">Buscar mão de obra:</legend>
                            <div class="d-md-inline icheck-primary pl-3"><input type="radio" value="tempos" checked id="radioTempos" name="radioMaoDeObra"><label class="container" for="radioTempos">Tempos</label> </div>
                            <div class="d-md-inline icheck-primary"><input type="radio" value="setores" id="radioSetores" name="radioMaoDeObra"><label class="container" for="radioSetores"> Setores</label> </div>
                          </fieldset>
                        </div>
                        <div>
                          <button type="button" class="btn btn-primary btn-sisp" id="btnBuscarItens" title="Clique para buscar os itens do produto">Buscar Itens</button>
                        </div>
                      </div> -->
                    </div>
                    <input class="d-none" id="txtIdPreco" />
                    <div>
                      <div class="input-group">
                        <select class="input-default focus form-control" data-dropdown-css-class="select2-danger" id="selectMedia" aria-describedby="tipoError" class="custom-select focus">
                          <option selected value="tamanho">T</option>
                          <option value="cor">C</option>
                          <option value="mediaTamanhoCor">M</option>
                          <option value="mediaTamanhoCorSemCorSortida">S</option>
                        </select>
                      </div>
                    </div>
                    <div>
                      <fieldset class="form border-Field my-0 py-0 relative" style="top: -10px;">
                        <legend class="textoBorda mb-0 py-0">Buscar mão de obra:</legend>
                        <div class="d-md-inline icheck-primary pl-3"><input type="radio" value="tempos" checked id="radioTempos" name="radioMaoDeObra"><label class="container" for="radioTempos">Tempos</label> </div>
                        <div class="d-md-inline icheck-primary"><input type="radio" value="setores" id="radioSetores" name="radioMaoDeObra"><label class="container" for="radioSetores"> Setores</label> </div>
                      </fieldset>
                    </div>
                    <div>
                      <button type="button" class="btn btn-primary btn-sisp" id="btnBuscarItens" title="Clique para buscar os itens do produto">Buscar Itens</button>
                    </div>
                    <fieldset class="form d-flex border-Field my-0 p-0 ml-3 relative" style="padding-bottom: 5px!important; min-height: 170px; min-width: 160px; top: -10px;">
                      <legend class="textoBorda mb-0 py-0 text-md">Prazo markup:</legend>
                      <div class="d-flex justify-content-between px-2" style="gap: 8px">
                        <div class="d-flex flex-column">
                          <span class="text-center text-sm">Prazo</span>
                          <input id="txtPrazo0" disabled class="inputInvisivel pr-1 d-none rowMarkup0 text-xs" value="À vista" />
                          <input id="txtPrazo1" disabled class="inputInvisivel pr-1 d-none rowMarkup1 text-xs" />
                          <input id="txtPrazo2" disabled class="inputInvisivel pr-1 d-none rowMarkup2 text-xs" />
                          <input id="txtPrazo3" disabled class="inputInvisivel pr-1 d-none rowMarkup3 text-xs" />
                          <input id="txtPrazo4" disabled class="inputInvisivel pr-1 d-none rowMarkup4 text-xs" />
                          <input id="txtPrazo5" disabled class="inputInvisivel pr-1 d-none rowMarkup5 text-xs" />
                          <input id="txtPrazo6" disabled class="inputInvisivel pr-1 d-none rowMarkup6 text-xs" />
                          <input id="txtPrazo7" disabled class="inputInvisivel pr-1 d-none rowMarkup7 text-xs" />
                        </div>
                        <div class="d-flex flex-column">
                          <span class="text-center text-sm">PC (R$)</span>
                          <input id="txtValorPc0" disabled class="inputInvisivel pr-1 d-none rowMarkup0 text-xs" />
                          <input id="txtValorPc1" disabled class="inputInvisivel pr-1 d-none rowMarkup1 text-xs" />
                          <input id="txtValorPc2" disabled class="inputInvisivel pr-1 d-none rowMarkup2 text-xs" />
                          <input id="txtValorPc3" disabled class="inputInvisivel pr-1 d-none rowMarkup3 text-xs" />
                          <input id="txtValorPc4" disabled class="inputInvisivel pr-1 d-none rowMarkup4 text-xs" />
                          <input id="txtValorPc5" disabled class="inputInvisivel pr-1 d-none rowMarkup5 text-xs" />
                          <input id="txtValorPc6" disabled class="inputInvisivel pr-1 d-none rowMarkup6 text-xs" />
                          <input id="txtValorPc7" disabled class="inputInvisivel pr-1 d-none rowMarkup7 text-xs" />
                        </div>
                        <div class="d-flex flex-column">
                          <span class="text-center text-sm">KG (R$)</span>
                          <input id="txtValorKg0" disabled class="inputInvisivel pr-1 d-none rowMarkup0 text-xs" />
                          <input id="txtValorKg1" disabled class="inputInvisivel pr-1 d-none rowMarkup1 text-xs" />
                          <input id="txtValorKg2" disabled class="inputInvisivel pr-1 d-none rowMarkup2 text-xs" />
                          <input id="txtValorKg3" disabled class="inputInvisivel pr-1 d-none rowMarkup3 text-xs" />
                          <input id="txtValorKg4" disabled class="inputInvisivel pr-1 d-none rowMarkup4 text-xs" />
                          <input id="txtValorKg5" disabled class="inputInvisivel pr-1 d-none rowMarkup5 text-xs" />
                          <input id="txtValorKg6" disabled class="inputInvisivel pr-1 d-none rowMarkup6 text-xs" />
                          <input id="txtValorKg7" disabled class="inputInvisivel pr-1 d-none rowMarkup7 text-xs" />
                        </div>
                      </div>
                    </fieldset>
                    <div>
                      <button type="button" class="btn btn-info btn-sisp" id="btnMarkupProduto" title="Clique para carregar o markup do produto">Markup Produto (F10)</button>
                    </div>
                  </div>
                </div>
                <div class="d-flex flex-row justify-content-center">
                  <div class="col-12 mx-0">
                    <form id="msform" class="text-left">
                      <fieldset class="d-flex justify-content-center">
                        <div class="px-2 mx-4 py-0" id="formcard1">
                          <div id="tutorial-step1" class="form-row col-12">
                            <div class="col-xl-2 col-6 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodigo">Código:</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtCodigo" name="txtCodigo" placeholder="Código">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnCodigo" name="btnCodigo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btnLimpaCodigo" name="btnLimpaCodigo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>
                            <div class="col-xl-3 col-2 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtDescricao">Descrição:</label>
                              <input type="text" class="input-default focus form-control text-uppercase placeholder-lowercase" id="txtDescricao" name="txtDescricao" placeholder="Descrição">
                            </div>
                            <div class="col-xl-1 col-2 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtUnidade">Unidade:</label>
                              <input type="text" class="input-default focus form-control text-uppercase" id="txtUnidade" name="txtUnidade" placeholder="UN">
                            </div>
                            <div class="col-xl-2 col-4 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtTamanho">Tamanho:</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control text-uppercase" id="txtTamanho" name="txtTamanho" placeholder="">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnTamanho" name="btnTamanho" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btnLimpaTamanho" name="btnLimpaTamanho" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>
                            <div class="col-xl-4 col-6 form-group">
                              <label data-error="wrong" class="labelGeral campoCor" data-success="right" for="txtCor">Cor:</label>
                              <div class="input-group campoCor">
                                <input type="text" class="input-default focus form-control" id="txtCor" name="txtCor" placeholder="Cor">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnCor" name="btnCor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btnLimpaCor" name="btnLimpaCor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>
                            <div class="col-xl-4 col-6 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtMarkup">Markup:</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtMarkup" name="txtMarkup" placeholder="Markup">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnMarkup" name="btnMarkup" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btnLimpaMarkup" name="btnLimpaMarkup" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>
                            <div class="col-xl-2 col-4 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtCadastro">Data Cadastro:</label>
                              <input type="date" class="input-default focus form-control" value="<?php echo date('Y-m-d'); ?>" id="txtCadastro" name="txtCadastro">
                            </div>
                            <div class="col-xl-1 col-2 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtPesoBruto">Peso B.:</label>
                              <input type="text" class="input-default focus form-control text-right quatroCasasDecimaisQuantityFormat" id="txtPesoBruto" name="txtPesoBruto" placeholder="0.0000">
                            </div>
                            <div class="col-xl-1 col-2 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtQuebra">Quebra:</label>
                              <input type="text" class="input-default focus form-control text-right quatroCasasDecimaisQuantityFormat" id="txtQuebra" name="txtQuebra" placeholder="0.0000">
                            </div>
                            <div class="col-xl-2 col-2 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtPrecoDolar">Preço Dólar:</label>
                              <input type="text" class="input-default focus form-control text-right duasCasasDecimaisCurrencyFormat" id="txtPrecoDolar" name="txtPrecoDolar" placeholder="0,00">
                            </div>
                            <div class="col-xl-2 col-2 form-group">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtPrecoEuro">Preço Euro:</label>
                              <input type="text" class="input-default focus form-control text-right duasCasasDecimaisCurrencyFormat" id="txtPrecoEuro" name="txtPrecoEuro" placeholder="0,00">
                            </div>
                          </div>
                          <div class="form-row col-12">
                            <div class="d-flex flex-column col-12" style="gap: 8px; max-height: 460px;" id="divTabelaItens">
                              <h5>Itens</h5>
                              <div class="table-responsive" style="max-height: 450px">
                                <table id="tabelaItens" class="table table-sm table-select table-hover" width="100%">
                                  <thead>
                                  </thead>
                                  <tbody>
                                  </tbody>
                                </table>
                              </div>
                            </div>
                          </div>
                          <div class="d-flex justify-content-start mt-2">
                            <button type="button" class="btn btn-secondary btn-sisp" id="btnVoltar">Voltar</button>
                          </div>
                        </div>
                      </fieldset>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </section>
      </div>
    </div>

    <div class="modal fade pr-0" data-backdrop="static" id="modalMarkup">
      <div class="modal-dialog" style="min-width: 90%; min-height: 100%">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title">Markup Produto</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body p-1" id="modal-scroll">
            <div class="card">
              <div class="flex flex-wrap col-12">
                <div class="flex flex-wrap col-xl-6 col-12 px-0">
                  <div class="col-xl-12 col-12">
                    <fieldset class="border-Field my-0 p-0" style="padding-bottom: 5px!important;">
                      <legend class="textoBorda mb-0 py-0 text-md">Índices:</legend>
                      <div class="col-xl-12 col-12 table-responsive" style="max-height: 600px">
                        <table id="tabelaIndicesMarkup" class="table table-sm table-select table-hover" width="100%">
                          <thead>
                          </thead>
                          <tbody>
                          </tbody>
                        </table>
                      </div>
                    </fieldset>
                  </div>
                </div>
                <div class="flex flex-wrap col-xl-6 col-12 px-0 align-content-start">
                  <div class="col-xl-12 col-12 px-0">
                    <fieldset class="border-Field my-0 p-0" style="padding-bottom: 5px!important;">
                      <legend class="textoBorda mb-0 py-0 text-md">Custos:</legend>
                      <div class="flex flex-wrap mx-1">
                        <div class="col-xl-3 col-6 form-group">
                          <label data-error="wrong" class="labelGeral" data-success="right" for="txtCustoIndustrialMarkup">Custo Industrial:</label>
                          <input type="text" class="input-default focus form-control text-right quatroCasasDecimaisCurrencyFormat" id="txtCustoIndustrialMarkup" name="txtCustoIndustrialMarkup" placeholder="0,0000">
                        </div>
                        <div class="col-xl-3 col-6 form-group">
                          <label data-error="wrong" class="labelGeral" data-success="right" for="selectDiasMarkup">Buscar por:</label>
                          <div class="input-group">
                            <select class="input-default focus form-control" data-dropdown-css-class="select2-danger" id="selectDiasMarkup" aria-describedby="tipoError" class="custom-select focus">
                            </select>
                          </div>
                        </div>
                        <div class="col-xl-3 col-6 form-group">
                          <label data-error="wrong" class="labelGeral" data-success="right" for="txtTaxaMarkup">Taxa:</label>
                          <input type="text" class="input-default focus form-control text-right" disabled id="txtTaxaMarkup" name="txtTaxaMarkup" placeholder="0,00">
                        </div>
                        <div class="col-xl-3 col-6 form-group">
                          <label data-error="wrong" class="labelGeral" data-success="right" for="txtMarkupMarkup">Markup:</label>
                          <input type="text" class="input-default focus form-control text-right" disabled id="txtMarkupMarkup" name="txtMarkupMarkup" placeholder="0,00">
                        </div>
                        <div class="col-xl-3 col-6 form-group">
                          <label data-error="wrong" class="labelGeral" data-success="right" for="txtIndiceMarkup">Índice:</label>
                          <input type="text" class="input-default focus form-control text-right" disabled id="txtIndiceMarkup" name="txtIndiceMarkup" placeholder="0,00">
                        </div>
                        <div class="col-xl-3 col-6 form-group">
                          <label data-error="wrong" class="labelGeral" data-success="right" for="txtMarkupSemLucroMarkup">Markup sem lucro:</label>
                          <input type="text" class="input-default focus form-control text-right" disabled id="txtMarkupSemLucroMarkup" name="txtMarkupSemLucroMarkup" placeholder="0,00">
                        </div>
                        <div class="col-xl-3 col-6 form-group">
                          <label data-error="wrong" class="labelGeral" data-success="right" for="txtCustoMarkup">Custo:</label>
                          <input type="text" class="input-default focus form-control text-right" disabled id="txtCustoMarkup" name="txtCustoMarkup" placeholder="0,00">
                        </div>
                        <div class="col-xl-3 col-6 form-group">
                          <label data-error="wrong" class="labelGeral" data-success="right" for="txtPrecoAvistaMarkup">Preço à vista:</label>
                          <input type="text" class="input-default focus form-control text-right" disabled id="txtPrecoAvistaMarkup" name="txtPrecoAvistaMarkup" placeholder="0,00">
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <div class="col-xl-6 col-12 pl-0">
                    <fieldset class="border-Field my-0 p-0" style="padding-bottom: 5px!important; min-height: 170px; min-width: 160px;">
                      <legend class="textoBorda mb-0 py-0 text-md">Utilizando financeiro:</legend>
                      <div class="flex flex-wrap mx-1">
                        <div class="form-group col-xl-6">
                          <label data-error="wrong" class="labelGeral" data-success="right" for="txtMarkupFinanceiroMarkup">Markup:</label>
                          <input type="text" class="input-default focus form-control text-right" disabled id="txtMarkupFinanceiroMarkup" name="txtMarkupFinanceiroMarkup" placeholder="0,00">
                        </div>
                        <div class="form-group col-xl-6">
                          <label data-error="wrong" class="labelGeral" data-success="right" for="txtIndiceFinanceiroMarkup">Índice:</label>
                          <input type="text" class="input-default focus form-control text-right" disabled id="txtIndiceFinanceiroMarkup" name="txtIndiceFinanceiroMarkup" placeholder="0,00">
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <div class="col-xl-6 col-12 pr-0">
                    <fieldset class="form d-flex border-Field my-0 p-0" style="padding-bottom: 5px!important; min-height: 170px; min-width: 160px;">
                      <legend class="textoBorda mb-0 py-0 text-md">Prazo:</legend>
                      <div class="d-flex justify-content-between px-2 w-100" style="gap: 8px">
                        <div class="d-flex flex-column">
                          <span class="text-center text-sm">Dias</span>
                          <input id="txtDias1" class="inputInvisivel pr-1 modalRowMarkup1 text-xs" />
                          <input id="txtDias2" class="inputInvisivel pr-1 modalRowMarkup2 text-xs" />
                          <input id="txtDias3" class="inputInvisivel pr-1 modalRowMarkup3 text-xs" />
                          <input id="txtDias4" class="inputInvisivel pr-1 modalRowMarkup4 text-xs" />
                          <input id="txtDias5" class="inputInvisivel pr-1 modalRowMarkup5 text-xs" />
                          <input id="txtDias6" class="inputInvisivel pr-1 modalRowMarkup6 text-xs" />
                          <input id="txtDias7" class="inputInvisivel pr-1 modalRowMarkup7 text-xs" />
                        </div>
                        <div class="d-flex flex-column">
                          <span class="text-center text-sm">Preço</span>
                          <input id="txtPreco1" class="inputInvisivel pr-1 modalRowMarkup1 text-xs" />
                          <input id="txtPreco2" class="inputInvisivel pr-1 modalRowMarkup2 text-xs" />
                          <input id="txtPreco3" class="inputInvisivel pr-1 modalRowMarkup3 text-xs" />
                          <input id="txtPreco4" class="inputInvisivel pr-1 modalRowMarkup4 text-xs" />
                          <input id="txtPreco5" class="inputInvisivel pr-1 modalRowMarkup5 text-xs" />
                          <input id="txtPreco6" class="inputInvisivel pr-1 modalRowMarkup6 text-xs" />
                          <input id="txtPreco7" class="inputInvisivel pr-1 modalRowMarkup7 text-xs" />
                        </div>
                        <div class="d-flex flex-column">
                          <span class="text-center text-sm">Índice parcela</span>
                          <input id="txtIndice1" class="inputInvisivel pr-1 modalRowMarkup1 text-xs" />
                          <input id="txtIndice2" class="inputInvisivel pr-1 modalRowMarkup2 text-xs" />
                          <input id="txtIndice3" class="inputInvisivel pr-1 modalRowMarkup3 text-xs" />
                          <input id="txtIndice4" class="inputInvisivel pr-1 modalRowMarkup4 text-xs" />
                          <input id="txtIndice5" class="inputInvisivel pr-1 modalRowMarkup5 text-xs" />
                          <input id="txtIndice6" class="inputInvisivel pr-1 modalRowMarkup6 text-xs" />
                          <input id="txtIndice7" class="inputInvisivel pr-1 modalRowMarkup7 text-xs" />
                        </div>
                      </div>
                    </fieldset>
                  </div>
                </div>
              </div>
            </div>
            <div class="modal-footer">
              <button class="btn btn-danger btn-sisp" id="btnFecharModalMarkup" title="Clique para fechar">Fechar</button>
            </div>
          </div>
        </div>
      </div>

      <aside class="control-sidebar control-sidebar-dark">
      </aside>
      <script src="../plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
      <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
      <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
      <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
      <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.251.27.1"></script>
      <script src="../plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
      <script>
        $.widget.bridge('uibutton', $.ui.button);
      </script>
      <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
      <script src="../dist/js/adminlte.min.js?versao=3.251.27.1"></script>
      <script src="../dist/js/requisicoes.js?versao=3.251.27.1"></script>
      <script src="../dist/js/sisplan.js?versao=3.251.27.1"></script>
      <script src="../dist/js/cliente/entidade.js?versao=3.251.27.1"></script>
      <script src="../dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
      <script src="../dist/js/valida_cpf_cnpj.js?versao=3.251.27.1"></script>
      <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.251.27.1"></script>
      <script src="../dist/js/dataTables.keyTable.js?versao=3.251.27.1"></script>
      <script src="../utils/funcoes.js?versao=3.251.27.1"></script>
      <script src="../utils/cookies.js?versao=3.251.27.1"></script>
      <script src="../dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
      <script src="../dist/js/jquery.mask.min.js?versao=3.251.27.1"></script>
      <script src="../dist/js/driver.min.js?versao=3.251.27.1"></script>
      <script type="text/javascript" src="../config.js?versao=3.251.27.1"></script>
      <script>
        $(document).ready(async function() {
          if (getCookie('usuario') == "") {
            window.location.href = `${BASE_URI}/login`;
            return;
          }

          let usuario = getCookie('usuario');
          let empresa = getCookie('empresa');

          ipInterno = IP_INTERNO;
          ipExterno = IP_EXTERNO;
          basicAuth = BASIC_AUTH;

          const temAcesso = await temAcessoTela('BAIXA_CONSUMOS');
          if (!temAcesso.resultado) {
            toastrAcesso(temAcesso, BASE_URI);
            return;
          }

          sArquivo = `${BASE_URI}/pages/formacao_custos/cadastro_formacao_custos/formacao_custos.js?versao=3.251.27.1`;
          const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');

          await insereJavaScriptPagina(sArquivo);

          habilitaCamposObrigatoriosTela(nomeTela);
        });
      </script>

</body>

</html>