<?php include_once('../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Impressao Guia GNRE</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.251.27.1">
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" href="dist/css/custom.css?versao=3.251.27.1">
    <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.251.27.1" />
    <!-- <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1"> -->
    <link rel="shortcut icon" href="favicon.ico">
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.251.27.1" />
    <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.251.27.1">
    <style>
        .border-Field {
            border: 1px solid var(--font-color) !important;
            padding: 0 1.0em 0 1.0em !important;
            margin: 0 0 1.0em 0 !important;
            -webkit-box-shadow: 0px 0px 0px 0px #000;
            box-shadow: 0px 0px 0px 0px #000;
            border-radius: 3px;
        }

        .border-Field .textoBorda {
            font-size: 1.1em !important;
            text-align: left !important;
            width: auto;
            padding: 0 10px;
            border-bottom: none;
        }

        #tabelaGNRE_filter {
            visibility: hidden;
            margin: 0px;
            padding: 0px;
            height: 0px;
        }

        .botoesMenu {
            height: 100%;
            padding-left: auto;
            padding-right: auto;
            color: white !important;
            min-width: 150px;
            font-weight: bold;
            margin-left: -4px !important;
            font-size: 1rem !important;
            background-color: #343a40;
            cursor: pointer !important;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <div class="content-wrapper">
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6 flex">
                            <h1 class="m-0 text-dark">Impressão de Guia GNRE</h1>
                            <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                <i class="fas fa-question-circle"></i></button>
                        </div>
                        <div class="col-sm-6">

                        </div><!-- /.col -->
                    </div><!-- /.row -->
                </div>
                <div class="container-fluid">
                    <div class="row card">
                        <div class="col-sm-12 mt-3">
                            <div class="col-md-6 col-sm-12 col-12 pr-0 pl-2">
                                <button class="btn btn-success btn-sisp" id="btnFiltros"><i class="fas fa-search"></i> Filtros</button>
                            </div>
                        </div>
                        <div class="col-sm-12 table-responsive card-body pb-1" id="containerDivGNRE">
                            <div class="containerGNRE">
                                <div id="childrenInfoDataTableGNRE" class="childrenInfoDataTableGNRE d-none">
                                    <div class="row mt-2 pl-1" id="containerSelTodos">
                                        <div class="col-sm-12 icheck-primary d-inline">
                                            <input class="form-check-input" type="checkbox" id="checkSelecionarTodos">
                                            <label class="form-check-label" for="checkSelecionarTodos">Selecionar Todos</label>
                                        </div>
                                    </div>
                                </div>
                                <div class="childrenTabelaGNRE" id="childrenTabelaGNRE">
                                    <table id="tabelaGNRE" class="table table-sm table-select table-hover" style="white-space: nowrap;" width="100%">
                                        <thead>
                                        </thead>
                                        <tbody>
                                        </tbody>
                                    </table>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
                <div class="col-12 text-center">
                    <div class="btn-group flex-wrap btn-group-justified btn-group-lg" role="group" aria-label="Basic example">
                        <button id="btnImprimir" class="btn btn-secondary text-white btn-sisp botoesMenu">
                            <span class="fas fa-print pr-1" style="color: white!important"></span> Imprimir</button>
                        <button id="btnGerarAP" class=" btn btn-secondary text-white btn-sisp botoesMenu">
                            <span class="fas fa-dollar-sign pr-1"></span> Gerar AP</button>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content" id="modalBody">
                <div class="modal-header">
                    <h4 class="modal-title">Filtros</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-lg-6 form-group">
                            <label data-error="wrong" data-success="right" for="txtDtEmissaoDe">Emissão (de/até):</label>
                            <div class="input-group">
                                <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control" id="txtDtEmissaoDe" name="txtDtEmissaoDe">
                                <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control" id="txtDtEmissaoAte" name="txtDtEmissaoAte">
                            </div>
                        </div>

                        <div class="col-lg-12 form-group">
                            <label data-error="wrong" data-success="right" for="txtGuia">Guia: </label>
                            <div class="input-group">
                                <select class="js-example-programmatic js-states form-control" id="txtGuia" name="txtGuia" multiple="multiple"></select>
                                <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnGuia" name="btnGuia" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btnLimpaGuia" name="btnLimpaGuia" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-12 form-group">
                            <label data-error="wrong" data-success="right" for="txtChaveNfe">Chave NF-e: </label>
                            <div class="input-group">
                                <input type="text" autocomplete="off" class="input-default focus form-control" id="txtChaveNfe" name="txtChaveNfe" class="form-control" placeholder="Chave NF-e">
                            </div>
                        </div>

                    </div>
                </div>
                <div class="modal-footer">
                    <div class="row">
                        <button class="btn btn-primary btn-sisp" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222"><span class="fas fa-trash"></span> Limpar Filtros</button>     
                        <button class="btn btn-primary btn-sisp" id="btnConsultar"><span class="fas fa-search"></span> Consultar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="modal-pagar">
        <div class="modal-dialog modal-xl">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 id="modal-pagar-title" class="modal-title">Gerar Pagar</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="collapse show" id="nfe">
                        <div class="card card-body">
                            <div class="form-row">

                                <div class="form-group group-default col-md-3 col-12">
                                    <label>Data de Emissão</label>
                                    <div class="relative" id="DataEmissao">
                                        <input type="date" max="2500-12-31" class="input-default focus form-control validate" id="txtDTemissao" name="txtDTemissao">
                                    </div>
                                </div>

                                <div class="form-group group-default col-md-3 col-12">
                                    <label>Data de Vencimento</label>
                                    <div class="relative">
                                        <input type="date" max="2500-12-31" class="input-default focus form-control validate" id="txtDTvencimento" name="txtDTvencimento">
                                    </div>
                                </div>

                                <div class="form-group col-12" id="FornecedorInfoTour">
                                    <label data-error="wrong" data-success="right" for="txtFornecedor">Fornecedor *</label>
                                    <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control" id="txtFornecedor" name="txtFornecedor" class="form-control" placeholder="Fornecedor">
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btn-Fornecedor" name="btn-Fornecedor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btn-limpa-Fornecedor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group group-default col-md-6 col-12">
                                    <label for="Sstatus">Status</label>
                                    <div class="relative">
                                        <select id="txtStatus" name="txtStatus" class="input-default focus form-control validate">
                                            <option value="" selected>Selecione uma opção</option>
                                            <option value="DUPL" id="1">Duplicata</option>
                                            <option value="ANTE" id="2">Antecipação</option>
                                            <option value="ORCA" id="3">Orçamento</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6 col-12" id="ClasseInfoTour">
                                    <label data-error="wrong" data-success="right" for="txtHistorico">Histórico *</label>
                                    <div class="input-group">
                                        <input type="text" autocomplete="off" required class="input-default focus form-control" id="txtHistorico" name="txtHistorico" class="form-control" placeholder="Histórico">
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btn-Historico" name="btn-Historico" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btn-limpa-Historico" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6 col-12" id="ClasseInfoTour">
                                    <label data-error="wrong" data-success="right" for="txtClasse">Classe *</label>
                                    <div class="input-group">
                                        <input type="text" autocomplete="off" required class="input-default focus form-control" id="txtClasse" name="txtClasse" class="form-control" placeholder="Classe">
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btn-Classe" name="btn-Classe" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btn-limpa-Classe" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6 col-12 form-group" id="BancoInfoTour">
                                    <label data-error="wrong" data-success="right" for="txtBanco">Banco *</label>
                                    <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control" id="txtBanco" name="txtBanco" class="form-control" placeholder="Banco">
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btn-Banco" name="btn-Banco" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btn-limpa-Banco" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-6 col-12 form-group" id="ContaInfoTour">
                                    <label data-error="wrong" data-success="right" for="txtConta">Conta *</label>
                                    <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control" id="txtConta" name="txtConta" class="form-control" placeholder="Conta">
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btn-Conta" name="btn-Conta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btn-limpa-Conta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6 col-12 form-group" id="SituacaoInfoTour">
                                    <label data-error="wrong" data-success="right" for="txtSituacao">Situação *</label>
                                    <div class="input-group">
                                        <input type="text" autocomplete="off" class="input-default focus form-control" id="txtSituacao" name="txtSituacao" class="form-control" placeholder="Situação">
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btn-Situacao" name="btn-Situacao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btn-limpa-Situacao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer float-right">
                    <button id="btnGravarPagar" type="button" class="btn bg-gradient-danger btn-sisp">Gravar</button>
                </div>
            </div>
        </div>
    </div>

    <?php
    include_once('../../modais.php');
    ?>
    <aside class="control-sidebar control-sidebar-dark">
    </aside>
    </div>
    <script src="plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
    <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/adminlte.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/sisplan.js?versao=3.251.27.1"></script>
    <script src="utils/funcoes.js?versao=3.251.27.1"></script>
    <script src="utils/cookies.js?versao=3.251.27.1"></script>
    <script src="dist/js/requisicoes.js?versao=3.251.27.1"></script>
    <script src="dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/driver.min.js?versao=3.251.27.1"></script>
    <script src="plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
    <script src="plugins/select2/js/select2.full.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="dist/js/sum().js?versao=3.251.27.1"></script>
    <script src="dist/js/dataTables.keyTable2.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="config.js?versao=3.251.27.1"></script>
    <script src="plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.251.27.1"></script>
    <script src="plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.251.27.1"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('IMPRESSAOGNRE');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            sArquivo = `${BASE_URI}/pages/impressaognre/impressaognre.js?versao=3.251.27.1`;
            insereJavaScriptPagina(sArquivo);

        });
    </script>
</body>

</html>