<?php include_once('../../config.php') ?>
<?php
$hostname = gethostbyaddr($_SERVER['REMOTE_ADDR']);
?>


<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Manutenção Integração Senior</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
    <!-- Ionicons -->
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.251.27.1">
    <!-- overlayScrollbars -->
    <link rel="stylesheet" href="plugins/overlayScrollbars/css/OverlayScrollbars.min.css?versao=3.251.27.1">
    <!-- Daterange picker -->
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>

    <link rel="stylesheet" href="dist/css/custom.css?versao=3.251.27.1">

    <link rel="shortcut icon" href="<?php echo BASE_URI; ?>/favicon.ico">
    <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.251.27.1" />
    <!-- iCheck for checkboxes and radio inputs -->
    <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.251.27.1">
    <link rel="shortcut icon" href="favicon.ico">
    <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.251.27.1" />
    <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.251.27.1" />
    <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.251.27.1">
    <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.251.27.1">
    
    <!-- Google Font: Source Sans Pro -->
    <style>
        .botao {
            display: flex;
            justify-content: center;
            align-items: center;
        }

        #btnLimparFiltros {
            margin-right: 15px;
        }

        .groupDatasSaidas {
            flex-direction: row;
            display: inline;
        }

        #progressbar li {
            list-style-type: none;
            font-size: 12px;
            width: 25%;
            float: left;
            position: relative
        }

        .card-totais {
            margin-top: 2%;
        }

        #txtDados {
            padding-top: .7%;
            padding-left: .85%;
        }

        .input-group-append>a>i {
            margin-left: 0 !important;
            padding-left: 5px;
            padding-right: 5px;
        }

        .grupo_botao>button>i {
            margin-left: 0 !important;
            padding-left: 5px;
            padding-right: 5px;
        }

        .bg-light {
            background-color: #f8f9fa08 !important;
        }

        .focus:read-only:focus {
            border-color: #aa1212 !important;
        }

        .labelCheck {
            font-size: 110%;
            padding: 0.2%;
            margin-left: 1%;
        }

        .radiosStyle {
            font-size: 120%;
            margin-top: 1%;
            margin-bottom: 1%;
        }

        .checkboxNota {
            border: solid #e0e4e6;
            border-radius: 4px;
            border-width: 2px;
            padding: .8%;
        }

        .table.dataTable tbody td {
            white-space: nowrap;
            text-overflow: ellipsis;
            overflow: hidden;
        }
        .border-Field .textoBorda {
            font-size: 1.1em !important;
            text-align: left !important;
            width: auto;
            padding: 0 10px;
            border-bottom: none;
        }

        .border-Field {
            border: 1px solid var(--font-color) !important;
            padding: 0 1.0em 0 1.0em !important;
            -webkit-box-shadow: 0px 0px 0px 0px #000;
            box-shadow: 0px 0px 0px 0px #000;
        }
    </style>
    <!-- Toastr -->
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css">

</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">

        <div class="content-wrapper">
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6 flex">
                            <h1 class="m-0 text-dark">Manutenção Integração Senior</h1>
                            <button class="btn btn-info btn-sm ml-2" id="tutorial">
                                <i class="fas fa-question-circle"></i>
                            </button>
                        </div>
                        <div class="col-sm-6">

                        </div>
                    </div>
                </div>
            </div>

            <section class="content">

                <div class="container-fluid">
                    <nav>
                        <div class="nav nav-tabs justify-content-center" id="divTabs" role="tablist" style="text-decoration: none">
                            <a class="nav-link abaLink active" id="tabNotaFiscalSaida" data-toggle="tab" href="#divNotaFiscalSaida" card="cardNotaFiscalSaida" role="tab" aria-controls="divNotaFiscalSaida" aria-selected="true">NF-e</a>
                            <a class="nav-link abaLink" id="tabNFCE" data-toggle="tab" href="#divNFCE" card="cardNFCE" role="tab" aria-controls="divNFCE" aria-selected="false">NFC-e</a>
                            <a class="nav-link abaLink" id="tabEnvioReceber" data-toggle="tab" href="#divEnvioReceber" card="cardEnvioReceber" role="tab" aria-controls="divEnvioReceber" aria-selected="false">Receber</a>
                            <a class="nav-link abaLink" id="tabNotaDeEntrada" data-toggle="tab" href="#divNotaEntrada" card="cardNotaEntrada" role="tab" aria-controls="divNotaEntrada" aria-selected="false">Nota de Entrada</a>
                            <a class="nav-link abaLink" id="tabPagar" data-toggle="tab" href="#divPagar" card="cardPagar" role="tab" aria-controls="divPagar" aria-selected="false">Pagar</a>
                            <a class="nav-link abaLink" id="tabEntidade" data-toggle="tab" href="#divEntidade" card="cardEntidade" role="tab" aria-controls="divEntidade" aria-selected="false">Entidade</a>
                        </div>
                    </nav>
                    <div class="tab-pane fade d-none" id="divEnvioReceber" role="tabpanel">
                        <div class="card" style="margin-right: 7px; margin-left: 7px;" id="cardEnvioReceber">
                            <div class="card-body" style="margin-right: 7px;">
                                <div class="col-sm-12 table-responsive pt-2 pb-2">
                                    <nav>
                                        <div class="nav nav-tabs justify-content-start" id="divTabsSubMenuReceber" role="tablist" style="text-decoration: none">
                                            <a class="nav-link abaLink active mb-1" style="border: 0px !important" id="tabEnvioReceber" data-toggle="tab" href="#divEnvioReceberContent" role="tab" aria-controls="divEnvioReceberContent" aria-selected="true">Envio</a>
                                            <a class="nav-link abaLink mb-1" style="border: 0px !important" id="tabConsultaReceber" data-toggle="tab" href="#divConsultaReceberContent" role="tab" aria-controls="divConsultaReceberContent" aria-selected="false">Consulta</a>
                                            <a class="nav-link abaLink mb-1" style="border: 0px !important" id="tabObservacaoTitulosReceber" data-toggle="tab" href="#divObservacaoTitulosReceberContent" role="tab" aria-controls="divObservacaoTitulosReceberContent" aria-selected="false">Observação Títulos</a>
                                        </div>
                                    </nav>
                                </div>
                                <div class="tab-content" id="nav-tabContent">
                                    <div class="tab-pane fade show active" id="divEnvioReceberContent" role="tabpanel" aria-labelledby="tabEnvioReceber">
                                        <div class="col-sm-12 mt-1">
                                            <button class="btn btn-success btn-sisp btnFiltros" id="btnFiltrosEnvioReceber" type="button">
                                                <span class="fas fa-filter"></span> Filtros
                                            </button>
                                        </div>
                                        <div class="card-body pt-1">
                                            <div class="row pt-2">
                                                <div class="col-md-12 col-12 table-responsive">
                                                    <table id="tabelaEnvioReceber" class="table table-sm table-hover table-select table-condensed" width="100%">
                                                        <thead>
                                                        </thead>
                                                        <tbody>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="divConsultaReceberContent" role="tabpanel" aria-labelledby="tabConsultaReceber">
                                        <div class="col-sm-12 mt-1">
                                            <button class="btn btn-success btn-sisp btnFiltros" id="btnFiltrosConsultaReceber" type="button">
                                                <span class="fas fa-filter"></span> Filtros
                                            </button>
                                        </div>
                                        <div class="card-body pt-1">
                                            <div class="row pt-2">
                                                <div class="col-md-12 col-12 table-responsive">
                                                    <table id="tabelaConsultaReceber" class="table table-sm table-hover table-select table-condensed" width="100%">
                                                        <thead>
                                                        </thead>
                                                        <tbody>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="divObservacaoTitulosReceberContent" role="tabpanel" aria-labelledby="tabObservacaoTitulosReceber">
                                        <div class="col-sm-12 mt-1">
                                            <button class="btn btn-success btn-sisp btnFiltros" id="btnFiltrosObservacaoTitulos" type="button">
                                                <span class="fas fa-filter"></span> Filtros
                                            </button>
                                        </div>
                                        <div class="card-body pt-1">
                                            <div class="row pt-2">
                                                <div class="col-md-12 col-12 table-responsive">
                                                    <table id="tabelaObservacaoTitulosReceber" class="table table-sm table-hover table-select table-condensed" width="100%">
                                                        <thead>
                                                        </thead>
                                                        <tbody>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade show active" id="divNotaFiscalSaida" role="tabpanel">
                        <div class="card" style="margin-right: 7px;margin-left: 7px;" id="cardNotaFiscalSaida">
                            <div class="card-body" style="margin-right: 7px;">
                                <div class="col-sm-12 table-responsive pt-2 pb-2">
                                    <nav>
                                        <div class="nav nav-tabs justify-content-start" id="divTabsSubMenuNFE" role="tablist" style="text-decoration: none">
                                            <a class="nav-link abaLink active mb-1" style="border: 0px !important" id="tabNFESaida" data-toggle="tab" href="#divNFESaida" role="tab" aria-controls="divNFESaida" aria-selected="true">Envio</a>
                                        </div>
                                    </nav>
                                </div>
                                <div class="tab-content" id="nav-tabContent">
                                    <div class="tab-pane fade show active" id="divNFESaida" role="tabpanel" aria-labelledby="tabNFESaida">
                                        <div class="col-sm-12 mt-1 ">
                                            <button class="btn btn-success btn-sisp btnFiltros" id="btnFiltrosEnvioNotaFiscalSaida" type="button"><span class="fas fa-filter"></span>Filtros</button>
                                        </div>
                                        <div class="card-body pt-1">
                                            <div class="row pt-2">
                                                <div class="col-md-12 col-12 table-responsive table-responsive">
                                                    <table id="tabelaNotaFiscalSaida" class="table table-sm table-hover table-select table-condensed" width="100%">
                                                        <thead>
                                                        </thead>
                                                        <tbody>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade d-none" id="divNFCE" role="tabpanel">
                        <div class="card" style="margin-right: 7px;margin-left: 7px;" id="cardNFCE">
                            <div class="card-body" style="margin-right: 7px;">
                                <div class="col-sm-12 table-responsive pt-2 pb-2">
                                    <nav>
                                        <div class="nav nav-tabs justify-content-start" id="divTabsSubMenuNFCE" role="tablist" style="text-decoration: none">
                                            <a class="nav-link abaLink active mb-1" style="border: 0px !important" id="tabNFCE" data-toggle="tab" href="#divNFCEtab" role="tab" aria-controls="divNFCEtab" aria-selected="true">Envio</a>
                                        </div>
                                    </nav>
                                </div>
                                <div class="tab-content" id="nav-tabContent">
                                    <div class="tab-pane fade show active" id="divNFCEtab" role="tabpanel" aria-labelledby="tabNFCE">
                                        <div class="col-sm-12 mt-1 ">
                                            <button class="btn btn-success btn-sisp btnFiltros" id="btnFiltrosEnvioNFCE" type="button"><span class="fas fa-filter"></span>Filtros</button>
                                        </div>
                                        <div class="card-body pt-1">
                                            <div class="row pt-2">
                                                <div class="col-md-12 col-12 table-responsive table-responsive">
                                                    <table id="tabelaNFCE" class="table table-sm table-hover table-select table-condensed" width="100%">
                                                        <thead>
                                                        </thead>
                                                        <tbody>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade d-none" id="divNotaEntrada" role="tabpanel">
                        <div class="card" style="margin-right: 7px;margin-left: 7px;" id="cardNotaEntrada">
                            <div class="card-body" style="margin-right: 7px;">
                                <div class="col-sm-12 table-responsive pt-2 pb-2">
                                    <nav>
                                        <div class="nav nav-tabs justify-content-start" id="divTabsSubMenuNotaEntrada" role="tablist" style="text-decoration: none">
                                            <a class="nav-link abaLink active mb-1" style="border: 0px !important" id="tabNotaEntradaEnvio" data-toggle="tab" href="#divNotaEntradaEnvio" role="tab" aria-controls="divNotaEntradaEnvio" aria-selected="true">Envio</a>
                                        </div>
                                    </nav>
                                </div>
                                <div class="tab-content" id="nav-tabContent">
                                    <div class="tab-pane fade show active" id="divNotaEntradaEnvio" role="tabpanel" aria-labelledby="tabNotaEntradaEnvio">
                                        <div class="col-sm-12 mt-1 ">
                                            <button class="btn btn-success btn-sisp btnFiltros" id="btnFiltrosEnvioNotaEntrada" type="button"><span class="fas fa-filter"></span>Filtros</button>
                                        </div>
                                        <div class="card-body pt-1">
                                            <div class="row pt-2">
                                                <div class="col-md-12 col-12 table-responsive table-responsive">
                                                    <table id="tabelaNotaEntradaEnvio" class="table table-sm table-hover table-select table-condensed" width="100%">
                                                        <thead>
                                                        </thead>
                                                        <tbody>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade d-none" id="divPagar" role="tabpanel">
                        <div class="card" style="margin-right: 7px;margin-left: 7px;" id="cardPagar">
                            <div class="card-body" style="margin-right: 7px;">
                                <div class="col-sm-12 table-responsive pt-2 pb-2">
                                    <nav>
                                        <div class="nav nav-tabs justify-content-start" id="divTabsSubMenuPagar" role="tablist" style="text-decoration: none">
                                            <a class="nav-link abaLink active mb-1" style="border: 0px !important" id="tabPagarEnvio" data-toggle="tab" href="#divPagarEnvio" role="tab" aria-controls="divPagarEnvio" aria-selected="true">Envio</a>
                                        </div>
                                    </nav>
                                </div>
                                <div class="tab-content" id="nav-tabContent">
                                    <div class="tab-pane fade show active" id="divPagarEnvio" role="tabpanel" aria-labelledby="tabPagarEnvio">
                                        <div class="col-sm-12 mt-1 ">
                                            <button class="btn btn-success btn-sisp btnFiltros" id="btnFiltrosPagarEnvio" type="button"><span class="fas fa-filter"></span>Filtros</button>
                                        </div>
                                        <div class="card-body pt-1">
                                            <div class="row pt-2">
                                                <div class="col-md-12 col-12 table-responsive table-responsive">
                                                    <table id="tabelaPagarEnvio" class="table table-sm table-hover table-select table-condensed" width="100%">
                                                        <thead>
                                                        </thead>
                                                        <tbody>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade d-none" id="divEntidade" role="tabpanel">
                        <div class="card" style="margin-right: 7px; margin-left: 7px;" id="cardEntidade">
                            <div class="card-body" style="margin-right: 7px;">
                                <div class="col-sm-12 table-responsive pt-2 pb-2">
                                    <nav>
                                        <div class="nav nav-tabs justify-content-start" id="divTabsSubMenuEntidade" role="tablist" style="text-decoration: none">
                                            <a class="nav-link abaLink active mb-1" style="border: 0px !important" id="tabEnvioEntidade" data-toggle="tab" href="#divEnvioEntidadeContent" role="tab" aria-controls="divEnvioEntidadeContent" aria-selected="true">Envio</a>
                                            <a class="nav-link abaLink mb-1" style="border: 0px !important" id="tabObservacaoEntidade" data-toggle="tab" href="#divObservacaoEntidadeContent" role="tab" aria-controls="divObservacaoEntidadeContent" aria-selected="false">Observação Entidades</a>
                                        </div>
                                    </nav>
                                </div>
                                <div class="tab-content" id="nav-tabContent">
                                    <div class="tab-pane fade show active" id="divEnvioEntidadeContent" role="tabpanel" aria-labelledby="tabEnvioEntidade">
                                        <div class="col-sm-12 mt-1">
                                            <button class="btn btn-success btn-sisp btnFiltros" id="btnFiltrosEnvioEntidade" type="button">
                                                <span class="fas fa-filter"></span> Filtros
                                            </button>
                                        </div>
                                        <div class="card-body pt-1">
                                            <div class="row pt-2">
                                                <div class="col-md-12 col-12 table-responsive">
                                                    <table id="tabelaEnvioEntidade" class="table table-sm table-hover table-select table-condensed" width="100%">
                                                        <thead>
                                                        </thead>
                                                        <tbody>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="divObservacaoEntidadeContent" role="tabpanel" aria-labelledby="tabObservacaoEntidade">
                                        <div class="col-sm-12 mt-1">
                                            <button class="btn btn-success btn-sisp btnFiltros" id="btnFiltrosObservacaoEntidade" type="button">
                                                <span class="fas fa-filter"></span> Filtros
                                            </button>
                                        </div>
                                        <div class="card-body pt-1">
                                            <div class="row pt-2">
                                                <div class="col-md-12 col-12 table-responsive">
                                                    <table id="tabelaObservacaoEntidade" class="table table-sm table-hover table-select table-condensed" width="100%">
                                                        <thead>
                                                        </thead>
                                                        <tbody>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </section>
            <!-- /.content -->
        </div>
        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.content-wrapper -->
        <?php
        include_once('../../modais.php');
        ?>
        <!-- /.control-sidebar -->
    </div>

    <div id="modalFiltrosNFESaida" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content" id="modalBody">
                <div class="modal-header">
                    <h4 class="modal-title">Filtros</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row divStatus">
                        <div class="col-4">
                            <fieldset class="form border-Field p-0 d-block d-md-flex">
                                <legend class="textoBorda pb-0 mb-0">Mapeado</legend>
                                <div class="icheck-primary mr-4">
                                    <input type="radio" id="radioMapeadoTodosNFE" name="mapeado" value="T" checked />
                                    <label for="radioMapeadoTodosNFE">
                                        Todos
                                    </label>
                                </div>
                                <div class="icheck-primary mr-4">
                                    <input type="radio" id="radioMapeadoSimNFE" name="mapeado" value="S" />
                                    <label for="radioMapeadoSimNFE">
                                        Sim
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioMapeadoNaoNFE" name="mapeado" value="N" />
                                    <label for="radioMapeadoNaoNFE">
                                        Não
                                    </label>
                                </div>
                            </fieldset>
                        </div>
                        <div class="col-4">
                            <fieldset class="form border-Field p-0 d-block d-md-flex">
                                <legend class="textoBorda pb-0 mb-0">Status</legend>
                                <div class="icheck-primary mr-2">
                                    <input type="radio" id="radioStatusTodosNFE" name="status" value="T" checked />
                                    <label for="radioStatusTodosNFE">
                                        Todos
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioStatusIntegradoNFE" name="status" value="S" />
                                    <label for="radioStatusIntegradoNFE">
                                        Integrado
                                    </label>
                                </div>
                                <div class="icheck-primary ml-2">
                                    <input type="radio" id="radioStatusNaoIntegradoNFE" name="status" value="N" />
                                    <label for="radioStatusNaoIntegradoNFE">
                                        Envio Pendente
                                    </label>
                                </div>
                            </fieldset>
                        </div>
                        <div class="col-4">
                            <fieldset class="form border-Field p-0 d-block d-md-flex">
                                <legend class="textoBorda pb-0 mb-0">Protocolo</legend>
                                <div class="icheck-primary mr-2">
                                    <input type="radio" id="radioTodosProtocoloNFE" name="protocoloNFE" value="T" checked />
                                    <label for="radioTodosProtocoloNFE">
                                        Todos
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioComProtocoloNFE" name="protocoloNFE" value="S" />
                                    <label for="radioComProtocoloNFE">
                                        Com
                                    </label>
                                </div>
                                <div class="icheck-primary ml-2">
                                    <input type="radio" id="radioSemProtocoloNFE" name="protocoloNFE" value="N" />
                                    <label for="radioSemProtocoloNFE">
                                        Sem
                                    </label>
                                </div>
                            </fieldset>
                        </div>
                        <div class="col-4 mt-3">
                            <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="dtEmissaoDeNFE">Data de Emissão de/até: </label>
                            <div class="relative" style="margin-top: 5px;">
                                <div class="input-group">
                                    <input type="date" class="input-default focus form-control mr-1" id="dtEmissaoDeNFE" value="1200-01-01" name="dtEmissaoDeNFE" class="form-control">
                                    <input type="date" class="input-default focus form-control" id="dtEmissaoAteNFE" value="2500-12-31" name="dtEmissaoAteNFE" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4 col-sm-4 col-12 mt-3">
                            <label data-error="wrong" data-success="right" for="txtFaturaNFE">Fatura: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtQualidade" name="txtQualidade" class="form-control" placeholder="Qualidade"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtFaturaNFE" name="txtFaturaNFE" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnFaturaNFE" name="btnFaturaNFE" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaFaturaNFE" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4 col-sm-4 col-12 mt-3">
                            <label data-error="wrong" data-success="right" for="txtCodvenNFE">Venda: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtQualidade" name="txtQualidade" class="form-control" placeholder="Qualidade"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtCodvenNFE" name="txtCodvenNFE" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnCodvenNFE" name="btnCodvenNFE" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaCodvenNFE" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-2">
                            <label data-error="wrong" class="labelGeral" data-success="right" for="selectImpressoNFE">Impresso:
                            </label>
                            <select class="input-default focus custom-select" id="selectImpressoNFE">
                                <option selected value="T">Todos</option>
                                <option value="S">Sim</option>
                                <option value="N">Não</option>
                                <option value="C">Canceladas</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="modal-footer mt-4">
                    <div class="row">
                        <button class="btn btn-primary btn-sisp" id="btnConsultarNFE"><span class="fas fa-search"></span>Consultar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="modalFiltrosNFCE" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content" id="modalBody">
                <div class="modal-header">
                    <h4 class="modal-title">Filtros</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row divStatus">
                        <div class="col-4">
                            <fieldset class="form border-Field p-0 d-block d-md-flex">
                                <legend class="textoBorda pb-0 mb-0">Mapeado</legend>
                                <div class="icheck-primary mr-4">
                                    <input type="radio" id="radioMapeadoTodosNFCE" name="mapeadoNFCE" value="T" checked />
                                    <label for="radioMapeadoTodosNFCE">
                                        Todos
                                    </label>
                                </div>
                                <div class="icheck-primary mr-4">
                                    <input type="radio" id="radioMapeadoSimNFCE" name="mapeadoNFCE" value="S" />
                                    <label for="radioMapeadoSimNFCE">
                                        Sim
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioMapeadoNaoNFCE" name="mapeadoNFCE" value="N" />
                                    <label for="radioMapeadoNaoNFCE">
                                        Não
                                    </label>
                                </div>
                            </fieldset>
                        </div>
                        <div class="col-4">
                            <fieldset class="form border-Field p-0 d-block d-md-flex">
                                <legend class="textoBorda pb-0 mb-0">Status</legend>
                                <div class="icheck-primary mr-2">
                                    <input type="radio" id="radioStatusTodosNFCE" name="statusNFCE" value="T" checked />
                                    <label for="radioStatusTodosNFCE">
                                        Todos
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioStatusIntegradoNFCE" name="statusNFCE" value="S" />
                                    <label for="radioStatusIntegradoNFCE">
                                        Integrado
                                    </label>
                                </div>
                                <div class="icheck-primary ml-2">
                                    <input type="radio" id="radioStatusNaoIntegradoNFCE" name="statusNFCE" value="N" />
                                    <label for="radioStatusNaoIntegradoNFCE">
                                        Envio Pendente
                                    </label>
                                </div>
                            </fieldset>
                        </div>
                        <div class="col-4">
                            <fieldset class="form border-Field p-0 d-block d-md-flex">
                                <legend class="textoBorda pb-0 mb-0">Protocolo</legend>
                                <div class="icheck-primary mr-2">
                                    <input type="radio" id="radioTodosProtocoloNFCE" name="protocoloNFCE" value="T" checked />
                                    <label for="radioTodosProtocoloNFCE">
                                        Todos
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioComProtocoloNFCE" name="protocoloNFCE" value="S" />
                                    <label for="radioComProtocoloNFCE">
                                        Com
                                    </label>
                                </div>
                                <div class="icheck-primary ml-2">
                                    <input type="radio" id="radioSemProtocoloNFCE" name="protocoloNFCE" value="N" />
                                    <label for="radioSemProtocoloNFCE">
                                        Sem
                                    </label>
                                </div>
                            </fieldset>
                        </div>
                        <div class="col-4 mt-3">
                            <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="dtEmissaoDeNFCE">Data de Emissão de/até: </label>
                            <div class="relative" style="margin-top: 5px;">
                                <div class="input-group">
                                    <input type="date" class="input-default focus form-control mr-1" id="dtEmissaoDeNFCE" value="1200-01-01" name="dtEmissaoDeNFCE" class="form-control">
                                    <input type="date" class="input-default focus form-control" id="dtEmissaoAteNFCE" value="2500-12-31" name="dtEmissaoAteNFCE" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4 col-sm-4 col-12 form-group mt-3">
                            <label data-error="wrong" data-success="right" for="txtFaturaNFCE">Fatura: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtQualidade" name="txtQualidade" class="form-control" placeholder="Qualidade"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtFaturaNFCE" name="txtFaturaNFCE" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnFaturaNFCE" name="btnFaturaNFCE" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaFaturaNFCE" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4 col-sm-4 col-12 form-group mt-3">
                            <label data-error="wrong" data-success="right" for="txtCodvenNFCE">Venda: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtQualidade" name="txtQualidade" class="form-control" placeholder="Qualidade"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtCodvenNFCE" name="txtCodvenNFCE" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnCodvenNFCE" name="btnCodvenNFCE" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaCodvenNFCE" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-2">
                            <label data-error="wrong" class="labelGeral" data-success="right" for="selectImpressoNFCE">Impresso:
                            </label>
                            <select class="input-default focus custom-select" id="selectImpressoNFCE">
                                <option selected value="T">Todos</option>
                                <option value="S">Sim</option>
                                <option value="N">Não</option>
                                <option value="C">Canceladas</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="modal-footer mt-4">
                    <div class="row">
                        <button class="btn btn-primary btn-sisp" id="btnConsultarNFCE"><span class="fas fa-search"></span>Consultar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="modalFiltrosReceberEnvio" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content" id="modalBody">
                <div class="modal-header">
                    <h4 class="modal-title">Filtros</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row divStatus">
                        <div class="col-3 mt-3">
                            <fieldset class="form border-Field p-0 d-block d-md-flex">
                                <legend class="textoBorda pb-0 mb-0">Mapeado</legend>
                                <div class="icheck-primary mr-4">
                                    <input type="radio" id="radioMapeadoTodosReceberEnvio" name="mapeadoReceberEnvio" value="T" checked />
                                    <label for="radioMapeadoTodosReceberEnvio">
                                        Todos
                                    </label>
                                </div>
                                <div class="icheck-primary mr-4">
                                    <input type="radio" id="radioMapeadoSimReceberEnvio" name="mapeadoReceberEnvio" value="S" />
                                    <label for="radioMapeadoSimReceberEnvio">
                                        Sim
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioMapeadoNaoReceberEnvio" name="mapeadoReceberEnvio" value="N" />
                                    <label for="radioMapeadoNaoReceberEnvio">
                                        Não
                                    </label>
                                </div>
                            </fieldset>
                        </div>
                        <div class="col-5 mt-3">
                            <fieldset class="form border-Field p-0 d-block d-md-flex">
                                <legend class="textoBorda pb-0 mb-0">Status</legend>
                                <div class="icheck-primary mr-2">
                                    <input type="radio" id="radioStatusTodosReceberEnvio" name="statusReceberEnvio" value="T" checked />
                                    <label for="radioStatusTodosReceberEnvio">
                                        Todos
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioStatusIntegradoReceberEnvio" name="statusReceberEnvio" value="S" />
                                    <label for="radioStatusIntegradoReceberEnvio">
                                        Integrado
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioStatusInseridoReceberEnvio" name="statusReceberEnvio" value="I" />
                                    <label for="radioStatusInseridoReceberEnvio">
                                        Inserido
                                    </label>
                                </div>
                                <div class="icheck-primary ml-2">
                                    <input type="radio" id="radioStatusNaoIntegradoReceberEnvio" name="statusReceberEnvio" value="N" />
                                    <label for="radioStatusNaoIntegradoReceberEnvio">
                                        Envio Pendente
                                    </label>
                                </div>
                            </fieldset>
                        </div>
                        <div class="col-md-4 col-sm-4 col-12 form-group">
                            <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="dtEmissaoReceberDeEnvio">Data de Emissão de/até: </label>
                            <div class="relative" style="margin-top: 5px;">
                                <div class="input-group">
                                    <input type="date" class="input-default focus form-control mr-1" id="dtEmissaoReceberDeEnvio" value="1200-01-01" name="dtEmissaoReceberDeEnvio" class="form-control">
                                    <input type="date" class="input-default focus form-control" id="dtEmissaoReceberAteEnvio" value="2500-12-31" name="dtEmissaoReceberAteEnvio" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4 col-sm-4 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="txtNumeroReceberEnvio">Número: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtQualidade" name="txtQualidade" class="form-control" placeholder="Qualidade"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtNumeroReceberEnvio" name="txtNumeroReceberEnvio" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnNumeroReceberEnvio" name="btnNumeroReceberEnvio" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaNumeroReceberEnvio" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4 col-sm-4 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="txtFaturaNFEReceberEnvio">Fatura NFE: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtQualidade" name="txtQualidade" class="form-control" placeholder="Qualidade"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtFaturaNFEReceberEnvio" name="txtFaturaNFEReceberEnvio" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnFaturaNFEReceberEnvio" name="btnFaturaNFEReceberEnvio" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaFaturaNFEReceberEnvio" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4 col-sm-4 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="txtFaturaNFCEReceberEnvio">Fatura NFCE: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtQualidade" name="txtQualidade" class="form-control" placeholder="Qualidade"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtFaturaNFCEReceberEnvio" name="txtFaturaNFCEReceberEnvio" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnFaturaNFCEReceberEnvio" name="btnFaturaNFCEReceberEnvio" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaFaturaNFCEReceberEnvio" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4 col-sm-4 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="txtMoedaReceberEnvio">Moeda: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtQualidade" name="txtQualidade" class="form-control" placeholder="Qualidade"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtMoedaReceberEnvio" name="txtMoedaReceberEnvio" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnMoedaReceberEnvio" name="btnMoedaReceberEnvio" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaMoedaReceberEnvio" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4 col-sm-4 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="txtHistoricoReceberEnvio">Histórico: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtQualidade" name="txtQualidade" class="form-control" placeholder="Qualidade"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtHistoricoReceberEnvio" name="txtHistoricoReceberEnvio" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnHistoricoReceberEnvio" name="btnHistoricoReceberEnvio" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaHistoricoReceberEnvio" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4 col-sm-4 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="txtCodvenReceberEnvio">Venda: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtQualidade" name="txtQualidade" class="form-control" placeholder="Qualidade"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtCodvenReceberEnvio" name="txtCodvenReceberEnvio" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnCodvenReceberEnvio" name="btnCodvenReceberEnvio" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaCodvenReceberEnvio" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer mt-4">
                    <div class="row">
                        <button class="btn btn-primary btn-sisp" id="btnConsultarReceberEnvio"><span class="fas fa-search"></span>Consultar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="modalFiltrosReceberConsulta" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content" id="modalBody">
                <div class="modal-header">
                    <h4 class="modal-title">Filtros</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row divStatus">
                        <div class="col-5 mt-3">
                            <fieldset class="form border-Field p-0 d-block d-md-flex">
                                <legend class="textoBorda pb-0 mb-0">Status</legend>
                                <div class="icheck-primary mr-2">
                                    <input type="radio" id="radioStatusTodosReceberConsulta" name="statusReceberConsulta" value="T" checked />
                                    <label for="radioStatusTodosReceberConsulta">
                                        Todos
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioStatusIntegradoReceberConsulta" name="statusReceberConsulta" value="S" />
                                    <label for="radioStatusIntegradoReceberConsulta">
                                        Integrado
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioStatusInseridoReceberConsulta" name="statusReceberConsulta" value="I" />
                                    <label for="radioStatusInseridoReceberConsulta">
                                        Inserido
                                    </label>
                                </div>
                                <div class="icheck-primary ml-2">
                                    <input type="radio" id="radioStatusNaoIntegradoReceberConsulta" name="statusReceberConsulta" value="N" />
                                    <label for="radioStatusNaoIntegradoReceberConsulta">
                                        Envio Pendente
                                    </label>
                                </div>
                            </fieldset>
                        </div>
                        <div class="col-4 mt-3">
                            <fieldset class="form border-Field p-0 d-block d-md-flex">
                                <legend class="textoBorda pb-0 mb-0">Tabela</legend>
                                <div class="icheck-primary mr-4">
                                    <input type="radio" id="radioTabelaTodasReceberConsulta" name="tabelaReceberConsulta" value="T" checked />
                                    <label for="radioTabelaTodasReceberConsulta">
                                        Todas
                                    </label>
                                </div>
                                <div class="icheck-primary mr-4">
                                    <input type="radio" id="radioTabelaReceberReceberConsulta" name="tabelaReceberConsulta" value="R" />
                                    <label for="radioTabelaReceberReceberConsulta">
                                        Receber
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioTabelaReceberBReceberConsulta" name="tabelaReceberConsulta" value="RB" />
                                    <label for="radioTabelaReceberBReceberConsulta">
                                        ReceberB
                                    </label>
                                </div>
                            </fieldset>
                        </div>
                        <div class="col-md-3 col-sm-3 col-12 form-group">
                            <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="dtEmissaoReceberDeConsulta">Data de Emissão de/até: </label>
                            <div class="relative" style="margin-top: 5px;">
                                <div class="input-group">
                                    <input type="date" class="input-default focus form-control mr-1" id="dtEmissaoReceberDeConsulta" value="1200-01-01" name="dtEmissaoReceberDeConsulta" class="form-control">
                                    <input type="date" class="input-default focus form-control" id="dtEmissaoReceberAteConsulta" value="2500-12-31" name="dtEmissaoReceberAteConsulta" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4 col-sm-4 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="txtNumeroReceberConsulta">Número: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtQualidade" name="txtQualidade" class="form-control" placeholder="Qualidade"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtNumeroReceberConsulta" name="txtNumeroReceberConsulta" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnNumeroReceberConsulta" name="btnNumeroReceberConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaNumeroReceberConsulta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer mt-4">
                    <div class="row">
                        <button class="btn btn-primary btn-sisp" id="btnConsultarReceberConsulta"><span class="fas fa-search"></span>Consultar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="modalFiltrosReceberObservacaoTitulos" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content" id="modalBody">
                <div class="modal-header">
                    <h4 class="modal-title">Filtros</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row divStatus">
                        <div class="col-6 mt-3">
                            <fieldset class="form border-Field p-0 d-block d-md-flex">
                                <legend class="textoBorda pb-0 mb-0">Status</legend>
                                <div class="icheck-primary mr-2">
                                    <input type="radio" id="radioStatusTodosReceberObservacaoTitulos" name="statusReceberObservacaoTitulos" value="T" checked />
                                    <label for="radioStatusTodosReceberObservacaoTitulos">
                                        Todos
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioStatusIntegradoReceberObservacaoTitulos" name="statusReceberObservacaoTitulos" value="S" />
                                    <label for="radioStatusIntegradoReceberObservacaoTitulos">
                                        Integrado
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioStatusInseridoReceberObservacaoTitulos" name="statusReceberObservacaoTitulos" value="I" />
                                    <label for="radioStatusInseridoReceberObservacaoTitulos">
                                        Inserido
                                    </label>
                                </div>
                                <div class="icheck-primary ml-2">
                                    <input type="radio" id="radioStatusNaoIntegradoReceberObservacaoTitulos" name="statusReceberObservacaoTitulos" value="N" />
                                    <label for="radioStatusNaoIntegradoReceberObservacaoTitulos">
                                        Envio Pendente
                                    </label>
                                </div>
                            </fieldset>
                        </div>
                        <div class="col-md-6 col-sm-6 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="txtNumeroReceberObservacaoTitulos">Número: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtQualidade" name="txtQualidade" class="form-control" placeholder="Qualidade"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtNumeroReceberObservacaoTitulos" name="txtNumeroReceberObservacaoTitulos" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnNumeroReceberObservacaoTitulos" name="btnNumeroReceberObservacaoTitulos" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaNumeroReceberObservacaoTitulos" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-sm-6 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="txtClienteReceberObservacaoTitulos">Cliente: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtQualidade" name="txtQualidade" class="form-control" placeholder="Qualidade"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtClienteReceberObservacaoTitulos" name="txtClienteReceberObservacaoTitulos" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnClienteReceberObservacaoTitulos" name="btnClienteReceberObservacaoTitulos" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaClienteReceberObservacaoTitulos" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer mt-4">
                    <div class="row">
                        <button class="btn btn-primary btn-sisp" id="btnConsultarReceberObservacaoTitulos"><span class="fas fa-search"></span>Consultar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="modalFiltrosNotaEntrada" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content" id="modalBody">
                <div class="modal-header">
                    <h4 class="modal-title">Filtros</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row divStatus">
                        <div class="col-4 mt-3">
                            <fieldset class="form border-Field p-0 d-block d-md-flex">
                                <legend class="textoBorda pb-0 mb-0">Mapeado</legend>
                                <div class="icheck-primary mr-4">
                                    <input type="radio" id="radioMapeadoTodosNotaEntradaEnvio" name="mapeadoNotaEntradaEnvio" value="T" checked />
                                    <label for="radioMapeadoTodosNotaEntradaEnvio">
                                        Todos
                                    </label>
                                </div>
                                <div class="icheck-primary mr-4">
                                    <input type="radio" id="radioMapeadoSimNotaEntradaEnvio" name="mapeadoNotaEntradaEnvio" value="S" />
                                    <label for="radioMapeadoSimNotaEntradaEnvio">
                                        Sim
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioMapeadoNaoNotaEntradaEnvio" name="mapeadoNotaEntradaEnvio" value="N" />
                                    <label for="radioMapeadoNaoNotaEntradaEnvio">
                                        Não
                                    </label>
                                </div>
                            </fieldset>
                        </div>
                        <div class="col-4 mt-3">
                            <fieldset class="form border-Field p-0 d-block d-md-flex">
                                <legend class="textoBorda pb-0 mb-0">Status</legend>
                                <div class="icheck-primary mr-2">
                                    <input type="radio" id="radioStatusTodosNotaEntradaEnvio" name="statusNotaEntradaEnvio" value="T" checked />
                                    <label for="radioStatusTodosNotaEntradaEnvio">
                                        Todos
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioStatusIntegradoNotaEntradaEnvio" name="statusNotaEntradaEnvio" value="S" />
                                    <label for="radioStatusIntegradoNotaEntradaEnvio">
                                        Integrado
                                    </label>
                                </div>
                                <div class="icheck-primary ml-2">
                                    <input type="radio" id="radioStatusNaoIntegradoNotaEntradaEnvio" name="statusNotaEntradaEnvio" value="N" />
                                    <label for="radioStatusNaoIntegradoNotaEntradaEnvio">
                                        Envio Pendente
                                    </label>
                                </div>
                            </fieldset>
                        </div>
                        <div class="col-md-4 col-sm-4 col-12 form-group">
                            <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="dtEmissaoNotaEntradaDeEnvio">Data de Emissão de/até: </label>
                            <div class="relative" style="margin-top: 5px;">
                                <div class="input-group">
                                    <input type="date" class="input-default focus form-control mr-1" id="dtEmissaoNotaEntradaDeEnvio" value="1200-01-01" name="dtEmissaoNotaEntradaDeEnvio" class="form-control">
                                    <input type="date" class="input-default focus form-control" id="dtEmissaoNotaEntradaAteEnvio" value="2500-12-31" name="dtEmissaoNotaEntradaAteEnvio" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4 col-sm-4 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="txtFaturaNotaEntradaEnvio">Fatura: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtQualidade" name="txtQualidade" class="form-control" placeholder="Qualidade"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtFaturaNotaEntradaEnvio" name="txtFaturaNotaEntradaEnvio" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnFaturaNotaEntradaEnvio" name="btnFaturaNotaEntradaEnvio" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaFaturaNotaEntradaEnvio" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer mt-4">
                    <div class="row">
                        <button class="btn btn-primary btn-sisp" id="btnConsultarNotaEntradaEnvio"><span class="fas fa-search"></span>Consultar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="modalFiltrosPagarEnvio" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content" id="modalBody">
                <div class="modal-header">
                    <h4 class="modal-title">Filtros</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row divStatus">
                        <div class="col-3">
                            <fieldset class="form border-Field p-0 d-block d-md-flex">
                                <legend class="textoBorda pb-0 mb-0">Mapeado</legend>
                                <div class="icheck-primary mr-4">
                                    <input type="radio" id="radioMapeadoTodosPagarEnvio" name="mapeadoPagarEnvio" value="T" checked />
                                    <label for="radioMapeadoTodosPagarEnvio">
                                        Todos
                                    </label>
                                </div>
                                <div class="icheck-primary mr-4">
                                    <input type="radio" id="radioMapeadoSimPagarEnvio" name="mapeadoPagarEnvio" value="S" />
                                    <label for="radioMapeadoSimPagarEnvio">
                                        Sim
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioMapeadoNaoPagarEnvio" name="mapeadoPagarEnvio" value="N" />
                                    <label for="radioMapeadoNaoPagarEnvio">
                                        Não
                                    </label>
                                </div>
                            </fieldset>
                        </div>
                        <div class="col-5">
                            <fieldset class="form border-Field p-0 d-block d-md-flex">
                                <legend class="textoBorda pb-0 mb-0">Status</legend>
                                <div class="icheck-primary mr-2">
                                    <input type="radio" id="radioStatusTodosPagarEnvio" name="statusPagarEnvio" value="T" checked />
                                    <label for="radioStatusTodosPagarEnvio">
                                        Todos
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioStatusIntegradoPagarEnvio" name="statusPagarEnvio" value="S" />
                                    <label for="radioStatusIntegradoPagarEnvio">
                                        Integrado
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioStatusInseridoPagarEnvio" name="statusPagarEnvio" value="I" />
                                    <label for="radioStatusInseridoPagarEnvio">
                                        Inserido
                                    </label>
                                </div>
                                <div class="icheck-primary ml-2">
                                    <input type="radio" id="radioStatusNaoIntegradoPagarEnvio" name="statusPagarEnvio" value="N" />
                                    <label for="radioStatusNaoIntegradoPagarEnvio">
                                        Envio Pendente
                                    </label>
                                </div>
                            </fieldset>
                        </div>
                        <div class="col-4">
                            <fieldset class="form border-Field p-0 d-block d-md-flex">
                                <legend class="textoBorda pb-0 mb-0">Tabela</legend>
                                <div class="icheck-primary mr-4">
                                    <input type="radio" id="radioTabelaTodasPagarEnvio" name="tabelaPagarEnvio" value="T" checked />
                                    <label for="radioTabelaTodasPagarEnvio">
                                        Todas
                                    </label>
                                </div>
                                <div class="icheck-primary mr-4">
                                    <input type="radio" id="radioTabelaReceberPagarEnvio" name="tabelaPagarEnvio" value="P" />
                                    <label for="radioTabelaPagarPagarEnvio">
                                        Pagar
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioTabelaPagarBPagarEnvio" name="tabelaPagarEnvio" value="PB" />
                                    <label for="radioTabelaPagarBPagarEnvio">
                                        PagarB
                                    </label>
                                </div>
                            </fieldset>
                        </div>
                        <div class="col-md-4 col-sm-4 col-12 form-group mt-3">
                            <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="dtEmissaoPagarDeEnvio">Data de Emissão de/até: </label>
                            <div class="relative" style="margin-top: 5px;">
                                <div class="input-group">
                                    <input type="date" class="input-default focus form-control mr-1" id="dtEmissaoPagarDeEnvio" value="1200-01-01" name="dtEmissaoPagarDeEnvio" class="form-control">
                                    <input type="date" class="input-default focus form-control" id="dtEmissaoPagarAteEnvio" value="2500-12-31" name="dtEmissaoPagarAteEnvio" class="form-control">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4 col-sm-4 col-12 form-group mt-3">
                            <label data-error="wrong" data-success="right" for="txtNumeroPagarEnvio">Número: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtQualidade" name="txtQualidade" class="form-control" placeholder="Qualidade"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtNumeroPagarEnvio" name="txtNumeroPagarEnvio" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnNumeroPagarEnvio" name="btnNumeroPagarEnvio" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaNumeroPagarEnvio" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer mt-4">
                    <div class="row">
                        <button class="btn btn-primary btn-sisp" id="btnConsultarPagarEnvio"><span class="fas fa-search"></span>Consultar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="modalFiltrosEnvioEntidade" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content" id="modalBody">
                <div class="modal-header">
                    <h4 class="modal-title">Filtros</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row divStatus">
                        <div class="col-6 mt-3">
                            <fieldset class="form border-Field p-0 d-block d-md-flex">
                                <legend class="textoBorda pb-0 mb-0">Status</legend>
                                <div class="icheck-primary mr-2">
                                    <input type="radio" id="radioStatusTodosEnvioEntidade" name="statusEnvioEntidade" value="T" checked />
                                    <label for="radioStatusTodosEnvioEntidade">
                                        Todos
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioStatusIntegradoEnvioEntidade" name="statusEnvioEntidade" value="S" />
                                    <label for="radioStatusIntegradoEnvioEntidade">
                                        Concluído
                                    </label>
                                </div>
                                <div class="icheck-primary ml-2">
                                    <input type="radio" id="radioStatusAExportarEnvioEntidade" name="statusEnvioEntidade" value="A" />
                                    <label for="radioStatusAExportarEnvioEntidade">
                                        A Exportar
                                    </label>
                                </div>
                                <div class="icheck-primary ml-2">
                                    <input type="radio" id="radioStatusNaoExportadoEnvioEntidade" name="statusEnvioEntidade" value="N" />
                                    <label for="radioStatusNaoExportadoEnvioEntidade">
                                        Não Exportado
                                    </label>
                                </div>
                            </fieldset>
                        </div>
                        <div class="col-md-6 col-sm-4 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="txtEnvioEntidade">Cliente: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtQualidade" name="txtQualidade" class="form-control" placeholder="Qualidade"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtEnvioEntidade" name="txtEnvioEntidade" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnEnvioEntidade" name="btnEnvioEntidade" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaEnvioEntidade" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer mt-4">
                    <div class="row">
                        <button class="btn btn-primary btn-sisp" id="btnConsultarEnvioEntidade"><span class="fas fa-search"></span>Consultar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="modalFiltrosObservacaoEntidade" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content" id="modalBody">
                <div class="modal-header">
                    <h4 class="modal-title">Filtros</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row divStatus">
                        <div class="col-4 mt-3">
                            <fieldset class="form border-Field p-0 d-block d-md-flex">
                                <legend class="textoBorda pb-0 mb-0">Status</legend>
                                <div class="icheck-primary mr-2">
                                    <input type="radio" id="radioStatusTodosObservacaoEntidade" name="statusObservacaoEntidade" value="T" checked />
                                    <label for="radioStatusTodosObservacaoEntidade">
                                        Todos
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioStatusIntegradoObservacaoEntidade" name="statusObservacaoEntidade" value="S" />
                                    <label for="radioStatusIntegradoObservacaoEntidade">
                                        Integrado
                                    </label>
                                </div>
                                <div class="icheck-primary ml-2">
                                    <input type="radio" id="radioStatusNaoIntegradoObservacaoEntidade" name="statusObservacaoEntidade" value="N" />
                                    <label for="radioStatusNaoIntegradoObservacaoEntidade">
                                        Envio Pendente
                                    </label>
                                </div>
                            </fieldset>
                        </div>
                        <div class="col-8 mt-3">
                            <fieldset class="form border-Field p-0 d-block d-md-flex">
                                <legend class="textoBorda pb-0 mb-0">Tabela</legend>
                                <div class="icheck-primary mr-4">
                                    <input type="radio" id="radioTabelaTodasObservacaoEntidade" name="tabelaObservacaoEntidade" value="T" checked />
                                    <label for="radioTabelaTodasObservacaoEntidade">
                                        Todas
                                    </label>
                                </div>
                                <div class="icheck-primary mr-4">
                                    <input type="radio" id="radioTabelaReceberObservacaoEntidade" name="tabelaObservacaoEntidade" value="E" />
                                    <label for="radioTabelaReceberObservacaoEntidade">
                                        ENVIO_OBSERVACAO_CLIENTE
                                    </label>
                                </div>
                                <div class="icheck-primary">
                                    <input type="radio" id="radioTabelaReceberBObservacaoEntidade" name="tabelaObservacaoEntidade" value="C" />
                                    <label for="radioTabelaReceberBObservacaoEntidade">
                                        CONSULTA_OBSERVACAO_CLIENTE
                                    </label>
                                </div>
                            </fieldset>
                        </div>
                        <div class="col-md-4 col-sm-4 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="txtObservacaoEntidade">Cliente: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtQualidade" name="txtQualidade" class="form-control" placeholder="Qualidade"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtObservacaoEntidade" name="txtObservacaoEntidade" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnObservacaoEntidade" name="btnObservacaoEntidade" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaObservacaoEntidade" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer mt-4">
                    <div class="row">
                        <button class="btn btn-primary btn-sisp" id="btnConsultarObservacaoEntidade"><span class="fas fa-search"></span>Consultar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script src="plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
    <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
    <script>
        if ($('[type="date"]').prop('type') != 'date') {
            $('[type="date"]').datepicker();
        }
        $.widget.bridge('uibutton', $.ui.button);
    </script>

    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/sisplan.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="utils/funcoes.js?versao=3.251.27.1"></script>
    <script src="dist/js/adminlte.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="dist/js/jquery.dataTables.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/dataTables.keyTable.js?versao=3.251.27.1"></script>
    <script src="utils/cookies.js?versao=3.251.27.1"></script>
    <script src="dist/js/requisicoes.js?versao=3.251.27.1"></script>
    <!-- SweetAlert2 -->
    <script type="text/javascript" src="<?php echo BASE_URI; ?>/dist/js/sum().js?versao=3.251.27.1"></script>
    <script src="plugins/sweetalert2/sweetalert2.min.js?versao=3.251.27.1"></script>
    <script src="plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/driver.min.js?versao=3.251.27.1"></script>
    <script src="plugins/moment/moment.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="config.js?versao=3.251.27.1"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-scrollTo/2.1.3/jquery.scrollTo.min.js"></script>
    <script src="plugins/select2/js/select2.full.min.js?versao=3.251.27.1"></script>
    <script src="plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.251.27.1"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('MANUTENCAO_INTEGRACAO_SENIOR');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            sArquivo = `${BASE_URI}/pages/manutencao_integracao_senior/manutencao_integracao_senior.js?versao=3.251.27.1`;
            insereJavaScriptPagina(sArquivo);

        });
    </script>
</body>

</html>