<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Preços B2B</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="dist/css/custom.css?versao=3.251.27.1">
    <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.251.27.1">
    <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
    <link rel="shortcut icon" href="favicon.ico">
    <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.251.27.1" />
    <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.251.27.1">
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">

</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">


        <?php
        include_once('../../menu.php');
        ?>


        <div class="content-wrapper">
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6 flex">
                            <h1 class="m-0 text-dark">Preços B2B</h1>
                            <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                <i class="fas fa-question-circle"></i></button>
                        </div>
                        <div class="col-sm-6">
                        </div>
                    </div>
                </div>
                <div class="container-fluid">
                    <div class="row card">
                        <div class="col-sm-12 ml-2 mt-3">
                            <button class="btn btn-success btn-sisp" id="btnFiltros"><span class="fas fa-search"></span> Filtros</button>
                            <!-- <button id="btnImprimir" class="btn-sisp btn btn-danger"><i class="fas fa-print"></i> Imprimir</button> -->
                        </div>
                        <div class="col-sm-12 table-responsive card-body">
                            <table id="tabelaPrecosb2b" class="table table-sm table-select table-hover" width="100%">
                                <thead>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                        <!-- <div class="col-sm-12 table-responsive card-body">
                            <h5 class="mb-5">Lista de Preços B2B</h5>
                            <table id="tabelaPrecosb2b" class="table table-sm table-select table-hover" width="100%"></table>
                        </div> -->
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content" id="modalBody">
                <div class="modal-header">
                    <h4 class="modal-title">Filtros</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-lg-4 col-sm-12 col-12 form-group">
                            <label data-error="wrong" data-success="right" id="labelMaterial" for="txtMaterial">Material: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtMaterial" name="txtMaterial" class="form-control" placeholder="Material"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtMaterial" name="txtMaterial" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnMaterial" name="btnMaterial" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaMaterial" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 col-sm-12 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="txtTabPreco">Tabela de Preço: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtTabPreco" name="txtTabPreco" class="form-control" placeholder="TabPreco"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtTabPreco" name="txtTabPreco" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnTabPreco" name="btnTabPreco" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaTabPreco" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-4 col-sm-12 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="txtGrupoMA">Grupo: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtGrupoMA" name="txtGrupoMA" class="form-control" placeholder="Grupo"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtGrupoMA" name="txtGrupoMA" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnGrupoMA" name="btnGrupoMA" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaGrupoMA" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 col-sm-12 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="txtSubGrupo">SubGrupo: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtSubGrupo" name="txtSubGrupo" class="form-control" placeholder="SubGrupo"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtSubGrupo" name="txtSubGrupo" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnSubGrupo" name="btnSubGrupo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaSubGrupo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 col-sm-12 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="txtColecao">Coleção: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtColecao" name="txtColecao" class="form-control" placeholder="Coleção"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtColecao" name="txtColecao" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnColecao" name="btnColecao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaColecao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 col-sm-12 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="txtUnidade">Unidade: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtUnidade" name="txtUnidade" class="form-control" placeholder="Coleção"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtUnidade" name="txtUnidade" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnUnidade" name="btnUnidade" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaUnidade" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-4 col-sm-12 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="txtEtiqueta">Etiqueta: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtEtiqueta" name="txtEtiqueta" class="form-control" placeholder="Etiqueta"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtEtiqueta" name="txtEtiqueta" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnEtiqueta" name="btnEtiqueta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaEtiqueta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 col-sm-12 col-12 form-group">
                            <label data-error="wrong" data-success="right" for="txtClasse">Classe: </label>
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtClasse" name="txtClasse" class="form-control" placeholder="Classe"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtClasse" name="txtClasse" multiple="multiple">
                                    </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnClasse" name="btnClasse" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaClasse" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-4 col-sm-12 col-12 form-group">
                            <div class="relative">
                                <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" id="txtClasse" name="txtClasse" class="form-control" placeholder="Classe"> -->
                                    <div class="form-group form-check icheck-primary">
                                        <input type="checkbox" class="form-check-input" name="radiosTipo" id="cbMatAtivo">
                                        <label class="form-check-label pr-2" for="cbMatAtivo">Buscar Mat. Ativos</label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <div class="row">
                            <button class="btn btn-primary btn-sisp" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222"><span class="fas fa-trash"></span> Limpar Filtros</button>     
                            <button class="btn btn-primary btn-sisp" id="btnConsultar"><span class="fas fa-search"></span> Consultar</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php
        include_once('../../modais.php');
        ?>
        <aside class="control-sidebar control-sidebar-dark">
        </aside>

        <script src="plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
        <script src="dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
        <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
        <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
        <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
        <script src="plugins/sweetalert2/sweetalert2.min.js?versao=3.251.27.1"></script>
        <script src="plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
        <script>
            $.widget.bridge('uibutton', $.ui.button);
        </script>
        <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
        <script src="dist/js/adminlte.min.js?versao=3.251.27.1"></script>
        <script src="dist/js/requisicoes.js?versao=3.251.27.1"></script>
        <script src="dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
        <script src="dist/js/valida_cpf_cnpj.js?versao=3.251.27.1"></script>
        <script src="plugins/jquery-validation/jquery.validate.min.js?versao=3.251.27.1"></script>
        <script src="plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.251.27.1"></script>
        <script src="dist/js/dataTables.keyTable.js?versao=3.251.27.1"></script>
        <script src="dist/js/sisplan.js?versao=3.251.27.1"></script>
        <script src="utils/funcoes.js?versao=3.251.27.1"></script>
        <script src="utils/cookies.js?versao=3.251.27.1"></script>
        <script src="./js/arrayColunasDatatablePedido.js?versao=3.251.27.1"></script>
        <script src="dist/js/driver.min.js?versao=3.251.27.1"></script>
        <script src="plugins/select2/js/select2.full.min.js?versao=3.251.27.1"></script>
        <script src="config.js?versao=3.251.27.1"></script>

        <script>
            $(document).ready(async function() {
                if (getCookie('usuario') == "") {
                    window.location.href = `${BASE_URI}/login`;
                    return;
                }

                let usuario = getCookie('usuario');
                let empresa = getCookie('empresa');

                ipInterno = IP_INTERNO;
                ipExterno = IP_EXTERNO;
                basicAuth = BASIC_AUTH;

                const temAcesso = await temAcessoTela('PRECOSB2B');
                if (!temAcesso.resultado) {
                    toastrAcesso(temAcesso, BASE_URI);
                    return;
                }

                sArquivo = `${BASE_URI}/pages/pedidosB2B/js/consulta_precob2b.js?versao=3.251.27.1`;
                insereJavaScriptPagina(sArquivo);

            });
        </script>
</body>

</html>