<div class="modal fade" id="modalEditarDtEntrega" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" data-backdrop="static" data-keyboard="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Altera dados entrega</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close" id="btnFecharCRMBonus">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="form-card">
          <div class="col-lg-12  col-12 form-group mt-1">
            <label data-error="wrong" data-success="right" id="labelPedido"></label>
          </div>
          <div class="row">
            <div class="col-lg-3  col-3 form-group">
              <label data-error="wrong" data-success="right" for="dtAlteraEntrega">Entrega</label>
              <div class="input-group">
                <input type="date" max="2500-12-31" class="input-default focus form-control" id="dtAlteraEntrega" name="dtAlteraEntrega">
                <input type="text" class="input-default focus form-control" id="numeroPedido" name="numeroPedido" hidden>
              </div>
            </div>
            <div class="col-lg-3  col-3 form-group">
              <label data-error="wrong" data-success="right" for="dtPrevFatura">Prev. Fatura</label>
              <div class="input-group">
                <input type="date" max="2500-12-31" class="input-default focus form-control" id="dtPrevFatura" name="dtPrevFatura" disabled>
              </div>
            </div>
          </div>
          <hr>
          <div>
            <div class="col-lg-12  col-12 mb-2">
              <input type="radio" id="radioEndEntidade" name="radioEndereco">
              <label class="container ml-2 mr-0 pl-0" for="radioEndEntidade">Endereço da Entidade</label>
            </div>
            <div class="row ml-4">
              <div class="col-lg-12  col-12 form-group">
                <label for="txtEndereco">Endereço</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtEndereco" name="txtEndereco" disabled>
                  <input type="text" class="input-default focus form-control" id="txtNumero" name="txtNumero" hidden>
                  <input type="text" class="input-default focus form-control" id="txtComplemento" name="txtComplemento" hidden>
                </div>
              </div>
              <div class="col-lg-12  col-12 form-group">
                <label for="txtBairro">Bairro</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtBairro" name="txtBairro" disabled>
                </div>
              </div>
              <div class="col-lg-6  col-12 form-group">
                <label for="txtCep">Cep</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtCep" name="txtCep" disabled>
                </div>
              </div>
              <div class="col-lg-6  col-12 form-group">
                <label for="txtCidadeEstado">Cidade/Estado</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtCidadeEstado" name="txtCidadeEstado" disabled>
                </div>
              </div>
            </div>
          </div>
          <hr>
          <div>
            <div class="col-lg-12  col-12 mb-2">
              <input type="radio" id="radioEntregaEntidade" name="radioEndereco">
              <label class="container ml-2 mr-0 pl-0" for="radioEntregaEntidade">Endereço de Entrega</label>
            </div>
            <div class="row ml-4">
              <div class="col-lg-12  col-12 form-group">
                <label for="txtEnderecoEntrega">Endereço</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtEnderecoEntrega" name="txtEnderecoEntrega" disabled>
                  <input type="text" class="input-default focus form-control" id="txtNumeroEntrega" name="txtNumeroEntrega" hidden>
                  <input type="text" class="input-default focus form-control" id="txtComplementoEntrega" name="txtComplementoEntrega" hidden>
                </div>
              </div>
              <div class="col-lg-12  col-12 form-group">
                <label for="txtBairroEntrega">Bairro</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtBairroEntrega" name="txtBairroEntrega" disabled>
                </div>
              </div>
              <div class="col-lg-6  col-12 form-group">
                <label for="txtCepEntrega">Cep</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtCepEntrega" name="txtCepEntrega" disabled>
                </div>
              </div>
              <div class="col-lg-6  col-12 form-group">
                <label for="txtCidadeEstadoEntrega">Cidade/Estado</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtCidadeEstadoEntrega" name="txtCidadeEstadoEntrega" disabled>
                </div>
              </div>
            </div>
          </div>
          <hr>
          <div>
            <div class="col-lg-12  col-12 mb-2">
              <input type="radio" id="radioCobrancaEntidade" name="radioEndereco">
              <label class="container ml-2 mr-0 pl-0" for="radioCobrancaEntidade">Endereço de Cobrança</label>
            </div>
            <div class="row ml-4">
              <div class="col-lg-12  col-12 form-group">
                <label for="txtEnderecoCobranca">Endereço</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtEnderecoCobranca" name="txtEnderecoCobranca" disabled>
                  <input type="text" class="input-default focus form-control" id="txtNumeroCobranca" name="txtNumeroCobranca" hidden>
                  <input type="text" class="input-default focus form-control" id="txtComplementoCobranca" name="txtComplementoCobranca" hidden>
                </div>
              </div>
              <div class="col-lg-12  col-12 form-group">
                <label for="txtBairroCobranca">Bairro</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtBairroCobranca" name="txtBairroCobranca" disabled>
                </div>
              </div>
              <div class="col-lg-6  col-12 form-group">
                <label for="txtCepCobranca">Cep</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtCepCobranca" name="txtCepCobranca" disabled>
                </div>
              </div>
              <div class="col-lg-6  col-12 form-group">
                <label for="txtCidadeEstadoCobranca">Cidade/Estado</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtCidadeEstadoCobranca" name="txtCidadeEstadoCobranca" disabled>
                </div>
              </div>
            </div>
          </div>
          <hr>
          <div>
            <div class="col-lg-12  col-12 mb-2">
              <input type="radio" id="radioPersonalizadoEntidade" name="radioEndereco">
              <label class="container ml-2 mr-0 pl-0" for="radioPersonalizadoEntidade">Endereço de Personalizado</label>
            </div>
            <div class="row ml-4">
              <div class="col-lg-11  col-11 form-group">
                <label for="txtEnderecoPersonalizado">Endereço</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtEnderecoPersonalizado" name="txtEnderecoPersonalizado">
                </div>
              </div>
              <div class="col-lg-1  col-1 form-group">
                <label for="txtNumeroPersonalizado">&nbsp;</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtNumeroPersonalizado" name="txtNumeroPersonalizado">
                </div>
              </div>
              <div class="col-lg-12  col-12 form-group">
                <label for="txtComplementoPersonalizado">Complemento</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtComplementoPersonalizado" name="txtComplementoPersonalizado">
                </div>
              </div>
              <div class="col-lg-12  col-12 form-group">
                <label for="txtBairroPersonalizado">Bairro</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtBairroPersonalizado" name="txtBairroPersonalizado">
                </div>
              </div>
              <div class="col-lg-6  col-6 form-group">
                <label data-error="wrong" data-success="right" for="txtCEPPersonalizado">Cep</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtCEPPersonalizado" name="txtCEPPersonalizado" placeholder="CEP">
                  <div class="input-group-append">
                    <button class="btn bg-danger" id="btn-CEPPersonalizado" name="btn-CEPPersonalizado" data-button="absolute" type="button">
                      <i class="m-0 p-0 fas fa-search"></i>
                    </button>
                    <button class="btn bg-danger" id="btn-limpa-CEPPersonalizado" type="button">
                      <i class="m-0 p-0 fas fa-trash"></i>
                    </button>
                  </div>
                </div>
              </div>
              <div class="col-lg-6  col-12 form-group">
                <label for="txtCidadeEstadoPersonalizado">Cidade/Estado</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtCidadeEstadoPersonalizado" name="txtCidadeEstadoPersonalizado" disabled>
                </div>
              </div>
            </div>
          </div>
          <hr>
          <div>
            <div class="row ml-4">
              <div class="col-lg-1  col-1 form-group">
                <label for="txtDDD">DDD</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtDDD" name="txtDDD">
                </div>
              </div>
              <div class="col-lg-5  col-5 form-group">
                <label for="txtTelefone">Telefone</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtTelefone" name="txtTelefone">
                </div>
              </div>
              <div class="col-lg-6  col-6 form-group">
                <label for="txtInscricao">Inscrição/RG</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtInscricao" name="txtInscricao" disabled>
                </div>
              </div>
              <div class="col-lg-12  col-12 form-group">
                <label for="txtRecebedor">Recebedor</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" id="txtRecebedor" name="txtRecebedor">
                </div>
              </div>
            </div>
          </div>

          <div class="d-flex justify-content-end">
            <button type="button" class="btn btn-danger" id="gravarDadosEntrega">Gravar</button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <script src="pages/pedidosb2b/modal/modal_dados_entrega.js?versao=3.251.27.1"></script>