<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Relatório de Caixa</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">

  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/custom.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.251.27.1" />
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.251.27.1" />
  <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.251.27.1">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">

  <style>
    .radioStyle {
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      padding: 7px;
      margin-top: 5px;
      width: 317px;
      margin-left: 8px;
    }

    .checkStyle {
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      padding: 7px;
      margin-top: 31px;
      width: 320px;
      margin-left: 6px;
      padding-left: 11px !important;
    }

    .border-Field .textoBorda {
      font-size: 1.1em !important;
      text-align: left !important;
      width: auto;
      padding: 0 10px;
      border-bottom: none;
    }

    .border-Field {
      border: 1px solid var(--font-color) !important;
      padding: 0 0 0 1.0em !important;
      margin: 0 0 1.0em 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
      border-radius: 3px;
    }

    .table.dataTable tbody td,
    .table.dataTable thead {
      white-space: nowrap;
      text-overflow: ellipsis;
      overflow: hidden;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <main class="wrapper">

    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 flex">
              <h1 class="m-0 text-dark">Relatório de Caixa</h1>
              <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                <i class="fas fa-question-circle"></i></button>
            </div>
            <div class="col-sm-6">

            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <fieldset>
                <div class="row">
                  <div class="col-12">
                    <div class="buttons">
                      <button class="btn btn-success btn-sisp" id="btnFiltros" type="button"><span class="fas fa-filter"></span> Filtros</button>
                      <button id="btnImprimir" class="btn-sisp btn btn-danger"><i class="fas fa-print"></i> Imprimir</button>
                    </div>
                  </div>
                </div>
                <div class="card-body" id="divRelatorio">
                  <div class="card">
                    <div class="col-sm-12 table-responsive card-body">
                      <div class="card-body">
                        <div class="card" id="tourlancamentosmanuais">
                          <div class="modal-body">
                            <nav>
                              <div class="nav nav-tabs justify-content-center" id="nav-tab" role="tablist" style="text-decoration: none">
                                <a class="nav-link abaLink active" id="tabLancManuais" data-toggle="tab" href="#divLancManuais" role="tab" aria-controls="divLancManuais" aria-selected="true">Lançamentos Manuais</a>
                                <a class="nav-link abaLink" id="tabVendas" data-toggle="tab" href="#divVendas" role="tab" aria-controls="divVendas" aria-selected="false">Vendas</a>
                              </div>
                            </nav>
                            <div class="tab-content" id="nav-tabContent">

                              <div class="tab-pane fade show active" id="divLancManuais" role="tabpanel" aria-labelledby="tabLancManuais">
                                <div class="card-body">
                                  <div class="row pt-2">
                                    <div class="col-sm-12 table-responsive">
                                      <table id="tabelaManual" class="table table-sm table-select table-hover" width="100%">
                                        <thead>
                                        </thead>
                                      </table>
                                    </div>
                                  </div>
                                </div>
                              </div>

                              <div class="tab-pane fade show active" id="divVendas" role="tabpanel" aria-labelledby="tabVendas">
                                <div class="card-body">
                                  <div class="row pt-2">
                                    <div class="col-sm-12 table-responsive">
                                      <table id="tabelaVendasGrid" class="table table-sm table-select table-hover" width="100%">
                                        <thead>
                                        </thead>
                                      </table>
                                    </div>
                                  </div>
                                </div>
                              </div>

                            </div>
                          </div>
                        </div>
                      </div>

                      <div class="card-body" id="caixatour" style="margin-top: -2.5rem;">
                        <div class="card">
                          <div class="card-body">
                            <div class="row">
                              <div class="col-12">
                                <h5><b>Caixa</b></h5>
                              </div>
                            </div>
                            <div class="row pt-2">
                              <div class="col-sm-12 table-responsive">
                                <table id="tabelaCaixa" class="table table-sm table-select table-hover" width="100%">
                                  <thead>
                                  </thead>
                                </table>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </fieldset>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content" id="modalBody">
          <div class="modal-header">
            <h4 class="modal-title">Filtros

            </h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="card py-2">
              <div class="row">
                <div class="col-lg-12 col-12 row">

                  <div class="col-md-4 col-sm-4 col-12">
                    <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="dtPeriodoDe">Período de/até*: </label>
                    <div class="relative" style="margin-top: 5px;">
                      <div class="input-group">
                        <input type="date" max="2500-12-31" class="input-default focus form-control" id="dtPeriodoDe" name="dtPeriodoDe" class="form-control">
                        <input type="date" max="2500-12-31" class="input-default focus form-control" id="dtPeriodoAte" name="dtPeriodoAte" class="form-control">
                      </div>
                    </div>
                  </div>
                  <div class="col-xl-4 col-12 form-group">
                    <label data-error="wrong" data-success="right" for="txtMoeda">Moeda: </label>
                    <div class="input-group">
                      <select class="js-example-programmatic js-states form-control" id="txtMoeda" name="txtMoeda" multiple="multiple"></select>
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnMoeda" name="btnMoeda" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaMoeda" name="btnLimpaMoeda" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-xl-4 col-12 form-group">
                    <label data-error="wrong" data-success="right" for="txtCaixa">Caixa: </label>
                    <div class="input-group">
                      <select class="js-example-programmatic js-states form-control" id="txtCaixa" name="txtCaixa" multiple="multiple"></select>
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnCaixa" name="btnCaixa" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaCaixa" name="btnLimpaCaixa" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <div class="row">
              <button class="btn btn-primary btn-sisp" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222"><span class="fas fa-trash"></span> Limpar Filtros</button>   
              <button id="btnConsultar" class='btn btn-primary btn-sisp' type='button'><span class="fas fa-search"></span> Consultar </button>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
      <!-- Control sidebar content goes here -->
    </aside><!-- /.control-sidebar -->
    <?php include_once('../../modais.php'); ?>
  </main><!-- /.wrapper -->

  <script src="plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
  <script src="plugins/sweetalert2/sweetalert2.min.js?versao=3.251.27.1"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/adminlte.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/requisicoes.js?versao=3.251.27.1"></script>
  <script src="dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/valida_cpf_cnpj.js?versao=3.251.27.1"></script>
  <script src="plugins/jquery-validation/jquery.validate.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/dataTables.keyTable.js?versao=3.251.27.1"></script>
  <script src="dist/js/sisplan.js?versao=3.251.27.1"></script>
  <script src="utils/funcoes.js?versao=3.251.27.1"></script>
  <script src="utils/cookies.js?versao=3.251.27.1"></script>
  <script src="dist/js/driver.min.js?versao=3.251.27.1"></script>
  <script src="config.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/jszip/jszip.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/pdfmake/pdfmake.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/pdfmake/vfs_fonts.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/datatables-buttons/js/dataTables.buttons.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/datatables-buttons/js/buttons.html5.min.js?versao=3.251.27.1"></script>
  <script src="plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.251.27.1"></script>
  <script src="plugins/select2/js/select2.full.min.js?versao=3.251.27.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('RELCAIXA');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/relcaixa/relcaixa.js?versao=3.251.27.1`;
      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      // nomeTela


      await insereJavaScriptPagina(sArquivo);

      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>

</body>

</html>