<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Curva Produto</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">

  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/custom.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.251.27.1" />
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.251.27.1">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.251.27.1">
</head>

<style>
  /* .dataTables_length {
    display: flex;
    align-items: center;
    padding-left: 0px;
    margin-left: 0px;
  }
  
  #tabelaRelDesempenhoProduto_wrapper .row {
    align-items: center;
  }
  .dataTables_length .custom-select{
    margin-right: 3px;
  }

  #tabelaRelDesempenhoProduto_wrapper .row .col-md-6 {
    margin-left: 0px;
    padding-left: 5px;
  }

  #tabelaRelDesempenhoProduto_length label {
    margin-top: 7px;
    margin-left: 3px;
  }

  #buttonColVis {
    background-color: #2195f0;
  }

  #buttonExcel {
    background-color: #75BE25;
    margin: 3px;
    padding
    : 0px;
  } */

  .form-check {
    margin-left: 25px;
    margin-bottom: 10px;
  }

  .border-Field .textoBorda {
    font-size: 1.1em !important;
    text-align: left !important;
    width: auto;
    padding: 0 10px;
    border-bottom: none;
  }

  .border-Field {
    border: 1px solid var(--font-color) !important;
    /* padding: 0 1.0em 1.0em 1.0em !important; */
    margin: 0 0 1.0em 0 !important;
    -webkit-box-shadow: 0px 0px 0px 0px #000;
    box-shadow: 0px 0px 0px 0px #000;
  }

  #tabelaRelCurvaProduto_wrapper .table.dataTable tbody td {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    /* max-width: 200px; */
    /* white-space: normal; */
    /* word-break: break-all; */
  }

  .content-wrapper {
    margin-left: 0px !important;
  }

  .main-header,
  .main-sidebar,
  footer {
    display: none;
  }
</style>

<body class="hold-transition sidebar-mini layout-fixed">
  <main class="wrapper">
    <?php
    include_once('../../menu.php');
    ?>
    <div id="driver-page-overlay" class="d-none"></div>
    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 flex">
              <h1 class="m-0 text-dark">Curva Produto</h1>
              <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                <i class="fas fa-question-circle"></i></button>
              <button id="show-content" class="show-content" style="margin-left:8px;">
                <i class="fa fa-comment-dots" class="icone" style="font-size: 16px;"></i>
                <span class="texto">Informativo</span>
              </button>
            </div>
            <div class="col-sm-6">

            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <fieldset>
                <div class="row">
                  <div class="col-12">
                    <div class="buttons">
                      <button class="btn btn-success btn-sisp" id="btnFiltros" type="button"><span class="fas fa-filter"></span> Filtros</button>
                      <button id="btnImprimir" class="btn-sisp btn btn-danger"><i class="fas fa-print"></i> Imprimir</button>
                    </div>
                  </div>
                </div>
                <div class="col-12">
                  <div id="chart">
                  </div>
                </div>
                <div class="card-body">
                  <div class="card">
                    <div class="col-sm-12 table-responsive">
                      <table id="tabelaRelCurvaProduto" class="table table-responsive-sm table-select table-hover" width="100%">
                        <thead>
                        </thead>
                        <tbody>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
                <div class="row" style="margin-left: 19px; margin-right: 19px">
                  <div class="card col-6" style="max-height: 300px;">
                    <div class="col-sm-12 table-responsive">
                      <table id="tabelaOrdemProducao" class="table table-responsive-sm table-select table-hover" width="100%">
                        <thead>
                        </thead>
                        <tbody>
                        </tbody>
                      </table>
                    </div>
                  </div>
                  <div class="col-6">
                    <div id="chartProducao">
                    </div>
                  </div>
                </div>
              </fieldset>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content" id="modalBody">
          <div class="modal-header">
            <h4 class="modal-title">Filtros</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="card pb-2">
              <div class="row">
                <!-- <div class="col-md-4 col-sm-4 col-4">
                  <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="dtEmissaoDe">Emissão Venda de/até: </label>
                  <div class="relative" style="margin-top: 5px;">
                    <div class="input-group">
                      <input type="date" max="2500-12-31" class="input-default focus form-control" id="txtDataVendasDe" name="txtDataVendasDe" class="form-control">
                      <input type="date" max="2500-12-31" class="input-default focus form-control" id="txtDataVendasAte" name="txtDataVendasAte" class="form-control">
                    </div>
                  </div>
                </div> -->
                <div class="col-md-4 col-sm-8 col-8">
                  <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtDataVendasDe">Período venda de/até: </label>
                  <div class="relative" style="margin-top: 5px;">
                    <div class="input-group">
                      <input type="date" max="2500-12-31" class="input-default focus form-control mr-3" id="txtDataVendasDe" value="1200-01-01" name="txtDataVendasDe" class="form-control">
                      <input type="date" max="2500-12-31" class="input-default focus form-control" id="txtDataVendasAte" value="" name="txtDataVendasAte" class="form-control">
                    </div>
                  </div>
                </div>
                <!-- <div class="col-md-4 col-sm-4 col-12">
                  <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="dtEmissaoDe">Período produção de/até: </label>
                  <div class="relative" style="margin-top: 5px;">
                    <div class="input-group">
                      <input type="date" max="2500-12-31" class="input-default focus form-control mr-3" id="txtDataProducaoDe" value="1200-01-01" name="txtDataProducaoDe" class="form-control">
                      <input type="date" max="2500-12-31" class="input-default focus form-control" id="txtDataProducaoAte" value="2500-12-31" name="txtDataProducaoAte" class="form-control">
                    </div>
                  </div>
                </div> -->
                <!-- <div class="form-group col-lg-6 col-6 col-sm-12 mt-3 mb-0">
                  <fieldset class="form border-Field p-0">
                    <legend class="textoBorda pb-0 mb-0">Status Venda</legend>
                    <div class="form-row">
                      <div class="form-check mb-0 pb-0">
                        <input class="form-check-input mb-0" type="checkbox" id="cbEmitido" checked> <label for="cbEmitido">Emitido</label>
                      </div>
                      <div class="form-check mb-0 pb-0">
                        <input class="form-check-input mb-0" type="checkbox" id="cbPendente" checked> <label for="cbPendente">Pendente</label>
                      </div>
                      <div class="form-check mb-0 pb-0">
                        <input class="form-check-input mb-0" type="checkbox" id="cbAgrupado" checked> <label for="cbAgrupado">Agrupado</label>
                      </div>
                      <div class="form-check mb-0 pb-0">
                        <input class="form-check-input mb-0" type="checkbox" id="cbDevolvido" checked> <label for="cbDevolvido">Devolvido</label>
                      </div>
                      <div class="form-check mb-0 pb-0">
                        <input class="form-check-input mb-0" type="checkbox" id="cbCancelado" checked> <label for="cbCancelado">Cancelado</label>
                      </div>
                    </div>
                  </fieldset>
                </div> -->
                <div class="col-md-2 col-12 mt-4 p-1">
                  <button class="btn btn-danger btn-sisp" type='button' id="btnSelecionarEmpresas">Selecionar Empresas</button>
                </div>
              </div>

              <div class="row">
                <div class="col-md-4 col-sm-4 col-12" id="DepositoInfoTour">
                  <label data-error="wrong" data-success="right" for="txtProduto">Produto: </label>
                  <div class="input-group">
                    <!-- <input type="text" autocomplete="off" class="input-default focus form-control" id="txtProduto" name="txtProduto" class="form-control" placeholder="Produto"> -->
                    <select class="js-example-programmatic js-states form-control" id="txtProduto" name="txtProduto" multiple="multiple">
                    </select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnProduto" name="btnProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaProduto" name="btnLimpaProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-md-4 col-sm-4 col-12" id="ColecaoInfoTour">
                  <label data-error="wrong" data-success="right" for="txtColecao">Coleção*: </label>
                  <div class="input-group">
                    <!-- <input type="text" autocomplete="off" class="input-default focus form-control" id="txtColecao" name="txtColecao" class="form-control" placeholder="Coleção"> -->
                    <select class="js-example-programmatic js-states form-control" id="txtColecao" name="txtColecao" multiple="multiple">
                    </select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnColecao" name="btnColecao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaColecao" name="btnLimpaColecao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-md-4 col-sm-4 col-12" id="ModeloInfoTour">
                  <label data-error="wrong" data-success="right" for="txtModelo">Modelo: </label>
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtModelo" name="txtModelo" multiple="multiple">
                    </select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnModelo" name="btnModelo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaModelo" name="btnLimpaModelo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-md-4 col-sm-4 col-12" id="GrupoPAInfoTour">
                  <label data-error="wrong" data-success="right" for="txtGrupoPA">Grupo: </label>
                  <div class="input-group">
                    <!-- <input type="text" autocomplete="off" class="input-default focus form-control" id="txtGrupoPA" name="txtGrupoPA" class="form-control"  placeholder="GrupoPA"> -->
                    <select class="js-example-programmatic js-states form-control" id="txtGrupoPA" name="txtGrupoPA" multiple="multiple">
                    </select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnGrupoPA" name="btnGrupoPA" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaGrupoPA" name="btnLimpaGrupoPA" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-md-4 col-sm-4 col-12" id="EtiquetaInfoTour">
                  <label data-error="wrong" data-success="right" for="txtEtiqueta">Etiqueta: </label>
                  <div class="input-group">
                    <!-- <input type="text" autocomplete="off" class="input-default focus form-control" id="txtEtiqueta" name="txtEtiqueta" class="form-control" placeholder="Etiqueta"> -->
                    <select class="js-example-programmatic js-states form-control" id="txtEtiqueta" name="txtEtiqueta" multiple="multiple">
                    </select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnEtiqueta" name="btnEtiqueta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaEtiqueta" name="btnLimpaEtiqueta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-md-4 col-sm-4 col-12" id="LinhaInfoTour">
                  <label data-error="wrong" data-success="right" for="txtLinha">Linha: </label>
                  <div class="input-group">
                    <!-- <input type="text" autocomplete="off" class="input-default focus form-control" id="txtLinha" name="txtLinha" class="form-control" placeholder="Linha"> -->
                    <select class="js-example-programmatic js-states form-control" id="txtLinha" name="txtLinha" multiple="multiple">
                    </select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnLinha" name="btnLinha" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaLinha" name="btnLimpaLinha" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-md-4 col-sm-4 col-12" id="MarcaInfoTour">
                  <label data-error="wrong" data-success="right" for="txtMarca">Marca: </label>
                  <div class="input-group">
                    <!-- <input type="text" autocomplete="off" class="input-default focus form-control" id="txtLinha" name="txtLinha" class="form-control" placeholder="Linha"> -->
                    <select class="js-example-programmatic js-states form-control" id="txtMarca" name="txtMarca" multiple="multiple">
                    </select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnMarca" name="btnMarca" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaMarca" name="btnLimpaMarca" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-md-4 col-sm-4 col-12" id="DepositoUsuarioInfoTour">
                  <label data-error="wrong" data-success="right" for="txtDepositoUsuario">Depósito: </label>
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtDepositoUsuario" name="txtDepositoUsuario" multiple="multiple">
                    </select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnDepositoUsuario" name="btnDepositoUsuario" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaDepositoUsuario" name="btnLimpaDepositoUsuario" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-md-4 col-sm-4 col-12" id="DepositoUsuarioInfoTour">
                  <label data-error="wrong" data-success="right" for="txtTipoVenda">Tipo Venda: </label>
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtTipoVenda" name="txtTipoVenda" multiple="multiple">
                    </select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnTipoVenda" name="btnTipoVenda" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaTipoVenda" name="btnLimpaTipoVenda" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="modal-footer justify-content-start pl-0">
            <div class="row col-12">
              <div class="col-md-4 col-sm-4 col-12">
                <label for="txtOrdem">Opção de Relatório:</label>
                <div class="relative d-flex align-items-center">
                  <select id="txtOrdem" class="input-default focus custom-select">
                  </select>
                  <button class="btn btn-sm btn-success ml-2 btnEdicaoRelatorio" title="Edição de ordenações">
                    <i class="fas fa-check"></i>
                  </button>
                </div>
              </div>
              <div class="col-6 col-lg-8 d-flex justify-content-end align-items-end pr-0">
                <div class="d-flex">
                  <button class="btn btn-primary btn-sisp mr-2" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222">
                    <span class="fas fa-trash"></span> Limpar Filtros
                  </button>
                  <button id="btnConsultar" class="btn btn-primary btn-sisp" type="button">
                    <span class="fas fa-search"></span> Consultar
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="modal fade" id="modalInfoRelatorio" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-lg modal-dialog-centered">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="tituloModalInfo"></h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Fechar"></button>
          </div>
          <div class="modal-body" style="font-size:100%">
            <div class="form-card px-4 formCardInfo">
            </div>
          </div>
          <div class="modal-footer">
            <button class="btn btn-primary btn-sisp mr-2" id="btnFecharInfo" style="background-color: #B22222; border-color: #B22222">Fechar</button>
          </div>
        </div>
      </div>
    </div>



    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
      <!-- Control sidebar content goes here -->
    </aside><!-- /.control-sidebar -->
    <?php include_once('../../modais.php'); ?>
    <?php include_once('../../informativo.html') ?>;
  </main><!-- /.wrapper -->

  <script src="plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
  <script src="plugins/sweetalert2/sweetalert2.min.js?versao=3.251.27.1"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/adminlte.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/requisicoes.js?versao=3.251.27.1"></script>
  <script src="dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/valida_cpf_cnpj.js?versao=3.251.27.1"></script>
  <script src="plugins/jquery-validation/jquery.validate.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/dataTables.keyTable.js?versao=3.251.27.1"></script>
  <script src="dist/js/sisplan.js?versao=3.251.27.1"></script>
  <script src="utils/funcoes.js?versao=3.251.27.1"></script>
  <script src="utils/cookies.js?versao=3.251.27.1"></script>
  <script src="dist/js/driver.min.js?versao=3.251.27.1"></script>
  <script src="config.js?versao=3.251.27.1"></script>
  <script src="plugins/select2/js/select2.full.min.js?versao=3.251.27.1"></script>
  <script src="plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/jszip/jszip.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/pdfmake/pdfmake.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/pdfmake/vfs_fonts.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/datatables-buttons/js/dataTables.buttons.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/datatables-buttons/js/buttons.html5.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="dist/js/apexcharts.js?versao=3.251.27.1"></script>

  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('RELCURVAPRODUTO');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/relcurvaproduto/relcurvaproduto.js?versao=3.251.27.1`;
      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      // nomeTela


      await insereJavaScriptPagina(sArquivo);

      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>

</body>

</html>