<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Estoque Comercial X Não Comercial</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">

  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/custom.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.251.27.1" />
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.251.27.1">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.251.27.1">
  <!-- <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.251.27.1"> -->
  <link rel="stylesheet" href="plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.251.27.1">
</head>

<style>
  .border-Field .textoBorda {
    font-size: 1.1em !important;
    text-align: left !important;
    width: auto;
    padding: 0 10px;
    border-bottom: none;
  }

  .border-Field {
    border: 1px solid var(--font-color) !important;
    padding: 0 0.5em 0 0.5rem !important;
    margin: 0 0 1.0em 0 !important;
    -webkit-box-shadow: 0px 0px 0px 0px #000;
    box-shadow: 0px 0px 0px 0px #000;
    border-radius: 3px !important;
  }

  .icheck-primary {
    margin-top: 0px !important;
  }

  .modal-header {
    padding: 0.5rem 1rem 0.1rem !important;
    align-items: center !important;
  }

  .modal-footer .btn {
    padding: 0.375rem 0.75rem !important;
  }

  .content-wrapper {
    margin-left: 0px !important;
  }

  .main-header,
  .main-sidebar,
  footer {
    display: none;
  }
</style>

<body class="hold-transition sidebar-mini layout-fixed">
  <main class="wrapper">
    <?php
    include_once('../../menu.php');
    ?>

    <div id="driver-page-overlay" class="d-none"></div>
    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 flex">
              <h1 class="m-0 text-dark">Relatório de Estoque Comercial x Não Comercial</h1>
              <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                <i class="fas fa-question-circle"></i></button>
              <button id="show-content" class="show-content" style="margin-left:8px;">
                <i class="fa fa-comment-dots" class="icone" style="font-size: 16px;"></i>
                <span class="texto">Informativo</span>
              </button>
            </div>
            <div class="col-sm-6">

            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <fieldset>
                <div class="row">
                  <div class="col-12">
                    <div class="buttons">
                      <button class="btn btn-success btn-sisp" id="btnFiltros" type="button"><span class="fas fa-filter"></span> Filtros</button>
                      <button id="btnImprimir" class="btn-sisp btn btn-danger"><i class="fas fa-print"></i> Imprimir</button>
                    </div>
                  </div>
                </div>
                <div class="row d-flex justify-content-center" style="margin-top: 20px;">
                  <div class="col-11" id="chart">
                  </div>
                </div>
                <div class="card-body">
                  <div class="card">
                    <div class="col-sm-12 table-responsive card-body">
                      <table id="tabelaRelEstoqueComercial" class="table table-sm table-select table-hover" width="100%">
                        <thead>
                        </thead>
                        <tbody>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </fieldset>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content" id="modalBody">
          <div class="modal-header">
            <h4 class="modal-title">Filtros</h4>

            <div>
              <div class="col-lg-auto col-12 ml-3 mt-1">
                <fieldset class="form border-Field p-0" style="margin-bottom: 0.7em !important;">
                  <legend class="textoBorda pb-0 mb-0">Tipo</legend>
                  <div class="form-row">
                    <div class="d-flex">
                      <div class="radio-group form-radio icheck-primary ml-3"><input type="radio" checked id="radioProduto" name="tipoFat"><label for="radioProduto" class="container escondeRadio">Produto</label></div>
                      <div class="radio-group form-radio icheck-primary"><input type="radio" id="radioMaterial" name="tipoFat"><label for="radioMaterial" class="container escondeRadio">Material</label></div>
                    </div>
                  </div>
                </fieldset>
              </div>
            </div>

            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="row align-items-end" style="margin-left: 2px;">
              <div class="col-lg-2 col-12 pr-0 form-group text-start" style="margin-bottom: 15px;">
                <div class="row justify-content-center justify-content-md-start">
                  <label data-error="wrong" data-success="right" for="txtDias" class="mr-5 mr-md-0">Tempo de Vida Útil: </label>
                  <div class="input-group">
                    <div class="w-100 text-center text-md-left">
                      <input type="number" class="input-default col-lg-6 col-5 mr-3 mr-md-0" id="txtDias" name="txtDias" value="60">
                      <span class="ml-1 font-weight-bold">Dias</span>
                    </div>
                  </div>
                </div>
              </div>

              <div class="col-lg-auto col-12 mb-0 form-group" id="tipos" style="margin-top: 10px;">
                <div class="group-default">
                  <fieldset class="form border-Field mb-0 pb-0">
                    <legend class="textoBorda mb-0 pb-0">Análise</legend>
                    <div class="form-row justify-content-lg-start justify-content-center">
                      <div class="radio-group form-radio icheck-primary">
                        <input type="radio" checked="checked" id="radioTodos" value="T" name="tipoConsulta">
                        <label class="container escondeRadio" for="radioTodos">Todos</label>
                      </div>
                      <div class="radio-group form-radio icheck-primary">
                        <input type="radio" id="radioComercial" value="C" name="tipoConsulta">
                        <label class="container escondeRadio" for="radioComercial">Estoque Comercial</label>
                      </div>
                      <div class="radio-group form-radio icheck-primary">
                        <input type="radio" id="radioNaoComercial" value="N" name="tipoConsulta">
                        <label class="container escondeRadio" for="radioNaoComercial">Estoque não Comercial</label>
                      </div>
                    </div>
                  </fieldset>
                </div>
              </div>
              <div class="col-lg-2 col-12 ml-1 d-flex d-lg-block justify-content-lg-start justify-content-center form-group">
                <button class="btn btn-danger btn-sisp" type='button' id="btnSelecionarEmpresas" style="margin-bottom: -3px;">Selecionar Empresas</button>
              </div>
            </div>

            <div class="row">
              <div class="col-lg-4 col-12 form-group" id="ProdutoInfoTour">
                <label data-error="wrong" data-success="right" for="txtProduto">Produto:</label>
                <div class="input-group">
                  <select class="js-example-programmatic js-states form-control" id="txtProduto" name="txtProduto" multiple="multiple">
                  </select>
                  <div class="input-group-append">
                    <button class="btn bg-danger" id="btnProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                    <button class="btn bg-danger" id="btnLimpaProduto" name="btnLimpaProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                  </div>
                </div>
              </div>

              <div class="col-lg-4 col-12 form-group d-none" id="divMaterial">
                <label data-error="wrong" data-success="right" for="txtMaterial">Material:</label>
                <div class="input-group">
                  <select class="js-example-programmatic js-states form-control" id="txtMaterial" multiple="multiple">
                  </select>
                  <div class="input-group-append">
                    <button class="btn bg-danger" id="btnMaterial" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                    <button class="btn bg-danger" id="btnLimpaMaterial" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                  </div>
                </div>
              </div>

              <div class="col-lg-4 col-12 form-group">
                <label data-error="wrong" data-success="right" for="txtCor">Cor: </label>
                <div class="input-group">
                  <select class="js-example-programmatic js-states form-control" id="txtCor" name="txtCor" multiple="multiple">
                  </select>
                  <div class="input-group-append">
                    <button class="btn bg-danger" id="btnCor" name="btnCor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                    <button class="btn bg-danger" id="btnLimpaCor" name="btnLimpaCor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-12 form-group" id="DepositoInfoTour">
                <label data-error="wrong" data-success="right" for="txtDeposito">Depósito: </label>
                <div class="input-group">
                  <select class="js-example-programmatic js-states form-control" id="txtDeposito" name="txtDeposito" multiple="multiple">
                  </select>
                  <div class="input-group-append">
                    <button class="btn bg-danger" id="btnDeposito" name="btnDeposito" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                    <button class="btn bg-danger" id="btnLimpaDeposito" name="btnADeposito" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                  </div>
                </div>
              </div>

              <div class="col-lg-4 col-12 form-group" id="GrupoInfoTour">
                <label data-error="wrong" data-success="right" for="txtGrupo">Grupo: </label>
                <div class="input-group">
                  <select class="js-example-programmatic js-states form-control" id="txtGrupo" name="txtGrupo" multiple="multiple">
                  </select>
                  <div class="input-group-append">
                    <button class="btn bg-danger" id="btnGrupo" name="btnGrupo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                    <button class="btn bg-danger" id="btnLimpaGrupo" name="btnLimpaGrupo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-12 form-group" id="EtiquetaInfoTour">
                <label data-error="wrong" data-success="right" for="txtEtiqueta">Etiqueta: </label>
                <div class="input-group">
                  <select class="js-example-programmatic js-states form-control" id="txtEtiqueta" name="txtEtiqueta" multiple="multiple">
                  </select>
                  <div class="input-group-append">
                    <button class="btn bg-danger" id="btnEtiqueta" name="btnEtiqueta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                    <button class="btn bg-danger" id="btnLimpaEtiqueta" name="btnLimpaEtiqueta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-12 form-group" id="LinhaInfoTour">
                <label data-error="wrong" data-success="right" for="txtLinha">Linha: </label>
                <div class="input-group">
                  <select class="js-example-programmatic js-states form-control" id="txtLinha" name="txtLinha" multiple="multiple">
                  </select>
                  <div class="input-group-append">
                    <button class="btn bg-danger" id="btnLinha" name="btnLinha" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                    <button class="btn bg-danger" id="btnLimpaLinha" name="btnLimpaLinha" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-12 form-group" id="ColecaoInfoTour">
                <label data-error="wrong" data-success="right" for="txtColecao">Coleção: </label>
                <div class="input-group">
                  <select class="js-example-programmatic js-states form-control" id="txtColecao" name="txtColecao" multiple="multiple">
                  </select>
                  <div class="input-group-append">
                    <button class="btn bg-danger" id="btnColecao" name="btnColecao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                    <button class="btn bg-danger" id="btnLimpaColecao" name="btnLimpaColecao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-12 form-group" id="MarcaInfoTour">
                <label data-error="wrong" data-success="right" for="txtMarca">Marca: </label>
                <div class="input-group">
                  <select class="js-example-programmatic js-states form-control" id="txtMarca" name="txtMarca" multiple="multiple">
                  </select>
                  <div class="input-group-append">
                    <button class="btn bg-danger" id="btnMarca" name="btnMarca" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                    <button class="btn bg-danger" id="btnLimpaMarca" name="btnLimpaMarca" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-12 form-group" id="ModeloInfoTour">
                <label data-error="wrong" data-success="right" for="txtModelo">Modelo: </label>
                <div class="input-group">
                  <select class="js-example-programmatic js-states form-control" id="txtModelo" name="txtModelo" multiple="multiple">
                  </select>
                  <div class="input-group-append">
                    <button class="btn bg-danger" id="btnModelo" name="btnModelo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                    <button class="btn bg-danger" id="btnLimpaModelo" name="btnLimpaModelo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                  </div>
                </div>
              </div>
              <!-- <div class="col-lg-4 col-12 form-group">
                <label>Opção de Relatório:</label>
                <div class="relative">
                  <select class="input-default focus custom-select" id="txtOrdem">
                  </select>
                </div>
              </div> -->
            </div>

          </div>

          <div class="modal-footer border-top d-flex justify-content-between align-items-end">
            <div class="mx-auto mx-md-0">
              <label for="txtOrdem">Opção de Relatório:</label>
              <div class="relative d-flex align-items-center">
                <select id="txtOrdem" class="input-default focus custom-select">
                </select>
                <button class="btn btn-sm btn-success ml-2 btnEdicaoRelatorio" title="Edição de ordenações">
                  <i class="fas fa-check"></i>
                </button>
              </div>
            </div>
            <div class="mx-auto mx-md-0">
              <button class="btn btn-primary btn-sisp mr-2" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222">
                <span class="fas fa-trash"></span> Limpar Filtros
              </button>
              <button id="btnConsultar" class="btn btn-primary btn-sisp" type="button">
                <span class="fas fa-search"></span> Consultar
              </button>
            </div>
          </div>
          <!-- <div class="modal-footer">
            <div class="row">
              <button id="btnConsultar" class='btn btn-primary btn-sisp' type='button'><span class="fas fa-search"></span> Consultar </button>
            </div>
          </div> -->
        </div>
      </div>
    </div>



    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
      <!-- Control sidebar content goes here -->
    </aside><!-- /.control-sidebar -->
    <?php
    include_once('../../modais.php');
    include_once('../../informativo.html');
    ?>
  </main><!-- /.wrapper -->

  <script src="plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
  <script src="plugins/sweetalert2/sweetalert2.min.js?versao=3.251.27.1"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/adminlte.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/requisicoes.js?versao=3.251.27.1"></script>
  <script src="dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/valida_cpf_cnpj.js?versao=3.251.27.1"></script>
  <script src="plugins/jquery-validation/jquery.validate.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/dataTables.keyTable.js?versao=3.251.27.1"></script>
  <script src="dist/js/sisplan.js?versao=3.251.27.1"></script>
  <script src="utils/funcoes.js?versao=3.251.27.1"></script>
  <script src="utils/cookies.js?versao=3.251.27.1"></script>
  <script src="dist/js/driver.min.js?versao=3.251.27.1"></script>
  <script src="config.js?versao=3.251.27.1"></script>
  <script src="plugins/select2/js/select2.full.min.js?versao=3.251.27.1"></script>
  <script src="plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/jszip/jszip.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/pdfmake/pdfmake.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/pdfmake/vfs_fonts.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/datatables-buttons/js/dataTables.buttons.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/datatables-buttons/js/buttons.html5.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="dist/js/apexcharts.js?versao=3.251.27.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('RELESTOQUECOMERCIAL');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/relestoquecomercial/relestoquecomercial.js?versao=3.251.27.1`;
      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      // nomeTela


      await insereJavaScriptPagina(sArquivo);

      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>

</body>

</html>