<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Relatório de Estoque de Materiais</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">

  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/custom.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.251.27.1" />
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.251.27.1">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.251.27.1">
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <main class="wrapper">

    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 flex">
              <h1 class="m-0 text-dark">Relatório de Estoque de Material</h1>
              <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                <i class="fas fa-question-circle"></i></button>
            </div>
            <div class="col-sm-6">
              <!-- <ol class="breadcrumb float-sm-right">
                                
                                <li class="breadcrumb-item active">Relatório de Estoque de Material</li>
                            </ol> -->
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <fieldset>
                <div class="row">
                  <div class="col-12">
                    <div class="buttons">
                      <button class="btn btn-success btn-sisp" id="btnFiltros" type="button"><span class="fas fa-filter"></span> Filtros</button>
                      <button id="btnImprimir" class="btn-sisp btn btn-danger"><i class="fas fa-print"></i> Imprimir</button>
                    </div>
                  </div>
                </div>
                <div class="card-body pt-1 pl-0">
                  <div class="card" id="tourRelatorioComisssao">
                    <div class="col-sm-12 table-responsive card-body  pt-2 pb-2">
                      <nav>
                        <div class="nav nav-tabs justify-content-center" id="nav-tab" role="tablist" style="text-decoration: none">
                          <a class="nav-link abaLink active" id="tabRelEstoqueMat" data-toggle="tab" href="#divRelEstoqueMat" role="tab" aria-controls="divRelEstoqueMat" aria-selected="true">Relatório</a>
                          <a class="nav-link abaLink" id="tabLotesDepositos" data-toggle="tab" href="#divDepositosRelEstoque" role="tab" aria-controls="divDepositosRelEstoque" aria-selected="false">Depósitos</a>
                        </div>
                      </nav>
                    </div>
                    <div class="tab-content" id="nav-tabContent">
                      <div class="tab-pane fade show active" id="divRelEstoqueMat" role="tabpanel" aria-labelledby="tabRelEstoqueMat">
                        <div class="card-body pt-1">
                          <div class="row pt-2">
                            <div class="col-sm-12 table-responsive">
                              <table id="tabelaRelEstoqueMat" class="table table-sm table-select table-hover" width="100%"></table>
                              <thead>
                              </thead>
                              <tbody>
                              </tbody>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="tab-content" id="nav-tabContent">
                      <div class="tab-pane fade" id="divDepositosRelEstoque" role="tabpanel" aria-labelledby="tabLotesDepositos">
                        <div class="card-body pt-1">
                          <div class="row pt-2">
                            <div class="col-sm-12 table-responsive">
                              <table id="tabelaLotesDepositos" class="table table-sm table-select table-hover" width="100%">
                                <thead>
                                </thead>
                                <tbody>
                                </tbody>
                              </table>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </fieldset>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content" id="modalBody">
          <div class="modal-header">
            <h4 class="modal-title">Filtros</h4>
            <div class="form-row ml-4 pt-2">
              <div class="icheck-primary pl-1">
                <input type="checkbox" class="form-check-input" name="cbContemEstoque" id="cbContemEstoque">
                <label class="form-check-label pr-2" for="cbContemEstoque">Somente c/ Estoque</label>
              </div>
              <div class="icheck-primary pl-1" title="Com essa opção marcada, o relatório buscará pelas quantidades em estoque que são diferentes da quantidade original do material.">
                <input type="checkbox" class="form-check-input" name="cbDiferencaQuantidade" id="cbDiferencaQuantidade">
                <label class="form-check-label pr-2" for="cbDiferencaQuantidade">Diferença de Quantidade</label>
              </div>
              <div class="icheck-primary pl-1" title="Com essa opção marcada, o relatório irá buscar as informações de todos os depósitos.">
                <input type="checkbox" class="form-check-input" id="cbTodosDepositos">
                <label class="form-check-label pr-2" for="cbTodosDepositos">Todos os Depósitos</label>
              </div>
            </div>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="row">
              <div class="col-md-4 col-sm-6 col-12 form-group" style="margin-top: 3px;">
                <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="dtFabricacaoDe">Fabricação de/até: </label>
                <div class="relative" style="margin-top: 5px;">
                  <div class="input-group">
                    <input type="date" class="input-default focus form-control mr-1" id="dtFabricacaoDe" value="1200-01-01" name="dtFabricacaoDe" class="form-control">
                    <input type="date" class="input-default focus form-control" id="dtFabricacaoAte" value="2500-12-31" name="dtFabricacaoAte" class="form-control">
                  </div>
                </div>
              </div>
              <div class="col-md-4 col-sm-4 col-12 form-group">
                <label data-error="wrong" data-success="right" id="labelProduto" for="txtMaterial">Material: </label>
                <div class="relative">
                  <div class="input-group">
                    <!-- <input type="text" class="input-default focus form-control" id="txtMaterial" name="txtMaterial" class="form-control" placeholder="Material"> -->
                    <select class="js-example-programmatic js-states form-control" id="txtMaterial" name="txtMaterial" multiple="multiple">
                    </select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnMaterial" name="btnMaterial" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaMaterial" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-4 col-sm-4 col-12 mudaTamanho form-group">
                <label data-error="wrong" data-success="right" for="txtCor">Cor: </label>
                <div class="relative">
                  <div class="input-group">
                    <!-- <input type="text" class="input-default focus form-control" id="txtCor" name="txtCor" class="form-control" placeholder="Cor"> -->
                    <select class="js-example-programmatic js-states form-control" id="txtCor" name="txtCor" multiple="multiple">
                    </select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnCor" name="btnCor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaCor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-4 col-sm-4 col-12 form-group">
                <label data-error="wrong" data-success="right" for="txtDepositoUsuario">Depósito: </label>
                <div class="relative">
                  <div class="input-group">
                    <!-- <input type="text" class="input-default focus form-control" id="txtDepositoUsuario" name="txtDepositoUsuario" class="form-control" placeholder="DepositoUsuario"> -->
                    <select class="js-example-programmatic js-states form-control" id="txtDepositoUsuario" name="txtDepositoUsuario" multiple="multiple">
                    </select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnDepositoUsuario" name="btnDepositoUsuario" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaDepositoUsuario" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>

              <div class="col-md-4 col-sm-4 col-12 form-group">
                <label data-error="wrong" data-success="right" for="txtGrupoMA">Grupo: </label>
                <div class="relative">
                  <div class="input-group">
                    <!-- <input type="text" class="input-default focus form-control" id="txtGrupoMA" name="txtGrupoMA" class="form-control" placeholder="GrupoMA"> -->
                    <select class="js-example-programmatic js-states form-control" id="txtGrupoMA" name="txtGrupoMA" multiple="multiple">
                    </select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnGrupoMA" name="btnGrupoMA" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaGrupoMA" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-4 col-sm-4 col-12 form-group" id="divTamanho">
                <label data-error="wrong" data-success="right" for="txtSubGrupo">SubGrupo: </label>
                <div class="relative">
                  <div class="input-group">
                    <!-- <input type="text" class="input-default focus form-control" id="txtSubGrupo" name="txtSubGrupo" class="form-control" placeholder="SubGrupo"> -->
                    <select class="js-example-programmatic js-states form-control" id="txtSubGrupo" name="txtSubGrupo" multiple="multiple">
                    </select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnSubGrupo" name="btnSubGrupo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaSubGrupo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-4 col-sm-4 col-12 mudaTamanho form-group">
                <label data-error="wrong" data-success="right" for="txtColecao">Coleção: </label>
                <div class="relative">
                  <div class="input-group">
                    <!-- <input type="text" class="input-default focus form-control" id="txtColecao" name="txtColecao" class="form-control" placeholder="Coleção"> -->
                    <select class="js-example-programmatic js-states form-control" id="txtColecao" name="txtColecao" multiple="multiple">
                    </select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnColecao" name="btnColecao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaColecao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-4 col-sm-4 col-12 form-group">
                <label data-error="wrong" data-success="right" for="txtQualidade">Qualidade: </label>
                <div class="relative">
                  <div class="input-group">
                    <!-- <input type="text" class="input-default focus form-control" id="txtQualidade" name="txtQualidade" class="form-control" placeholder="Qualidade"> -->
                    <select class="js-example-programmatic js-states form-control" id="txtQualidade" name="txtQualidade" multiple="multiple">
                    </select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnQualidade" name="btnQualidade" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaQualidade" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-4 col-sm-4 col-12 form-group">
                <label data-error="wrong" data-success="right" for="txtComposicaoMaterial">Composição Material: </label>
                <div class="relative">
                  <div class="input-group">
                    <!-- <input type="text" class="input-default focus form-control" id="txtComposicaoMaterial" name="txtComposicaoMaterial" class="form-control" placeholder="Qualidade"> -->
                    <select class="js-example-programmatic js-states form-control" id="txtComposicaoMaterial" name="txtComposicaoMaterial" multiple="multiple">
                    </select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnComposicaoMaterial" name="btnComposicaoMaterial" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaComposicaoMaterial" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-4 col-sm-4 col-12 form-group">
                <label data-error="wrong" data-success="right" for="txtLote">Lote: </label>
                <div class="relative">
                  <div class="input-group">
                    <!-- <input type="text" class="input-default focus form-control" id="txtLote" name="txtLote" class="form-control" placeholder="Lote"> -->
                    <select class="js-example-programmatic js-states form-control" id="txtLote" name="txtLote" multiple="multiple">
                    </select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnLote" name="btnLote" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaLote" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-4 col-sm-4 col-12 form-group">
                <label data-error="wrong" data-success="right" for="txtLoteInterno">Lote Interno: </label>
                <div class="relative">
                  <div class="input-group">
                    <!-- <input type="text" class="input-default focus form-control" id="txtLoteInterno" name="txtLoteInterno" class="form-control" placeholder="LoteInterno"> -->
                    <select class="js-example-programmatic js-states form-control" id="txtLoteInterno" name="txtLoteInterno" multiple="multiple">
                    </select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnLoteInterno" name="btnLoteInterno" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaLoteInterno" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-md-4 col-sm-4 col-12 form-group">
                <label data-error="wrong" data-success="right" for="txtTonalidade">Tonalidade: </label>
                <div class="relative">
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtTonalidade" name="txtTonalidade" multiple="multiple">
                    </select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnTonalidade" name="btnTonalidade" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaTonalidade" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>

              <div class="col-md-4 col-sm-6 col-12 form-group" id="divLinha">
                <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtLinha">Linha: </label>
                <div class="relative" style="margin-top: 5px;">
                  <div class="input-group">
                    <!-- <input type="text" class="input-default focus form-control" id="txtLinha" name="txtLinha" class="form-control" placeholder="Linha"> -->
                    <select class="js-example-programmatic js-states form-control" id="txtLinha" name="txtLinha" multiple="multiple">
                    </select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnLinha" name="btnLinha" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaLinha" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>

              <!-- <div class="col-md-4 col-sm-4 col-12 d-none" id="vazio"></div> -->
              <!-- <div class="col-md-4 col-sm-4 col-12" style="margin-top: 2px;">
                                <label style="margin-bottom: .3rem;" data-error="wrong" class="labelGearal" data-success="right" for="txtOrdem">Opção de Relatório: </label>
                                <div class="input-group">
                                    <select class="input-default focus form-control" data-dropdown-css-class="select2-danger" id="txtOrdem" class="custom-select">
                                    </select>
                                </div>
                            </div> -->
            </div>
          </div>
          <div class="modal-footer justify-content-start pl-0">
            <div class="row col-12 ml-0">
              <div class="col-md-4 col-sm-4 col-12">
                <label for="txtOrdem">Opção de Relatório:</label>
                <div class="relative d-flex align-items-center">
                  <select id="txtOrdem" class="input-default focus custom-select">
                  </select>
                  <button class="btn btn-sm btn-success ml-2 btnEdicaoRelatorio" title="Edição de ordenações">
                    <i class="fas fa-check"></i>
                  </button>
                </div>
              </div>
              <div class="col-6 col-lg-8 d-flex justify-content-end align-items-end pr-0">
                <div class="d-flex">
                  <button class="btn btn-primary btn-sisp mr-2" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222">
                    <span class="fas fa-trash"></span> Limpar Filtros
                  </button>
                  <button id="btnConsultar" class="btn btn-primary btn-sisp" type="button">
                    <span class="fas fa-search"></span> Consultar
                  </button>
                </div>
              </div>
            </div>
          </div>
          <!-- <div class="modal-footer">
                        <div class="row">
                            <button id="btnConsultar" class='btn btn-primary btn-sisp' type='button'><span class="fas fa-search"></span> Consultar </button>
                        </div>
                    </div> -->
        </div>
      </div>
    </div>
    <div class="modal fade" id="modalLotesDeposito" tabindex="-1" style="z-index: 9999999" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-xl">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title">Lotes</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="row flex justify-content-end">
              <div class="col-sm-12 table-responsive">
                <table style="width:100%" width="100%" id="tabelaLotesDepositosModal" class="table table-sm">
                  <thead>
                  </thead>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
      <!-- Control sidebar content goes here -->
    </aside><!-- /.control-sidebar -->
    <?php include_once('../../modais.php'); ?>
  </main><!-- /.wrapper -->

  <script src="plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
  <script src="plugins/sweetalert2/sweetalert2.min.js?versao=3.251.27.1"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/adminlte.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/requisicoes.js?versao=3.251.27.1"></script>
  <script src="dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/valida_cpf_cnpj.js?versao=3.251.27.1"></script>
  <script src="plugins/jquery-validation/jquery.validate.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/dataTables.keyTable.js?versao=3.251.27.1"></script>
  <script src="dist/js/sisplan.js?versao=3.251.27.1"></script>
  <script src="utils/funcoes.js?versao=3.251.27.1"></script>
  <script src="utils/cookies.js?versao=3.251.27.1"></script>
  <script src="dist/js/driver.min.js?versao=3.251.27.1"></script>
  <script src="config.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/jszip/jszip.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/pdfmake/pdfmake.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/pdfmake/vfs_fonts.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/datatables-buttons/js/dataTables.buttons.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/datatables-buttons/js/buttons.html5.min.js?versao=3.251.27.1"></script>
  <script src="plugins/select2/js/select2.full.min.js?versao=3.251.27.1"></script>
  <script src="plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.251.27.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('RELESTOQUEMAT');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/relestoquemat/relestoquemat.js?versao=3.251.27.1`;
      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      // nomeTela


      await insereJavaScriptPagina(sArquivo);

      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>

</body>

</html>