<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Posição de Estoque de Material</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">

  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/custom.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.251.27.1" />
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.251.27.1">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.251.27.1">
  <style>
    .bordaCampos {
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      padding-top: 2%;
      padding-bottom: 0%;
    }

    .bordaCampos:first-child {
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;
      justify-content: flex-end;
      align-items: center;
    }

    .border-Field .textoBorda {
      font-size: 1.0em !important;
      text-align: left !important;
      width: auto;
      padding: 0 10px;
      border-bottom: none;
    }

    .border-Field {
      border: 1.0px solid var(--font-color) !important;
      padding: 0 1.0em 1.0em 1.0em !important;
      margin: 0 0 1.0em 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
      padding-bottom: 0px !important;
    }

    .form-group {
      margin-bottom: 5px;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <main class="wrapper">

    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 flex">
              <h1 class="m-0 text-dark">Relatório de Posição de Estoque de Material</h1>
              <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                <i class="fas fa-question-circle"></i></button>
            </div>
            <div class="col-sm-6">

            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <fieldset>
                <div class="row">
                  <div class="col-12">
                    <div class="buttons">
                      <button class="btn btn-success btn-sisp mr-1" id="btnFiltrosRel" type="button"><span class="fas fa-filter"></span> Filtros</button>
                      <button id="btnImprimir" class="btn-sisp btn btn-secondary mr-1"><i class="fas fa-print"></i> Imprimir</button>
                      <button id="btnInventario" class="btn-sisp btn btn-danger"><i class="fas fa-warehouse"></i> Inventário</button>
                    </div>
                  </div>
                </div>
                <div class="card-body">
                  <div class="card">
                    <div class="col-sm-12 table-responsive card-body">
                      <table id="tabelaPosicaoEstoque" class="table table-sm table-select table-hover" style="white-space: nowrap" width="100%"></table>
                      <thead>
                        <tr></tr>
                      </thead>
                      <tbody>
                        <tr></tr>
                      </tbody>
                    </div>
                  </div>
                </div>
              </fieldset>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="modal fade" id="modalInventario" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title">Gerar Inventário</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="row">

              <div class="col-lg-12 form-group" style="margin-top: 2%;">
                <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtSetor">Setor:</label>
                <div class="relative" style="margin-top: 5px;">
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control" id="txtSetor" name="txtSetor" class="form-control" placeholder="Setor">
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnSetor" name="btnSetor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaSetor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>

              <div class="col-lg-12 form-group">
                <label for="txtDataInventario">Data:</label>
                <div class="relative">
                  <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="txtDataInventario">
                </div>
              </div>

            </div>
          </div>
          <div class="modal-footer">
            <div class="row">
              <div class="col-sm-12">
                <button id="btnConfirmarInventario" class="btn btn-danger"> Confirmar </button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content" id="modalBody">
          <div class="modal-header col-12">
            <h4 class="modal-title">Filtros</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body p-4">
            <div class="form-row">
              <div class="col-lg-3 col-md-12 col-sm-12 mt-3">
                <fieldset class="form border-Field p-0">
                  <legend class="textoBorda pb-0 mb-0">Filtro</legend>
                  <div class="form-row">
                    <div class="icheck-primary">
                      <input type="radio" checked id="rdFiltroTodos" name="filtroTodos" value="">
                      <label class="labelCheck" for="rdFiltroTodos">Todos</label>
                    </div>
                    <div class="icheck-primary">
                      <input type="radio" id="rdFiltroAtivos" name="filtroTodos" value="S">
                      <label class="labelCheck ml-3" for="rdFiltroAtivos">Ativos</label>
                    </div>
                    <div class="icheck-primary">
                      <input type="radio" id="rdFiltroInativos" name="filtroTodos" value="N">
                      <label class="labelCheck ml-3" for="rdFiltroInativos">Inativos</label>
                    </div>
                  </div>
                </fieldset>
              </div>

              <div class="col-lg-2 col-md-6 col-sm-6 form-group">
                <label for="txtData">Data:</label>
                <div class="relative">
                  <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="txtData" name="DataDe">
                </div>
              </div>

              <div class="col-lg-3 col-md-6 col-sm-6 form-group">
                <label data-error="wrong" data-success="right" for="txtLote">Lote: </label>
                <div class="relative">
                  <div class="input-group">
                    <input type="text" class="input-default focus form-control" id="txtLote" name="txtLote" class="form-control" placeholder="Lote">
                  </div>
                </div>
              </div>

              <div class="col-lg-4 col-md-12 col-sm-12 form-group" id="divPosse">
                <label data-error="wrong" data-success="right" for="selectPosse">Posse: </label>
                <select id="selectPosse" class="input-default focus custom-select">
                  <option value="" selected>Todos</option>
                  <option value="1">1 - Mercadoria de propriedade do informante e em seu poder</option>
                  <option value="2">2 - Mercadoria de propriedade do informante em poder de terceiros</option>
                  <option value="3">3 - Mercadoria de propriedade de terceiros em poder do informante</option>
                </select>
              </div>


              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <input type="checkbox" value="S" id="cbConsideraCodigo" data-toggle="tooltip" data-placement="top" checked title="Se marcado, considera apenas os códigos selecionados na pesquisa, se desmarcado, desconsidera os códigos selecionados na pesquisa e filtra por todos os outros códigos.">
                <label data-error="wrong" id="lblInputCodigo" data-success="right" for="txtMaterial">Código: </label>
                <div class="relative">
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtMaterial" name="txtMaterial" multiple="multiple"></select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnMaterial" name="btnMaterial" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaMaterial" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <input type="checkbox" value="S" id="cbConsideraCor" data-toggle="tooltip" data-placement="top" checked title="Se marcado, considera apenas as cores selecionadas na pesquisa, se desmarcado, desconsidera as cores selecionadas na pesquisa e filtra por todas as outras cores.">
                <label data-error="wrong" data-success="right" for="txtCor">Cor: </label>
                <div class="relative">
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtCor" name="txtCor" multiple="multiple"></select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnCor" name="btnCor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaCor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <input type="checkbox" value="S" id="cbConsideraDeposito" data-toggle="tooltip" data-placement="top" checked title="Se marcado, considera apenas os depósitos selecionados na pesquisa, se desmarcado, desconsidera os depósitos selecionados na pesquisa e filtra por todos os outros depósitos.">
                <label data-error="wrong" data-success="right" for="txtDepositoUsuario">Depósito: </label>
                <div class="relative">
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtDepositoUsuario" name="txtDepositoUsuario" multiple="multiple"></select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnDepositoUsuario" name="btnDepositoUsuario" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaDepositoUsuario" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <input type="checkbox" value="S" id="cbConsideraGrupo" data-toggle="tooltip" data-placement="top" checked title="Se marcado, considera apenas os grupos selecionados na pesquisa, se desmarcado, desconsidera os grupos selecionados na pesquisa e filtra por todos os outros grupos.">
                <label data-error="wrong" data-success="right" for="txtGrupoMA">Grupo: </label>
                <div class="relative">
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtGrupoMA" name="txtGrupoMA" multiple="multiple"></select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnGrupoMA" name="btnGrupoMA" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaGrupoMA" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <input type="checkbox" value="S" id="cbConsideraSubGrupo" data-toggle="tooltip" data-placement="top" checked title="Se marcado, considera apenas os sub-grupos selecionados na pesquisa, se desmarcado, desconsidera os sub-grupos selecionados na pesquisa e filtra por todos os outros sub-grupos.">
                <label data-error="wrong" data-success="right" for="txtSubGrupo">Sub-Grupo: </label>
                <div class="relative">
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtSubGrupo" name="txtSubGrupo" multiple="multiple"></select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnSubGrupo" name="btnSubGrupo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaSubGrupo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <input type="checkbox" value="S" id="cbConsideraLinha" data-toggle="tooltip" data-placement="top" checked title="Se marcado, considera apenas as linhas selecionadas na pesquisa, se desmarcado, desconsidera as linhas selecionados na pesquisa e filtra por todas as outras linhas.">
                <label data-error="wrong" data-success="right" for="txtLinha">Linha: </label>
                <div class="relative">
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtLinha" name="txtLinha" multiple="multiple"></select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnLinha" name="btnLinha" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaLinha" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <input type="checkbox" value="S" id="cbConsideraColecao" data-toggle="tooltip" data-placement="top" checked title="Se marcado, considera apenas as coleções selecionadas na pesquisa, se desmarcado, desconsidera as coleções selecionadas na pesquisa e filtra por todas as outras coleções.">
                <label data-error="wrong" data-success="right" for="txtColecao">Coleção:</label>
                <div class="relative">
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtColecao" name="txtColecao" multiple="multiple"></select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnColecao" name="btnColecao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaColecao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <input type="checkbox" value="S" id="cbConsideraQualidade" data-toggle="tooltip" data-placement="top" checked title="Se marcado, considera apenas as qualidades selecionadas na pesquisa, se desmarcado, desconsidera as qualidades selecionadas na pesquisa e filtra por todas as outras qualidades.">
                <label data-error="wrong" data-success="right" for="txtQualidade">Qualidade: </label>
                <div class="relative">
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtQualidade" name="txtQualidade" multiple="multiple"></select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnQualidade" name="btnQualidade" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaQualidade" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <input type="checkbox" value="S" id="cbConsideraClassificacao" data-toggle="tooltip" data-placement="top" checked title="Se marcado, considera apenas as classificações selecionadas na pesquisa, se desmarcado, desconsidera as classificações selecionadas na pesquisa e filtra por todas as outras classificações.">
                <label data-error="wrong" data-success="right" for="txtClasseMat">Classificação: </label>
                <div class="relative">
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtClasseMat" name="txtClasseMat" multiple="multiple"></select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnClasseMat" name="btnClasseMat" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaClasseMat" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <input type="checkbox" value="S" id="cbConsideraNatureza" data-toggle="tooltip" data-placement="top" checked title="Se marcado, considera apenas as naturezas selecionadas na pesquisa, se desmarcado, desconsidera as naturezas selecionadas na pesquisa e filtra por todas as outras naturezas.">
                <label data-error="wrong" data-success="right" for="txtNatureza">Natureza: </label>
                <div class="relative">
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtNatureza" name="txtNatureza" multiple="multiple"></select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnNatureza" name="btnNatureza" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaNatureza" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <input type="checkbox" value="S" id="cbConsideraCodigoSped" data-toggle="tooltip" data-placement="top" checked title="Se marcado, considera apenas os códigos selecionadas na pesquisa, se desmarcado, desconsidera os códigos selecionadas na pesquisa e filtra por todas os outros códigos .">
                <label data-error="wrong" data-success="right" for="txtCodigoSped">Código Sped: </label>
                <div class="relative">
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtCodigoSped" name="txtCodigoSped" multiple="multiple"></select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnCodigoSped" name="btnCodigoSped" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaCodigoSped" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <input type="checkbox" value="S" id="cbConsideraLocal" data-toggle="tooltip" data-placement="top" checked title="Se marcado, considera apenas os locais selecionadas na pesquisa, se desmarcado, desconsidera os locais selecionadas na pesquisa e filtra por todas os outros locais .">
                <label data-error="wrong" data-success="right" for="txtLocal">Local: </label>
                <div class="relative">
                  <div class="input-group">
                    <select class="js-example-programmatic js-states form-control" id="txtLocal" name="txtLocal" multiple="multiple"></select>
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btnLocal" name="btnLocal" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btnLimpaLocal" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="modal-footer justify-content-start pl-0 pr-3">
            <div class="form-row col-lg-12 col-md-12 col-sm-12">
              <div class="col-lg-4 col-md-12 col-sm-12 form-group">
                <label for="txtOrdem">Opção de Relatório:</label>
                <div class="relative d-flex align-items-center">
                  <select id="txtOrdem" class="input-default focus custom-select">
                  </select>
                  <button class="btn btn-sm btn-success ml-2 btnEdicaoRelatorio" title="Edição de ordenações">
                    <i class="fas fa-check"></i>
                  </button>
                </div>
              </div>
              <div class="col-lg-8 col-md-12 col-sm-12 form-group d-flex justify-content-end align-items-end pr-2">
                <button class="btn btn-primary btn-sisp mr-2" id="btnLimpaFiltros" style="background-color: #B22222; border-color: #B22222">
                  <span class="fas fa-trash"></span> Limpar Filtros
                </button>
                <button id="btnConsultar" class="btn btn-primary btn-sisp" type="button">
                  <span class="fas fa-search"></span> Consultar
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>


    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
      <!-- Control sidebar content goes here -->
    </aside><!-- /.control-sidebar -->
    <?php include_once('../../modais.php'); ?>
  </main><!-- /.wrapper -->

  <script src="plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
  <script src="plugins/sweetalert2/sweetalert2.min.js?versao=3.251.27.1"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/adminlte.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/requisicoes.js?versao=3.251.27.1"></script>
  <script src="dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/valida_cpf_cnpj.js?versao=3.251.27.1"></script>
  <script src="plugins/jquery-validation/jquery.validate.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/dataTables.keyTable.js?versao=3.251.27.1"></script>
  <script src="dist/js/sisplan.js?versao=3.251.27.1"></script>
  <script src="utils/funcoes.js?versao=3.251.27.1"></script>
  <script src="utils/cookies.js?versao=3.251.27.1"></script>
  <script src="dist/js/driver.min.js?versao=3.251.27.1"></script>
  <script src="config.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/jszip/jszip.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/pdfmake/pdfmake.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/pdfmake/vfs_fonts.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/datatables-buttons/js/dataTables.buttons.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/datatables-buttons/js/buttons.html5.min.js?versao=3.251.27.1"></script>
  <script src="plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.251.27.1"></script>
  <script src="plugins/select2/js/select2.full.min.js?versao=3.251.27.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('RELPOSESTOQUEMAT');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/relposestoquemat/relposestoquemat.js?versao=3.251.27.1`;
      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');

      await insereJavaScriptPagina(sArquivo);

      habilitaCamposObrigatoriosTela(nomeTela);

      $(function() {
        $('[data-toggle="tooltip"]').tooltip()
      })
    });
  </script>

</body>

</html>