<?php include_once('../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Sintegra</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Theme style -->
    <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.251.27.1">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
    <!-- Google Font: Source Sans Pro -->
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.251.27.1" />
    <link href='../dist/css/bootstrap.min.css?versao=3.251.27.1'>
    <link rel="stylesheet" href="../dist/css/custom.css?versao=3.251.27.1">
    <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.251.27.1">
    <link rel="shortcut icon" href="../favicon.ico">
    <link rel="stylesheet" href="../plugins/select2/css/select2.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="../plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="../dist/css/select.bootstrap.min.css?versao=3.251.27.1" />
    <link rel="stylesheet" href="../dist/css/PesquisaVariosSelect2.css?versao=3.251.27.1">
    <!-- Toastr -->
    <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.251.27.1" />
    <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.251.27.1">
    <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.251.27.1">
    <!-- Google Font: Source Sans Pro -->
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <style>
        .form-group {
            margin-bottom: 0rem !important;
        }

        .border-Field .textoBorda {
            font-size: 1.1em !important;
            text-align: left !important;
            width: auto;
            padding: 0 10px;
            border-bottom: none;
        }

        .border-Field {
            border: 1px solid var(--font-color) !important;
            padding: 0 1.0em 0 1.0em !important;
            margin: 0 0 0 0 !important;
            -webkit-box-shadow: 0px 0px 0px 0px #000;
            box-shadow: 0px 0px 0px 0px #000;
            border-radius: 3px !important;
        }

        .icheck-primary {
            margin-top: 0px !important;

        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <?php
        include_once('../../menu.php');
        ?>

        <div id="myModal" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 id="myModalLabel" class="modal-title"></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p id="myModalText"></p>
                    </div>
                    <div class="modal-footer">
                        <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
                        <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
                    </div>
                </div>
            </div>
        </div>

        <div class="wrapper">
            <div id="myModal" class="modal" tabindex="-1" role="dialog">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 id="myModalLabel" class="modal-title"></h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <p id="myModalText"></p>
                        </div>
                        <div class="modal-footer">
                            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
                            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="content-wrapper">
                <div class="content-header">
                    <div class="container-fluid">
                        <div class="row mb-2">
                            <div class="col-sm-3 flex">
                                <h1 class="m-0 text-dark"></h1>
                            </div>
                        </div><!-- /.row -->
                    </div>
                    <div class="row justify-content-center mt-0">
                        <div class="col-10 text-center p-0 mt-3 mb-2">
                            <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                                    <h2>Exportação do Sintegra
                                        <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                            <i class="fas fa-question-circle"></i>
                                        </button>
                                    </h2>
                                </div>
                                <div class="row">
                                    <div class="col-md-12 mx-0 mb-3" id="campostuto">
                                        <form id="msform">
                                            <fieldset class="row justify-content-center mb-4">
                                                <div class="col-10 mb-3">
                                                    <div class="row mb-3">
                                                        <div class="col-md-4 col-12 form-group text-left pr-0" id="tutorialPeriodo">
                                                            <div class="col-6 col-md-6 pl-0">
                                                                <label for="txtPeriodoDe">Período Inicial:</label>
                                                                <div class="relative">
                                                                    <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="txtPeriodoDe" name="PeriodoDe">
                                                                </div>
                                                            </div>
                                                            <div class="col-6 col-md-6 pl-0">
                                                                <label for="txtPeriodoAte">Período Final:</label>
                                                                <div class="relative">
                                                                    <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="txtPeriodoAte" name="PeriodoAte">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-4 col-12 form-group text-left pr-0" id="tutorialEstoque">
                                                            <div class="col-6 col-md-6 pl-0">
                                                                <label for="txtEstoqueDe">Estoque Inicial:</label>
                                                                <div class="relative">
                                                                    <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="txtEstoqueDe" name="EstoqueDe">
                                                                </div>
                                                            </div>
                                                            <div class="col-6 col-md-6 pl-0">
                                                                <label for="txtEstoqueAte">Estoque Final:</label>
                                                                <div class="relative">
                                                                    <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="txtEstoqueAte" name="EstoqueAte">
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-4 col-12 form-group text-left mt-3" id="tutorialModelo">
                                                            <fieldset class="form border-Field pl-0">
                                                                <legend class="textoBorda pb-0 mb-0">Código Modelo Docto Fiscal</legend>
                                                                <div class="d-flex">
                                                                    <div class="icheck-primary mr-3"><input type="radio" id="rd2B" name="rdModelo" value="0"><label class="labelCheck" for="rd2B">2B</label></div>
                                                                    <div class="icheck-primary mr-3"><input type="radio" id="rd2C" checked name="rdModelo" value="1"><label class="labelCheck" for="rd2C">2C</label></div>
                                                                    <div class="icheck-primary mr-3"><input type="radio" id="rd2D" name="rdModelo" value="2"><label class="labelCheck" for="rd2D">2D</label></div>
                                                                </div>
                                                            </fieldset>
                                                        </div>
                                                    </div>
                                                    <div class="row mb-3">
                                                        <div class="col-md-8 col-12 form-group text-left" id="tutorialSetor">
                                                            <label data-error="wrong" data-success="right" for="txtSetor">Setores: </label>
                                                            <div class="input-group">
                                                                <select class="js-example-programmatic js-states form-control" id="txtSetor" name="txtSetor" multiple="multiple">
                                                                </select>
                                                                <div class="input-group-append">
                                                                    <button class="btn bg-danger" id="btnSetor" name="btnSetor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                    <button class="btn bg-danger" id="btnASetor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-4 col-12 form-group text-left mt-3" id="tutorialFinalidade">
                                                            <fieldset class="form border-Field pl-0">
                                                                <legend class="textoBorda pb-0 mb-0">Finalidade</legend>
                                                                <div class="d-flex">
                                                                    <div class="icheck-primary mr-3"><input type="radio" id="rdNormal" checked name="rdFinalidade" value="0"><label class="labelCheck" for="rdNormal">Normal</label></div>
                                                                    <div class="icheck-primary mr-3"><input type="radio" id="rdRetificacao" name="rdFinalidade" value="1"><label class="labelCheck" for="rdRetificacao">Retificação Total</label></div>
                                                                </div>
                                                            </fieldset>
                                                        </div>
                                                    </div>
                                                    <div class="row mb-3">
                                                        <div class="col-12 col-md-12 text-left" id="tutorialOpcoes">
                                                            <fieldset class="form border-Field mb-0 pb-0">
                                                                <legend class="textoBorda mb-0 pb-0">Parâmetros Exportação</legend>
                                                                <div id="tipoDep" class="row">
                                                                    <div class="col-sm-6 table-wrap mt-2">
                                                                        <div>
                                                                            <div class="icheck-primary">
                                                                                <input type="checkbox" id="checkRegistro10">
                                                                                <label for="checkRegistro10">Registro 10 - Mestre do estabelecimento</label>
                                                                            </div>
                                                                            <div class="icheck-primary">
                                                                                <input type="checkbox" id="checkRegistro11">
                                                                                <label for="checkRegistro11">Registro 11 - Dados complementares do informante</label>
                                                                            </div>
                                                                            <div class="icheck-primary">
                                                                                <input type="checkbox" id="checkRegistro50">
                                                                                <label for="checkRegistro50">Registro 50 - Notas fiscais de compra e venda</label>
                                                                            </div>
                                                                            <div class="icheck-primary">
                                                                                <input type="checkbox" id="checkRegistro51">
                                                                                <label for="checkRegistro51">Registro 51 - Total de nota fiscal quanto ao IPI</label>
                                                                            </div>
                                                                            <div class="icheck-primary">
                                                                                <input type="checkbox" id="checkRegistro53">
                                                                                <label for="checkRegistro53">Registro 53 - Substituição tributária</label>
                                                                            </div>
                                                                            <div class="icheck-primary">
                                                                                <input type="checkbox" id="checkRegistro54">
                                                                                <label for="checkRegistro54">Registro 54 - Itens das notas fiscais</label>
                                                                            </div>
                                                                            <div class="icheck-primary">
                                                                                <input type="checkbox" id="checkRegistro60M">
                                                                                <label for="checkRegistro60M">Registro 60M - Identificador do equipamento</label>
                                                                            </div>
                                                                            <div class="icheck-primary">
                                                                                <input type="checkbox" id="checkRegistro60A">
                                                                                <label for="checkRegistro60A">Registro 60A - Identificador de cada situação tributária no final do dia de cada ECF</label>
                                                                            </div>
                                                                            <div class="icheck-primary">
                                                                                <input type="checkbox" id="checkRegistro60D">
                                                                                <label for="checkRegistro60D">Registro 60D - Registro de mercadoria ou serviço constante em documento fiscal emitido por PDV ou ECF</label>
                                                                            </div>
                                                                            <div class="icheck-primary">
                                                                                <input type="checkbox" id="checkRegistro60I">
                                                                                <label for="checkRegistro60I">Registro 60I - Item do documento fiscal emitido por PDV e ECF</label>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-6 table-wrap">
                                                                        <div>
                                                                            <div class="icheck-primary">
                                                                                <input type="checkbox" id="checkRegistro60R">
                                                                                <label for="checkRegistro60R">Registro 60R - Registro de mercadoria ou serviço processado em ECF</label>
                                                                            </div>
                                                                            <div class="icheck-primary">
                                                                                <input type="checkbox" id="checkRegistro61">
                                                                                <label for="checkRegistro61">Registro 61 - Documentos fiscais não emitidos por equipamento emissor de cupom fiscal</label>
                                                                            </div>
                                                                            <div class="icheck-primary">
                                                                                <input type="checkbox" id="checkRegistro61R">
                                                                                <label for="checkRegistro61R">Registro 61R - Registro de mercadoria ou serviço comercializado sem nota fiscal de venda ao consumidor emitida por ECF</label>
                                                                            </div>
                                                                            <div class="icheck-primary">
                                                                                <input type="checkbox" id="checkRegistro70">
                                                                                <label for="checkRegistro70">Registro 70 - Nota fiscal de serviço de transporte</label>
                                                                            </div>
                                                                            <div class="icheck-primary">
                                                                                <input type="checkbox" id="checkRegistro74">
                                                                                <label for="checkRegistro74">Registro 74 - Registro de inventário</label>
                                                                            </div>
                                                                            <div class="icheck-primary">
                                                                                <input type="checkbox" id="checkRegistro75">
                                                                                <label for="checkRegistro75">Registro 75 - Código de produtos ou serviços</label>
                                                                            </div>
                                                                            <div class="icheck-primary">
                                                                                <input type="checkbox" id="checkRegistro85">
                                                                                <label for="checkRegistro85">Registro 85 - Informações de exportações</label>
                                                                            </div>
                                                                            <div class="icheck-primary">
                                                                                <input type="checkbox" id="checkRegistro86">
                                                                                <label for="checkRegistro86">Registro 86 - Informações complementares de exportações</label>
                                                                            </div>
                                                                            <div class="icheck-primary">
                                                                                <input type="checkbox" id="checkRegistro88EAN">
                                                                                <label for="checkRegistro88EAN">Registro 88EAN - Informação do código de barras do produto</label>
                                                                            </div>
                                                                            <div class="icheck-primary">
                                                                                <input type="checkbox" id="checkRegistro90">
                                                                                <label for="checkRegistro90">Registro 90 - Totalização do arquivo</label>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </fieldset>
                                                        </div>
                                                    </div>
                                                </div>
                                            </fieldset>
                                            <input type="button" name="gerar" id="gerar" class="btn-sisp action-button" value="Gerar" />
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    </section>
                </div>
            </div>
        </div>

        <?php
        include_once('../../modais.php');
        ?>

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->
    </div>

    <!-- jQuery -->
    <script src="../plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
    <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
    <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.251.27.1"></script>
    <script src="../plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/adminlte.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/requisicoes.js?versao=3.251.27.1"></script>
    <script src="../dist/js/cliente/entidade.js?versao=3.251.27.1"></script>
    <script src="../dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/valida_cpf_cnpj.js?versao=3.251.27.1"></script>
    <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/sisplan.js?versao=3.251.27.1"></script>
    <script src="../utils/funcoes.js?versao=3.251.27.1"></script>
    <script src="../utils/cookies.js?versao=3.251.27.1"></script>
    <script src="../dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/driver.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/dataTables.keyTable2.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="../config.js?versao=3.251.27.1"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('SINTEGRA');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            const permissaoUsuarioLogado = await permissaoAcessos("SINTEGRA");
            if (permissaoUsuarioLogado.INCLUI == 'N') {
                await criaMensagemErro("Sem permissão para incluir!", () => {
                    parent.document.querySelector('#listaAbas > .active > a').click()
                });
                return;
            }

            sArquivo = `${BASE_URI}/pages/sintegra/sintegra.js?versao=3.251.27.1`;
            insereJavaScriptPagina(sArquivo);

            const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
            habilitaCamposObrigatoriosTela(nomeTela);
        });
    </script>
</body>

</html>