<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Cadastro Tipo de Venda</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.251.27.1" />
  <link href='../dist/css/bootstrap.min.css?versao=3.251.27.1'>
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../dist/css/PesquisaVariosSelect2.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.251.27.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.251.27.1">

  <link rel="stylesheet" href="../plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.251.27.1">
  <!-- Toastr -->
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.251.27.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../plugins/select2/css/select2.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.251.27.1">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <style>
    #progressbar li {
      list-style-type: none;
      font-size: 12px;
      width: 100%;
      float: left;
      position: relative
    }

    .labelCheck {
      font-size: 120%;
      /* border-bottom: outset 2px;
            border-left: outset 2px; */
      padding: 0.2%;
      margin-left: 1%;
    }

    .configCheck {
      -ms-transform: scale(1.5);
      -moz-transform: scale(1.5);
      -webkit-transform: scale(1.5);
      -o-transform: scale(1.5);
      transform: scale(1.5);
      padding: 10px;
    }

    .checkboxTipo {
      margin-left: 8px;
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      padding-top: 1%;
      padding-bottom: 0%;
    }

    .border-Field .textoBorda {
      font-size: 1.1em !important;
      text-align: left !important;
      width: auto;
      padding: 0 10px;
      border-bottom: none;
    }

    .border-Field {
      border: 1px solid var(--font-color) !important;
      padding: 0 1.0em 0 1.0em !important;
      margin: 0 0 0 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
      border-radius: 3px !important;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">

    <div id="myModal" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 id="myModalLabel" class="modal-title"></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p id="myModalText"></p>
          </div>
          <div class="modal-footer">
            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
          </div>
        </div>
      </div>
    </div>
    <div class="content-wrapper">
      <section class="content">
        <div class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6 flex">
              </div>
              <div class="col-sm-6">
                <!-- <ol class="breadcrumb float-sm-right">
                  
                  <li class="breadcrumb-item"><a href="../tipovenda">Acesso Tipo de Venda</a></li>
                  <li class="breadcrumb-item active">Cadastro Tipo de Venda</li>
                </ol> -->
              </div><!-- /.col -->
            </div><!-- /.row -->
          </div>
          <div class="row justify-content-center mt-0">
            <div class="col-10 text-center p-0 mt-3 mb-2">
              <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                  <h2> Cadastro Tipo de Venda
                    <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                      <i class="fas fa-question-circle"></i>
                    </button>
                  </h2>
                </div>

                <div class="row">
                  <div class="col-md-12 mx-0 mb-3">
                    <form id="msform">
                      <ul id="progressbar">
                        <li class="active" id="account"><strong>Geral</strong></li>
                      </ul>
                      <p>Preencha os dados e clique em gravar para realizar o cadastro ou alteração do tipo de venda.</p>
                      <fieldset class="row justify-content-center mt-5">
                        <div class="col-10 text-left justify-content-center mt-0" id="campostuto">
                          <div class="row justify-content-sm-start justify-content-center mb-3">
                            <div class="col-auto">
                              <fieldset class="form border-Field mb-0 pb-0">
                                <legend class="textoBorda mb-0 pb-0">Opções</legend>
                                <div class="form-row">
                                  <div class="icheck-primary ml-3">
                                    <input type="checkbox" class="form-check-input" id="checkEstoque">
                                    <label class="form-check-label pr-2 mb-1" for="checkEstoque">Estoque</label>
                                  </div>
                                  <div class="icheck-primary ml-2">
                                    <input type="checkbox" class="form-check-input" id="checkFechaVenda">
                                    <label class="form-check-label pr-2 mb-1" for="checkFechaVenda">Fecha Venda</label>
                                  </div>
                                  <div class="icheck-primary">
                                    <input type="checkbox" class="form-check-input" id="checkConsignado">
                                    <label class="form-check-label pr-2 mb-1" for="checkConsignado">Consignado</label>
                                  </div>
                                </div>
                              </fieldset>
                            </div>
                          </div>
                          <div class="row">
                            <div class="col-12 col-lg-2">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodigo">Código:</label>
                              <div class="input-group">
                                <input type="text" readonly disabled class="input-default focus form-control validate" id="txtCodigo" name="txtCodigo" placeholder="Campo preenchido automaticamente">
                              </div>
                            </div>
                            <div class="col-12 col-lg mt-2 mt-lg-0">
                              <label data-error="wrong" class="labelGeral" data-success="right" for="txtDescricao">Descrição: *</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" required id="txtDescricao" name="txtDescricao" placeholder="Descrição">
                              </div>
                            </div>
                            <div class="col-12 col-lg mt-2 mt-lg-0">
                              <label data-error="wrong" data-success="right" for="dropdownvendapendente">Deixar venda pendente</label>
                              <div class="input-group">
                                <select style="width:100%;" class="form-control select2 select2-danger focus" data-dropdown-css-class="select2-danger" id="dropdownvendapendente" class="custom-select focus">
                                  <option value="0" id="vendaPendentePermite" title="Permite excluir" class="active">Permite</option>
                                  <option value="1" id="vendaPendenteSupervisor" title="Permite excluir com senha de supervisor">Permite (Senha de Supervisor)</option>
                                  <option value="2" id="vendaPendenteoOff" title="Não permite excluir">Não permite</option>
                                </select>
                              </div>
                            </div>
                            <div class="col-12 col-lg mt-2 mt-lg-0">
                              <label data-error="wrong" data-success="right" for="dropdown">Exclusão de itens:</label>
                              <div class="input-group">
                                <select style="width:100%;" class="form-control select2 select2-danger focus" data-dropdown-css-class="select2-danger" id="dropdown" class="custom-select focus">
                                  <option value="0" id="exclusaoPermite" title="Permite excluir" class="active">Permite excluir</option>
                                  <option value="1" id="exclusaoSupervisor" title="Permite excluir com senha de supervisor">Permite excluir (Senha de Supervisor)</option>
                                  <option value="2" id="exclusaoOff" title="Não permite excluir">Não permite excluir</option>
                                </select>
                              </div>
                            </div>
                          </div>


                          <div class="row mt-0 mt-lg-3">
                            <div class="col-12 col-lg-6 mt-2 mt-lg-0">
                              <label data-error="wrong" data-success="right" for="txtTabelaPreco">Tabela de Preço:</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtTabelaPreco" name="txtTabelaPreco" class="form-control" placeholder="Tabela de Preço">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnTabelaPreco" name="btnTabelaPreco" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btnLimpaTabelaPreco" name="btnLimpaTabelaPreco" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="form-group col-lg-6 col-12 mt-2 mt-lg-0" id="moedaTour">
                              <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtMoeda">Moeda: </label>
                              <div class="relative" style="margin-top: 5px;">
                                <div class="input-group">
                                  <select class="js-example-programmatic js-states form-control" id="txtMoeda" name="txtMoeda" multiple="multiple">
                                  </select>
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnMoeda" name="btnMoeda" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btnLimpaMoeda" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                          <div class="row d-flex justify-content-center">
                            <div class="col-md-12 d-flex justify-content-end" style="margin-top: 23px">
                              <input type="button" name="btnIncluir" id="btnIncluir" class="btn btn-danger btn-sisp" value="Incluir DataSet" />
                            </div>
                            <div class="col-md-12 table-responsive">
                              <table id="tabelaDataset" class="table table-sm table-select table-hover" width="100%">
                                <thead>
                                  <!-- <th>CÓDIGO</th>
                                  <th>DESCRICAO</th>
                                  <th>AÇÕES</th> -->
                                </thead>
                                <tbody>
                                </tbody>
                              </table>
                            </div>
                          </div>
                        </div>
                      </fieldset>
                      <input type="button" name="btnGravar" id="btnGravar" class="btn-sisp action-button" value="Gravar" />
                      <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div class="modal fade" id="modalDataset" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
          <div class="modal-dialog modal-xl">
            <div class="modal-content modal-xl">
              <div class="modal-header">
                <h4 id="modal-titulo" class="modal-title">DataSet</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <div class="row">
                  <div class="col-4 form-group">
                    <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodDataset">Código</label>
                    <div class="input-group">
                      <input type="text" class="input-default focus form-control" readonly disabled required id="txtCodDataset" name="txtCodDataset" placeholder="Código">
                    </div>
                  </div>
                  <div class="col-8 form-group">
                    <label data-error="wrong" class="labelGeral" data-success="right" for="txtDescDataset">Descrição</label>
                    <div class="input-group">
                      <input type="text" class="input-default focus form-control" required id="txtDescDataset" name="txtDescDataset" placeholder="Descrição">
                    </div>
                  </div>
                  <div class="col-4 form-group">
                    <label data-error="wrong" data-success="right" for="rgTpMensagem">Tipo Mensagem</label>
                    <select style="width:100%;" class="form-control select2 select2-danger focus" data-dropdown-css-class="select2-danger" id="rgTpMensagem" class="custom-select focus">
                      <option selected value="A">Aviso</option>
                      <option value="B">Bloqueio</option>
                      <option value="S">Supervisor</option>
                    </select>
                  </div>
                  <div class="col-8 form-group">
                    <label data-error="wrong" class="labelGeral" data-success="right" for="txtMensagem">Mensagem</label>
                    <div class="input-group">
                      <input type="text" class="input-default focus form-control" required id="txtMensagem" name="txtMensagem" placeholder="Mensagem">
                    </div>
                  </div>
                  <div class="col-sm-12">
                    <div class="group-default form-group">
                      <label data-error="wrong" data-success="right">SQL</label>
                      <textarea id="txtSelect" class="autoExpand forumPost form-control" rows="10" placeholder="Monte o SQL aqui"></textarea>
                    </div>
                  </div>
                  <div class="col-sm-12">
                    Configuração:
                    <br>
                       - Cada campo utilizado na mensagem deve possuir um alias no SQL, para referência-lo na mensagem, é necessário que ele esteja entre ##. Exemplo: #NOME_CLIENTE#
                    <br>
                    Opções disponíveis para se utilizar no SQL: 
                    <br>
                       :VENDA = Irá substituir o campo ':VENDA' dentro do SQL, pela venda em questão. Ex: '52' 
                    <br>
                       :EMP_ID = Irá substituir o campo ':EMP_ID' dentro do SQL, pelo emp_id da empresa logada. Ex: '1' 
                    <br>
                       :USUARIO = Irá substituir o campo ':USUARIO' dentro do SQL, pelo código de usuário logado. Ex: '0000' 
                    <br>
                       :CODCLI = Irá substituir o campo ':CODCLI' dentro do SQL, pelo código do cliente da venda. Ex: '0001' 
                    <br>
                  </div>
                </div>
              </div>
              <div class="modal-footer">
                <button id="btnIdentar" type="button" class="btn btn-success btn-sisp">Identar</button>
                <button type="button" id="btnConfirmar" class="btn btn-primary btn-sisp">Confirmar</button>
              </div>
            </div>
          </div>
        </div>

      </section>
    </div>
  </div>

  <?php
  include_once('../../../modais.php');
  ?>

  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>

  <script src="../plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/sql-formatter.min.js?versao=3.251.27.1"></script>
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.251.27.1"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/adminlte.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/requisicoes.js?versao=3.251.27.1"></script>
  <script src="../dist/js/cliente/entidade.js?versao=3.251.27.1"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/valida_cpf_cnpj.js?versao=3.251.27.1"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/sisplan.js?versao=3.251.27.1"></script>
  <script src="../utils/funcoes.js?versao=3.251.27.1"></script>
  <script src="../dist/js/driver.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
  <script src="../utils/cookies.js?versao=3.251.27.1"></script>
  <script src="../dist/js/dataTables.keyTable2.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="../config.js?versao=3.251.27.1"></script>
  <script src="../plugins/select2/js/select2.full.min.js?versao=3.251.27.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('TIPOVENDA');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      const permissaoUsuarioLogado = await permissaoAcessos("TIPOVENDA");

      if (permissaoUsuarioLogado.INCLUI == 'N') {
        await criaMensagemErro("Sem permissão para incluir!", () => {
          window.location.href = `${BASE_URI}/tipovenda`
        });
        return;
      }

      sArquivo = `${BASE_URI}/pages/tipovenda/cadastro_tipovenda/tipovenda.js?versao=3.251.27.1`;
      insereJavaScriptPagina(sArquivo);

      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>
</body>

</html>