<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Cadastro de Função</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.251.27.1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
  <!-- Google Font: Source Sans Pro -->
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>

  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.251.27.1" />

  <link href='../dist/css/bootstrap.min.css?versao=3.251.27.1'>
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.251.27.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../dist/css/PesquisaVariosSelect2.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../plugins/select2/css/select2.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.251.27.1">

  <!-- Toastr -->
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.251.27.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.251.27.1">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <style>
    #progressbar li {
      list-style-type: none;
      font-size: 12px;
      width: 100%;
      float: left;
      position: relative
    }

    .labelGeral {
      margin-top: 7px;
      margin-bottom: 3px;
    }

    .border-Field .textoBorda {
      font-size: 1.0em !important;
      text-align: left !important;
      width: auto;
      padding: 0 10px;
      border-bottom: none;
    }

    .border-Field {
      border: 1.0px solid var(--font-color) !important;
      padding: 0 1.0em 0.3em 1.0em !important;
      margin: 0 0 0.3em 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
    }

    .content-wrapper {
      margin-left: 0px !important;
    }

    .main-header,
    .main-sidebar {
      display: none;
    }

    #msform fieldset {
      border-radius: 0.2rem;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">

  <div class="wrapper">
    <div id="myModal" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 id="myModalLabel" class="modal-title"></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p id="myModalText"></p>
          </div>
          <div class="modal-footer">
            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
          </div>
        </div>
      </div>
    </div>

    <div class="wrapper">
      <div id="myModal" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 id="myModalLabel" class="modal-title"></h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <p id="myModalText"></p>
            </div>
            <div class="modal-footer">
              <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
              <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
            </div>
          </div>
        </div>
      </div>
      <div class="content-wrapper">
        <section class="content">
          <div class="content-header">
            <div class="container-fluid">
              <div class="row mb-2">
                <div class="col-sm-6 flex">
                </div>
                <div class="col-sm-6">
                </div><!-- /.col -->
              </div><!-- /.row -->
            </div>
            <div class="row justify-content-center mt-0">
              <div class="col-10 text-center p-0 mt-3 mb-2">
                <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                  <div class="card-header text-center flex pb-0" style="border: none!important;box-shadow:none!important;">
                    <h2> Cadastro de Amarração Fornecedor
                      <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                        <i class="fas fa-question-circle"></i>
                      </button>
                    </h2>
                  </div>

                  <div class="row">
                    <div class="col-md-12 mx-0 mb-3">
                      <form id="msform">
                        <ul id="progressbar" style="margin-bottom: 10px !important">
                          <li class="active" id="account"><strong>Geral</strong></li>
                        </ul>
                        <p>Preencha os dados e clique em gravar para realizar o cadastro ou alteração da Amarração de código Fornecedor.</p>
                        <fieldset class="row justify-content-center">

                          <div class="row col-10 text-left" id="campostour">
                            <div class="row col-lg-auto col-12">
                              <fieldset class="form border-Field p-0">
                                <legend class="textoBorda pb-0 mb-0">Tipo</legend>
                                <div class="form-row justify-content-around">
                                  <div class="d-flex">
                                    <div class="radio-group form-radio icheck-primary"><input type="radio" id="rdTipoMaterial" name="tipo" checked><label for="rdTipoMaterial" class="container escondeRadio">Material</label></div>
                                    <div class="radio-group form-radio icheck-primary"><input type="radio" id="rdTipoProduto" name="tipo"><label for="rdTipoProduto" class="container escondeRadio">Produto</label></div>
                                    <div class="radio-group form-radio icheck-primary"><input type="radio" id="rdTipoServico" name="tipo"><label for="rdTipoServico" class="container escondeRadio pr-0">Serviço</label></div>
                                  </div>
                                </div>
                              </fieldset>
                            </div>

                            <div class="row mt-2">

                              <div class="col-12 col-sm-6 col-lg-4 form-group d-none" id="inputProduto">
                                <label data-error="wrong" data-success="right" for="txtProduto">Produto: *</label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtProduto" name="txtProduto" class="form-control" placeholder="Código Produto">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnProduto" name="btnProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btnLimpaProduto" name="btnLimpaProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>
                              <div class="col-12 col-sm-6 col-lg-4 form-group" id="inputMaterial">
                                <label data-error="wrong" data-success="right" for="txtMaterial">Material: *</label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtMaterial" name="txtMaterial" class="form-control" placeholder="Código Material">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnMaterial" name="btnMaterial" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btnLimpaMaterial" name="btnLimpaMaterial" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>
                              <div class="col-12 col-sm-6 col-lg-4 form-group d-none" id="inputServico">
                                <label data-error="wrong" data-success="right" for="txtServico">Serviço: *</label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtServico" name="txtServico" class="form-control" placeholder="Código Serviço">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnServico" name="btnServico" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btnLimpaServico" name="btnLimpaServico" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>

                              <div class="col-12 col-sm-6 col-lg-4 form-group">
                                <label data-error="wrong" data-success="right" for="txtCor">Cor: </label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtCor" name="txtCor" class="form-control" placeholder="Código Cor">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnCor" name="btnCor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btnLimpaCor" name="btnLimpaCor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>

                              <div class="col-12 col-sm-6 col-lg-4 form-group">
                                <label data-error="wrong" data-success="right" for="txtTamanho">Tamanho: </label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtTamanho" name="txtTamanho" class="form-control" placeholder="Código Tamanho">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnTamanho" name="btnTamanho" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btnLimpaTamanho" name="btnLimpaCor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>

                              <div class="col-12 col-sm-6 col-lg-4 form-group">
                                <label data-error="wrong" data-success="right" for="txtFornecedor">Fornecedor: * </label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtFornecedor" name="txtFornecedor" class="form-control" placeholder="Código Fornecedor">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnFornecedor" name="btnFornecedor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btnLimpaFornecedor" name="btnLimpaFornecedor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>

                              <div class="col-12 col-sm-6 col-lg-4  form-group">
                                <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="dtAttDe">Data Atualiza: </label>
                                <div class="relative" style="margin-top: 5px;">
                                  <div class="input-group">
                                    <input type="date" max="2500-12-31" class="input-default focus form-control mr-2" id="dtAttDe" value="<?php echo date('Y-m-d'); ?>" name="dtAtt">
                                  </div>
                                </div>
                              </div>

                              <div class="col-12 col-sm-6 col-lg-4 form-group">
                                <label data-error="wrong" data-success="right" for="txtUnidade">Unidade: </label>
                                <div class="input-group">
                                  <input type="text" autocomplete="off" class="input-default focus form-control" id="txtUnidade" name="txtUnidade" class="form-control" placeholder="Código Unidade">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnUnidade" name="btnUnidade" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btnLimpaUnidade" name="btnLimpaUnidade" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>

                              
                              <div class="col-12 col-sm-6 col-lg-2 form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodFornec">Cod. Fornec.: *</label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control validate" id="txtCodFornec" name="txtCodFornec" class="form-control" placeholder="Código Fornecedor">
                                </div>
                              </div>
                              
                              <div class="col-12 col-sm-6 col-lg-6 form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtDescFornec">Desc. Fornec.:</label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control validate" id="txtDescFornec" name="txtDescFornec" class="form-control" placeholder="Descrição Fornecedor">
                                </div>
                              </div>

                              <div class="col-lg-4">

                              </div>

                              <div class="col-12 col-sm-6 col-lg form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtFatorConv">Fator de Conv.:</label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control validate campoValor" id="txtFatorConv" name="txtFatorConv" class="form-control" placeholder="0.00">
                                </div>
                              </div>

                              <div class="col-12 col-sm-6 col-lg form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtPreco">Preço: </label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control validate campoValor" id="txtPreco" name="txtPreco" class="form-control" placeholder="0.00">
                                </div>
                              </div>

                              <div class="col-12 col-sm-6 col-lg form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtDiasEntrega">Dias Entrega: </label>
                                <div class="input-group">
                                  <input type="number" class="input-default focus form-control validate" id="txtDiasEntrega" name="txtDiasEntrega" class="form-control" placeholder="5">
                                </div>
                              </div>

                              <div class="col-12 col-sm-6 col-lg form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtDia">Dia: </label>
                                <div class="input-group">
                                  <input type="number" class="input-default focus form-control validate" id="txtDia" name="txtDia" class="form-control" placeholder="1">
                                </div>
                              </div>

                              <div class="col-12 col-sm-6 col-lg form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtPeso">Peso: </label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control validate campoValor" id="txtPeso" name="txtPeso" class="form-control" placeholder="2.00">
                                </div>
                              </div>

                              <div class="col-12 col-sm-6 col-lg form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtGramatura">Gramatura: </label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control validate campoValor" id="txtGramatura" name="txtGramatura" class="form-control" placeholder="5.00">
                                </div>
                              </div>

                              <div class="col-12 col-sm-6 col-lg form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtLargura">Largura: </label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control validate campoValor" id="txtLargura" name="txtLargura" class="form-control" placeholder="9.00">
                                </div>
                              </div>
                            </div>
                          </div>

                        </fieldset>
                        <input type="button" name="gravar" id="gravar" class="btn-sisp action-button" value="Gravar" />
                        <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                      </form>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </section>
      </div>
    </div>
  </div>

  <?php
  include_once('../../../modais.php');
  ?>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
  </div>

  <!-- jQuery -->
  <script src="../plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.251.27.1"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/adminlte.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/requisicoes.js?versao=3.251.27.1"></script>
  <script src="../dist/js/cliente/entidade.js?versao=3.251.27.1"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/valida_cpf_cnpj.js?versao=3.251.27.1"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/sisplan.js?versao=3.251.27.1"></script>
  <script src="../utils/funcoes.js?versao=3.251.27.1"></script>
  <script src="../utils/cookies.js?versao=3.251.27.1"></script>
  <script src="../plugins/select2/js/select2.full.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/driver.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/dataTables.keyTable2.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="../config.js?versao=3.251.27.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('AMARRACAO_FORNECEDOR');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      const permissaoUsuarioLogado = await permissaoAcessos("AMARRACAO_FORNECEDOR");

      if (permissaoUsuarioLogado.INCLUI == 'N') {
        await criaMensagemErro("Sem permissão para incluir!", () => {
          window.location.href = `${BASE_URI}/amarracao_fornecedor`
        });
        return;
      }

      const queryString = window.location.href;
      const parametros = queryString.split("/");
      const amarracao_fornecedor = parametros[parametros.length - 1];

      $(window).on("beforeunload", function(e) {
        // e.preventDefault();
        e.stopPropagation();
        deletaRegistro("AMARRACAO_FORNECEDOR", getCookie("usuario"), amarracao_fornecedor);
        return undefined;
      });

      sArquivo = `${BASE_URI}/pages/amarracao_fornecedor/cadastro_amarracao_fornecedor/amarracao_fornecedor.js?versao=3.251.27.1`;
      insereJavaScriptPagina(sArquivo);

      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>
</body>

</html>