<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Cadastro de Setor</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.251.27.1" />
    <link href='../dist/css/bootstrap.min.css?versao=3.251.27.1'>
    <link rel="stylesheet" href="../dist/css/custom.css?versao=3.251.27.1">
    <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.251.27.1">
    <link rel="shortcut icon" href="../favicon.ico">
    <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.251.27.1">
    <!-- Toastr -->
    <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.251.27.1" />
    <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.251.27.1">
    <!-- Google Font: Source Sans Pro -->
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <style>
        #progressbar li {
            list-style-type: none;
            font-size: 12px;
            width: 50%;
            float: left;
            position: relative
        }

        .labelGeral {
            margin-top: 7px;
            margin-bottom: 3px;
        }

        .radiosStyle {
            font-size: 120%;
            margin-top: 1%;
            margin-bottom: 1%;
        }

        .border-Field .textoBorda {
            font-size: 1.1em !important;
            text-align: left !important;
            width: auto;
            padding: 0 10px;
            border-bottom: none;
        }

        .border-Field {
            border: 1px solid var(--font-color) !important;
            padding: 0 1.0em 0 1.0em !important;
            margin: 0 0 0 0 !important;
            -webkit-box-shadow: 0px 0px 0px 0px #000;
            box-shadow: 0px 0px 0px 0px #000;
            border-radius: 3px !important;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <?php
        ;
        ?>
        <div id="myModal" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 id="myModalLabel" class="modal-title"></h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <p id="myModalText"></p>
                    </div>
                    <div class="modal-footer">
                        <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
                        <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="content-wrapper">
            <section class="content">
                <div class="content-header">
                    <div class="container-fluid">
                        <div class="row mb-2">
                            <div class="col-sm-6 flex">
                            </div>
                            <div class="col-sm-6">
                                <!-- <ol class="breadcrumb float-sm-right">
                                    
                                    <li class="breadcrumb-item"><a href="../cadsetor">Acesso Setor</a></li>
                                    <li class="breadcrumb-item active">Cadastro de Setor</li>
                                </ol> -->
                            </div><!-- /.col -->
                        </div><!-- /.row -->
                    </div>
                    <div class="row justify-content-center mt-0">
                        <div class="col-10 text-center p-0 mt-3 mb-2">
                            <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                                    <h2> Cadastro de Setor
                                        <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                            <i class="fas fa-question-circle"></i>
                                        </button>
                                    </h2>
                                </div>

                                <div class="row">
                                    <div class="col-md-12 mx-0 mb-3">
                                        <form id="msform">
                                            <ul id="progressbar">
                                                <li style="font-size: 100%;" class="active" id="account"><strong>Geral</strong></li>
                                                <li style="font-size: 100%;" id="payment"><strong>Parâmetros</strong></li>
                                            </ul>
                                            <p>Preencha os dados e clique em gravar para realizar o cadastro ou alteração do Setor.</p>
                                            <fieldset>


                                                <div class="form-card" id="conteudo">
                                                    <div class="row col-12 ml-1">
                                                        <div class="row mr-3 ml-2">
                                                            <fieldset class="form border-Field mb-0 pb-0">
                                                                <legend class="textoBorda mb-0 pb-0">Opções</legend>
                                                                <div class="icheck-primary">
                                                                    <input class="ml-2" type="checkbox" checked id="checkAtivo">
                                                                    <label class='' for="checkAtivo">Ativo</label>
                                                                </div>
                                                            </fieldset>
                                                        </div>

                                                        <div class="row ml-2 mr-3 ml-md-0 ">
                                                            <fieldset class="form border-Field mb-0 pb-0">
                                                                <legend class="textoBorda mb-0 pb-0">Tipo</legend>
                                                                <div class="d-block d-md-inline icheck-primary"><input type="radio" id="radioMaterial" name="tipo"><label class="container" for="radioMaterial">Material</label> </div>
                                                                <div class="d-block d-md-inline icheck-primary"><input type="radio" id="radioVenda" name="tipo"><label class="container" for="radioVenda"> Venda</label> </div>
                                                                <div class="d-block d-md-inline icheck-primary"><input type="radio" checked="checked" id="radioProduto" name="tipo"><label class="container" for="radioProduto"> Produto</label> </div>
                                                            </fieldset>
                                                        </div>

                                                        <div class="row ml-2 ml-md-0 ">
                                                            <fieldset class="form border-Field mb-0 pb-0">
                                                                <legend class="textoBorda mb-0 pb-0">LeadTime ProgTearV2</legend>
                                                                <div class="d-block d-md-inline icheck-primary"><input type="radio" id="radioTempoProduto" name="leadTime"><label class="container" for="radioTempoProduto">Tempo Produto</label> </div>
                                                                <div class="d-block d-md-inline icheck-primary"><input type="radio" id="radioMaquina" name="leadTime"><label class="container" for="radioMaquina"> Máquina/Produto</label> </div>
                                                                <div class="d-block d-md-inline icheck-primary"><input type="radio" id="radioTempoSetor" name="leadTime"><label class="container" for="radioTempoSetor"> Tempo Setor</label> </div>
                                                            </fieldset>
                                                        </div>
                                                    </div>

                                                    <div class="col-12">
                                                        <div class="row">
                                                            <div class="col-md-2 mt-2 mt-md-3 col-12 form-group">
                                                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodigo">Código: *</label>
                                                                <input type="text" class="input-default focus form-control" maxlength="5" id="txtCodigo" required aria-describedby="codigoError" name="txtCodigo" class="form-control" placeholder="Código">
                                                            </div>
                                                            <div class="col-md-10 mt-0 mt-md-3 col-12 pl-0 form-group">
                                                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtDescricao">Descrição: *</label>
                                                                <input type="text" class="input-default focus form-control" id="txtDescricao" required aria-describedby="descError" name="txtDescricao" placeholder="Descrição">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-12">
                                                        <div class="row">
                                                            <div class="col-md-2 col-12 form-group">
                                                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtPreco">Preço: </label>
                                                                <input type="text" class="input-default focus form-control" id="txtPreco" aria-describedby="precoError" name="txtPreco" class="form-control" placeholder="Preço">
                                                            </div>
                                                            <div class="col-md-2 col-12 pl-0 form-group">
                                                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtCusto">Custo: </label>
                                                                <input type="text" class="input-default focus form-control" id="txtCusto" aria-describedby="custoError" name="txtCusto" class="form-control" placeholder="Custo">
                                                            </div>
                                                            <div class="col-md-2 col-12 pl-0 form-group">
                                                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtOrdem">Ordem: </label>
                                                                <input type="number" class="input-default focus form-control" id="txtOrdem" aria-describedby="ordemError" name="txtOrdem" class="form-control" placeholder="Ordem">
                                                            </div>
                                                            <div class="col-md-2 col-12 pl-0 form-group">
                                                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtDias">Dias: </label>
                                                                <input type="number" class="input-default focus form-control" id="txtDias" aria-describedby="diasError" name="txtDias" class="form-control" placeholder="Dias">
                                                            </div>
                                                            <div class="col-md-2 col-12 pl-0 form-group">
                                                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtPecas">Peças p/ Dia: </label>
                                                                <input type="number" class="input-default focus form-control" id="txtPecas" aria-describedby="pecasError" name="txtPecas" class="form-control" placeholder="Peças p/ Dia">
                                                            </div>
                                                            <div class="col-md-2 col-12 pl-0 form-group">
                                                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtTempoPadrao">Tempo Padrão(min): </label>
                                                                <input type="number" class="input-default focus form-control" id="txtTempoPadrao" aria-describedby="tempoPadraoError" name="txtTempoPadrao" class="form-control" placeholder="TempoPadrao(min)">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-12">
                                                        <div class="row">
                                                            <div class="col-md-2 col-12 form-group">
                                                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtIndInventario">Ind. Inventário: </label>
                                                                <input type="number" class="input-default focus form-control" id="txtIndInventario" aria-describedby="indInventarioError" name="txtIndInventario" class="form-control" placeholder="Ind. Inventário">
                                                            </div>
                                                            <div class="col-md-2 col-12 pl-0 form-group">
                                                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtConcTempos">Conc. p/ Tempos: </label>
                                                                <input type="number" class="input-default focus form-control" id="txtConcTempos" aria-describedby="concTemposError" name="txtConcTempos" class="form-control" placeholder="Conc. p/ Tempos">
                                                            </div>
                                                            <div class="col-md-2 col-12 pl-0 form-group">
                                                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtPercPontualidade">Perc. Pontualidade: </label>
                                                                <input type="number" class="input-default focus form-control" id="txtPercPontualidade" aria-describedby="percPontualidadeError" name="txtPercPontualidade" class="form-control" placeholder="Perc. Pontualidade">
                                                            </div>
                                                            <div class="col-md-2 col-12 pl-0 form-group">
                                                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtPercQual">Perc. Qual: </label>
                                                                <input type="number" class="input-default focus form-control" id="txtPercQual" aria-describedby="percQualError" name="txtPercQual" class="form-control" placeholder="Perc. Qual">
                                                            </div>
                                                            <div class="col-md-2 col-12 pl-0 form-group">
                                                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtPerc100">Perc. 100%: </label>
                                                                <input type="number" class="input-default focus form-control" id="txtPerc100" aria-describedby="perc100Error" name="txtPerc100" class="form-control" placeholder="Perc. 100%">
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-12">
                                                        <div class="row">
                                                            <div class="col-md-4 col-12 form-group">
                                                                <label data-error="wrong" data-success="right" for="txtGrupo">Grupo: </label>
                                                                <div class="input-group">
                                                                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtGrupo" name="txtGrupo" class="form-control" placeholder="Grupo">
                                                                    <div class="input-group-append">
                                                                        <button class="btn bg-danger" id="btnGrupo" name="btnGrupo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                        <button class="btn bg-danger" id="btnLimpaGrupo" name="btnLimpaGrupo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-4 col-12 pl-0 form-group">
                                                                <label data-error="wrong" data-success="right" for="txtCentroCusto">Centro de Custo: </label>
                                                                <div class="input-group">
                                                                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtCentroCusto" name="txtCentroCusto" class="form-control" placeholder="Centro de Custo">
                                                                    <div class="input-group-append">
                                                                        <button class="btn bg-danger" id="btnCentroCusto" name="btnCentroCusto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                        <button class="btn bg-danger" id="btnLimpaCentroCusto" name="btnLimpaCentroCusto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-4 col-12 pl-0 form-group">
                                                                <label data-error="wrong" data-success="right" for="txtDeposito">Depósito: </label>
                                                                <div class="input-group">
                                                                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtDeposito" name="txtDeposito" class="form-control" placeholder="Depósito">
                                                                    <div class="input-group-append">
                                                                        <button class="btn bg-danger" id="btnDeposito" name="btnDeposito" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                        <button class="btn bg-danger" id="btnLimpaDeposito" name="btnLimpaDeposito" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col-12">
                                                        <div class="row">
                                                            <div class="col-md-4 col-12 form-group">
                                                                <label data-error="wrong" data-success="right" for="txtTerceiro">Terceiro: </label>
                                                                <div class="input-group">
                                                                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtTerceiro" name="txtTerceiro" class="form-control" placeholder="Terceiro">
                                                                    <div class="input-group-append">
                                                                        <button class="btn bg-danger" id="btnTerceiro" name="btnTerceiro" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                                        <button class="btn bg-danger" id="btnLimpaTerceiro" name="btnLimpaTerceiro" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-8 col-12 pl-0 form-group">
                                                                <label data-error="wrong" data-success="right" for="txtContaSped">Conta SPED Inventário: </label>
                                                                <input type="number" autocomplete="off" class="input-default focus form-control" id="txtContaSped" name="txtContaSped" class="form-control" placeholder="Conta SPED Inventário">
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <input type="button" name="avancar1" class="btn-sisp next action-button" id="avancar1" value="Avançar" />
                                                <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                                            </fieldset>
                                            <fieldset>
                                                <div class="form-card">
                                                    <h2 class="fs-title">Parâmetros</h2>
                                                    <div class="row">
                                                        <div class="col-sm-12 form-group">
                                                            <div class="col-12" id="tutOpcoes">
                                                                <fieldset class="form border-Field mb-0 pb-0">
                                                                    <legend class="textoBorda mb-0 pb-0">Opções</legend>
                                                                    <div id="parametros" class="row">
                                                                        <div class="col-sm-6 table-wrap mt-2">
                                                                            <div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbAlterarPreco">
                                                                                    <label for="cbAlterarPreco">Permite alterar preço</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbInventario">
                                                                                    <label for="cbInventario">Gera inventário</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbBaixarQtdeOf">
                                                                                    <label for="cbBaixarQtdeOf">Permite baixar quantidade maior OF</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbObrigaMovto">
                                                                                    <label for="cbObrigaMovto">Obriga a informar número movimento</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbPrevisao">
                                                                                    <label for="cbPrevisao">Mostra como previsão no fluxo de caixa</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbImprimir">
                                                                                    <label for="cbImprimir">Imprimir em relatórios</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbControlaPreco">
                                                                                    <label for="cbControlaPreco">Controla preço</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbPerguntaReserva">
                                                                                    <label for="cbPerguntaReserva">Pergunta excluir reserva</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbQtdeZerada">
                                                                                    <label for="cbQtdeZerada">Trazer quantidades zeradas</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbAgrupaProd">
                                                                                    <label for="cbAgrupaProd">Apurar a prod. p/ Setor/Maquina/Funcionário</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbExigeNota">
                                                                                    <label for="cbExigeNota">Exige nota fiscal na movimentação de facção</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbDesconsideraSetor">
                                                                                    <label for="cbDesconsideraSetor">Desconsidera setor para abertura de Workflow</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbCalculaPreco">
                                                                                    <label for="cbCalculaPreco">Calcular preço minuto na movimentação de facção</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbAbrirRelProcessos">
                                                                                    <label for="cbAbrirRelProcessos">Abrir no relatório de processos</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbPermiteAlterarCor">
                                                                                    <label for="cbPermiteAlterarCor">Permite alterar cor na entrada do setor facção - (lavanderia)</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbPermiteDistribuicao">
                                                                                    <label for="cbPermiteDistribuicao">Permite distribuição de pacotes</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbUsaBarra">
                                                                                    <label for="cbUsaBarra">Usar código barra facção</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbAtualizarQtde">
                                                                                    <label for="cbAtualizarQtde">Habilita atualizar quantidade OF</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbQtdeTotal">
                                                                                    <label for="cbQtdeTotal">Grava quantidade total da OF</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbCodigoPorCaixa">
                                                                                    <label for="cbCodigoPorCaixa">Gerar código por caixa</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbMotivoEsotrno">
                                                                                    <label for="cbMotivoEsotrno">Obriga a informar motivo estorno facção</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbGuardaMovto">
                                                                                    <label for="cbGuardaMovto">Guardar movimento</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbGuardaMovto2">
                                                                                    <label for="cbGuardaMovto2">Guardar movimento 2</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbGuardaMovto3">
                                                                                    <label for="cbGuardaMovto3">Guardar movimento 3</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbMovtoPartes">
                                                                                    <label for="cbMovtoPartes">Movimento partes</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbPedidoCliente">
                                                                                    <label for="cbPedidoCliente">Desconsiderar pedido cliente na movimentação OF</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbReferencia">
                                                                                    <label for="cbReferencia">Setor referência para cálculo no agendamento(Lead Time)</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbConsideraEstoqueVenda">
                                                                                    <label for="cbConsideraEstoqueVenda">Considera estoque na venda</label>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-sm-6 table-wrap mt-2">
                                                                            <div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbDesperdicio">
                                                                                    <label for="cbDesperdicio">Abrir cadastro de desperdício ao movimentar setor</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbSetorLeadTime">
                                                                                    <label for="cbSetorLeadTime">Setor de Lead Time</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbFechamento">
                                                                                    <label for="cbFechamento">Fechamento de partes</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbApontamento">
                                                                                    <label for="cbApontamento">Apontamento de célula retorno facção</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbDemanda">
                                                                                    <label for="cbDemanda">Programação demanda</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbABVTEX">
                                                                                    <label for="cbABVTEX">Validar licença e ABVTEX</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbAlterarOrdem">
                                                                                    <label for="cbAlterarOrdem">Permite Alterar Ordem</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbBaixaConsumos">
                                                                                    <label for="cbBaixaConsumos">Baixa consumos beneficio</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbBaixaSubProduto">
                                                                                    <label for="cbBaixaSubProduto">Baixa consumos sub-produto</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbFilaFechada">
                                                                                    <label for="cbFilaFechada">Permite movimentar apenas com fila fechada</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbContagemSped">
                                                                                    <label for="cbContagemSped">Contagem SPED</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbBaixarConsumoSetor">
                                                                                    <label for="cbBaixarConsumoSetor">Permite baixar consumo do setor</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbEnviaConsumo">
                                                                                    <label for="cbEnviaConsumo">Envia consumos p/ terceiros</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbConsideraSetor">
                                                                                    <label for="cbConsideraSetor">Considerar setor (MPS/Prog. Alocação)</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbApontamentoProducao">
                                                                                    <label for="cbApontamentoProducao">Apontamento de produção</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbApontamentoCelula">
                                                                                    <label for="cbApontamentoCelula">Apontamento de célula envio facção</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbConsiderarCustos">
                                                                                    <label for="cbConsiderarCustos">Considerar para custos</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbPrecoLavanderia">
                                                                                    <label for="cbPrecoLavanderia">Grava preço lavanderia cfme peso</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbFormacaoKits">
                                                                                    <label for="cbFormacaoKits">Formação de Kits</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbConsiderarRfid">
                                                                                    <label for="cbConsiderarRfid">Considerar qtde na impressão RFID</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbConsiderarFila">
                                                                                    <label for="cbConsiderarFila">Considerar distribuição em fila</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbConsiderarAnalise">
                                                                                    <label for="cbConsiderarAnalise">Considerar na analise de prazos</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbExcluirCaixa">
                                                                                    <label for="cbExcluirCaixa">Excluir caixa ao estornar</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbAtualizarCaixa">
                                                                                    <label for="cbAtualizarCaixa">Atualizar Caixa na OF</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbPrecoFaccao">
                                                                                    <label for="cbPrecoFaccao">Buscar preço facção (Cor e Tamanho)</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbMovEstoque">
                                                                                    <label for="cbMovEstoque">Mov. Estoque</label>
                                                                                </div>
                                                                                <div class="icheck-primary">
                                                                                    <input type="checkbox" id="cbObrigaProgramacao">
                                                                                    <label for="cbObrigaProgramacao">Obriga programação ao Mov.OF (App)</label>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </fieldset>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <input type="button" name="btnGravar" id="btnGravar" class="btn-sisp action-button" value="Gravar" />
                                                <input type="button" name="voltar2" class="previous action-button-previous" value="Voltar" id="voltar2" />
                                            </fieldset>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </div>
    </div>

    <?php
    include_once('../../../modais.php');
    ?>

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
        <!-- Control sidebar content goes here -->
    </aside>
    <!-- /.control-sidebar -->
    </div>

    <!-- jQuery -->
    <script src="../plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
    <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
    <!-- SweetAlert2 -->
    <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.251.27.1"></script>
    <script src="../plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>

    <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>

    <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/adminlte.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/requisicoes.js?versao=3.251.27.1"></script>
    <script src="../dist/js/cliente/entidade.js?versao=3.251.27.1"></script>
    <script src="../dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/valida_cpf_cnpj.js?versao=3.251.27.1"></script>
    <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/sisplan.js?versao=3.251.27.1"></script>
    <script src="../utils/funcoes.js?versao=3.251.27.1"></script>
    <script src="../utils/cookies.js?versao=3.251.27.1"></script>
    <script src="../dist/js/driver.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/jquery.mask.min.js?versao=3.251.27.1"></script>
    <script src="../dist/js/dataTables.keyTable2.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="../config.js?versao=3.251.27.1"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('CADSETOR');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            const permissaoUsuarioLogado = await permissaoAcessos("CADSETOR");

            if (permissaoUsuarioLogado.INCLUI == 'N') {
                await criaMensagemErro("Sem permissão para incluir!", () => {
                    window.location.href = `${BASE_URI}/cadsetor`
                });
                return;
            }

            const queryString = window.location.href;
            const parametros = queryString.split("/");
            const setor = parametros[parametros.length - 1];

            $(window).on("beforeunload", function(e) {
                // e.preventDefault();
                e.stopPropagation();
                deletaRegistro("CADSETOR", getCookie("usuario"), setor);
                return undefined;
            });

            sArquivo = `${BASE_URI}/pages/cadsetor/cadastro_cadsetor/cadsetor.js?versao=3.251.27.1`;
            insereJavaScriptPagina(sArquivo);

            const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
            habilitaCamposObrigatoriosTela(nomeTela);
        });
    </script>
</body>

</html>