<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Envio</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.251.27.1">

  <!-- Google Font: Source Sans Pro -->
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">


  <link rel="stylesheet" href="dist/css/custom.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.251.27.1" />
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.251.27.1" />
  <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.251.27.1">

  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.251.27.1">

  <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.251.27.1">
  <style>
    #botaoTodosLargura {
      background-color: var(--buttonCheckMedidas);
      border: 0px;
    }

    .table.dataTable tbody,
    .table.dataTable thead {
      white-space: nowrap;
      text-overflow: ellipsis;
      overflow: hidden;
    }

    #tabelaDados td div button {
      padding: .0rem .5rem;
      margin-top: .1rem;
      margin-bottom: .2rem;
    }

    /* #tabelaDados td {
      padding: 0 !important;
      padding-left: 10px !important;
    } */

    #modal-filtros .modal-dialog {
      max-width: none !important;
      max-height: none !important;
      margin: 0 !important;
      height: 100vh !important;
      padding: 0 !important;
    }

    #modal-filtros .modal-dialog {
      max-width: none !important;
      margin: 2% 5% !important;
      height: 100vh !important;
      padding: 0 !important;
    }

    #modal-filtros .modal-content {
      max-height: none !important;
    }

    #modal-filtros .modal-body {
      padding: 0 !important;
    }

    #modal-filtros.modal {
      padding: 0 !important;
    }

    .border-Field .textoBorda {
      font-size: 1.1em !important;
      text-align: left !important;
      width: auto;
      padding: 0 10px;
      border-bottom: none;
    }

    .border-Field {
      border: 1px solid var(--font-color) !important;
      padding: 0 1.0em 0 1.0em !important;
      margin: 0 0 0 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
      border-radius: 3px !important;
    }

    .icheck-primary {
      margin-top: 0 !important;
      margin-bottom: 8px !important;
    }
  </style>

</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">



    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 flex">
              <h1 class="m-0 text-dark">Acesso Envio Escritural</h1>
              <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                <i class="fas fa-question-circle"></i></button>
            </div>
            <div class="col-sm-6">
            </div>
          </div>
        </div>
        <div class="container-fluid">
          <div class="row card">
            <div class="col-sm-12 mt-3">
              <button class="btn btn-success btn-sisp" id="btnFiltros" type="button"><span class="fas fa-filter"></span> Filtros</button>
              <button class="btn btn-primary btn-sisp" id="btnEnvioRemessa" type="button"><span class="fas fa-envelope"></span> Envio</button>
              <button class="btn btn-secondary btn-sisp" id="btnImprimir"><i class="fas fa-print"></i> Imprimir</button>
            </div>
            <div class="col-sm-12 table-responsive card-body">
              <h5>Lista de Envio</h5>
              <table id="tabelaDados" class="table table-sm table-select table-hover" width="100%">
                <thead>
                </thead>
                <tbody>
                </tbody>
              </table>
              <button class="btn btn-danger btn-sisp" id="btnGravar"><i class=""></i> Gravar</button>
            </div>
          </div>
        </div>

        <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
          <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content" id="modalBody">
              <div class="modal-header">
                <h4 class="modal-title">Filtros</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">

                <div class="form-row col-lg-12 col-md-12 col-sm-12">
                  <div class="col-md-4 col-12 form" id="tipos">
                    <fieldset class="form border-Field mb-0 pb-0">
                      <legend class="textoBorda mb-0 pb-0">Tipo</legend>
                      <div class="form-row ml-2">
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input" name="nmTipo" id="cbLoja">
                          <label class="form-check-label pr-2" for="cbLoja">Loja</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input" name="nmTipo" id="cbAllDupl">
                          <label class="form-check-label pr-2" for="cbAllDupl">Todas Dupl</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" checked class="form-check-input" name="nmTipo" id="cbAllDuplLoja">
                          <label class="form-check-label pr-2" for="cbAllDuplLoja">Todas Dupl/Loja</label>
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <div class="col-md-4 col-12 form" id="tipos">
                    <fieldset class="form border-Field mb-0 pb-0">
                      <legend class="textoBorda mb-0 pb-0">Duplicatas</legend>
                      <div class="form-row ml-2">
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input" name="nmDuplicatas" id="cbTodos">
                          <label class="form-check-label pr-2" for="cbTodos">Todos</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" checked class="form-check-input" name="nmDuplicatas" id="cbSemBordero">
                          <label class="form-check-label pr-2" for="cbSemBordero">Sem Bordero</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input" name="nmDuplicatas" id="cbComNrBanco">
                          <label class="form-check-label pr-2" for="cbComNrBanco">Com Nr. Banco</label>
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <div class="col-md-2 col-12 form" id="tipos">
                    <fieldset class="form border-Field mb-0 pb-0">
                      <legend class="textoBorda mb-0 pb-0">Status</legend>
                      <div class="form-row ml-2">
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input" checked name="nmStatus" id="cbDuplicata">
                          <label class="form-check-label pr-2" for="cbDuplicata">Duplicata</label>
                        </div>
                        <div class="form-group form-check icheck-primary">
                          <input type="radio" class="form-check-input" name="nmStatus" id="cbCheque">
                          <label class="form-check-label pr-2" for="cbCheque">Cheque</label>
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <!-- <div class="mt-3 ml-3">
                    <div class="form-group form-check icheck-primary">
                      <input type="checkbox" class="form-check-input" name="cbTodasEmpresas" id="cbTodasEmpresas">
                      <label class="form-check-label pr-2" for="cbTodasEmpresas">Todas Empresas</label>
                    </div>
                  </div> -->
                  <div class="col-md-2 col-12 pt-1 mt-2">
                    <button class="btn btn-danger btn-sisp w-100" type='button' id="btnSelecionarEmpresas">Selecionar Empresas</button>
                  </div>
                  <div class="form-group col-lg-3 col-12 pr-2">
                    <label for="dtEmiIni">Emissão De/Até:</label>
                    <div class="input-group">
                      <input type="date" class="input-default focus form-control validate" id="dtEmissaoDe" name="EmissaoDe">  
                      <input type="date" class="input-default focus form-control validate" id="dtEmissaoAte" name="EmissaoAte">
                    </div>
                  </div>
                  <div class="form-group col-lg-3 col-12 pl-2 pr-2">
                    <label for="dtEmiIni">Vencimento De/Até:</label>
                    <div class="input-group">
                      <input type="date" class="input-default focus form-control validate" id="dtVencimentoDe" name="DataVencimentoDe">  
                      <input type="date" class="input-default focus form-control validate" id="dtVencimentoAte" name="DataVencimentoAte">
                    </div>
                  </div>
                  <div class="form-group col-lg-3 col-12 pl-2 pr-2">
                    <label for="dtEmiIni">Emissão Bordero De/Até:</label>
                    <div class="input-group">
                      <input type="date" class="input-default focus form-control validate" id="dtEmissaoBorderoDe" name="DataEmissaoBorderoDe">  
                      <input type="date" class="input-default focus form-control validate" id="dtEmissaoBorderoAte" name="DataEmissaoBorderoAte">
                    </div>
                  </div>
                  <div class="form-group col-lg-3 col-12 pl-2">
                    <label for="dtEmiIni">Cadastro de Instrução De/Até:</label>
                    <div class="input-group">
                      <input type="date" class="input-default focus form-control validate" id="dtCadInstrucaoDe" name="DataCadastroInstrucaooDe">  
                      <input type="date" class="input-default focus form-control validate" id="dtCadInstrucaoAte" name="DataCadastroInstrucaooAte">
                    </div>
                  </div>

                  <div class="col-lg-4 col-md-12 col-sm-12">
                    <label data-error="wrong" data-success="right" for="txtFatura">Fatura: </label>
                    <div class="input-group">
                      <select class="js-example-programmatic js-states form-control" id="txtFatura" name="txtFatura" multiple="multiple">
                      </select>
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnFatura" name="btnFatura" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaFatura" name="btnLimpaFatura" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-lg-4 col-md-12 col-sm-12">
                    <label data-error="wrong" data-success="right" for="txtConta">Conta: </label>
                    <div class="input-group">
                      <select class="js-example-programmatic js-states form-control" id="txtConta" name="txtConta" multiple="multiple">
                      </select>
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnConta" name="btnConta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaConta" name="btnLimpaConta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4" id="">
                    <label data-error="wrong" data-success="right" for="txtBordero">Bordero: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtBordero" name="txtBordero" class="form-control" placeholder="Bordero">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnBordero" name="btnBordero" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaBordero" name="btnLimpaBordero" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4 mt-1" id="">
                    <label data-error="wrong" data-success="right" for="txtBanco">Banco: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtBanco" name="txtBanco" class="form-control" placeholder="Banco">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnBanco" name="btnBanco" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaBanco" name="btnLimpaBanco" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-lg-4 col-md-12 col-sm-12 mt-1">
                    <label data-error="wrong" data-success="right" for="txtCliente">Cliente: </label>
                    <div class="input-group">
                      <select class="js-example-programmatic js-states form-control" id="txtCliente" name="txtCliente" multiple="multiple">
                      </select>
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnCliente" name="btnCliente" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaCliente" name="btnLimpaCliente" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-lg-4 col-12 mt-1">
                    <label for="dtEmiIni">Valor De/Até:</label>
                    <div class="input-group">
                      <input type="text" value="0.0" class="input-default focus form-control" id="txtValorDe" name="txtValorDe">  
                      <input type="text" value="0.0" class="input-default focus form-control" id="txtValorAte" name="txtValorAte">
                    </div>
                  </div>
                  <div class="col-4 mt-1" id="">
                    <label data-error="wrong" data-success="right" for="txtRepresentante">Representante: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtRepresentante" name="txtRepresentante" class="form-control" placeholder="Representante">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnRepresentante" name="btnRepresentante" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaRepresentante" name="btnLimpaRepresentante" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-lg-4 col-md-12 col-sm-12 mt-1">
                    <label data-error="wrong" data-success="right" for="txtEndosso">Endosso: </label>
                    <div class="input-group">
                      <select class="js-example-programmatic js-states form-control" id="txtEndosso" name="txtEndosso" multiple="multiple">
                      </select>
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnEndosso" name="btnEndosso" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaEndosso" name="btnLimpaEndosso" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4 mt-1" id="">
                    <label data-error="wrong" data-success="right" for="txtClasseGerencial">Classe Gerencial: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasseGerencial" name="txtClasseGerencial" class="form-control" placeholder="Classe Gerencial">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClasseGerencial" name="btnClasseGerencial" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClasseGerencial" name="btnLimpaClasseGerencial" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="form-group col-lg-3 col-md-12 col-sm-12 mt-1">
                    <label data-error="wrong" data-success="right" for="txtCidade">Cidade: </label>
                    <div class="input-group">
                      <select class="js-example-programmatic js-states form-control" id="txtCidade" name="txtCidade" multiple="multiple">
                      </select>
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnCidade" name="btnCidade" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaCidade" name="btnLimpaCidade" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-2 mt-1" id="">
                    <label data-error="wrong" data-success="right" for="txtUF">UF: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtUF" name="txtUF" class="form-control" placeholder="UF">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnUF" name="btn-Marca" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaUF" name="btnLimpaUF" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="form-group col-lg-4 col-md-12 col-sm-12 mt-1">
                    <label data-error="wrong" data-success="right" for="txtMoeda">Moeda: </label>
                    <div class="input-group">
                      <select class="js-example-programmatic js-states form-control" id="txtMoeda" name="txtMoeda" multiple="multiple">
                      </select>
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnMoeda" name="btnMoeda" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaMoeda" name="btnLimpaMoeda" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="form-group col-lg-3 col-md-12 col-sm-12 mt-1">
                    <label data-error="wrong" data-success="right" for="txtGrupoCli">Grupo Cliente: </label>
                    <div class="input-group">
                      <select class="js-example-programmatic js-states form-control" id="txtGrupoCli" name="txtGrupoCli" multiple="multiple">
                      </select>
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnGrupoCli" name="btnBanco" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaGrupoCli" name="btnLimpaGrupoCli" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                </div>

              </div>
              <div class="modal-footer">
                <div class="row">
                  <button class="btn btn-primary btn-sisp" id="btnConsultar"><span class="fas fa-search"></span>
                    Consultar</button>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div id="modalRecompraTitulo" class="modal" tabindex="-1" role="dialog">
          <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content" id="modalBody">
              <div class="modal-header">
                <h4 class="modal-title">Recompra Título - [<span id="txtNumeroRecompra"></span>]</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <div class="form-row col-lg-12 col-md-12 col-sm-12 p-0">
                  <!-- <div class="col-2 mt-1 pr-0">
                    <label data-error="wrong" data-success="right" for="txtBorderoRecompra">Bordero: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtBorderoRecompra" name="txtBorderoRecompra" class="form-control" placeholder="Bordero">
                    </div>
                  </div>
                  <div class="col-2 mt-1 pr-0">
                    <label data-error="wrong" data-success="right" for="txtValorRecompra">Valor: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtValorRecompra" name="txtValorRecompra" class="form-control" placeholder="Valor">
                    </div>
                  </div>
                  <div class="col-2 mt-1 pr-0">
                    <label data-error="wrong" data-success="right" for="txtTitulosRecompra">Títulos: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtTitulosRecompra" name="txtTitulosRecompra" class="form-control" placeholder="Títulos">
                    </div>
                  </div>
                  <div class="col-6 mt-1 pr-0">
                    <label data-error="wrong" data-success="right" for="txtBancoRecompra">Banco: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtBancoRecompra" name="txtBancoRecompra" class="form-control" placeholder="Banco">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClasseGerencialRecompra" name="btnClasseGerencialRecompra" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClasseGerencialRecompra" name="btnLimpaClasseGerencialRecompra" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div> -->
                  <div class="col-4 pr-0 mt-1">
                    <label for="dtCont">Data Cont:</label>
                    <div class="input-group">
                      <input type="date" class="input-default focus form-control validate" id="dtCont" name="dtCont">
                    </div>
                  </div>
                  <div class="col-4 mt-1 pr-0">
                    <label data-error="wrong" data-success="right" for="txtValorJuros">Juros: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" value="0.00" class="input-default focus form-control" id="txtValorJuros" name="txtValorJuros" class="form-control" placeholder="Juros">
                    </div>
                  </div>
                  <div class="col-4 mt-1 pr-0">
                    <label data-error="wrong" data-success="right" for="txtValorSaldo">Saldo: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtValorSaldo" name="txtValorSaldo" class="form-control" placeholder="Saldo">
                    </div>
                  </div>
                  <div class="col-4 mt-1 pr-0">
                    <label data-error="wrong" data-success="right" for="txtClasseGerencialRecompra">Classe Gerencial: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtClasseGerencialRecompra" name="txtClasseGerencialRecompra" class="form-control" placeholder="Classe Gerencial">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnClasseGerencialRecompra" name="btnClasseGerencialRecompra" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaClasseGerencialRecompra" name="btnLimpaClasseGerencialRecompra" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4 mt-1 pr-0">
                    <label data-error="wrong" data-success="right" for="txtContaDebito">Conta Débito: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtContaDebito" name="txtContaDebito" class="form-control" placeholder="Conta Débito">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnContaDebito" name="btnContaDebito" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaContaDebito" name="btnLimpaContaDebito" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-4 mt-1 pr-0">
                    <label data-error="wrong" data-success="right" for="txtFornecedor">Fornecedor: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtFornecedor" name="txtFornecedor" class="form-control" placeholder="Fornecedor">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btnFornecedor" name="btnFornecedor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btnLimpaFornecedor" name="btnLimpaFornecedor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-6 mt-1 pr-0">
                    <label data-error="wrong" data-success="right" for="txtValorAntecipacao">Valor Antecipação: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtValorAntecipacao" name="txtValorAntecipacao" class="form-control" placeholder="Valor Antecipação">
                    </div>
                  </div>
                  <div class="col-6 mt-1 pr-0">
                    <label data-error="wrong" data-success="right" for="txtValorDiferencial">Valor Diferencial: </label>
                    <div class="input-group">
                      <input type="text" autocomplete="off" class="input-default focus form-control" id="txtValorDiferencial" name="txtValorDiferencial" class="form-control" placeholder="Valor Diferencial">
                    </div>
                  </div>
                </div>
              </div>
              <div class="modal-footer">
                <div class="row">
                  <!-- <button type="button" class="btn bg-gradient-danger btn-sisp" data-bs-dismiss="modal">Fechar</button> -->
                  <button class="btn bg-gradient-success btn-sisp" id="btnConfirmar">Confirmar</button>
                </div>
              </div>
            </div>
          </div>
        </div>

      </div>
    </div>

  </div>
  <?php
  include_once('../../../modais.php');
  include_once('../../../modals/modal_anexos.html');
  ?>

  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>
  <script src="plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/adminlte.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/sisplan.js?versao=3.251.27.1"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
  <script src="utils/cookies.js?versao=3.251.27.1"></script>
  <script src="dist/js/requisicoes.js?versao=3.251.27.1"></script>
  <script src="dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/driver.min.js?versao=3.251.27.1"></script>
  <script src="plugins/moment/moment.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="dist/js/sum().js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="config.js?versao=3.251.27.1"></script>
  <script src="dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/jquery.mask.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="plugins/select2/js/select2.full.min.js?versao=3.251.27.1"></script>
  <script src="utils/funcoes.js?versao=3.251.27.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('ESCENVIO');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/escenvio/acesso_escenvio/acesso_escenvio.js?versao=3.251.27.1`;
      insereJavaScriptPagina(sArquivo);

    });
  </script>
</body>

</html>