<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Lançamento de Terceiros</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.251.27.1">

    <!-- Google Font: Source Sans Pro -->
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">


    <link rel="stylesheet" href="dist/css/custom.css?versao=3.251.27.1">
    <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.251.27.1" />
    <link rel="shortcut icon" href="favicon.ico">
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.251.27.1" />
    <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.251.27.1">
    <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.251.27.1">
    <style>
        .table.dataTable tbody td,
        th {
            white-space: nowrap;
            text-overflow: ellipsis;
            overflow: hidden;
        }

        .textoBorda {
            font-size: 1.0em !important;
            text-align: left !important;
            width: auto;
            padding: 0 10px;
            font-weight: 700;
            margin-bottom: 5px;
        }

        .border-Field {
            border: 1.0px solid var(--font-color) !important;
            padding: 0 1.0em 1.0em 1.0em !important;
            margin: 0 0 1.0em 0 !important;
            -webkit-box-shadow: 0px 0px 0px 0px #000;
            box-shadow: 0px 0px 0px 0px #000;
            padding-bottom: 0px !important;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <?php
        include_once('../../../menu.php');
        ?>
        <div class="content-wrapper">
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6 flex">
                            <h1 class="m-0 text-dark">Lançamento de Terceiros</h1>
                        </div>
                        <div class="col-sm-6">

                        </div><!-- /.col -->
                    </div><!-- /.row -->
                </div>
                <div class="container-fluid">
                    <div class="row card">
                        <div class="col-sm-12 mt-3">
                            <button class="btn btn-success btn-sisp" id="btnFiltros"><span class="fas fa-search"></span> Filtros</button>
                            <button class="btn btn-danger btn-sisp" id="btnIncluir"><span class="fas fa-plus"></span> Incluir</button>
                        </div>
                        <div class="col-sm-12 table-responsive card-body">
                            <h5>Lista de Itens</h5>
                            <table id="tabelaDados" class="table table-sm table-select table-hover" width="100%">
                                <thead>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
                <div class="modal-dialog modal-xl" role="document">
                    <div class="modal-content" id="modalBody">
                        <div class="modal-header">
                            <h4 class="modal-title">Filtros</h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="row">
                                <div class="form-group col-lg-4 col-12">
                                    <label data-error="wrong" data-success="right" for="dtLancamentoDe">Lançamento de/até: </label>
                                    <div class="relative">
                                        <div class="input-group">
                                            <input type="date" max="2500-12-31" class="input-default focus form-control mr-1" id="dtLancamentoDe" value="1200-01-01" name="dtLancamentoDe" class="form-control">
                                            <input type="date" max="2500-12-31" class="input-default focus form-control ml-1" id="dtLancamentoAte" value="2500-12-31" name="dtLancamentoAte" class="form-control">
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group col-lg-4 col-12">
                                    <label data-error="wrong" data-success="right" for="dtVencimentoDe">Vencimento de/até: </label>
                                    <div class="relative">
                                        <div class="input-group">
                                            <input type="date" max="2500-12-31" class="input-default focus form-control mr-1" id="dtVencimentoDe" value="1200-01-01" name="dtVencimentoDe" class="form-control">
                                            <input type="date" max="2500-12-31" class="input-default focus form-control ml-1" id="dtVencimentoAte" value="2500-12-31" name="dtVencimentoAte" class="form-control">
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group col-lg-4 col-12">
                                    <label data-error="wrong" data-success="right" for="dtPagamentoDe">Pagamento de/até: </label>
                                    <div class="relative">
                                        <div class="input-group">
                                            <input type="date" max="2500-12-31" class="input-default focus form-control mr-1" id="dtPagamentoDe" value="1200-01-01" name="dtPagamentoDe" class="form-control">
                                            <input type="date" max="2500-12-31" class="input-default focus form-control ml-1" id="dtPagamentoAte" value="2500-12-31" name="dtPagamentoAte" class="form-control">
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group col-lg-4 col-12">
                                    <legend class="textoBorda">Pagos:</legend>
                                    <fieldset class="form border-Field" style="margin-bottom: 0px!important; padding-left: 0px!important; margin-left: 0px!important">
                                        <div class="d-flex justify-content-around mt-2 mb-1 mx-0">
                                            <div class="icheck-primary">
                                                <input type="radio" name="rdPagos" id="rdTodos" value="" checked>
                                                <label class="form-check-label" for="rdTodos">Todos</label>
                                            </div>
                                            <div class="icheck-primary">
                                                <input type="radio" name="rdPagos" id="rdPagos" value="S">
                                                <label class="form-check-label" for="rdPagos">Pagos</label>
                                            </div>
                                            <div class="icheck-primary">
                                                <input type="radio" name="rdPagos" id="rdNaoPagos" value="N">
                                                <label class="form-check-label" for="rdNaoPagos">Não Pagos</label>
                                            </div>
                                        </div>
                                    </fieldset>
                                </div>
                                <div class="col-lg-4 col-12">
                                    <label data-error="wrong" data-success="right" for="txtProduto">Produto:</label>
                                    <div class="input-group">
                                        <input type="text" class="input-default focus form-control" id="txtProduto" aria-describedby="codError" name="txtProduto" class="form-control" placeholder="Produto">
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btnProduto" name="btnProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btnLimpaProduto" name="btnLimpaProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-4 col-12">
                                    <label data-error="wrong" data-success="right" for="txtEntidade">Terceiro:</label>
                                    <div class="input-group">
                                        <input type="text" class="input-default focus form-control" id="txtEntidade" aria-describedby="codError" name="txtEntidade" class="form-control" placeholder="Terceiro">
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btnEntidade" name="btnEntidade" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btnLimpaEntidade" name="btnLimpaEntidade" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-4 col-12">
                                    <label data-error="wrong" data-success="right" for="txtSetor">Setor:</label>
                                    <div class="input-group">
                                        <input type="text" class="input-default focus form-control" id="txtSetor" aria-describedby="codError" name="txtSetor" class="form-control" placeholder="Setor">
                                        <div class="input-group-append">
                                            <button class="btn bg-danger" id="btnSetor" name="btnSetor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btnLimpaSetor" name="btnLimpaSetor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-4 col-12">
                                    <label data-error="wrong" data-success="right" for="txtObs">Observação:</label>
                                    <input type="text" class="input-default focus form-control" id="txtObs" aria-describedby="codError" name="txtObs" class="form-control" placeholder="Observação">
                                </div>
                                <div class="col-lg-4 col-12">
                                    <label data-error="wrong" data-success="right" for="txtDescricao">Descrição:</label>
                                    <input type="text" class="input-default focus form-control" id="txtDescricao" aria-describedby="codError" name="txtDescricao" class="form-control" placeholder="Descrição">
                                </div>
                                <div class="col-lg-4 col-12">
                                    <label data-error="wrong" data-success="right" for="txtLancamento">Lançamento:</label>
                                    <input type="text" class="input-default focus form-control" id="txtLancamento" aria-describedby="codError" name="txtLancamento" class="form-control" placeholder="Lançamento">
                                </div>
                                <div class="col-lg-4 col-12">
                                    <label data-error="wrong" data-success="right" for="txtNumero">Número OF:</label>
                                    <input type="text" class="input-default focus form-control" id="txtNumero" aria-describedby="codError" name="txtNumero" class="form-control" placeholder="Número OF">
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <div class="row">
                                <button class="btn btn-primary btn-sisp" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222"><span class="fas fa-trash"></span> Limpar Filtros</button>     
                                <button class="btn btn-primary btn-sisp" id="btnConsultar"><span class="fas fa-search"></span> Consultar</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php
    include_once('../../../modais.php');
    ?>
    <aside class="control-sidebar control-sidebar-dark">
    </aside>
    </div>
    <script src="plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
    <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/adminlte.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/sisplan.js?versao=3.251.27.1"></script>
    <script src="utils/funcoes.js?versao=3.251.27.1"></script>
    <script src="utils/cookies.js?versao=3.251.27.1"></script>
    <script src="dist/js/requisicoes.js?versao=3.251.27.1"></script>
    <script src="dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/driver.min.js?versao=3.251.27.1"></script>
    <script src="plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>

    <script type="text/javascript" src="dist/js/sum().js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="config.js?versao=3.251.27.1"></script>
    <script src="plugins/select2/js/select2.full.min.js?versao=3.251.27.1"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('FACLANCA');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            sArquivo = `${BASE_URI}/pages/faclanca/acesso_faclanca/acesso_faclanca.js?versao=3.251.27.1`;
            insereJavaScriptPagina(sArquivo);

        });
    </script>
</body>

</html>