<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Fechamento de Comissão</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">

  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/custom.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.251.27.1" />
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.251.27.1">
  <!-- iCheck for checkboxes and radio inputs -->
  <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.251.27.1">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">

  <style>
    #tabelaComissao_length {
      display: none;
    }

    #tabelaComissao_filter {
      display: none;
    }

    #tabelaComissao_info {
      display: none;
    }

    #divTabelaComissao .dataTables_scrollHeadInner table {
      width: 100% !important;
    }

    #divTabelaComissao .dataTables_scrollHeadInner {
      width: 100% !important;
    }

    /* #divTabelaComissao{
      max-height: 200px;
    } */

    /*TABELA TROCA*/
    #tabelaTroca_length {
      display: none;
    }

    #tabelaTroca_filter {
      display: none;
    }

    #tabelaTroca_info {
      display: none;
    }

    #divTabelaTroca .dataTables_scrollHeadInner table {
      width: 100% !important;
    }

    #divTabelaTroca .dataTables_scrollHeadInner {
      width: 100% !important;
    }

    #tabelaTroca {
      max-height: 200px;
    }

    .table.dataTable tbody td {
      white-space: nowrap;
      text-overflow: ellipsis;
      overflow: hidden;
    }

    .form-check {
      margin-left: 25px;
      margin-bottom: 10px;
    }

    .OpcoesComissao {
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      padding: 5px;
      padding-left: 1%;
    }

    #divOperFiscal {
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      padding: 5px;
      padding-left: 1%;
    }

    .border-Field .textoBorda {
      font-size: 1.1em !important;
      text-align: left !important;
      width: auto;
      padding: 0 10px;
      border-bottom: none;
    }

    .border-Field {
      border: 1px solid var(--font-color) !important;
      /* padding: 0 1.0em 1.0em 1.0em !important; */
      margin: 0 0 1.0em 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
    }

    .select2-container--default .select2-selection--multiple .select2-selection__rendered {
      float: left;
    }

    .select2-container--default .select2-selection--single {
      height: 38px !important;
    }
  </style>

</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">

    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 flex">
              <h1 class="m-0 text-dark">Fechamento de Comissão por Meta</h1>
              <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                <i class="fas fa-question-circle"></i></button>
            </div>
            <div class="col-sm-6">

            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <div class="row">
                <div class="col-12">
                  <div class="buttons pl-3">
                    <button class="btn btn-success btn-sisp" id="btnFiltros" type="button"><span class="fas fa-filter"></span> Filtros</button>
                    <button class="btn-sisp btn btn-danger ml-2" id="btnImprimir" type="button"><i class="fas fa-print"></i> Imprimir</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="row ml-2 mt-3 mr-2" id="tourbotoes">
            <div class="col-sm-12 mt-12">
              <div class="row">
                <div class="col-lg-4 col-12">
                </div>
              </div>
            </div>
          </div>
          <div class="card-body pt-1">
            <div class="card" id="tourRelatorioComisssao">
              <div class="card-body pt-1">
                <div class="row pt-2">
                  <div class="col-sm-12">
                    <h5>Lista Representantes</h5>
                  </div>
                  <div class="col-sm-12 table-responsive">
                    <table id="tabelaComissao" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                      </thead>
                      <tbody>
                      </tbody>
                    </table>
                  </div>
                </div>
                <hr />
                <div class="row pt-2 mt-2">
                  <div class="col-sm-12">
                    <h5>Lista Coordenadores</h5>
                  </div>
                  <div class="col-sm-12 table-responsive">
                    <table id="tabelaComissaoCoord" class="table table-sm table-select table-hover" width="100%">
                      <thead>
                      </thead>
                      <tbody>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-xl" role="document">
      <div class="modal-content" id="modalBody">

        <div class="modal-header">
          <h4 class="modal-title">Filtros</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body pt-0">
          <div class="card pt-1 pb-1 m-0">
            <div class="card-body pt-0 pb-1">
              <div class="row">
                <div class="col-12 col-md-6">
                  <label for="dtInicio">Data Inicio De/ Até:</label>
                  <div class="input-group">
                    <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="dtInicioDe" name="DataDe">
                    <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="dtInicioAte" name="DataAte">
                  </div>
                </div>
                <div class="col-12 col-md-6"></div>
                <div class="col-12 col-md-6">
                  <div class="form-row">
                    <div class="form-group col-md-12 col-12 pt-2" id="vendedorTour">
                      <label data-error="wrong" data-success="right" for="txtVendedor">Vendedor </label>
                      <div class="relative">
                        <div class="input-group">
                          <select class="js-example-programmatic js-states form-control" id="txtVendedor" name="txtVendedor" multiple="multiple">
                          </select>
                          <div class="input-group-append">
                            <button class="btn bg-danger" id="btnVendedor" name="btnVendedor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                            <button class="btn bg-danger" id="btnLimpaVendedor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-12 col-md-6"></div>
                <div class="col-12 col-md-6">
                  <div class="form-row">
                    <div class="form-group col-md-12 col-12" id="coordenadorTour">
                      <label data-error="wrong" data-success="right" for="txtCoordenador">Coordenador </label>
                      <div class="relative">
                        <div class="input-group">
                          <select class="js-example-programmatic js-states form-control" id="txtCoordenador" name="txtCoordenador" multiple="multiple">
                          </select>
                          <div class="input-group-append">
                            <button class="btn bg-danger" id="btnCoordenador" name="btnCoordenador" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                            <button class="btn bg-danger" id="btnLimpaCoordenador" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <div class="row">
            <button class="btn btn-primary btn-sisp" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222"><span class="fas fa-trash"></span> Limpar Filtros</button>     
            <button class="btn btn-primary btn-sisp" id="btnConsultar"><span class="fas fa-search"></span> Consultar</button>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div id="modal-vendas" class="modal" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-xl" role="document">
      <div class="modal-content" id="modalBody">

        <div class="modal-header">
          <h4 class="modal-title">Vendas Rep. </h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body pt-0">
          <div class="card pt-1 pb-1 m-0">
            <div class="card-body pt-0 pb-1">
              <div class="row">
                <div class="col-sm-12 table-responsive">
                  <table id="tabelaVendasRep" class="table table-sm table-select table-hover" width="100%">
                    <thead>
                    </thead>
                    <tbody>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <div class="row">
            <button class="btn bg-gradient-danger btn-sisp" style="width:20px; margin-right: 10px;" data-dismiss="modal" id="btnFecharModalVendas">Fechar</button>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal fade" id="modal-pagar">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <h4 id="modal-pagar-title" class="modal-title">Gerar Pagar</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="collapse show" id="nfe">
            <div class="card card-body">
              <div class="form-row">

                <div class="form-group col-12" id="FornecedorInfoTour">
                  <label data-error="wrong" data-success="right" for="txtFornecedor">Fornecedor: *</label>
                  <div class="input-group">
                    <input type="text" autocomplete="off" disabled class="input-default focus form-control" id="txtFornecedor" name="txtFornecedor" class="form-control" placeholder="Fornecedor">
                  </div>
                </div>

                <div class="form-group col-md-4 col-12" id="NotaFiscalInfoTour">
                  <label>Nota Fiscal: *</label>
                  <div class="relative">
                    <input type="text" maxlength="10" autocomplete="off" value="" class="input-default focus form-control validate" required="required" pattern="[0-9]+$" id="txtNotaFiscal" name="txtNotaFiscal">
                  </div>
                </div>

                <div class="form-group group-default col-md-4 col-12">
                  <label>Data de Emissão:</label>
                  <div class="relative" id="DataEmissao">
                    <input type="date" max="2500-12-31" class="input-default focus form-control validate" id="txtDTemissao" name="txtDTemissao">
                  </div>
                </div>

                <div class="form-group group-default col-md-4 col-12">
                  <label>Data de Vencimento:</label>
                  <div class="relative">
                    <input type="date" max="2500-12-31" class="input-default focus form-control validate" id="txtDTvencimento" name="txtDTvencimento">
                  </div>
                </div>

                <div class="d-none">
                  <input type="text" autocomplete="off" maxlength="13" value="" class="input-default focus form-control validate" id="txtValorPago" name="txtValorPago">
                </div>

                <div class="form-group group-default col-md-4 col-12">
                  <label for="Sstatus">Status:</label>
                  <div class="relative">
                    <select id="txtStatus" name="txtStatus" class="input-default focus form-control validate">
                      <option value="" selected disabled>Selecione uma opção</option>
                      <option value="DUPL" id="1">Duplicata</option>
                      <option value="ANTE" id="2">Antecipação</option>
                      <option value="ORCA" id="3">Orçamento</option>
                    </select>
                  </div>
                </div>

                <div class="col-md-4 col-12" id="ClasseInfoTour">
                  <label data-error="wrong" data-success="right" for="txtClasse">Classe: *</label>
                  <div class="input-group">
                    <input type="text" autocomplete="off" required class="input-default focus form-control" id="txtClasse" name="txtClasse" class="form-control" placeholder="Classe">
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btn-Classe" name="btn-Classe" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btn-limpa-Classe" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>
                <div class="col-md-4 col-12 form-group" id="BancoInfoTour">
                  <label data-error="wrong" data-success="right" for="txtBanco">Banco: *</label>
                  <div class="input-group">
                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtBanco" name="txtBanco" class="form-control" placeholder="Banco">
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btn-Banco" name="btn-Banco" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btn-limpa-Banco" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>

                <div class="col-md-4 col-12 form-group" id="ContaInfoTour">
                  <label data-error="wrong" data-success="right" for="txtConta">Conta: *</label>
                  <div class="input-group">
                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtConta" name="txtConta" class="form-control" placeholder="Conta">
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btn-Conta" name="btn-Conta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btn-limpa-Conta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>

                <div class="col-md-4 col-12 form-group" id="SituacaoInfoTour">
                  <label data-error="wrong" data-success="right" for="txtSituacao">Situação: *</label>
                  <div class="input-group">
                    <input type="text" autocomplete="off" class="input-default focus form-control" id="txtSituacao" name="txtSituacao" class="form-control" placeholder="Situação">
                    <div class="input-group-append">
                      <button class="btn bg-danger" id="btn-Situacao" name="btn-Situacao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                      <button class="btn bg-danger" id="btn-limpa-Situacao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                    </div>
                  </div>
                </div>

                <div class="form-group group-default col-md-4 col-12" id="ValorInfoTour">
                  <label>Valor: </label>
                  <div class="relative">
                    <input type="text" autocomplete="off" maxlength="10" value="" class="input-default focus form-control validate" id="txtValor" name="txtValor" disabled>
                  </div>
                </div>

                <div class="form-group group-default col-12">
                  <label>Observação:</label>
                  <textarea style="resize: none" id="txtObs" placeholder="Observação" class="input-default focus form-control validate" rows="4"></textarea>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer float-right">
          <button id="btnGravarPagar" type="button" class="btn bg-gradient-danger btn-sisp">Gravar</button>
        </div>
      </div>
    </div>
  </div>



  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  <?php include_once('../../modais.php'); ?>
  </main>

  <script src="plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
  <script src="plugins/sweetalert2/sweetalert2.min.js?versao=3.251.27.1"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/adminlte.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/requisicoes.js?versao=3.251.27.1"></script>
  <script src="dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/valida_cpf_cnpj.js?versao=3.251.27.1"></script>
  <script src="plugins/jquery-validation/jquery.validate.min.js?versao=3.251.27.1"></script>
  <script src="dist/js/dataTables.keyTable.js?versao=3.251.27.1"></script>
  <script src="dist/js/sisplan.js?versao=3.251.27.1"></script>
  <script src="utils/funcoes.js?versao=3.251.27.1"></script>
  <script src="utils/cookies.js?versao=3.251.27.1"></script>
  <script src="dist/js/driver.min.js?versao=3.251.27.1"></script>
  <script src="config.js?versao=3.251.27.1"></script>
  <script src="plugins/select2/js/select2.full.min.js?versao=3.251.27.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('FECHAMENTO_COMISSAO');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/fechamentocomissao/fechamentocomissao.js?versao=3.251.27.1`;
      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');


      await insereJavaScriptPagina(sArquivo);
      $('.select2').select2();
    });
  </script>

</body>

</html>