<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Cadastro de Medias</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.251.27.1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
  <!-- Google Font: Source Sans Pro -->
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>

  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.251.27.1" />

  <link href='../dist/css/bootstrap.min.css?versao=3.251.27.1'>
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.251.27.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.251.27.1">

  <!-- Toastr -->
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.251.27.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.251.27.1">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <style>
    #progressbar li {
      list-style-type: none;
      font-size: 12px;
      width: 100%;
      float: left;
      position: relative
    }

    .labelGeral {
      margin-top: 7px;
      margin-bottom: 3px;
    }

    .border-Field .textoBorda {
      font-size: 1.0em !important;
      text-align: left !important;
      width: auto;
      padding: 0 10px;
      border-bottom: none;
    }

    #msform fieldset {
      border-radius: 0.3rem !important; 
    }

    .border-Field {
      border: 1.0px solid var(--font-color) !important;
      padding: 0 1.0em 0.3em 1.0em !important;
      margin: 0 0 0.3em 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
    }

    .content-wrapper {
      margin-left: 0px !important;
    }

    .main-header,
    .main-sidebar {
      display: none;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">

  <div class="wrapper">
    <div id="myModal" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 id="myModalLabel" class="modal-title"></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p id="myModalText"></p>
          </div>
          <div class="modal-footer">
            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
          </div>
        </div>
      </div>
    </div>

    <div class="wrapper">
      <div id="myModal" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 id="myModalLabel" class="modal-title"></h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <p id="myModalText"></p>
            </div>
            <div class="modal-footer">
              <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
              <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
            </div>
          </div>
        </div>
      </div>
      <div class="content-wrapper">
        <section class="content">
          <div class="content-header">
            <div class="container-fluid">
              <div class="row mb-2">
                <div class="col-sm-6 flex">
                </div>
                <div class="col-sm-6">
                </div><!-- /.col -->
              </div><!-- /.row -->
            </div>
            <div class="row justify-content-center mt-0">
              <div class="col-10 text-center p-0 mt-3 mb-2">
                <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                  <div class="card-header text-center flex pb-0" style="border: none!important;box-shadow:none!important;">
                    <h2> Cadastro de Medidas
                      <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                        <i class="fas fa-question-circle"></i>
                      </button>
                    </h2>
                  </div>

                  <div class="row">
                    <div class="col-md-12 mx-0 mb-3">
                      <form id="msform">
                        <ul id="progressbar" style="margin-bottom: 10px !important">
                          <li class="active" id="account"><strong>Geral</strong></li>
                        </ul>
                        <p>Preencha os dados e clique em gravar para realizar o cadastro ou alteração da Medida.</p>
                        <fieldset class="row justify-content-center">

                          <div class="row">
                            <div class="col-12 col-lg-8 text-left" id="campostour">

                              <div class="col-auto mt-2">
                                <fieldset class="form border-Field mb-0 pb-0">
                                  <legend class="textoBorda mb-0 pb-0">Tipo Encolhimento</legend>
                                  <div class="form-row">
                                    <div class="icheck-primary mr-2">
                                      <input type="radio" checked="checked" id="radioNenhum" name="tipo" value="Nenhum">
                                      <label for="radioNenhum">Nenhum</label>
                                    </div>
                                    <div class="icheck-primary mr-2">
                                      <input type="radio" id="radioLargura" name="tipo" value="Largura">
                                      <label for="radioLargura">Largura </label>
                                    </div>
                                    <div class="icheck-primary mr-2">
                                      <input type="radio" id="radioLargura2" name="tipo" value="Largura2">
                                      <label for="radioLargura2">Largura2 </label>
                                    </div>
                                    <div class="icheck-primary mr-2">
                                      <input type="radio" id="radioComprimento" name="tipo" value="Comprimento">
                                      <label for="radioComprimento">Comprimento </label>
                                    </div>

                                  </div>
                                </fieldset>
                              </div>

                              <div class="row px-2">
                                <div class="col-12 col-lg-2">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodigo">Código: *</label>
                                  <div class="input-group">
                                    <input type="text" max="5" class="input-default focus form-control validate" id="txtCodigo" name="txtCodigo" class="form-control" placeholder="Código">
                                  </div>
                                </div>

                                <div class="col-12 col-lg text-left">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtDescricao">Descrição: *</label>
                                  <div class="input-group">
                                    <input type="text" max="150" class="input-default focus form-control validate" id="txtDescricao" name="txtDescricao" class="form-control" placeholder="Descrição">
                                  </div>
                                </div>

                                <div class="col-12">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtDescCompl">Descrição Complementar: </label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control validate" id="txtDescCompl" name="txtDescCompl" class="form-control" placeholder="Descrição Complementar">
                                  </div>
                                </div>

                                <div class="col-12 col-lg-2">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtTolerancia">Tolerância: </label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control validate campoValor" id="txtTolerancia" name="txtTolerancia" class="form-control" placeholder="2.00">
                                  </div>
                                </div>

                                <div class="col-12 col-lg">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtOrientacao">Orientação: </label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control validate" id="txtOrientacao" name="txtOrientacao" class="form-control" placeholder="Orientação">
                                  </div>
                                </div>

                              </div>
                            </div>
                            <div class="col-lg-4">
                              <div class="row card-body d-flex justify-content-end" id="abaGeral" style="padding: 1.2rem 0;">
                                <nav class="col-12">
                                  <div class="nav nav-tabs" id="nav-tab" role="tablist" style="text-decoration: none; ">
                                    <a class="menu_secao nav-item nav-link active" id="tabImagem" data-toggle="tab" href="#divImagemMedidas" role="tab" aria-controls="divImagemMedidas" aria-selected="true">Imagem da Medida</a>
                                  </div>
                                </nav>
                                <div class="col-12" id="nav-tabContent">
                                  <div class="tab-pane divOculta fade show active" id="divImagemMedidas" role="tabpanel" aria-labelledby="tabImagem">
                                    <div id="divImg">
                                      <div class="d-flex justify-content-center" id="">
                                        <label id="btnEscolherFoto" class="btnEnviarFoto" for="fileimagem" data-button="absolute" type="button">
                                          <img class="pop img img-fluid imagem" id="infoimagem" src="../dist/img/prod-1.png">
                                        </label>
                                      </div>
                                      <div class="input-group-append" class="upload-imagem" style="margin-left: 35%; margin-top: .5%">
                                        <input type="file" value="" accept=".jpg, .png" class="upload" style="display: none;" name="fileimagem" id="fileimagem" />
                                      </div>
                                    </div>
                                  </div>
                                </div>

                              </div>

                            </div>
                          </div>

                        </fieldset>
                        <input type="button" name="gravar" id="gravar" class="btn-sisp action-button" value="Gravar" />
                        <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                      </form>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </section>
      </div>
    </div>
  </div>

  <?php
  include_once('../../../modais.php');
  ?>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
  </div>

  <!-- jQuery -->
  <script src="../plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.251.27.1"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/adminlte.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/requisicoes.js?versao=3.251.27.1"></script>
  <script src="../dist/js/cliente/entidade.js?versao=3.251.27.1"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/valida_cpf_cnpj.js?versao=3.251.27.1"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/sisplan.js?versao=3.251.27.1"></script>
  <script src="../utils/funcoes.js?versao=3.251.27.1"></script>
  <script src="../utils/cookies.js?versao=3.251.27.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/driver.min.js?versao=3.251.27.1"></script>
  <script src="../dist/js/dataTables.keyTable2.js?versao=3.251.27.1"></script>
  <script type="text/javascript" src="../config.js?versao=3.251.27.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('MEDIDAS');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      const permissaoUsuarioLogado = await permissaoAcessos("MEDIDAS");

      if (permissaoUsuarioLogado.INCLUI == 'N') {
        await criaMensagemErro("Sem permissão para incluir!", () => {
          window.location.href = `${BASE_URI}/medidas`
        });
        return;
      }

      const queryString = window.location.href;
      const parametros = queryString.split("/");
      const funcao = parametros[parametros.length - 1];

      $(window).on("beforeunload", function(e) {
        // e.preventDefault();
        e.stopPropagation();
        deletaRegistro("MEDIDAS", getCookie("usuario"), funcao);
        return undefined;
      });

      sArquivo = `${BASE_URI}/pages/medidas/cadastro_medidas/medidas.js?versao=3.251.27.1`;
      insereJavaScriptPagina(sArquivo);

      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>
</body>

</html>