<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Vendas por Ano</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">

    <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="dist/css/custom.css?versao=3.251.27.1">
    <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.251.27.1">
    <link rel="stylesheet" href="dist/css/PesquisaVariosSelect2.css?versao=3.251.27.1">
    <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
    <link rel="shortcut icon" href="favicon.ico">
    <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.251.27.1" />
    <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.251.27.1">
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.251.27.1">
    <link rel="stylesheet" href="plugins/datatables-colreorder/css/colReorder.bootstrap4.min.css?versao=3.251.27.1">
</head>
<style>
    .content-wrapper {
        margin-left: 0px !important;
    }

    .main-header,
    .main-sidebar,
    footer {
        display: none;
    }

    .form-check {
        margin-left: 8px;
        margin-bottom: 10px;
    }

    .border-Field .textoBorda {
        font-size: 1.1em !important;
        text-align: left !important;
        width: auto;
        padding: 0 10px;
        border-bottom: none;
    }

    .border-Field {
        border: 1px solid var(--font-color) !important;
        padding: 0 0.5em 0 0.5rem !important;
        margin: 0 0 1.0em 0 !important;
        -webkit-box-shadow: 0px 0px 0px 0px #000;
        box-shadow: 0px 0px 0px 0px #000;
        border-radius: 3px !important;
    }

    .icheck-primary {
        margin-top: 0px !important;
    }

    .modal-header {
        padding: 0.5rem 1rem 0.1rem !important;
        align-items: center !important;
    }

    .modal-footer .btn {
        padding: 0.375rem 0.75rem !important;
    }
</style>

<body class="hold-transition sidebar-mini layout-fixed">
    <main class="wrapper">
        <?php
        include_once('../../menu.php');
        ?>
        <div id="driver-page-overlay" class="d-none"></div>
        <div class="content-wrapper">
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6 flex">
                            <h1 class="m-0 text-dark">Relatório Total de Vendas por Ano</h1>
                            <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                                <i class="fas fa-question-circle"></i></button>
                            <button id="show-content" class="show-content" style="margin-left:8px;">
                                <i class="fa fa-comment-dots" class="icone" style="font-size: 16px;"></i>
                                <span class="texto">Informativo</span>
                            </button>
                        </div>
                        <div class="col-sm-6">
                            <!-- <ol class="breadcrumb float-sm-right">

                                <li class="breadcrumb-item active">Relatório Total de Vendas por Ano</li>
                            </ol> -->
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12">
                            <fieldset>
                                <div class="row">
                                    <div class="col-12">
                                        <div class="buttons">
                                            <button class="btn btn-success btn-sisp" id="btnFiltros" type="button"><span class="fas fa-filter"></span> Filtros</button>
                                            <button id="btnImprimir" class="btn-sisp btn btn-danger"><i class="fas fa-print"></i> Imprimir</button>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <div class="row d-flex justify-content-center" style="margin-top: 20px;">
                                        <div class="col-11" id="chart">
                                        </div>
                                    </div>
                                    <div class="card">
                                        <div class="col-sm-12 table-responsive card-body">
                                            <table id="tabelaTotalPorAno" class="table table-sm table-select table-hover" width="100%">
                                                <thead>
                                                </thead>
                                                <tbody>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </fieldset>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
            <div class="modal-dialog modal-xl" role="document">
                <div class="modal-content" id="modalBody">
                    <div class="modal-header">
                        <h4 class="modal-title">Filtros</h4>
                        <div>
                            <div class="col-lg-auto col-12 ml-3 mt-1">
                                <fieldset class="form border-Field p-0" style="margin-bottom: 0.7em !important;">
                                    <legend class="textoBorda pb-0 mb-0">Tipo</legend>
                                    <div class="form-row">
                                        <div class="d-flex">
                                            <div class="radio-group form-radio icheck-primary ml-3"><input type="radio" id="rdProduto" checked name="tipoFat"><label for="rdProduto" class="container escondeRadio">Produto</label></div>
                                            <div class="radio-group form-radio icheck-primary"><input type="radio" id="rdMaterial" name="tipoFat"><label for="rdMaterial" class="container escondeRadio">Material</label></div>
                                        </div>
                                    </div>
                                </fieldset>
                            </div>
                        </div>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-4 col-12 pl-2 form-group">
                                <label style="margin-bottom: .1rem;" data-error="wrong" data-success="right" for="txtPeriodoDe">Período de/até: </label>
                                <div class="relative" style="margin-top: 7px;">
                                    <div class="input-group">
                                        <input type="date" max="2500-12-31" class="input-default focus form-control mr-3" id="txtPeriodoDe" value="1200-01-01" name="txtPeriodoDe" class="form-control">
                                        <input type="date" max="2500-12-31" class="input-default focus form-control" id="txtPeriodoAte" value="<?php echo date('Y-m-d'); ?>" name="txtPeriodoAte" class="form-control">
                                    </div>
                                </div>
                            </div>
                            <div class="form-group col-md-6 col-12 mt-1 mt-md-3 mb-0">
                                <fieldset class="form border-Field p-0">
                                    <legend class="textoBorda pb-0 mb-0">Status Venda</legend>
                                    <div class="form-row">
                                        <div class="form-check mb-0 pb-0 icheck-primary">
                                            <input class="form-check-input mb-0" type="checkbox" id="cbEmitido" checked> <label for="cbEmitido">Emitido</label>
                                        </div>
                                        <div class="form-check mb-0 pb-0 icheck-primary">
                                            <input class="form-check-input mb-0" type="checkbox" id="cbPendente" checked> <label for="cbPendente">Pendente</label>
                                        </div>
                                        <div class="form-check mb-0 pb-0 icheck-primary">
                                            <input class="form-check-input mb-0" type="checkbox" id="cbAgrupado" checked> <label for="cbAgrupado">Agrupado</label>
                                        </div>
                                        <div class="form-check mb-0 pb-0 icheck-primary">
                                            <input class="form-check-input mb-0" type="checkbox" id="cbDevolvido" checked> <label for="cbDevolvido">Devolvido</label>
                                        </div>
                                        <div class="form-check mb-0 pb-0 icheck-primary">
                                            <input class="form-check-input mb-0" type="checkbox" id="cbCancelado" checked> <label for="cbCancelado">Cancelado</label>
                                        </div>
                                    </div>
                                </fieldset>
                            </div>
                            <div class="col-md-2 col-12 mt-md-4 mt-1 p-1 mb-3 mb-md-0">
                                <button class="btn btn-danger btn-sisp w-100" type='button' id="btnSelecionarEmpresas">Selecionar Empresas</button>
                            </div>
                            <div class="col-12 col-md-4 form-group" id="ClienteInfoTour">
                                <label data-error="wrong" data-success="right" for="txtEntidade">Cliente: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtEntidade" name="txtEntidade" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnEntidade" name="btnEntidade" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaEntidade" name="btnLimpaEntidade" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4 form-group" id="VendedorInfoTour">
                                <label data-error="wrong" data-success="right" for="txtVendedor">Vendedor: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtVendedor" name="txtVendedor" multiple="multiple"> </select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnVendedor" name="btnVendedor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaVendedor" name="btnLimpaVendedor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4 form-group" id="GrupoCliInfoTour">
                                <label data-error="wrong" data-success="right" for="txtGrupoCli">Grupo Cli: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtGrupoCli" name="txtGrupoCli" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnGrupoCli" name="btnGrupoCli" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaGrupoCli" name="btnLimpaGrupoCli" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4 form-group" id="ProdutoInfoTour">
                                <label data-error="wrong" data-success="right" for="txtProduto">Produto: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtProduto" name="txtProduto" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnProduto" name="btnProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaProduto" name="btnLimpaProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4 form-group d-none" id="MaterialInfoTour">
                                <label data-error="wrong" data-success="right" for="txtMaterial">Material: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtMaterial" name="txtMaterial" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnMaterial" name="btnMaterial" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaMaterial" name="btnLimpaMaterial" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4 form-group" id="CorInfoTour">
                                <label data-error="wrong" data-success="right" for="txtCor">Cor: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtCor" name="txtCor" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnCor" name="btnCor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaCor" name="btnLimpaCor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4 form-group" id="ColecaoInfoTour">
                                <label data-error="wrong" data-success="right" for="txtColecao">Coleção: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtColecao" name="txtColecao" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnColecao" name="btnColecao" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaColecao" name="btnLimpaColecao" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4 form-group d-none" id="GrupoMAInfoTour">
                                <label data-error="wrong" data-success="right" for="txtGrupoMA">Grupo: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtGrupoMA" name="txtGrupoMA" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnGrupoMA" name="btnGrupoMA" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaGrupoMA" name="btnLimpaGrupoMA" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4 form-group" id="GrupoProdInfoTour">
                                <label data-error="wrong" data-success="right" for="txtGrupoPA">Grupo: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtGrupoPA" name="txtGrupoPA" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnGrupoPA" name="btnGrupoPA" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaGrupoPA" name="btnLimpaGrupoPA" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4 form-group" id="EtiquetaInfoTour">
                                <label data-error="wrong" data-success="right" for="txtEtiqueta">Etiqueta: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtEtiqueta" name="txtEtiqueta" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnEtiqueta" name="btnEtiqueta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaEtiqueta" name="btnLimpaEtiqueta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4 form-group" id="LinhaInfoTour">
                                <label data-error="wrong" data-success="right" for="txtLinha">Linha: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtLinha" name="txtLinha" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnLinha" name="btnLinha" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaLinha" name="btnLimpaLinha" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4 form-group" id="MarcaInfoTour">
                                <label data-error="wrong" data-success="right" for="txtMarca">Marca: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtMarca" name="txtMarca" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnMarca" name="btnMarca" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaMarca" name="btnLimpaMarca" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4 form-group" id="ModeloInfoTour">
                                <label data-error="wrong" data-success="right" for="txtModelo">Modelo: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtModelo" name="txtModelo" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnModelo" name="btnModelo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaModelo" name="btnLimpaModelo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4 form-group" id="TipoVendaInfoTour">
                                <label data-error="wrong" data-success="right" for="txtTipoVenda">Tipo Venda: </label>
                                <div class="input-group">
                                    <select class="js-example-programmatic js-states form-control" id="txtTipoVenda" name="txtTipoVenda" multiple="multiple"></select>
                                    <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnTipoVenda" name="btnTipoVenda" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                        <button class="btn bg-danger" id="btnLimpaTipoVenda" name="btnLimpaTipoVenda" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer border-top d-flex justify-content-between align-items-end">
                        <div class="mx-auto mx-md-0 col-3">
                            <label for="txtOrdem">Opção de Relatório:</label>
                            <div class="relative d-flex align-items-center">
                                <select id="txtOrdem" class="input-default focus custom-select">
                                </select>
                                <button class="btn btn-sm btn-success ml-2 btnEdicaoRelatorio" title="Edição de ordenações">
                                    <i class="fas fa-check"></i>
                                </button>
                            </div>
                        </div>
                        <div class="mx-auto mx-md-0">
                            <button class="btn btn-primary btn-sisp mr-2" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222">
                                <span class="fas fa-trash"></span> Limpar Filtros
                            </button>
                            <button id="btnConsultar" class="btn btn-primary btn-sisp" type="button">
                                <span class="fas fa-search"></span> Consultar
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>



        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside><!-- /.control-sidebar -->
        <?php
        include_once('../../modais.php');
        include_once('../../informativo.html');
        ?>
    </main><!-- /.wrapper -->

    <script src="plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
    <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
    <script src="plugins/sweetalert2/sweetalert2.min.js?versao=3.251.27.1"></script>
    <script src="plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/adminlte.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/requisicoes.js?versao=3.251.27.1"></script>
    <script src="dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/valida_cpf_cnpj.js?versao=3.251.27.1"></script>
    <script src="plugins/jquery-validation/jquery.validate.min.js?versao=3.251.27.1"></script>
    <script src="dist/js/dataTables.keyTable.js?versao=3.251.27.1"></script>
    <script src="dist/js/sisplan.js?versao=3.251.27.1"></script>
    <script src="utils/funcoes.js?versao=3.251.27.1"></script>
    <script src="utils/cookies.js?versao=3.251.27.1"></script>
    <script src="dist/js/driver.min.js?versao=3.251.27.1"></script>
    <script src="config.js?versao=3.251.27.1"></script>
    <script src="plugins/select2/js/select2.full.min.js?versao=3.251.27.1"></script>
    <script src="plugins/datatables-colreorder/js/dataTables.colReorder.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="plugins/jszip/jszip.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="plugins/pdfmake/pdfmake.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="plugins/pdfmake/vfs_fonts.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="plugins/datatables-buttons/js/dataTables.buttons.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="plugins/datatables-buttons/js/buttons.html5.min.js?versao=3.251.27.1"></script>
    <script type="text/javascript" src="dist/js/apexcharts.js?versao=3.251.27.1"></script>
    <script>
        $(document).ready(async function() {
            if (getCookie('usuario') == "") {
                window.location.href = `${BASE_URI}/login`;
                return;
            }

            let usuario = getCookie('usuario');
            let empresa = getCookie('empresa');

            ipInterno = IP_INTERNO;
            ipExterno = IP_EXTERNO;
            basicAuth = BASIC_AUTH;

            const temAcesso = await temAcessoTela('RELTOTALPORANO');
            if (!temAcesso.resultado) {
                toastrAcesso(temAcesso, BASE_URI);
                return;
            }

            sArquivo = `${BASE_URI}/pages/reltotalporano/reltotalporano.js?versao=3.251.27.1`;
            const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');


            await insereJavaScriptPagina(sArquivo);

            habilitaCamposObrigatoriosTela(nomeTela);
        });
    </script>

</body>

</html>