<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Cadastro de Sequência Operacional</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.251.27.1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
  <!--e1Google Font: Source Sans Pro -->
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.251.27.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.251.27.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.251.27.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.251.27.1">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.251.27.1">
  <link rel="stylesheet" href="../plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.251.27.1">
  <link rel="stylesheet" href="https://cdn.datatables.net/select/1.5.0/css/select.dataTables.min.css">

  <style>
    #tabelaProcessos_wrapper div div div .dataTables_scrollBody {
      max-height: 220px;
    }

    .table.dataTable tbody td,
    .table.dataTable thead {
      white-space: nowrap;
      text-overflow: ellipsis;
      overflow: hidden;
    }

    .content-wrapper {
      margin-left: 0px !important;
    }

    .main-header,
    .main-sidebar {
      display: none;
    }

    .border-Field .textoBorda {
      font-size: 1.1em !important;
      text-align: left !important;
      width: auto;
      padding: 10px;
      border-bottom: none;
    }

    .border-Field {
      border: 1px solid var(--font-color) !important;
      padding: 0 0 1em 0 !important;
      -webkit-box-shadow: 0px 0px 0px 0px #000;
      box-shadow: 0px 0px 0px 0px #000;
      border-radius: 3px !important;
    }

    .placeholder-lowercase::placeholder {
      text-transform: none;
    }

    .inputInvisivel {
      min-width: 0px;
      text-align: end;
      width: auto;
      font-weight: bold;
    }

    .bordaProduto {
      padding: 10px;
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
    }

    .dataTables_info span {
      display: none;
    }

    .legendaTempos {
      font-size: 1.275rem;
    }
  </style>

</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <main class="wrapper">
    <?php
    include_once('../../../menu.php');
    ?>
    <div class="wrapper">


      <div id="myModal" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 id="myModalLabel" class="modal-title"></h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <p id="myModalText"></p>
            </div>
            <div class="modal-footer">
              <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
              <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
            </div>
          </div>
        </div>
      </div>

      <div class="content-wrapper">
        <section class="content">
          <div class="content-header p-0">
            <div class="container-fluid">
              <div class="row mb-2">
                <div class="col-sm-6 flex">
                </div>
                <div class="col-sm-6">
                </div>
              </div>
            </div>
            <div class="row justify-content-center mt-0">
              <div class="col-12 p-0 mt-3 mb-2">
                <div class="card p-0 mb-0">
                  <div class="card-header d-flex p-0 ml-4 align-items-start" style="border: none!important;box-shadow:none!important; gap: 10px;">
                    <div class="flex flex-column">
                      <div class="flex my-2">
                        <h2 class="mb-0 text-center flex align-items-center">
                          <strong class="ml-2">Cadastro de Sequência Operacional</strong>
                          <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                            <i class="fas fa-question-circle"></i>
                          </button>
                        </h2>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="d-flex flex-row justify-content-center">
                  <div class="col-12 mx-0">
                    <form id="msform" class="text-left">
                      <fieldset class="d-flex justify-content-center">
                        <div class="px-2 mx-4 py-0 col-12" id="formcard1">
                          <div id="tutorial-step1" class="form-row col-12">
                            <div class="icheck-primary flex align-items-center col">
                              <input type="checkbox" class="form-check-input" id="cbPadrao">
                              <label class="form-check-label" for="cbPadrao">Padrão</label>
                            </div>
                          </div>
                          <div id="tutorial-step1">
                            <div class="form-row col-12" id="stepForm1">
                              <div class="col form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtId">ID:</label>
                                <input type="text" class="input-default focus form-control" disabled id="txtId" name="txtId" placeholder="0">
                              </div>
                              <div class="col form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtCadastro">Cadastro:</label>
                                <input type="date" class="input-default focus form-control" value="<?php echo date('Y-m-d'); ?>" id="txtCadastro" name="txtCadastro">
                              </div>
                              <div class="col form-group" style="min-width: 215px">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtCodigoProduto">Código:</label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control" id="txtCodigoProduto" name="txtCodigoProduto" placeholder="Código">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnCodigoProduto" name="btnCodigoProduto" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btnLimpaCodigoProduto" name="btnLimpaCodigoProduto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>
                              <div class="col-xl-3 col-lg-6 col-6 form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtDescricaoProduto">Descrição:</label>
                                <input type="text" class="input-default focus form-control" id="txtDescricaoProduto" name="txtDescricaoProduto" placeholder="Descrição">
                              </div>
                              <div class="col-xl-2 col-6 form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtParte">Parte:</label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control" id="txtParte" name="txtParte" placeholder="Parte">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnParte" name="btnParte" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btnLimpaParte" name="btnLimpaParte" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>
                              <div class="col-xl-2 col-6 form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtCor">Cor:</label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control" id="txtCor" name="txtCor" placeholder="Cor">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnCor" name="btnCor" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                    <button class="btn bg-danger" id="btnLimpaCor" name="btnLimpaCor" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                  </div>
                                </div>
                              </div>
                              <div class="col form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="txtDificuldade">Dificuldade:</label>
                                <input type="text" class="input-default focus form-control text-right duasCasasDecimaisCurrencyFormat" value="100,00" id="txtDificuldade" name="txtDificuldade" placeholder="0,00">
                              </div>
                            </div>
                            <nav class="col-lg-12">
                              <div class="nav nav-tabs d-flex flex-nowrap" id="nav-tab" role="tablist" style="text-decoration: none; max-width: none!important; white-space: nowrap!important; overflow-x: auto!important; overflow-y: hidden">
                                <a class="nav-link abaLink active" id="tabProcessos" data-toggle="tab" href="#divProcessos" role="tab" aria-controls="divProcessos" aria-selected="true">Processos</a>
                                <!-- <a class="nav-link abaLink" id="tabLinhas" data-toggle="tab" href="#divLinhas" role="tab" aria-controls="divLinhas" aria-selected="false">Linhas</a> -->
                              </div>
                            </nav>
                            <div class="tab-content col-lg-12 px-0" id="nav-tabContent">
                              <div id="divProcessos" class="tab-pane fade show active" role="tabpanel" aria-labelledby="tabProcessos">
                                <div class="flex flex-wrap px-0" id="stepForm2">
                                  <div class="d-flex flex-column col-xl-4 col-12 px-0 justify-content-between">
                                    <div class="flex flex-wrap">
                                      <div class="col-xl-2 col-lg-2 col-4 form-group d-none">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtOrdemProcessos">Ordem:</label>
                                        <input type="text" class="input-default focus form-control" id="txtOrdemProcessos" disabled name="txtOrdemProcessos" placeholder="0">
                                      </div>
                                      <div class="col-xl-6 col-lg-6 col-12 form-group">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtOperacaoProcessos">Operação:</label>
                                        <div class="input-group">
                                          <input type="text" class="input-default focus form-control campoProcessos" id="txtOperacaoProcessos" disabled name="txtOperacaoProcessos" placeholder="Operação">
                                          <div class="input-group-append">
                                            <button class="btn bg-danger botaoProcessos" id="btnOperacaoProcessos" disabled name="btnOperacaoProcessos" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger botaoProcessos" id="btnLimpaOperacaoProcessos" disabled name="btnLimpaOperacaoProcessos" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                          </div>
                                        </div>
                                      </div>
                                      <div class="col-xl-6 col-lg-6 col-12 form-group">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtGrupoProcessos">Grupo:</label>
                                        <div class="input-group">
                                          <input type="text" class="input-default focus form-control campoProcessos" id="txtGrupoProcessos" disabled name="txtGrupoProcessos" placeholder="Grupo">
                                          <div class="input-group-append">
                                            <button class="btn bg-danger botaoProcessos" id="btnGrupoProcessos" disabled name="btnGrupoProcessos" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger botaoProcessos" id="btnLimpaGrupoProcessos" disabled name="btnLimpaGrupoProcessos" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                          </div>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="flex flex-wrap">
                                      <div class="col-xl-6 col-lg-6 col-12 form-group">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtMaquinaProcessos">Máquina:</label>
                                        <div class="input-group">
                                          <input type="text" class="input-default focus form-control campoProcessos" id="txtMaquinaProcessos" disabled name="txtMaquinaProcessos" placeholder="Máquina">
                                          <div class="input-group-append">
                                            <button class="btn bg-danger botaoProcessos" id="btnMaquinaProcessos" disabled name="btnMaquinaProcessos" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger botaoProcessos" id="btnLimpaMaquinaProcessos" disabled name="btnLimpaMaquinaProcessos" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                          </div>
                                        </div>
                                      </div>
                                      <div class="col-xl-6 col-lg-6 col-12 form-group">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtMaterialProcessos">Material:</label>
                                        <div class="input-group">
                                          <input type="text" class="input-default focus form-control campoProcessos" id="txtMaterialProcessos" disabled name="txtMaterialProcessos" placeholder="Material">
                                          <div class="input-group-append">
                                            <button class="btn bg-danger botaoProcessos" id="btnMaterialProcessos" disabled name="btnMaterialProcessos" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger botaoProcessos" id="btnLimpaMaterialProcessos" disabled name="btnLimpaMaterialProcessos" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                          </div>
                                        </div>
                                      </div>
                                    </div>
                                    <div class="flex flex-wrap">
                                      <div class="col-xl-6 col-lg-6 col-12 form-group">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtComplementoProcessos">Complemento:</label>
                                        <input type="text" class="input-default focus form-control campoProcessos" id="txtComplementoProcessos" disabled name="txtComplementoProcessos" placeholder="Complemento">
                                      </div>
                                      <div class="col-xl-6 col-lg-6 col-12 form-group">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtObservacaoProcessos">Observação:</label>
                                        <input type="text" class="input-default focus form-control campoProcessos" id="txtObservacaoProcessos" disabled name="txtObservacaoProcessos" placeholder="Observação">
                                      </div>
                                    </div>
                                    <div class="flex flex-wrap">
                                      <div class="col-xl-3 col-12 form-group" style="width: 20%; padding: 0 7.5px">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtTempoHoraProcessos">Tempo Hora:</label>
                                        <input type="text" class="input-default focus form-control text-right" disabled id="txtTempoHoraProcessos" name="txtTempoHoraProcessos" placeholder="00:00:00">
                                      </div>
                                      <div class="col-xl-3 col-12 form-group">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtTempoOriginalProcessos">Tempo Original:</label>
                                        <input type="text" class="input-default focus form-control text-right quatroCasasDecimaisCurrencyFormat" disabled id="txtTempoOriginalProcessos" name="txtTempoOriginalProcessos" placeholder="0,0000">
                                      </div>
                                      <div class="col-xl-3 col-12 form-group" style="width: 20%; padding: 0 7.5px">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtTempoProcessos">Tempo:</label>
                                        <input type="text" class="input-default focus form-control text-right quatroCasasDecimaisCurrencyFormat campoProcessos" disabled id="txtTempoProcessos" name="txtTempoProcessos" placeholder="0,0000">
                                      </div>
                                      <div class="col-xl-3 col-12 form-group" style="width: 20%; padding: 0 7.5px">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtCustoProcessos">Custo:</label>
                                        <input type="text" class="input-default focus form-control text-right quatroCasasDecimaisCurrencyFormat" disabled id="txtCustoProcessos" name="txtCustoProcessos" placeholder="0,0000">
                                      </div>
                                    </div>
                                  </div>
                                  <div class="flex flex-column col-xl-2 col-12 px-0 justify-content-between g-0">
                                    <div class="flex">
                                      <div class="col-xl-6 col-lg-6 col-12 form-group">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtCustoTotalProcessos">Custo Total:</label>
                                        <input type="text" class="input-default focus form-control text-right quatroCasasDecimaisCurrencyFormat" id="txtCustoTotalProcessos" disabled name="txtCustoTotalProcessos" placeholder="0,0000">
                                      </div>
                                      <div class="col-xl-6 col-lg-6 col-12 form-group">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtComprimentoProcessos">Comprimento:</label>
                                        <input type="text" class="input-default focus form-control text-right quatroCasasDecimaisCurrencyFormat" id="txtComprimentoProcessos" disabled name="txtComprimentoProcessos" placeholder="0,0000">
                                      </div>
                                    </div>
                                    <div class="col-xl-6 col-lg-6 col-12 form-group d-none">
                                      <label data-error="wrong" class="labelGeral" data-success="right" for="txtCustoOriginalProcessos">Custo Original:</label>
                                      <input type="text" class="input-default focus form-control text-right quatroCasasDecimaisCurrencyFormat" id="txtCustoOriginalProcessos" name="txtCustoOriginalProcessos" placeholder="0,0000">
                                    </div>
                                    <div class="flex">
                                      <div class="col-xl-6 col-lg-6 col-12 form-group">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtIndiceProcessos">Índice:</label>
                                        <input type="text" class="input-default focus form-control text-right duasCasasDecimaisCurrencyFormat campoProcessos" id="txtIndiceProcessos" disabled name="txtIndiceProcessos" placeholder="0,00">
                                      </div>
                                      <div class="col-xl-6 col-lg-6 col-12 form-group">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtDificuldadeProcessos">Dificuldade:</label>
                                        <input type="text" class="input-default focus form-control text-right duasCasasDecimaisCurrencyFormat campoProcessos" id="txtDificuldadeProcessos" disabled name="txtDificuldadeProcessos" placeholder="0,00">
                                      </div>
                                    </div>
                                    <div class="flex">
                                      <div class="col-xl-6 col-lg-6 col-12 form-group">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtTempoTotalProcessos">Tempo Total:</label>
                                        <input type="text" class="input-default focus form-control text-right quatroCasasDecimaisCurrencyFormat" id="txtTempoTotalProcessos" disabled name="txtTempoTotalProcessos" placeholder="0,0000">
                                      </div>
                                      <div class="col-xl-6 col-lg-6 col-12 form-group">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtTempoOperacaoProcessos">Tempo Op.:</label>
                                        <input type="text" class="input-default focus form-control text-right quatroCasasDecimaisCurrencyFormat" id="txtTempoOperacaoProcessos" disabled name="txtTempoOperacaoProcessos" placeholder="0,0000">
                                      </div>
                                    </div>
                                    <div class="flex">
                                      <div class="col-xl-6 col-lg-6 col-12 form-group">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtTempoOperacaoCapaProcessos">Tempo Op. Capa:</label>
                                        <input type="text" class="input-default focus form-control text-right quatroCasasDecimaisCurrencyFormat" id="txtTempoOperacaoCapaProcessos" disabled name="txtTempoOperacaoCapaProcessos" placeholder="0,0000">
                                      </div>
                                      <div class="col-xl-6 col-lg-6 col-12 form-group">
                                        <label data-error="wrong" class="labelGeral" data-success="right" for="txtParteProcessos">Parte:</label>
                                        <input type="text" class="input-default focus form-control" id="txtParteProcessos" disabled name="txtParteProcessos" placeholder="00">
                                      </div>
                                    </div>
                                  </div>
                                  <div class="flex flex-wrap col-xl-6 col-12 align-content-start">
                                    <div class="col-5 form-group">
                                      <label data-error="wrong" class="labelGeral" data-success="right" for="txtTabelaGrupos">Tabela:</label>
                                      <input type="text" class="input-default focus form-control" id="txtTabelaGrupos" disabled name="txtTabelaGrupos" placeholder="Tabela de Preço">
                                    </div>
                                    <div class="flex flex-column col-12" style="gap: 5px;">
                                      <h5 class="mb-0">Tempo Grupos</h5>
                                      <div class="table-responsive" style="max-height: 215px; height: 215px;">
                                        <table id="tabelaGrupos" class="table table-sm table-select table-hover" width="100%">
                                          <thead>
                                          </thead>
                                          <tbody>
                                          </tbody>
                                        </table>
                                      </div>
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                          <div class="col mb-1 flex" style="gap: 8px;" id="stepForm3">
                            <button type="button" class="btn btn-primary btn-sisp" id="btnIncluirProcessos">Incluir</button>
                            <button type="button" class="btn btn-primary btn-sisp" id="btnAlterarProcessos">Alterar</button>
                            <button type="button" class="btn btn-danger btn-sisp" id="btnExcluirProcessos">Excluir</button>
                            <button type="button" class="btn btn-primary btn-sisp d-none" id="btnConfirmarProcessos">Confirmar</button>
                            <button type="button" class="btn btn-danger btn-sisp d-none" id="btnDesistirProcessos">Desistir</button>
                            <button type="button" class="btn btn-primary" id="btnSubirOrdemProcessos"><i class="fas fa-arrow-up"></i></button>
                            <button type="button" class="btn btn-primary" id="btnDescerOrdemProcessos"><i class="fas fa-arrow-down"></i></button>
                          </div>
                          <div class="form-row col-12">
                            <div class="flex flex-column col-12" style="gap: 8px; max-height: 360px;" id="divTabelaProcessos">
                              <h5 class="mb-0">Processos</h5>
                              <div class="table-responsive" style="max-height: 250px; overflow: hidden !important;">
                                <table id="tabelaProcessos" class="table table-sm table-select table-hover" width="100%">
                                  <thead>
                                  </thead>
                                  <tbody>
                                  </tbody>
                                </table>
                              </div>
                            </div>
                          </div>
                          <div class="d-flex justify-content-start align-items-center mt-2 pt-2 col-12" style="border-top: 1px solid #4d4d4d;">
                            <div class="flex mx-3 justify-content-between col" style="gap: 10px">
                              <div class="flex flex-column">
                                <div class="flex align-items-center justify-content-end">
                                  <label for="labelTempoHora" class="mb-0 text-red">Tempo:</label><input id="labelTempoHora" class="inputInvisivel text-red font-bold" value="00:00:00" />
                                </div>
                                <div class="flex align-items-center justify-content-end legendaTempos">
                                  <label for="labelTempo" class="mb-0 text-red">Tempo:</label><input id="labelTempo" class="inputInvisivel text-red" value="0,0000" />
                                </div>
                              </div>
                              <div class="flex flex-column">
                                <div class="flex align-items-center justify-content-end">
                                  <label for="labelTempoTotalHora" class="mb-0 text-red">Tempo Total:</label><input id="labelTempoTotalHora" class="inputInvisivel text-red" value="00:00:00" />
                                </div>
                                <div class="flex align-items-center justify-content-end legendaTempos">
                                  <label for="labelTempoTotal" class="mb-0 text-red">Tempo Total:</label><input id="labelTempoTotal" class="inputInvisivel text-red" value="0,0000" />
                                </div>
                              </div>
                              <div class="flex flex-column">
                                <div class="flex align-items-center justify-content-end">
                                  <label for="labelDificuldadeOperacaoHora" class="mb-0 text-red">Dificuldade (Oper.):</label><input id="labelDificuldadeOperacaoHora" class="inputInvisivel text-red" value="00:00:00" />
                                </div>
                                <div class="flex align-items-center justify-content-end legendaTempos">
                                  <label for="labelDificuldadeOperacao" class="mb-0 text-red">Dificuldade (Oper.):</label><input id="labelDificuldadeOperacao" class="inputInvisivel text-red" value="0,0000" />
                                </div>
                              </div>
                              <div class="flex flex-column">
                                <div class="flex align-items-center justify-content-end">
                                  <label for="labelDificuldadeOperacaoCapaHora" class="mb-0 text-red">Dificuldade (Oper+Capa):</label><input id="labelDificuldadeOperacaoCapaHora" class="inputInvisivel text-red" value="00:00:00" />
                                </div>
                                <div class="flex align-items-center justify-content-end legendaTempos">
                                  <label for="labelDificuldadeOperacaoCapa" class="mb-0 text-red">Dificuldade (Oper+Capa):</label><input id="labelDificuldadeOperacaoCapa" class="inputInvisivel text-red" value="0,0000" />
                                </div>
                              </div>
                              <div class="flex flex-column justify-content-end">
                                <div class="flex align-items-center justify-content-end legendaTempos">
                                  <label for="labelCustoTotal" class="mb-0 text-red">Custo Total:</label><input id="labelCustoTotal" class="inputInvisivel text-red" value="0,0000" />
                                </div>
                              </div>
                            </div>
                            <div class="flex" style="gap: 8px">
                              <button type="button" class="btn btn-secondary btn-sisp" id="btnVoltar" style="max-height: 38px">Voltar</button>
                              <button type="button" class="btn btn-danger btn-sisp" id="btnGravar" style="max-height: 38px">Gravar</button>
                            </div>
                          </div>
                        </div>
                      </fieldset>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </section>
      </div>
    </div>

    <div class="modal fade pr-0" data-backdrop="static" id="modalMarkup">
      <div class="modal-dialog" style="min-width: 90%; min-height: 100%">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title">Markup Produto</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body p-1" id="modal-scroll">
            <div class="card">
              <div class="flex flex-wrap col-12">
                <div class="flex flex-wrap col-xl-6 col-12 px-0">
                  <div class="col-xl-12 col-12">
                    <fieldset class="border-Field my-0 p-0" style="padding-bottom: 5px!important;">
                      <legend class="textoBorda mb-0 py-0 text-md">Índices:</legend>
                      <div class="col-xl-12 col-12 table-responsive" style="max-height: 600px">
                        <table id="tabelaIndicesMarkup" class="table table-sm table-select table-hover" width="100%">
                          <thead>
                          </thead>
                          <tbody>
                          </tbody>
                        </table>
                      </div>
                    </fieldset>
                  </div>
                </div>
                <div class="flex flex-wrap col-xl-6 col-12 px-0 align-content-start">
                  <div class="col-xl-12 col-12 px-0">
                    <fieldset class="border-Field my-0 p-0" style="padding-bottom: 5px!important;">
                      <legend class="textoBorda mb-0 py-0 text-md">Custos:</legend>
                      <div class="flex flex-wrap mx-1">
                        <div class="col-xl-3 col-6 form-group">
                          <label data-error="wrong" class="labelGeral" data-success="right" for="txtCustoIndustrialMarkup">Custo Industrial:</label>
                          <input type="text" class="input-default focus form-control text-right quatroCasasDecimaisCurrencyFormat" id="txtCustoIndustrialMarkup" name="txtCustoIndustrialMarkup" placeholder="0,0000">
                        </div>
                        <div class="col-xl-3 col-6 form-group">
                          <label data-error="wrong" class="labelGeral" data-success="right" for="selectDiasMarkup">Buscar por:</label>
                          <div class="input-group">
                            <select class="input-default focus form-control" data-dropdown-css-class="select2-danger" id="selectDiasMarkup" aria-describedby="tipoError" class="custom-select focus">
                            </select>
                          </div>
                        </div>
                        <div class="col-xl-3 col-6 form-group">
                          <label data-error="wrong" class="labelGeral" data-success="right" for="txtTaxaMarkup">Taxa:</label>
                          <input type="text" class="input-default focus form-control text-right" disabled id="txtTaxaMarkup" name="txtTaxaMarkup" placeholder="0,00">
                        </div>
                        <div class="col-xl-3 col-6 form-group">
                          <label data-error="wrong" class="labelGeral" data-success="right" for="txtMarkupMarkup">Markup:</label>
                          <input type="text" class="input-default focus form-control text-right" disabled id="txtMarkupMarkup" name="txtMarkupMarkup" placeholder="0,00">
                        </div>
                        <div class="col-xl-3 col-6 form-group">
                          <label data-error="wrong" class="labelGeral" data-success="right" for="txtIndiceMarkup">Índice:</label>
                          <input type="text" class="input-default focus form-control text-right" disabled id="txtIndiceMarkup" name="txtIndiceMarkup" placeholder="0,00">
                        </div>
                        <div class="col-xl-3 col-6 form-group">
                          <label data-error="wrong" class="labelGeral" data-success="right" for="txtMarkupSemLucroMarkup">Markup sem lucro:</label>
                          <input type="text" class="input-default focus form-control text-right" disabled id="txtMarkupSemLucroMarkup" name="txtMarkupSemLucroMarkup" placeholder="0,00">
                        </div>
                        <div class="col-xl-3 col-6 form-group">
                          <label data-error="wrong" class="labelGeral" data-success="right" for="txtCustoMarkup">Custo:</label>
                          <input type="text" class="input-default focus form-control text-right" disabled id="txtCustoMarkup" name="txtCustoMarkup" placeholder="0,00">
                        </div>
                        <div class="col-xl-3 col-6 form-group">
                          <label data-error="wrong" class="labelGeral" data-success="right" for="txtPrecoAvistaMarkup">Preço à vista:</label>
                          <input type="text" class="input-default focus form-control text-right" disabled id="txtPrecoAvistaMarkup" name="txtPrecoAvistaMarkup" placeholder="0,00">
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <div class="col-xl-6 col-12 pl-0">
                    <fieldset class="border-Field my-0 p-0" style="padding-bottom: 5px!important; min-height: 170px; min-width: 160px;">
                      <legend class="textoBorda mb-0 py-0 text-md">Utilizando financeiro:</legend>
                      <div class="flex flex-wrap mx-1">
                        <div class="form-group col-xl-6">
                          <label data-error="wrong" class="labelGeral" data-success="right" for="txtMarkupFinanceiroMarkup">Markup:</label>
                          <input type="text" class="input-default focus form-control text-right" disabled id="txtMarkupFinanceiroMarkup" name="txtMarkupFinanceiroMarkup" placeholder="0,00">
                        </div>
                        <div class="form-group col-xl-6">
                          <label data-error="wrong" class="labelGeral" data-success="right" for="txtIndiceFinanceiroMarkup">Índice:</label>
                          <input type="text" class="input-default focus form-control text-right" disabled id="txtIndiceFinanceiroMarkup" name="txtIndiceFinanceiroMarkup" placeholder="0,00">
                        </div>
                      </div>
                    </fieldset>
                  </div>
                  <div class="col-xl-6 col-12 pr-0">
                    <fieldset class="form d-flex border-Field my-0 p-0" style="padding-bottom: 5px!important; min-height: 170px; min-width: 160px;">
                      <legend class="textoBorda mb-0 py-0 text-md">Prazo:</legend>
                      <div class="d-flex justify-content-between px-2 w-100" style="gap: 8px">
                        <div class="d-flex flex-column">
                          <span class="text-center text-sm">Dias</span>
                          <input id="txtDias1" class="inputInvisivel pr-1 modalRowMarkup1 text-xs" />
                          <input id="txtDias2" class="inputInvisivel pr-1 modalRowMarkup2 text-xs" />
                          <input id="txtDias3" class="inputInvisivel pr-1 modalRowMarkup3 text-xs" />
                          <input id="txtDias4" class="inputInvisivel pr-1 modalRowMarkup4 text-xs" />
                          <input id="txtDias5" class="inputInvisivel pr-1 modalRowMarkup5 text-xs" />
                          <input id="txtDias6" class="inputInvisivel pr-1 modalRowMarkup6 text-xs" />
                          <input id="txtDias7" class="inputInvisivel pr-1 modalRowMarkup7 text-xs" />
                        </div>
                        <div class="d-flex flex-column">
                          <span class="text-center text-sm">Preço</span>
                          <input id="txtPreco1" class="inputInvisivel pr-1 modalRowMarkup1 text-xs" />
                          <input id="txtPreco2" class="inputInvisivel pr-1 modalRowMarkup2 text-xs" />
                          <input id="txtPreco3" class="inputInvisivel pr-1 modalRowMarkup3 text-xs" />
                          <input id="txtPreco4" class="inputInvisivel pr-1 modalRowMarkup4 text-xs" />
                          <input id="txtPreco5" class="inputInvisivel pr-1 modalRowMarkup5 text-xs" />
                          <input id="txtPreco6" class="inputInvisivel pr-1 modalRowMarkup6 text-xs" />
                          <input id="txtPreco7" class="inputInvisivel pr-1 modalRowMarkup7 text-xs" />
                        </div>
                        <div class="d-flex flex-column">
                          <span class="text-center text-sm">Índice parcela</span>
                          <input id="txtIndice1" class="inputInvisivel pr-1 modalRowMarkup1 text-xs" />
                          <input id="txtIndice2" class="inputInvisivel pr-1 modalRowMarkup2 text-xs" />
                          <input id="txtIndice3" class="inputInvisivel pr-1 modalRowMarkup3 text-xs" />
                          <input id="txtIndice4" class="inputInvisivel pr-1 modalRowMarkup4 text-xs" />
                          <input id="txtIndice5" class="inputInvisivel pr-1 modalRowMarkup5 text-xs" />
                          <input id="txtIndice6" class="inputInvisivel pr-1 modalRowMarkup6 text-xs" />
                          <input id="txtIndice7" class="inputInvisivel pr-1 modalRowMarkup7 text-xs" />
                        </div>
                      </div>
                    </fieldset>
                  </div>
                </div>
              </div>
            </div>
            <div class="modal-footer">
              <button class="btn btn-danger btn-sisp" id="btnFecharModalMarkup" title="Clique para fechar">Fechar</button>
            </div>
          </div>
        </div>
      </div>

      <aside class="control-sidebar control-sidebar-dark">
      </aside>
      <script src="../plugins/jquery/jquery.min.js?versao=3.251.27.1"></script>
      <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.251.27.1"></script>
      <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.251.27.1"></script>
      <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.251.27.1"></script>
      <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.251.27.1"></script>
      <script src="../plugins/toastr/toastr.min.js?versao=3.251.27.1"></script>
      <script>
        $.widget.bridge('uibutton', $.ui.button);
      </script>
      <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.251.27.1"></script>
      <script src="../dist/js/adminlte.min.js?versao=3.251.27.1"></script>
      <script src="../dist/js/requisicoes.js?versao=3.251.27.1"></script>
      <script src="../dist/js/sisplan.js?versao=3.251.27.1"></script>
      <script src="../dist/js/cliente/entidade.js?versao=3.251.27.1"></script>
      <script src="../dist/js/loadingoverlay.min.js?versao=3.251.27.1"></script>
      <script src="../dist/js/valida_cpf_cnpj.js?versao=3.251.27.1"></script>
      <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.251.27.1"></script>
      <script src="../dist/js/dataTables.keyTable.js?versao=3.251.27.1"></script>
      <script src="../utils/funcoes.js?versao=3.251.27.1"></script>
      <script src="../utils/cookies.js?versao=3.251.27.1"></script>
      <script src="../dist/js/jquery.maskMoney.min.js?versao=3.251.27.1"></script>
      <script src="../dist/js/jquery.mask.min.js?versao=3.251.27.1"></script>
      <script src="../dist/js/driver.min.js?versao=3.251.27.1"></script>
      <script type="text/javascript" src="../config.js?versao=3.251.27.1"></script>
      <script src="https://cdn.datatables.net/select/1.5.0/js/dataTables.select.min.js"></script>
      <script>
        $(document).ready(async function() {
          if (getCookie('usuario') == "") {
            window.location.href = `${BASE_URI}/login`;
            return;
          }

          let usuario = getCookie('usuario');
          let empresa = getCookie('empresa');

          ipInterno = IP_INTERNO;
          ipExterno = IP_EXTERNO;
          basicAuth = BASIC_AUTH;

          const temAcesso = await temAcessoTela('BAIXA_CONSUMOS');
          if (!temAcesso.resultado) {
            toastrAcesso(temAcesso, BASE_URI);
            return;
          }

          sArquivo = `${BASE_URI}/pages/sequencia_operacional/cadastro_sequencia_operacional/sequencia_operacional.js?versao=3.251.27.1`;
          const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');

          await insereJavaScriptPagina(sArquivo);

          habilitaCamposObrigatoriosTela(nomeTela);
        });
      </script>

</body>

</html>